%define geoipupadte_ver 2.0.0

Name: GeoIP
Summary: C library for country/city/organization to IP address or hostname mapping
Summary(ja): 国/都市/組織と IP アドレス/ホスト名とのマッピングを取るための C ライブラリ
Version: 1.6.0
Release: 2%{?_dist_release}

Group: System Environment/Libraries
License: GPLv2+ and LGPLv2+
URL: http://www.maxmind.com/app/c

Source0: https://github.com/maxmind/geoip-api-c/releases/download/v%{version}/GeoIP-%{version}.tar.gz
Source1: https://github.com/maxmind/geoipupdate/releases/download/v%{geoipupadte_ver}/geoipupdate-%{geoipupadte_ver}.tar.gz
Source2: LICENSE.txt
Source3: fetch-geoipdata-city.pl
Source4: fetch-geoipdata.pl
Source5: README.Fedora

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: curl-devel
BuildRequires: zlib-devel
Obsoletes: geoip < %{version}-%{release}
Provides: geoip = %{version}-%{release}

Vendor: Project Vine
Distribution: Vine Linux
Packager: tomop

%description
GeoIP is a C library that enables the user to find the country that any IP
address or hostname originates from. It uses a file based database that is
accurate as of March 2003. This database simply contains IP blocks as keys, and
countries as values. This database should be more complete and accurate than
using reverse DNS lookups.

%package devel
Summary: Development headers and libraries for GeoIP
Summary(ja): GeoIP の開発用ヘッダファイル及びライブラリ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Provides: geoip-devel = %{version}-%{release}
Obsoletes: geoip-devel < %{version}-%{release}

%description devel
Development headers and libraries for building GeoIP-based applications

%prep
%setup -q -a 1
install -D -m644 %{SOURCE2} LICENSE.txt
install -D -m644 %{SOURCE3} fetch-geoipdata-city.pl
install -D -m644 %{SOURCE4} fetch-geoipdata.pl
install -D -m644 %{SOURCE5} README.fedora

%build
autoreconf -ivf
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}

pushd geoipupdate-%{geoipupadte_ver}
./bootstrap
%configure
make %{?_smp_mflags}
popd

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# nix the stuff we don't need like .la files.
rm -f %{buildroot}%{_libdir}/*.la

mkdir -p %{buildroot}%{_datadir}/GeoIP


pushd geoipupdate-%{geoipupadte_ver}
make DESTDIR=%{buildroot} install
popd

mkdir -p geoipupdate
cp -f geoipupdate-%{geoipupadte_ver}/{ChangeLog.md,LICENSE,README.md} ./geoipupdate/

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README.* TODO INSTALL LICENSE* fetch-* geoipupdate
%{_libdir}/libGeoIP.so.*
%{_bindir}/geoiplookup6
%{_bindir}/geoiplookup
%{_bindir}/geoipupdate
%config(noreplace) %{_sysconfdir}/GeoIP.conf.default
%config(noreplace) %{_sysconfdir}/GeoIP.conf
%{_datadir}/GeoIP
%{_mandir}/man1/geoiplookup.1*
%{_mandir}/man1/geoiplookup6.1*
%{_mandir}/man1/geoipupdate.1*
%{_mandir}/man5/GeoIP.conf.5.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/geoip.pc
%{_includedir}/GeoIP.h
%{_includedir}/GeoIPCity.h
%{_libdir}/libGeoIP.so

%changelog
* Sat Oct 11 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.6.0-2
- added Japanese summary
- moved main package to System Environment/Libraries

* Sat Jan 04 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.6.0-1
- new upstream release.

* Mon Oct 08 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.4.8-3
- initial build for Vine Linux.

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.8-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 6 2011 Michael Fleming <mfleming+rpm@thatfleminggent.com> - 1.4.8-1.1
- Remove -ipv6 path
- Bump to 1.4.8 release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-0.2.20090931cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 31 2009 Matt Domsch <mdomsch@fedoraproject.org> - 1.4.7.0.1.20090931
- apply CVS HEAD 20090931 which includes IPv6 functions

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 08 2009 Michael Fleming <mfleming+rpm@enlartenment.com> - 1.4.6-1
- Add geoiplookup6 man page
- Update to 1.4.6

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.5-2
- Update to 1.4.5
- Fix database URL locations in Perl helper scripts

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4.4-2
- Autorebuild for GCC 4.3

* Mon Jan 28 2008 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.4-1
- New upstream release.

* Wed Sep 5 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.3-1
- New upstream release.
- Fix GeoIPCity fetcher script
- Update License tag

* Mon Feb 12 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.2-1
- New upstream release.

* Mon Jan 8 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.1-2
- License is actually LGPL now.

* Sun Jan 7 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.1-1
- New upstream release
- Add fetch-geoipdata* scripts to pull free databases automatically if
  desired (bz #198137)
- README.fedora added to briefly explain above.

* Mon Nov 27 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.0-4
- Fix %%install scripts to satisfy newer mock builds

* Sun Sep 3 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.0-3
- Upstream upgrade
- Added LICENSE.txt file to %%doc, covering GeoIP country/city data license
  (bz #198137)

* Mon May 15 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.3.17-1
- New upstream release (minor fixes)

* Mon May 1 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.3.16-1
- New upstream release 
- Add INSTALL document to package.

* Sat Feb 18 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.3.14-3
- Fix Obsoletes/Provides for old "geoip"-convention packages
- Move .so symlinks to -devel where they should be

* Fri Feb 10 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.3.14-2
- Remamed to match upstream tarball name
- Removed static libraries
- Added symlinks to packages
- Mark config file noreplace

* Sun Feb 5 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.3.14-1
- Initial review package for Extras
