%define 	add_to_doc_files()	\
	mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}; \
	cp -p %1  %{buildroot}%{_docdir}/%{name}-%{version}/$(echo '%1' | sed -e 's!/!.!g') \
	echo %%{_docdir}/%{name}-%{version}/$(echo '%1' | sed -e 's!/!.!g') >> docfiles.list

#define		svn_revision	43436

# --with coverage: Enables compile-time checking of code coverage. (default: no)
%bcond_with	coverage
# --with jit: Enable JIT ("just-in-time") JavaScript compiling support.
#%bcond_with	jit
# --with pango : use pango for font rendering instead of freetype2 (default: use freetype2)
%bcond_with	pango
# --with wml: Build support for WML
%bcond_with	wml

Name:		WebKit3
Version:	2.4.7
Release:	1%{?_dist_release}
Summary:	Web content engine library
Summary(ja):	ウェブコンテンツエンジンライブラリ

Group:		Development/Libraries
License:	LGPLv2+ and BSD
URL:		http://webkitgtk.org/

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

Source0:	http://www.webkitgtk.org/webkitgtk-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gperf
BuildRequires:	ruby
BuildRequires:	gtk3-devel
BuildRequires:	at-spi2-core-devel
BuildRequires:	gtk2-devel
BuildRequires:	harfbuzz-icu-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	libtool
BuildRequires:	libxslt-devel
BuildRequires:	libXt-devel
BuildRequires:	pcre-devel
BuildRequires:	sqlite3-devel
BuildRequires:  geoclue-devel
BuildRequires:  gcr-devel
BuildRequires:  gstreamer1-devel
BuildRequires:  gstreamer1-plugins-base-devel
BuildRequires:  enchant-devel
BuildRequires:  libwebp-devel
BuildRequires:  libsecret-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gsettings-desktop-schemas
BuildRequires:  gtk-doc

%if %{with pango}
BuildRequires:  pango-devel
%else
BuildRequires:  cairo-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
%endif

BuildRequires:  libsoup-devel >= 2.28.2


%description
WebKit is an open source web browser engine.

%package	gtk
Summary:	GTK+ port of WebKit
Summary(ja):	WebKit の GTK+ ポート
Group:		Development/Libraries
Provides:	webkitgtk3 = %{version}-%{release}

%description	gtk
%{name} is an open-source Web content engine library. This package contains
the shared libraries for the WebKit GTK+ port as well as the sample
GtkLauncher tool.


%package	gtk-devel
Summary:	Development package for %{name}
Summary(ja):	%{name} の開発パッケージ
Group:		Development/Libraries
Provides:	webkitgtk3-devel = %{version}-%{release}
Requires:	%{name}-gtk = %{version}-%{release}
Requires:	pkgconfig
Requires:	gtk3-devel
Requires:	libsoup-devel >= 2.28.2

%description	gtk-devel
The %{name}-gtk-devel package contains libraries, build data, and header
files for developing applications that use %{name}-gtk.
Please note that the WebKit/GTK+ API is not yet stable. This should
only be used as a "preview" rather than a stable platform library.


%package	docs
Summary:	Documentation for %{name}
Summary(ja):	%{name} のドキュメント
Group:		Documentation
BuildArch:	noarch
Provides:	webkitgtk3-docs = %{version}-%{release}
Provides:	%{name}-doc = %{version}-%{release}

%description	docs
%{name} is an open-source Web content engine library. This package contains
the documentation for %{name}, including various LICENSE, README, and
AUTHORS files.


%prep
%setup -q -n webkitgtk-%{version}

%build
%configure \
--with-gtk=3.0 \
--with-gstreamer=1.0 \
--enable-icon-database \
--enable-geolocation \
--enable-introspection=yes \
--enable-dependency-tracking \
%{?with_coverage:       --enable-coverage               }       \
%{?with_pango:          --with-font-backend=pango       }       \
%{?with_wml:            --enable-wml                    }

make %{?_smp_mflags}
#make V=1

# workaround for bug 488112
# Compile libJavaScriptCore.a with -fno-strict-aliasing
##touch JavaScriptCore/AllInOneFile.cpp
##make %{?_smp_mflags} CXXFLAGS="%{optflags} -fno-strict-aliasing"


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}
install -m 755 Programs/GtkLauncher %{buildroot}%{_libexecdir}/%{name}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

# conflict with WebKit-doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/gtk-doc

# Finally, copy over and rename the various files for %%doc inclusion.
%add_to_doc_files Source/WebKit/LICENSE
%add_to_doc_files Source/WebKit/gtk/NEWS
%add_to_doc_files Source/WebCore/icu/LICENSE
%add_to_doc_files Source/WebCore/LICENSE-APPLE
%add_to_doc_files Source/WebCore/LICENSE-LGPL-2
%add_to_doc_files Source/WebCore/LICENSE-LGPL-2.1
%add_to_doc_files Source/JavaScriptCore/COPYING.LIB
%add_to_doc_files Source/JavaScriptCore/THANKS
%add_to_doc_files Source/JavaScriptCore/AUTHORS
%add_to_doc_files Source/JavaScriptCore/icu/README

%find_lang WebKitGTK-3.0

%clean
rm -rf %{buildroot}


%post	gtk -p /sbin/ldconfig

%posttrans gtk
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%postun	gtk 
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi


# %files -f webkit.lang gtk
%files gtk -f WebKitGTK-3.0.lang
%defattr(-,root,root,-)
%{_bindir}/jsc-3
%{_libdir}/*.so.*
%{_libdir}/webkit2gtk-3.0/injected-bundle/libwebkit2gtkinjectedbundle.so
%{_libdir}/girepository-1.0/*.typelib
%{_libexecdir}/WebKit3/
%{_libexecdir}/WebKitNetworkProcess
%{_libexecdir}/WebKitPluginProcess
%{_libexecdir}/WebKitWebProcess
%{_datadir}/webkitgtk-3.0/*

%files	gtk-devel
%defattr(-,root,root,-)
%exclude %{_libdir}/*.la
%{_includedir}/webkitgtk-3.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir

%files	docs -f docfiles.list
%defattr(-,root,root,-)


%changelog
* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.4.7-1
- new upstream release

* Sun Aug 31 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.4.5-1
- new upstream release

* Wed Jul 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.4.4-1
- new upstream release

* Wed Jun 11 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.4.3-1
- new upstream release

* Wed May 14 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.4.2-1
- new upstream release

* Sat Apr 19 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.4.1-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.4.0-1
- new upstream release

* Sat Jan 25 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.2.4-1
- new upstream release

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.2.3-2
- rebuild with icu-52.1

* Sun Dec 08 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.2.3-1
- new upstream release

* Sun Nov 24 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.2.2-1
- new upstream release

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.2.1-1
- new upstream release
- add BuildRequires: at-spi2-core-devel, libwebp-devel, libsecret-devel
- change BuildRequires: harfbuzz-icu-devel instead of libicu-devel

* Wed Jan 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.10.2-1
- new upstream release

* Wed Oct 17 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.10.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.10.0-1
- new upstream release
- add BuildRequires: ruby, gtk2-devel
- change BuildRequires: gstreamer1-devel instead of gstreamer-devel
- change BuildRequires: gstreamer1-plugins-base-devel instead of gstreamer-pluings-base-devel

* Tue Aug 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.8.3-1
- new upstream release

* Thu Aug 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.8.2-1
- new upstream release

* Sat Apr 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.8.1-1
- new upstream release
- change BuildRequires: gcr-devel instead of gnome-keyring-devel
- add BuildRequires:  gsettings-desktop-schemas, gtk-doc

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.6.1-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.5.90-1
- new upstream release

* Sat Aug 27 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.5.2-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.5.1-1
- initial build for Vine Linux

