Summary:	Cinnamon Control Center.
Summary(ja):	Cinnamon コントロールセンター
Name:		cinnamon-control-center
Version:	2.2.11
Release:	2%{?_dist_release}
License:	GPLv2+ and GFDL+
Group:		User Interface/Desktops
URL:		https://github.com/linuxmint/cinnamon-control-center
Source:		%{name}-%{version}.tar.gz

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: usermode
Requires: cinnamon-settings-daemon
Requires: gnome-icon-theme
Requires: cinnamon-desktop
Requires: dbus-x11
Requires: apg
Requires(post,postun): desktop-file-utils shared-mime-info gtk3

BuildRequires: gnome-common
BuildRequires: glib2-devel
BuildRequires: gtk3-devel
BuildRequires: cinnamon-desktop-devel
BuildRequires: libgnomekbd-devel
BuildRequires: desktop-file-utils
BuildRequires: startup-notification-devel
BuildRequires: libxklavier-devel
BuildRequires: cinnamon-menus-devel
BuildRequires: gnome-doc-utils
BuildRequires: evolution-data-server-devel
BuildRequires: cinnamon-settings-daemon-devel
BuildRequires: libcanberra-gtk3-devel
BuildRequires: nautilus-devel
BuildRequires: alsa-lib-devel
BuildRequires: autoconf
BuildRequires: gettext-devel
BuildRequires: librsvg2-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libXxf86misc-devel
BuildRequires: libSM-devel
BuildRequires: unique3-devel
BuildRequires: polkit-devel
BuildRequires: libgtop2-devel
BuildRequires: upower-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: cups-devel
BuildRequires: colord-devel
BuildRequires: colord-gtk-devel
BuildRequires: libnm-gtk-devel
BuildRequires: NetworkManager-glib-devel
BuildRequires: ModemManager-glib-devel
BuildRequires: libnotify-devel
BuildRequires: libwacom-devel
BuildRequires: iso-codes

%description
The control-center package provides the Cinnamon Control Center utilities
that allow you to setup and configure your system's Cinnamon environment
(things like the desktop background and theme, the screensaver,
the window manager, system sounds, and mouse behavior).


%description -l ja
Cinnamon-control-center パッケージには、あなたの Cinnamon 環境の設定に使う
Cinnamon コントロールセンター・ユーティリティが含まれています。
(これを使うと、デスクトップの壁紙や、テーマ、スクリーンセーバ、ウィン
ドウマネージャ、サウンド、マウス、その他いろいろな設定を行えます。) 

%package devel
Summary: Development files for Cinnamon Control Center
Summary(ja): Cinnamon コントロールセンターの開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development tool for Cinnamon Control Center

%descriotion -l ja devel
Cinnamon コントロールセンターの開発用ファイルが含まれています。

%prep
%setup -q

%build
autoreconf -if
%configure --disable-static  \
    --disable-update-mimedb \
	--with-libsocialweb=no
    CFLAGS="$RPM_OPT_FLAGS -Wno-error"

# drop unneeded direct library deps with --as-needed
# libtool doesn't make this easy, so we do it the hard way
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

#desktop-file-install --delete-original                  \
#  --dir $RPM_BUILD_ROOT%{_datadir}/applications         \
#  --add-only-show-in GNOME                              \
#  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

# We don't want these
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/autostart
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/cursor-fonts

# remove useless libtool archive files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

# don't package mime caches
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/XMLnamespaces
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/aliases
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/application/x-gnome-theme-package.xml
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/globs
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/magic
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/subclasses
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/mime.cache
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/mimeinfo.cache

%find_lang %{name}-timezones

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

update-desktop-database %{_datadir}/applications >& /dev/null ||:
update-mime-database %{_datadir}/mime > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
update-mime-database %{_datadir}/mime > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%files -f %{name}-timezones.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/xdg/autostart/cinnamon-sound-applet.desktop
%{_sysconfdir}/xdg/menus/cinnamoncc.menu
%{_bindir}/%{name}
%{_bindir}/cinnamon-sound-applet
%{_libdir}/libcinnamon-control-center.so.*
%{_libdir}/%{name}-1
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/desktop-directories/cinnamoncc.directory
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/polkit-1/rules.d/%{name}.rules

%files devel
%defattr(-, root, root)
%{_includedir}/cinnamon-control-center-1/
%{_libdir}/libcinnamon-control-center.so
%{_libdir}/pkgconfig/libcinnamon-control-center.pc


%changelog
* Sun Sep 21 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.11-2
- change BuildRequires: upower-devel instead of libupower09-devel

* Sun Aug 31 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.11-1
- new upstream release

* Wed Jul 02 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.10-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.3-1
- initial build

