Summary:	Cinnamon session manager
Summary(ja):	Cinnamon セッションマネージャ
Name:		cinnamon-session
Version:	2.2.2
Release:	2%{?_dist_release}
URL:		https://github.com/linuxmint/cinnamon-session
License:	GPLv2+ 
Group:		User Interface/Desktops

Source0:	%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: glib2-devel >= 2.32
BuildRequires: gtk3-devel >= 2.90.7
BuildRequires: dbus-glib-devel >= 0.76
BuildRequires: libcanberra-gtk3-devel
BuildRequires: cinnamon-desktop-devel
BuildRequires: librsvg2-devel
BuildRequires: usermode
BuildRequires: startup-notification-devel
BuildRequires: libSM-devel
BuildRequires: libXtst-devel
BuildRequires: xorg-x11-xtrans-devel
BuildRequires: json-glib-devel
BuildRequires: desktop-file-utils
BuildRequires: autoconf
BuildRequires: gnome-common

Requires:	cinnamon-screensaver
Requires:	cinnamon-settings-daemon
Requires:	cinnamon-control-center

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
%{name}


%prep
%setup -q

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
    --enable-compile-warnings=no \
	--disable-systemd \
	--disable-upower

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# remove wayland-session
rm -rf $RPM_BUILD_ROOT%{_datadir}/wayland-sessions

%find_lang %{name}-3.0

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}-3.0.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/cinnamon-session
%{_bindir}/cinnamon-session-properties
%{_bindir}/cinnamon-session-quit
%{_libexecdir}/cinnamon-session-check-accelerated
%{_libexecdir}/cinnamon-session-check-accelerated-helper
%{_datadir}/applications/cinnamon-session-properties.desktop
%{_datadir}/cinnamon-session/cinnamon-session-properties.glade
%{_datadir}/cinnamon-session/csm-inhibit-dialog.glade
%{_datadir}/cinnamon-session/hardware-compatibility
%{_datadir}/glib-2.0/schemas/org.cinnamon.SessionManager.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{_mandir}/man1/cinnamon-session-properties.1.gz
%{_mandir}/man1/cinnamon-session-quit.1.gz
%{_mandir}/man1/cinnamon-session.1.gz


%changelog
* Sun Sep 21 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.2-2
- remove BuildRequires: libupower09-devel

* Wed Jul 02 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.2-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.0-1
- initial build

