Summary:     Javascript binding for Cinnamon
Name:        cjs
Version:     2.2.2
Release:     1%{?_dist_release}
Source0:     %{name}-%{version}.tar.gz

License:     MPL1.1/LGPLv2+/GPLv2+
Group:       User Interface/Desktops
URL:         http://live.gnome.org/GnomeShell

BuildRequires:	pkgconfig
BuildRequires:	glib2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gobject-introspection-devel >= 1.29.16
BuildRequires:	cairo-devel
BuildRequires:	js-devel
BuildRequires:	yelp-tools
BuildRequires:	desktop-file-utils
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake112
BuildRequires:	gnome-common

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor:			Project Vine
Distribution:	Vine Linux
Packager:		Takemikaduchi


%description
This module contains JavaScript bindings based on gobject-introspection.


%package	devel
Summary:	Development files of the %{name} library.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
Development files of the %{name} library.


%prep
%setup -q

%build
rm -f configure
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi;
 %configure --disable-static)
%{__make} V=1 %{?_smp_mflags} 


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/cjs*
%{_libdir}/libcjs-dbus.so.*
%{_libdir}/libcjs.so.*
%{_libdir}/%{name}-1.0
%{_libdir}/%{name}/girepository-1.0/CjsPrivate-1.0.typelib
%{_datadir}/%{name}-1.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1.0
%{_libdir}/libcjs-dbus.so
%{_libdir}/libcjs.so
%{_libdir}/pkgconfig/cjs-1.0.pc
%{_libdir}/pkgconfig/cjs-dbus-1.0.pc
%{_libdir}/pkgconfig/cjs-internals-1.0.pc


%changelog
* Sun Aug 31 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.2-1
- new upstream release

* Sun Jul 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.1-2
- rebuild with libffi-3.0.13

* Wed Jul 02 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.1-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.0-1
- initial build

