%define         clutter_gtk_version 1.6
%define         clutter_gtk_release 1%{?_dist_release}

Name:           clutter-gtk
Version:        %{clutter_gtk_version}.0
Release:        %{clutter_gtk_release}
Summary:        A basic GTK clutter widget

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.clutter-project.org
Source0:        http://www.clutter-project.org/sources/%{name}/%{clutter_gtk_version}/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gtk3-devel
BuildRequires:	clutter-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	autoconf

Vendor: Project Vine
Distribution: Vine Linux

%description
This allows clutter to be embedded in GTK applications. 
We hope with further work in the future clutter-gtk will 
also allow the reverse, namely embedding GTK in Clutter

%package devel
Summary:        Clutter-gtk development environment
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk3-devel clutter-devel

%description devel
Header files and libraries for building a extension library for the
clutter-gtk


%prep
%setup -q

%build
%configure --enable-introspection=yes
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang cluttergtk-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f cluttergtk-1.0.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%{_libdir}/*.so.*
%{_datadir}/gtk-doc/html/clutter-gtk-1.0
%{_libdir}/girepository-1.0/GtkClutter-1.0.typelib

%files devel
%defattr(-,root,root,-)
%doc
%{_libdir}/pkgconfig/clutter-gtk-1.0.pc
%{_libdir}/*.so
%{_includedir}/clutter-gtk-1.0/clutter-gtk
%{_datadir}/gir-1.0/GtkClutter-1.0.gir

%changelog
* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.4-4
- rebuild with cogl-1.18.0

* Tue Dec 31 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.4-3
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.4-2
- rebuild with cogl-1.16.0

* Thu Apr 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.4-1
- new upstream release

* Wed Jan 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.2-1
- new upstream release

* Thu Oct 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.2-1
- new upstream release

* Sun Apr 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.4-1
- new upstream release
- remove Patch0

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.2-2
- rebuild with cogl-1.8.0
- add Patch0 (clutter-gtk-1.0.2-git20110903.patch)

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.2-1
- new upstream release
- delete Patch0
- change BuildRequires: gtk3-devel instead of gtk2-devel

* Thu Oct 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.8-1
- new upstream release
- add BuildRequires: autoconf
- add configure option (--enable-introspection=yes)
- add Patch0

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.4-2
- rebuild with rpm-4.8.1 for pkg-config file

* Thu May 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.4-1
- new upstream release
- add BuildRequires: gir-repository-devel

* Tue Dec 01 2009 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.2-1
- build for Vine Linux


* Wed Jul 29 2009 Bastien Nocera <bnocera@redhat.com> 0.10.2-1
- Update to 0.10.2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Bastien Nocera <bnocera@redhat.com> 0.9.2-1
- Update to 0.9.2

* Sat Jun 20 2009 Bastien Nocera <bnocera@redhat.com> 0.9.0-2
- Rebuild for new clutter

* Tue May 26 2009 Bastien Nocera <bnocera@redhat.com> 0.9.0-1
- Update to 0.9.0

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild


* Fri Jan 23 2009 Allisson Azevedo <allisson@gmail.com> 0.8.2-2
- Rebuild

* Wed Oct 15 2008 Allisson Azevedo <allisson@gmail.com> 0.8.2-1
- Update to 0.8.2

* Sat Sep  6 2008 Allisson Azevedo <allisson@gmail.com> 0.8.1-1
- Update to 0.8.1

* Thu Jun 26 2008 Colin Walters <walters@redhat.com> 0.6.1-1
- Update to 0.6.1 so we can make tweet go
- Loosen files globs so we don't have to touch them every version

* Thu Feb 21 2008 Allisson Azevedo <allisson@gmail.com> 0.6.0-1
- Update to 0.6.0

* Mon Sep  3 2007 Allisson Azevedo <allisson@gmail.com> 0.4.0-1
- Update to 0.4.0

* Thu May 10 2007 Allisson Azevedo <allisson@gmail.com> 0.1.0-3
- fix devel files section

* Thu May 10 2007 Allisson Azevedo <allisson@gmail.com> 0.1.0-2
- INSTALL removed from docs
- fix make install for keeping timestamps
- fix devel files section
- changed license for LGPL

* Fri Apr 13 2007 Allisson Azevedo <allisson@gmail.com> 0.1.0-1
- Initial RPM release
