# Basic Information
Name:		dconf
Version:	0.22.0
Release:	1%{?_dist_release}
License:	LGPL
Group:		System Environment/Base
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.22/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi, Takemiakduchi

Summary:	dconf is a low-level configuration system.
Summary(ja):	dconfは、低レベル設定システムです。

# Dependency
Requires:	dbus

BuildRequires:	glib2-devel
BuildRequires:	gtk3-devel
BuildRequires:	libxml2-devel
BuildRequires:	dbus-devel
BuildRequires:	libxslt-devel
BuildRequires:	vala-devel
BuildRequires:	docbook-style-xsl

%description
dconf is a low-level configuration system. Its main purpose is to provide
a backend to GSettings on platforms that don't already have configuration
storage systems. 

%description -l ja
dconfは、低レベル設定システムです。その主要な目的は、まだ設定保存システムを
有していないプラットフォーム上にGSettingsのバックエンドを提供することです。

%package devel
Summary:	Headers for developing programs that will use %{name}
Summary(ja):	%{name} の開発用ファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel
Requires:	libxml2-devel
Requires:	dbus-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package editor
Summary:        Editor/admin tool for dconf
Summary(ja):    dconf の編集/管理ツール
Group:          Applications/System
Requires:	%{name} = %{version}-%{release}

%description editor
dconf-editor allows you to browse and modify dconf configuration.

%description -l ja editor
dconf-editor により dconf の設定を参照したり変更したりすることができます。

%prep
%setup -q

%build
%configure
#%{__make} %{?_smp_mflags} INTROSPECTION_SCANNER='/usr/bin/g-ir-scanner --identifier-prefix=DConf'
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
gio-querymodules %{_libdir}/gio/modules

%post editor
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null || :

%postun 
if [ $1 -eq 0 ] ; then
    gio-querymodules %{_libdir}/gio/modules
fi

%postun editor
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    update-desktop-database -q &> /dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans  editor
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING NEWS
%{_bindir}/dconf
%{_libdir}/gio/modules/libdconfsettings.so
%{_libdir}/libdconf*.so.*
%{_libexecdir}/dconf-service
%{_datadir}/bash-completion/completions/dconf
%{_datadir}/dbus-1/services/ca.desrt.dconf.service
%{_mandir}/man1/dconf.1.gz
%{_mandir}/man1/dconf-service.1.gz
%{_mandir}/man7/dconf.7.gz

%files devel
%defattr(-, root, root, -)
%{_includedir}/dconf/
%{_includedir}/dconf-dbus-1/
%{_libdir}/libdconf*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/dconf/
%{_datadir}/vala/vapi/dconf.deps
%{_datadir}/vala/vapi/dconf.vapi

%files editor
%defattr(-, root, root, -)
%{_bindir}/dconf-editor
%{_datadir}/appdata/ca.desrt.dconf-editor.appdata.xml
%{_datadir}/applications/ca.desrt.dconf-editor.desktop
%{_datadir}/dbus-1/services/ca.desrt.dconf-editor.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/HighContrast/*/apps/*
%{_mandir}/man1/dconf-editor.1.gz


%changelog
* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.22.0-1
- new upstream release

* Wed Jun 18 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 0.20.0-3
- move some post/postun scripts to dconf-editor:
  - glib-compile-schemas, gtk-update-icon-cache, update-desktop-database

* Mon Jun 16 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 0.20.0-2
- split dconf-editor to subpackage.
- drop libgee dependency(R,BR)
- remove unneeded dependency(Requires)

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.20.0-1
- new upstream release

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.18.0-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.18.0-1
- new upstream release

* Sun Aug 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16.1-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16.0-1
- new upstream release
- add BuildRequires: vala

* Fri Nov 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14.0-1
- new upstream release
- add BuildRequires: libxslt-devel, docbook-style-xsl

* Sun May 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.1-1
- new upstream release

* Sun Apr 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.0-1
- new upstream release

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.1-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.0-1
- new upstream release
- add BuildRequires: dbus-devel
- change BuildRequires: gtk3-devel instead of gtk2-devel

* Sun Oct 17 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.5.1-1
- new package. 

