Summary: A GNU collection of diff utilities.
Summary(ja): GNU diff ユーティリティ集
Name: diffutils
Version: 3.3
Release: 1%{?_dist_release}
Group: Applications/Text
URL: http://www.gnu.org/software/diffutils/diffutils.html
License: GPLv3+

Source: ftp://ftp.gnu.org/gnu/diffutils/diffutils-%{version}.tar.xz
Patch1: diffutils-cmp-s-empty.patch
Patch2: diffutils-mkdir_p.patch
Patch3: diffutils-FILE....patch
Patch4: diffutils-i18n.patch
Patch5: diffutils-format-security.patch

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: coreutils

%description
Diffutils includes four utilities: diff, cmp, diff3 and sdiff. Diff
compares two files and shows the differences, line by line.  The cmp
command shows the offset and line numbers where two files differ, or
cmp can show the characters that differ between the two files.  The
diff3 command shows the differences between three files.  Diff3 can be
used when two people have made independent changes to a common
original; diff3 can produce a merged file that contains both sets of
changes and warnings about conflicts.  The sdiff command can be used
to merge two files interactively.

Install diffutils if you need to compare text files.

%description -l ja
diffutils には diff, cmp, diff3, sdiff の 4つのユーティリティが
収められています．diff は 2つのファイルを行単位で比較し相違点を
出力します．cmp コマンドは 2つのファイルの相違点をオフセットと行番号で
表示できますし，どの文字が異なるかを表示することも出来ます．
diff3 コマンドは 3つのファイルの相違点を出力します．diff3 は
1つのオリジナルファイルを2人が変更した場合等に良く使われます．
diff3 を使って，2つの変更をマージした変更ファイルを出力することが
出来ますし，コンフリクトした変更点を出力することも出来ます．
sdiff コマンドは2つのファイルを対話的にマージするのに使います．

テキストファイルを比較したい場合は diffutils をインストールして下さい．


%prep
%setup -q

# For 'cmp -s', compare file sizes only if both non-zero (bug #563618).
%patch1 -p1 -b .cmp-s-empty

# Work around @mkdir_p@ build issue.
%patch2 -p1 -b .mkdir_p

# Fix --help output and man page (bug #1079076).
%patch3 -p1 -b .FILE...

%patch4 -p1 -b .i18n

# Applied upstream gnulib patch to avoid -Wformat-security warning
# (bug #1037038).
%patch5 -p1 -b .format-security

# Run autoreconf for aarch64 support (bug #925256).
autoreconf

%build
%configure
make PR_PROGRAM=%{_bindir}/pr

%install
rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
%find_lang %{name}


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING NEWS README
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/diffutils.info*gz


%changelog
* Sun Jun 15 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3-1
- new upstream release.
- replaced patches.

* Thu Nov 29 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2-1
- new upstream reelase
- update patches

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-13
- spec in utf-8

* Mon May 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.1-12
- applied new versioning policy
- added BuildRequires: coreutils

* Fri Sep 22 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-11vl2
- rebuild to add gpg sign

* Fri Mar 26 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8.1-11vl1
- added Patch1 from Fedora 2.8.1-11
  * Thu Jan  8 2004 Tim Waugh <twaugh@redhat.com> 2.8.1-10
  - Fix mistaken use of '|' instead of '||'.
- fixed typo at description(ja)

* Wed Dec 04 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.8.1-5vl1
- merge Rawhide's 2.8.1-5 and Vine's 2.8.1-0vl1:

  - Sun Sep 29 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl1
  - new upstream release 2.8.1
  - drop old unneeded patches.

  - Mon Jun 18 2001 <sagami@vinelinux.org>
  - 2.7.2-0vl3: patch taken from RH's 2.7.2-2 (not in sync, actually)
  - Install diff.1, since it's no longer in man-pages.

  - Tue Jan 09 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
  - 2.7.2-0vl2
  - use better macros (%%{_localedir})
  - %%makeinstall was here again
  - added Japanese summary and description

  - Mon Jul  3 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
  - updated to 2.7.2 (NLS support version)
  - added poor gettext_fix patch
  - added ja.po from fj.sources
  - remove %%makeinstall and use "make install prefix..." for rpm 3.x

* Tue Nov 19 2002 Tim Waugh <twaugh@redhat.com> 2.8.1-5
- i18n patch.

* Tue Oct 22 2002 Tim Waugh <twaugh@redhat.com> 2.8.1-4
- Ship translations.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr 22 2002 Tim Waugh <twaugh@redhat.com> 2.8.1-1
- 2.8.1.
- No longer need immunix-owl-tmp patch.

* Wed Feb 27 2002 Tim Waugh <twaugh@redhat.com> 2.7.2-5
- Rebuild in new environment.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Nov 02 2001 Tim Waugh <twaugh@redhat.com> 2.7.2-3
- Make sure %%post scriplet doesn't fail if --excludedocs is used.

* Fri Jun 01 2001 Tim Waugh <twaugh@redhat.com> 2.7.2-2
- Install diff.1, since it's no longer in man-pages.

* Fri Mar 30 2001 Tim Waugh <twaugh@redhat.com> 2.7.2-1
- 2.7.2.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul 06 2000 Trond Eivind Glomsr <teg@redhat.com>
- fix %%changelog entries (escape them)
- update source location
- remove manual stripping
- add URL

* Tue Jun 06 2000 Than Ngo <than@redhat.de>
- add %%defattr
- use rpm macros

* Wed May 31 2000 Ngo Than <than@redhat.de>
- put man pages and info files in correct place
- cleanup specfile

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages.

* Mon Apr 19 1999 Jeff Johnson <jbj@redhat.com>
- man pages not in %%files.
- but avoid conflict for diff.1

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Sun Mar 14 1999 Jeff Johnson <jbj@redhat.com>
- add man pages (#831).
- add %%configure and Prefix.

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul 14 1998 Bill Kawakami <billk@home.com>
- included the four man pages stolen from Slackware

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun May 03 1998 Cristian Gafton <gafton@redhat.com>
- fixed spec file to reference/use the $RPM_BUILD_ROOT always
    
* Wed Dec 31 1997 Otto Hammersmith <otto@redhat.com>
- fixed where it looks for 'pr' (/usr/bin, rather than /bin)

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
