Summary: Dovecot Secure imap server
Summary(ja): Dovecot セキュア IMAP サーバ
Name: dovecot
Version: 2.2.13
Release: 2%{?_dist_release}
#dovecot itself is MIT, a few sources are PD, pigeonhole is LGPLv2
License: MIT and LGPLv2 and BSD with advertising
Group: System Environment/Daemons

%define build_postgres 1
%define build_mysql 1
%define build_sqlite 1
%define build_ldap 1

# pigeonhole
%define build_pigeonhole 1
%define pigeonholever 0.4.3

# pop before smtp (drac)
%define build_drac 0

URL: http://www.dovecot.org/

Source: http://www.dovecot.org/releases/2.2/%{name}-%{version}.tar.gz
Source1: dovecot.init
Source2: dovecot.pam
Source8: http://pigeonhole.dovecot.org/releases/2.2/dovecot-2.2-pigeonhole-%{pigeonholever}.tar.gz
Source9: dovecot.sysconfig
Source10: dovecot.tmpfilesd

#our own
Source14: dovecot.conf.5

# drac plugin (pop before smtp)
# Source100: http://www.dovecot.org/patches/1.1/drac.c
# Source100: http://sourceforge.jp/projects/dovecot2-drac/downloads/53176/dovecot2-drac-0.1.tar.gz
# Source110: README.plugin-drac

Patch1: dovecot-2.0-defaultconfig.patch
Patch2: dovecot-1.0.beta2-mkcert-permissions.patch
# local filesystem rules
Patch3: dovecot-1.0.rc7-mkcert-paths.patch
Patch4: dovecot-2.2-mkcert-10years.patch

Packager: iwamoto
Vendor: Project Vine
Distribution: Vine Linux

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: openssl-devel, pam-devel, zlib-devel
BuildRequires: bzip2-devel, libcap-devel
BuildRequires: libtool autoconf automake, gettext-devel
BuildRequires: pkgconfig
BuildRequires: krb5-devel
BuildRequires: tcp_wrappers

# Package includes an initscript service file, 
# needs to require initscripts package
Requires: initscripts
Requires(pre): /usr/sbin/useradd
Requires(post): /sbin/chkconfig, /usr/sbin/useradd, /sbin/chkconfig
Requires(preun): /usr/sbin/userdel, /usr/sbin/groupdel
Requires(preun): /sbin/chkconfig, /sbin/service
Requires(postun): /sbin/service

%if %{build_postgres}
BuildRequires: libpq-devel
%endif

%if %{build_mysql}
BuildRequires: libmysqlclient-devel
%endif

%if %{build_sqlite}
BuildRequires: sqlite3-devel
%endif

%if %{build_ldap}
BuildRequires: openldap-devel
%endif

%if %{build_drac}
BuildRequires: dracd
%endif

%define docdir %{_docdir}/%{name}
%define ssldir %{_sysconfdir}/pki/%{name}

%description
Dovecot is an IMAP server for Linux/UNIX-like systems, written with security 
primarily in mind.  It also contains a small POP3 server.  It supports mail 
in either of maildir or mbox formats.

The SQL drivers and authentication plugins are in their subpackages.


%if %{build_pigeonhole}
%package pigeonhole
Requires: %{name} = %{version}-%{release}
Obsoletes: dovecot-sieve
Summary: Sieve and managesieve plug-in for dovecot
Group: System Environment/Daemons
License: MIT and LGPLv2

%description pigeonhole
This package provides sieve and managesieve plug-in for dovecot LDA.

%endif

%if %{build_postgres}
%package pgsql
Requires: %{name} = %{version}-%{release}
Summary: Postgres SQL backend for dovecot
Group: System Environment/Daemons
%description pgsql
This package provides the Postgres SQL backend for dovecot-auth etc.
%endif

%if %{build_mysql}
%package mysql
Requires: %{name} = %{version}-%{release}
Summary: MySQL backend for dovecot
Group: System Environment/Daemons
%description mysql
This package provides the MySQL backend for dovecot-auth etc.
%endif

%if %{build_sqlite}
%package sqlite
Requires: %{name} = %{version}-%{release}
Summary: SQLite backend for dovecot
Group: System Environment/Daemons
%description sqlite
This package provides the SQLite backend for dovecot-auth etc.
%endif

%if %{build_ldap}
%package ldap
Requires: %{name} = %{version}-%{release}
Summary: LDAP auth plugin for dovecot
Group: System Environment/Daemons
%description ldap
This package provides the LDAP auth plugin for dovecot-auth etc.
%endif

%if %{build_drac}
%package drac
Summary: Dovecot plugin module for support drac (POP before SMTP)
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}
Requires: dracd
Obsoletes: %{name}-plugin-drac < %{version}-%{release}

%description drac
Dovecot plugin module for support drac (POP before SMTP)
%endif

%package devel
Requires: %{name} = %{version}-%{release}
Summary: Development files dor dovecot
Group: Development/Libraries
%description devel
This package provides the development files for dovecot.


%prep

%setup -q

%patch1 -p1 -b .default-settings
%patch2 -p1 
%patch3 -p1 
%patch4 -p1 

%if %{build_drac}
%setup -T -D -q -a 100
mv dovecot2-drac/README README.dovecot2-drac
mv dovecot2-drac/README.j README.dovecot2-drac.jp
cp %{SOURCE110} .
%endif

%if %{build_pigeonhole}
%setup -q -D -T -a 8
%endif

%build
# rm -f ./configure
# autoreconf -i -f
%configure                           \
    INSTALL_DATA="install -c -p -m644" \
    --disable-static             \
%if %{build_postgres}
    --with-pgsql                 \
%endif
%if %{build_mysql}
    --with-mysql                 \
%endif
%if %{build_sqlite}
    --with-sqlite                \
%endif
    --with-sql=plugin            \
    --with-gssapi=plugin         \
    --with-ssl=openssl           \
    --with-ssldir=%{ssldir}      \
    --with-libcap                \
    --with-libwrap               \
    --with-zlib                  \
%if %{build_ldap}
    --with-ldap=plugin		 \
%endif
    --with-docs

sed -i 's|/etc/ssl|/etc/pki/dovecot|' doc/mkcert.sh doc/example-config/conf.d/10-ssl.conf

make %{?_smp_mflags}

%if %{build_pigeonhole}
#pigeonhole
pushd dovecot-2.2-pigeonhole-%{pigeonholever}
autoreconf -fiv
%configure                             \
    INSTALL_DATA="install -c -p -m644" \
    --disable-static                   \
    --with-dovecot=../                 \
    --without-unfinished-features

make %{?_smp_mflags}
popd
%endif

%if %{build_drac}
pushd dovecot2-drac
make DOVDIR=../
popd
%endif

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}

%if %{build_pigeonhole}
pushd dovecot-2.2-pigeonhole-%{pigeonholever}
make install DESTDIR=$RPM_BUILD_ROOT
popd
%endif

%if %{build_drac}
pushd dovecot2-drac
install -m 755 drac_plugin.so $RPM_BUILD_ROOT/%{_libdir}/dovecot/
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/dovecot/imap/
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/dovecot/pop3/
ln -s ../drac_plugin.so $RPM_BUILD_ROOT/%{_libdir}/dovecot/imap/
ln -s ../drac_plugin.so $RPM_BUILD_ROOT/%{_libdir}/dovecot/pop3/
popd
%endif

# install -p -m 755 src/plugins/convert/convert-tool $RPM_BUILD_ROOT%{_libexecdir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -p -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/dovecot

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/dovecot

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -p -m 600 %{SOURCE9} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/dovecot

#install man pages
install -p -D -m 644 %{SOURCE14} $RPM_BUILD_ROOT%{_mandir}/man5/dovecot.conf.5

# generate ghost .pem file
mkdir -p $RPM_BUILD_ROOT%{ssldir}/certs
mkdir -p $RPM_BUILD_ROOT%{ssldir}/private
touch $RPM_BUILD_ROOT%{ssldir}/certs/dovecot.pem
chmod 600 $RPM_BUILD_ROOT%{ssldir}/certs/dovecot.pem
touch $RPM_BUILD_ROOT%{ssldir}/private/dovecot.pem
chmod 600 $RPM_BUILD_ROOT%{ssldir}/private/dovecot.pem

mkdir -p $RPM_BUILD_ROOT/var/run/dovecot/login
chmod 755 $RPM_BUILD_ROOT/var/run/dovecot
chmod 700 $RPM_BUILD_ROOT/var/run/dovecot/login
	
# Install dovecot.conf and dovecot-openssl.cnf
mkdir -p $RPM_BUILD_ROOT%{ssldir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/dovecot/conf.d
install -p -m 644 doc/example-config/dovecot.conf $RPM_BUILD_ROOT%{_sysconfdir}/dovecot
install -p -m 644 doc/example-config/conf.d/*.conf $RPM_BUILD_ROOT%{_sysconfdir}/dovecot/conf.d
install -p -m 644 doc/example-config/conf.d/*.conf.ext $RPM_BUILD_ROOT%{_sysconfdir}/dovecot/conf.d
install -p -m 644 doc/dovecot-openssl.cnf $RPM_BUILD_ROOT%{ssldir}/dovecot-openssl.cnf

# Install pigeonhole conf
pushd dovecot-2.2-pigeonhole-%{pigeonholever}
install -p -m 644 doc/example-config/conf.d/*.conf $RPM_BUILD_ROOT%{_sysconfdir}/dovecot/conf.d
popd

# Install some of our own documentation
# install -p -m644 %{SOURCE7} $RPM_BUILD_ROOT%{docdir}/REDHAT-FAQ.txt

# Install the licensing files into the documentation area
install -p -m644 COPYING* $RPM_BUILD_ROOT%{docdir}

mkdir -p $RPM_BUILD_ROOT%{docdir}/examples/
install -p -m755 doc/mkcert.sh $RPM_BUILD_ROOT%{_libexecdir}/%{name}/mkcert.sh
# for f in `cd doc; echo *.conf`; do
#      install -p -m644 doc/$f $RPM_BUILD_ROOT%{docdir}/examples/$f;
# done

mv $RPM_BUILD_ROOT%{docdir} $RPM_BUILD_ROOT%{docdir}-%{version}
mkdir -p $RPM_BUILD_ROOT/var/lib/dovecot

#remove the libtool archives
find $RPM_BUILD_ROOT%{_libdir}/%{name}/ -name '*.la' | xargs rm -f

#prepare the filelist
(
    find ${RPM_BUILD_ROOT}%{_libdir}/%{name} -type d | sed -e "s|^|%dir |";
    find ${RPM_BUILD_ROOT}%{_libdir}/%{name} -! -type d | \
        grep -v 'dovecot-config\|lib90_cmusieve_plugin\.so\|libdriver_.*\.so\|libauthdb_.*\.so\|libmech_.*\.so\|drac\.so';
) | sed -e "s|$RPM_BUILD_ROOT||" >libs.filelist

#remove what we don't want
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/dovecot/README
pushd doc
#rm -f securecoding.txt thread-refs.txt
popd

%clean
rm -rf $RPM_BUILD_ROOT


%pre
getent group dovecot >/dev/null || groupadd -r dovecot
getent passwd dovecot >/dev/null || \
useradd -r -g dovecot -d /usr/libexec/dovecot -s /sbin/nologin -c "Dovecot IMAP server" dovecot
getent group dovenull >/dev/null || groupadd -r dovenull
getent passwd dovenull >/dev/null || \
useradd -r -g dovenull -d /usr/libexec/dovecot -s /sbin/nologin -c "Dovecot's unauthorized user" dovenull
exit 0

%post
/sbin/chkconfig --add %{name}
# generate the ssl certificates
if [ ! -f %{ssldir}/certs/%{name}.pem ]; then
    SSLDIR=%{ssldir} OPENSSLCONFIG=%{ssldir}/dovecot-openssl.cnf \
         %{_libexecdir}/%{name}/mkcert.sh &> /dev/null
fi

if ! test -f /var/run/dovecot/login/ssl-parameters.dat; then
    dovecot --build-ssl-parameters &>/dev/null
fi
exit 0

%preun
if [ $1 = 0 ]; then
    /sbin/service %{name} stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del %{name} || :
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service %{name} condrestart 2>/dev/null || :
fi

%check
make check
cd dovecot-2.2-pigeonhole-%{pigeonholever}
make check

%files -f libs.filelist
%defattr(-,root,root,-)
%doc doc/* AUTHORS ChangeLog COPYING COPYING.LGPL COPYING.MIT NEWS README
# %doc AUTHORS ChangeLog NEWS README doc/*.txt

%dir %{_sysconfdir}/dovecot
%dir %{_sysconfdir}/dovecot/conf.d
%config(noreplace) %{_sysconfdir}/dovecot/dovecot.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/*.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/*.conf.ext
# %config(noreplace) %{_sysconfdir}/dovecot.conf

%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/dovecot
%{_initrddir}/dovecot
%config(noreplace) %{_sysconfdir}/pam.d/dovecot
%dir %{ssldir}
%dir %{ssldir}/certs
%dir %{ssldir}/private
%config(noreplace) %{ssldir}/dovecot-openssl.cnf
%attr(0600,root,root) %ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{ssldir}/certs/dovecot.pem
%attr(0600,root,root) %ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{ssldir}/private/dovecot.pem

%{_libexecdir}/%{name}
%{_libdir}/dovecot/auth/libauthdb_imap.so
%{_libdir}/dovecot/auth/libmech_gssapi.so

%{_sbindir}/dovecot
# %{_sbindir}/dovecotpw
%{_bindir}/doveadm
%{_bindir}/doveconf
%{_bindir}/dsync

%attr(0755,root,dovecot) %dir /var/run/dovecot
%attr(0750,root,dovenull) %dir /var/run/dovecot/login
# %attr(0755,root,dovecot) %{_libexecdir}/%{name}/mkcert.sh
%attr(0750,dovecot,dovecot) %dir /var/lib/dovecot

%{_mandir}/man1/deliver.1.gz
%{_mandir}/man1/doveadm*.1.gz
%{_mandir}/man1/doveconf.1.gz
%{_mandir}/man1/dovecot*.1.gz
%{_mandir}/man1/dsync.1.gz
%{_mandir}/man5/dovecot.conf.5.gz
%{_mandir}/man7/doveadm-search-query.7.gz

%if %{build_pigeonhole}
%files pigeonhole
%defattr(-,root,root,-)
%{_bindir}/sieve-dump
%{_bindir}/sieve-filter
%{_bindir}/sieve-test
%{_bindir}/sievec
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/90-sieve.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/20-managesieve.conf
%{_libexecdir}/%{name}/managesieve
%{_libexecdir}/%{name}/managesieve-login

%dir %{_libdir}/dovecot/settings
%{_libdir}/dovecot/settings/libmanagesieve_*.so

%{_mandir}/man1/sieve-dump.1.gz
%{_mandir}/man1/sieve-filter.1.gz
%{_mandir}/man1/sieve-test.1.gz
%{_mandir}/man1/sievec.1.gz
%{_mandir}/man1/sieved.1.gz
%{_mandir}/man7/pigeonhole.7.gz
%endif

%if %{build_mysql}
%files mysql
%defattr(-,root,root,-)
%{_libdir}/%{name}/libdriver_mysql.so
%{_libdir}/%{name}/auth/libdriver_mysql.so
%{_libdir}/%{name}/dict/libdriver_mysql.so
%endif

%if %{build_postgres}
%files pgsql
%defattr(-,root,root,-)
%{_libdir}/%{name}/libdriver_pgsql.so
%{_libdir}/%{name}/auth/libdriver_pgsql.so
%{_libdir}/%{name}/dict/libdriver_pgsql.so
%endif

%if %{build_sqlite}
%files sqlite
%defattr(-,root,root,-)
%{_libdir}/%{name}/libdriver_sqlite.so
%{_libdir}/%{name}/auth/libdriver_sqlite.so
%{_libdir}/%{name}/dict/libdriver_sqlite.so
%endif

%if %{build_ldap}
%files ldap
%defattr(-,root,root,-)
%{_libdir}/%{name}/auth/libauthdb_ldap.so
%endif

%if %{build_drac}
%files drac
%defattr(-,root,root)
%{_libdir}/%{name}/drac_plugin.so
%{_libdir}/%{name}/imap/drac_plugin.so
%{_libdir}/%{name}/pop3/drac_plugin.so
%doc README.plugin-drac
%endif

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/%{name}/dovecot-config
%{_datadir}/aclocal/dovecot.m4

%changelog
* Tue Jul  8 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.13-2
- replaced "BR:mysql-devel" to "BR:libmysqlclient-devel".
- enabled libwrap.

* Sat Jun 14 2014 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.2.13-1
- new upstream release 2.2.13, pigeonhole 0.4.3 
- replace BR: libpq-devel from postgresql-devel

* Thu Jan  9 2014 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.2.10-1
- new upstream release 2.2.10, pigeonhole 0.4.2
- drop drac (Pop Before Smtp) support
- add patch4

* Thu Oct 25 2012 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.1.10-1
- new upstream release 2.1.10
- new upstream release pigeonhole 0.3.3
- change configure options to fit new release
- change file list to fit new release
- fix openssl key location in defalut config files

* Sat Jun 16 2012 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.0.21-1
- new upstream release 
- new upstream release pigeonhole 0.2.6

* Mon Oct 31 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.0.15-1
- new upstream release

* Wed Sep 28 2011 Masanobu HAGANE <masanobu@hagane.jp> 2.0.13-2
- revival drac_plugin.so (POP bedore SMTP) support
- use DRAC plugin for Dovecot-2.x
-  (get from http://sourceforge.jp/projects/dovecot2-drac/releases/)

* Sat May 21 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.0.13-1
- new upstream release 

* Sun Apr 17 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.0.12-1
- new upstream release
- new upstream release pigeonholever 0.2.3

* Tue Apr 12 2011 Shu KONNO <owa@bg.wakwak.com> 2.0.9-6
- rebuilt with postgresql-9.0.3

* Mon Feb 14 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.0.9-5
- fix pigeonhole R: (remove epoch)

* Mon Jan 24 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.0.9-4
- fix source url

* Wed Jan 19 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.0.9-3
- disable drac sub package (drac plugin not work with dovecot 2.x)

* Mon Jan 17 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.0.9-2
- fix config file path in dovecot.init
- fix group of /var/run/dovecot/login 

* Sun Jan 16 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.0.9-1
- new upstream release 2.0.x

* Tue Jan 11 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.15-2
- rebuild with openssl-1.0.0c

* Sat Oct  9 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.2.15-1
- new upstream release with security fixes (CVE-2010-3780,3779,3707,3706)
- add BR: pkgconfig

* Thu Mar 11 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.2.11-1
- new upstream release with mbox DoS fix

* Mon Jan 25 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.2.10-2
- fix drac.so in libs.files

* Mon Jan 25 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.2.10-1
- new upstream release 

* Fri Jan  8 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.2.9-1
- new upstream release
- update to dovecot sieve 1.1.8

* Thu Sep 17 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.2.3-2
- update to dovecot sieve 1.1.7 to fix BoF
- add BR: bzip2-devel, libcap-devel

* Mon Aug 10 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.2.3-1
- new upstream release

* Wed Jul 29 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.2.2-1
- new upstream release  

* Sun Jul 12 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.2.1-1
- new upstream release 

* Tue Jul  7 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.2.0-1
- new upstream 1.2.x release
- update Patch1 to fit new release
- README.plugin-drac in UTF-8

* Tue Jun  2 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.1.16-1
- new upstream release 

* Fri May 22 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.1.15-3
- rebuilt with MySQL-5.1.34.

* Tue May 19 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.1.15-2
- add BuildRequires gettext-devel instead of gettext

* Tue May 19 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.1.15-1
- new upstream release
- update patch1 to fix new release

* Mon Apr 27 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.1.14-1
- new upstream release

* Sun Mar 22 2009 NAKAMURA Kenta <kenta@vinelinux.org> 1.1.13-2
- rebuilt with openldap-2.4.11

* Sun Mar 22 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.1.13-1
- new upstream release

* Sat Feb 07 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.1.11-1
- new upstream release

* Sun Feb 01 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.1.10-1
- new upstream release

* Mon Jan 12 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.1.8-1
- new upstream release

* Sat Nov 01 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.1.6-1
- new upstream release

* Tue Oct 21 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.1.4-2
- change BuildRequires sqlite-devel -> sqlite3-devel

* Mon Oct 20 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.1.4-1
- new upstream release

* Fri Sep 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.3-1
- new upstream release

* Sun Aug 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.2-1
- new upstream release
- split ldap plugin to subpackage
- split sql plugins to subpackages
- add -devel subpackage
- update drac module, rename to -drac from -plugin-drac
- add dovecot-sieve

* Mon Mar 10 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.13-0vl2
- build for VineSeed (0vl1 is for VinePlus 4.x)
- new upstream release

* Mon Jan 07 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.10-0vl2
- build for VineSeed (0vl1 is for VinePlus 4.x)
- new upstream release with security fix (CVE-2007-6598)
- turn on daemon stop massage (Already start message is on)

* Sat Dec 15 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.9-0vl1
- new upstream source

* Wed Nov 21 2007 NAKAMURA Kenta <kenta@vinelinux.org> 1.0.7-0vl4
- updated %%install section to support lib64 architecture

* Sun Nov 04 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.7-0vl3
- rebuild for VineSeed (from VinePlus 4.x)

  * Thu Sep 20 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.5-0vl1
  - new upstream release
  - rebuilt with postgresql-devel 8.2.5

  * Sun Aug  5 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.3-0vl1
  - new upstream release

  * Sun May 20 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.0-0vl1
  - new upstream release

* Sat Nov 03 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.7-0vl2
- add Require dracd tag in plugin-drac 

* Sat Nov 03 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.7-0vl1
- new upstream release

* Fri Oct 12 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.5-0vl4
- fix drac plugin make method
- change drac.so install method (use sym link)
- add README.plugin-drac

* Fri Oct 12 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.5-0vl3
- add dovecot-openssl.cnf install to doc 
- daemon restart message turn on when package is upgraded

* Tue Oct 09 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.5-0vl2
- add drac.so (POP bedore SMTP) support

* Mon Oct 08 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.5-0vl1
- new upstream release
- drop patch500 (it is included in new release)
- move Mysql buildreq tag to "if build_mysql" section
- add Requires: postgresql-libs and Requires: MySQL-shared in "if-endif"
- add Requires: openldap

* Wed Aug 29 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.0-0.rc17.0vl2
- add Patch500 to fix directory traversal vulnerability (CVE-2007-2231)
  note that version 1.0.rc29 and up have been already fixed in upstream

* Mon Jan 08 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0-0.rc17.0vl1
- new upstream RC release

* Sun Jan 07 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0-0.rc16.0vl1
- new upstream RC release

* Thu Dec 21 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0-0.rc15.0vl2
- add Vendor/Distribution tag

* Sun Dec 10 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0-0.rc15.0vl1
- new upstream RC release
- add BuildRequires: MySQL-shared, MySQL-devel
- update patch100

* Mon Oct 30 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0-0.rc7.1vl2
- rebuilt with MySQL 5.0.27

* Mon Aug 28 2006 IWAI, Masaharu <iwai@alib.jp> 1.0-0.rc7.1vl1
- new upstream release
- update default settings patch (Patch100)
- build with openldap-2.3.24

* Tue Aug  1 2006 IWAI, Masaharu <iwai@alib.jp> 1.0-0.rc2.1vl1
- first release for Vine Linux

* Mon Jul 17 2006 Petr Rockai <prockai@redhat.com> - 1.0-0.rc2.1
- reenable inotify and see what happens

* Thu Jul 13 2006 Petr Rockai <prockai@redhat.com> - 1.0-0.rc2
- update to latest upstream release candidate
- disable inotify for now, doesn't build -- this needs fixing though

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.0-0.beta8.2.1
- rebuild

* Thu Jun 08 2006 Petr Rockai <prockai@redhat.com> - 1.0-0.beta8.2
- put back pop3_uidl_format default that got lost
  in the beta2->beta7 upgrade (would cause pop3 to not work
  at all in many situations)

* Thu May 04 2006 Petr Rockai <prockai@redhat.com> - 1.0-0.beta8.1
- upgrade to latest upstream beta release (beta8)
- contains a security fix in mbox handling

* Thu May 04 2006 Petr Rockai <prockai@redhat.com> - 1.0-0.beta7.1
- upgrade to latest upstream beta release
- fixed BR 173048

* Fri Mar 17 2006 Petr Rockai <prockai@redhat.com> - 1.0-0.beta2.8
- fix sqlite detection in upstream configure checks, second part
  of #182240

* Wed Mar  8 2006 Bill Nottingham <notting@redhat.com> - 1.0-0.beta2.7
- fix scriplet noise some more

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 1.0-0.beta2.6
- fix scriptlet error (mitr, #184151)

* Mon Feb 27 2006 Petr Rockai <prockai@redhat.com> - 1.0-0.beta2.5
- fix #182240 by looking in lib64 for libs first and then lib
- fix comment #1 in #182240 by copying over the example config files
  to documentation directory

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0-0.beta2.4.1
- bump again for double-long bug on ppc(64)

* Thu Feb 09 2006 Petr Rockai <prockai@redhat.com> - 1.0-0.beta2.4
- enable inotify as it should work now (#179431)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0-0.beta2.3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Feb 02 2006 Petr Rockai <prockai@redhat.com> - 1.0-0.beta2.3
- change the compiled-in defaults and adjust the default's configfile
  commented-out example settings to match compiled-in defaults,
  instead of changing the defaults only in the configfile, as per #179432
- fix #179574 by providing a default uidl_format for pop3
- half-fix #179620 by having plaintext auth enabled by default... this
  needs more thinking (which one we really want) and documentation
  either way

* Tue Jan 31 2006 Petr Rockai <prockai@redhat.com> - 1.0-0.beta2.2
- update URL in description
- call dovecot --build-ssl-parameters in postinst as per #179430

* Mon Jan 30 2006 Petr Rockai <prockai@redhat.com> - 1.0-0.beta2.1
- fix spec to work with BUILD_DIR != SOURCE_DIR
- forward-port and split pam-nocred patch

* Mon Jan 23 2006 Petr Rockai <prockai@redhat.com> - 1.0-0.beta2
- new upstream version, hopefully fixes #173928, #163550
- fix #168866, use install -p to install documentation

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sat Nov 12 2005 Tom Lane <tgl@redhat.com> - 0.99.14-10.fc5
- Rebuild due to mysql update.

* Wed Nov  9 2005 Tomas Mraz <tmraz@redhat.com> - 0.99.14-9.fc5
- rebuilt with new openssl

* Fri Sep 30 2005 Tomas Mraz <tmraz@redhat.com> - 0.99.14-8.fc5
- use include instead of pam_stack in pam config

* Wed Jul 27 2005 John Dennis <jdennis@redhat.com> - 0.99.14-7.fc5
- fix bug #150888, log authenication failures with ip address

* Fri Jul 22 2005 John Dennis <jdennis@redhat.com> - 0.99.14-6.fc5
- fix bug #149673, add dummy PAM_TTY

* Thu Apr 28 2005 John Dennis <jdennis@redhat.com> - 0.99.14-5.fc4
- fix bug #156159 insecure location of restart flag file

* Fri Apr 22 2005 John Dennis <jdennis@redhat.com> - 0.99.14-4.fc4
- openssl moved its certs, CA, etc. from /usr/share/ssl to /etc/pki

* Tue Apr 12 2005 Tom Lane <tgl@redhat.com> 0.99.14-3.fc4
- Rebuild for Postgres 8.0.2 (new libpq major version).

* Mon Mar  7 2005 John Dennis <jdennis@redhat.com> 0.99.14-2.fc4
- bump rev for gcc4 build

* Mon Feb 14 2005 John Dennis <jdennis@redhat.com> - 0.99.14-1.fc4
- fix bug #147874, update to 0.99.14 release
  v0.99.14 2005-02-11  Timo Sirainen <tss at iki.fi>
  - Message address fields are now parsed differently, fixing some
    issues with spaces. Affects only clients which use FETCH ENVELOPE
    command.
  - Message MIME parser was somewhat broken with missing MIME boundaries
  - mbox: Don't allow X-UID headers in mails to override the UIDs we
    would otherwise set. Too large values can break some clients and
    cause other trouble.
  - passwd-file userdb wasn't working
  - PAM crashed with 64bit systems
  - non-SSL inetd startup wasn't working
  - If UID FETCH notices and skips an expunged message, don't return
    a NO reply. It's not needed and only makes clients give error
    messages.

* Wed Feb  2 2005 John Dennis <jdennis@redhat.com> - 0.99.13-4.devel
- fix bug #146198, clean up temp kerberos tickets

* Mon Jan 17 2005 John Dennis <jdennis@redhat.com> 0.99.13-3.devel
- fix bug #145214, force mbox_locks to fcntl only
- fix bug #145241, remove prereq on postgres and mysql, allow rpm auto
  dependency generator to pick up client lib dependency if needed.

* Thu Jan 13 2005 John Dennis <jdennis@redhat.com> 0.99.13-2.devel
- make postgres & mysql conditional build
- remove execute bit on migration example scripts so rpm does not pull
  in additional dependences on perl and perl modules that are not present
  in dovecot proper.
- add REDHAT-FAQ.txt to doc directory

* Thu Jan  6 2005 John Dennis <jdennis@redhat.com> 0.99.13-1.devel
- bring up to date with latest upstream, 0.99.13, bug #143707
  also fix bug #14462, bad dovecot-uid macro name

* Thu Jan  6 2005 John Dennis <jdennis@redhat.com> 0.99.11-10.devel
- fix bug #133618, removed LITERAL+ capability from capability string

* Wed Jan  5 2005 John Dennis <jdennis@redhat.com> 0.99.11-9.devel
- fix bug #134325, stop dovecot during installation

* Wed Jan  5 2005 John Dennis <jdennis@redhat.com> 0.99.11-8.devel
- fix bug #129539, dovecot starts too early,
  set chkconfig to 65 35 to match cyrus-imapd
- also delete some old commented out code from SSL certificate creation

* Thu Dec 23 2004 John Dennis <jdennis@redhat.com> 0.99.11-7.devel
- add UW to Dovecot migration documentation and scripts, bug #139954
  fix SSL documentation and scripts, add missing documentation, bug #139276

* Mon Nov 15 2004 Warren Togami <wtogami@redhat.com> 0.99.11-2.FC4.1
- rebuild against MySQL4

* Thu Oct 21 2004 John Dennis <jdennis@redhat.com>
- fix bug #136623
  Change License field from GPL to LGPL to reflect actual license

* Thu Sep 30 2004 John Dennis <jdennis@redhat.com> 0.99.11-1.FC3.3
- fix bug #124786, listen to ipv6 as well as ipv4

* Wed Sep  8 2004 John Dennis <jdennis@redhat.com> 0.99.11-1.FC3.1
- bring up to latest upstream,
  comments from Timo Sirainen <tss at iki.fi> on release v0.99.11 2004-09-04  
  + 127.* and ::1 IP addresses are treated as secured with
    disable_plaintext_auth = yes
  + auth_debug setting for extra authentication debugging
  + Some documentation and error message updates
  + Create PID file in /var/run/dovecot/master.pid
  + home setting is now optional in static userdb
  + Added mail setting to static userdb
  - After APPENDing to selected mailbox Dovecot didn't always notice the
    new mail immediately which broke some clients
  - THREAD and SORT commands crashed with some mails
  - If APPENDed mail ended with CR character, Dovecot aborted the saving
  - Output streams sometimes sent data duplicated and lost part of it.
    This could have caused various strange problems, but looks like in
    practise it rarely caused real problems.

* Wed Aug  4 2004 John Dennis <jdennis@redhat.com>
- change release field separator from comma to dot, bump build number

* Mon Aug  2 2004 John Dennis <jdennis@redhat.com> 0.99.10.9-1,FC3,1
- bring up to date with latest upstream, fixes include:
- LDAP support compiles now with Solaris LDAP library
- IMAP BODY and BODYSTRUCTURE replies were wrong for MIME parts which
  didn't contain Content-Type header.
- MySQL and PostgreSQL auth didn't reconnect if connection was lost
  to SQL server
- Linking fixes for dovecot-auth with some systems
- Last fix for disconnecting client when downloading mail longer than
  30 seconds actually made it never disconnect client. Now it works
  properly: disconnect when client hasn't read _any_ data for 30
  seconds.
- MySQL compiling got broken in last release
- More PostgreSQL reconnection fixing


* Mon Jul 26 2004 John Dennis <jdennis@redhat.com> 0.99.10.7-1,FC3,1
- enable postgres and mySQL in build
- fix configure to look for mysql in alternate locations
- nuke configure script in tar file, recreate from configure.in using autoconf

- bring up to latest upstream, which included:
- Added outlook-pop3-no-nuls workaround to fix Outlook hang in mails with NULs.
- Config file lines can now contain quoted strings ("value ")
- If client didn't finish downloading a single mail in 30 seconds,
  Dovecot closed the connection. This was supposed to work so that
  if client hasn't read data at all in 30 seconds, it's disconnected.
- Maildir: LIST now doesn't skip symlinks


* Wed Jun 30 2004 John Dennis <jdennis@redhat.com>
- bump rev for build
- change rev for FC3 build

* Fri Jun 25 2004 John Dennis <jdennis@redhat.com> - 0.99.10.6-1
- bring up to date with upstream,
  recent change log comments from Timo Sirainen were:
  SHA1 password support using OpenSSL crypto library
  mail_extra_groups setting
  maildir_stat_dirs setting
  Added NAMESPACE capability and command
  Autocreate missing maildirs (instead of crashing)
  Fixed occational crash in maildir synchronization
  Fixed occational assertion crash in ioloop.c
  Fixed FreeBSD compiling issue
  Fixed issues with 64bit Solaris binary

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 27 2004 David Woodhouse <dwmw2@redhat.com> 0.99.10.5-1
- Update to 0.99.10.5 to fix maildir segfaults (#123022)

* Fri May 07 2004 Warren Togami <wtogami@redhat.com> 0.99.10.4-4
- default auth config that is actually usable
- Timo Sirainen (author) suggested functionality fixes
  maildir, imap-fetch-body-section, customflags-fix

* Mon Feb 23 2004 Tim Waugh <twaugh@redhat.com>
- Use ':' instead of '.' as separator for chown.

* Tue Feb 17 2004 Jeremy Katz <katzj@redhat.com> - 0.99.10.4-3
- restart properly if it dies (#115594)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Nov 24 2003 Jeremy Katz <katzj@redhat.com> 0.99.10.4-1
- update to 0.99.10.4

* Mon Oct  6 2003 Jeremy Katz <katzj@redhat.com> 0.99.10-7
- another patch from upstream to fix returning invalid data on partial 
  BODY[part] fetches
- patch to avoid confusion of draft/deleted in indexes

* Tue Sep 23 2003 Jeremy Katz <katzj@redhat.com> 0.99.10-6
- add some patches from upstream (#104288)

* Thu Sep  4 2003 Jeremy Katz <katzj@redhat.com> 0.99.10-5
- fix startup with 2.6 with patch from upstream (#103801)

* Tue Sep  2 2003 Jeremy Katz <katzj@redhat.com> 0.99.10-4
- fix assert in search code (#103383)

* Tue Jul 22 2003 Nalin Dahyabhai <nalin@redhat.com> 0.99.10-3
- rebuild

* Thu Jul 17 2003 Bill Nottingham <notting@redhat.com> 0.99.10-2
- don't run by default

* Thu Jun 26 2003 Jeremy Katz <katzj@redhat.com> 0.99.10-1
- 0.99.10

* Mon Jun 23 2003 Jeremy Katz <katzj@redhat.com> 0.99.10-0.2
- 0.99.10-rc2 (includes ssl detection fix)
- a few tweaks from fedora
  - noreplace the config file
  - configure --with-ldap to get LDAP enabled

* Mon Jun 23 2003 Jeremy Katz <katzj@redhat.com> 0.99.10-0.1
- 0.99.10-rc1
- add fix for ssl detection
- add zlib-devel to BuildRequires
- change pam service name to dovecot
- include pam config

* Thu May  8 2003 Jeremy Katz <katzj@redhat.com> 0.99.9.1-1
- update to 0.99.9.1
- add patch from upstream to fix potential bug when fetching with 
  CR+LF linefeeds
- tweak some things in the initscript and config file noticed by the 
  fedora folks

* Sun Mar 16 2003 Jeremy Katz <katzj@redhat.com> 0.99.8.1-2
- fix ssl dir
- own /var/run/dovecot/login with the correct perms
- fix chmod/chown in post

* Fri Mar 14 2003 Jeremy Katz <katzj@redhat.com> 0.99.8.1-1
- update to 0.99.8.1

* Tue Mar 11 2003 Jeremy Katz <katzj@redhat.com> 0.99.8-2
- add a patch to fix quoting problem from CVS

* Mon Mar 10 2003 Jeremy Katz <katzj@redhat.com> 0.99.8-1
- 0.99.8
- add some buildrequires
- fixup to build with openssl 0.9.7
- now includes a pop3 daemon (off by default)
- clean up description and %%preun
- add dovecot user (uid/gid of 97)
- add some buildrequires
- move the ssl cert to %{_datadir}/ssl/certs
- create a dummy ssl cert in %post
- own /var/run/dovecot
- make the config file a source so we get default mbox locks of fcntl

* Sun Dec  1 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.99.4 and fix startup so it starts imap-master not vsftpd :)

* Tue Nov 26 2002 Seth Vidal <skvidal@phy.duke.edu>
- first build
