# do not include minor version number in MOZILLA_FIVE_HOME
%global ffmajor 33.0
%global geckomajor 33.0
#global ffminor 0
%global ffversion %{ffmajor}%{?ffminor:.%{ffminor}}
%define ffdir %{_libdir}/firefox
%global langpackdir %{ffdir}/langpacks
%define tarballdir mozilla-release

%define firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%define homepage http://vinelinux.org/

%define build_vine7 0
%define build_vine6 0

# current firefox3 doesn't build on Vine Linux 4.x or older.
%if "%{?_dist_release}" == "vl7"
%define build_vine7 1
%define build_vine6 1
%endif
%if "%{?_dist_release}" == "vl6"
%define build_vine6 1
%endif

%define ffrelease 1%{?_dist_release}

%define desktop_file_utils_version 0.6
%define libjpeg_turbo_version 1.1.0
#%define gecko_version %{geckomajor}%{?ffminor:.%{ffminor}}
%define gecko_version %{geckomajor}

ExclusiveArch: i386 i586 i686 x86_64 ia64 ppc

# Separated plugins are supported on x86(64) only
%ifarch %{ix86} x86_64
%define separated_plugins 1
%else
%define separated_plugins 0
%endif

Summary:        Fx Browser
Summary(ja):	Fx ウェブブラウザ
Name:           firefox
Version:        %{ffversion}
Release:        %{ffrelease}
URL:            http://www.mozilla.org/projects/firefox/
License:        MPL/LGPL
Group:          Applications/Internet
Source0:        firefox-%{version}.source.tar.bz2

Source230:       mozconfig-firefox-vine6
Source240:       mozconfig-firefox-vine7

Source11:       firefox-vine-default-bookmarks.html
Source12:       firefox-vine-default-prefs.js
Source21:       firefox.vine.sh.in
Source22:       firefox.png
Source23:       fx-about.png
Source24:       fx-about-wordmark.svg
Source25:       firefox.desktop
Source26:       firefox-safe-mode.desktop
Source30:       firefox.1
Source50:       firefox-xremote-client.sh.in
Source100:      find-external-requires

# locale sources
%define MOZ_BUILD_LOCALES "ja"
Source1000:     firefox-%{ffversion}-langpacks.tar.bz2
Source1010:     firefox-unofficial-branding-fx.tar.bz2
#
Source2000:     firefox-searchplugins-6.0-ja.tar.bz2

# build patches
Patch0:		firefox-26.0-install-dir.patch
# buildfix
Patch3:		firefox-12.0-gcc41-nosse2.patch
Patch4:         firefox-26.0-gcc47.patch

# to build on vine6
Patch5:		firefox-33.0-gcc44.patch

# bugfix
#Patch14:	firefox-5.0-asciidel.patch
# 
Patch15:	firefox-32.0-enable-addons.patch

# patches from fedora
Patch21:        rhbz-911314.patch
Patch22:        rhbz-928353.patch

# upstream patch
#Patch100:        mozilla-837563.patch
Patch101:        mozilla-938730.patch

# customization patches
Patch200:	firefox-1.5-default-a4-paper.patch

## Vine patch
#Patch1000:      firefox-19.0-disable-pdfjs.patch

# vine customization patch
Patch2000:      firefox-24.0-vine.patch


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel, zip
BuildRequires:  libIDL-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	libgnome-devel
BuildRequires:  pango-devel
BuildRequires:	alsa-lib-devel
BuildRequires:  lcms-devel
BuildRequires:  libpng-devel
%if %{build_vine7}
BuildRequires:  libjpeg-turbo-devel >= %{libjpeg_turbo_version}
%endif
BuildRequires:  libnotify-devel
BuildRequires:	libXt-devel
BuildRequires:	libXrender-devel
BuildRequires:  libXScrnSaver-devel
BuildRequires:  startup-notification-devel
BuildRequires:  autoconf213
BuildRequires:  freetype2-devel
BuildRequires:  yasm
BuildRequires:  unzip
BuildRequires:  zip
BuildRequires:  bzip2-devel
%if %{build_vine7}
BuildRequires:  python-devel
BuildRequires:  python
%else
BuildRequires:  python27-devel >= 2.7.3
BuildRequires:  python27 >= 2.7.3
%endif
BuildRequires:  curl-devel
BuildRequires:  wget
# 
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-devel
BuildRequires:  pulseaudio-libs-devel

Requires:       desktop-file-utils >= %{desktop_file_utils_version}

Obsoletes:      phoenix, mozilla-firebird, MozillaFirebird
Obsoletes:      firefox3
Conflicts:	firefox-esr
Provides:       webclient

%if %{build_vine7}
Conflicts:      xulrunner < 17.0.1
%endif

AutoProv: 0
%define _use_internal_dependency_generator 0
%define __find_requires %{SOURCE100}

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
Fx Browser is an open-source web browser based on mozilla technology.
This is unofficial build of firefox browser.

%description -l ja
FX ウェブブラウザは Mozilla テクノロジーをベースとしたオープンソースの
ウェブブラウザです。

#---------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version} -c
cd %{tarballdir}

%patch0 -p1 -b .install-dir

%if "%{?_dist_release}" >= "vl7"
%patch4 -p1 -b .gcc47
%endif

%if "%{?_dist_release}" >= "vl6"
%patch5 -p1 -b .gcc44
%endif

#%patch14 -p1 -b .asciidel
%patch15 -p1 -b .enable-addons

#%patch100 -p1 -b .837563
#%patch101 -p1 -b .938730

%patch200 -p1

#
#patch1000 -p1 -b .disable-pdfjs
%patch2000 -p1 -b .vine

%{__rm} -f .mozconfig

%if %build_vine7
%{__cp} %{SOURCE240} .mozconfig
%else
%{__cp} -f %{SOURCE230} .mozconfig
%endif

%if %build_vine7
%ifarch %ix86
sed -i -e 's/enable-optimize/disable-optimize/g' .mozconfig
%endif
%endif

#echo "ac_add_options --with-libxul-sdk=`pkg-config --variable=sdkdir libxul`" >> .mozconfig

echo "ac_add_options --with-default-mozilla-five-home=%{ffdir}" >> .mozconfig

%if !%{?separated_plugins}
echo "ac_add_options --disable-ipc" >> .mozconfig
%endif


# update searchplugins
%{__tar} xjvf %{SOURCE2000} -C browser/locales/en-US/

# setup unofficial branding logos
%{__tar} xjvf %{SOURCE1010}
%{__cp} %{SOURCE23} browser/branding/unofficial/content/about.png
%{__cp} %{SOURCE24} browser/branding/unofficial/content/about-wordmark.svg
%{__cp} browser/branding/unofficial/locales/en-US/brand.* browser/branding/nightly/locales/en-US/

#---------------------------------------------------------------------

%build
cd %{tarballdir}
autoconf-2.13

MOZ_OPT_FLAGS=$(echo "$RPM_OPT_FLAGS" | \
                %{__sed} -e 's/-Wall//')
export RPM_OPT_FLAGS=$MOZ_OPT_FLAGS
export CFLAGS=$MOZ_OPT_FLAGS
export CXXFLAGS=$MOZ_OPT_FLAGS

export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1
export MOZ_APP_DISPLAYNAME="Fx Browser"

export PREFIX='%{_prefix}'
export LIBDIR='%{_libdir}'

MOZ_SMP_FLAGS=-j1
# On x86 architectures, Mozilla can build up to 4 jobs at once in parallel,
# however builds tend to fail on other arches when building in parallel.
%ifarch %{ix86} x86_64
[ -z "$RPM_BUILD_NCPUS" ] && \
     RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"
[ "$RPM_BUILD_NCPUS" -ge 2 ] && MOZ_SMP_FLAGS=-j2
[ "$RPM_BUILD_NCPUS" -ge 4 ] && MOZ_SMP_FLAGS=-j4
%endif

sed -i 's/\(MOZ_PKG_FATAL_WARNINGS =\).*/\1 0/' \
  browser/installer/Makefile.in &&

# https://bugzilla.mozilla.org/show_bug.cgi?id=824381
mkdir -p js/src/.deps

find security/nss/lib -name "*.def" | while read i
do
  mv $i $i.orig
  grep -v ';-' $i.orig | \
    sed -e 's,;+,,' -e 's; DATA ;;' -e 's,;;,,' -e 's,;.*,;,' > $i
done

export LDFLAGS="-Wl,-rpath,%{ffdir}"
%__make -f client.mk build MOZ_MAKE_FLAGS="$MOZ_SMP_FLAGS"

#---------------------------------------------------------------------

%install
cd %{tarballdir}
%{__rm} -rf $RPM_BUILD_ROOT

# set up our prefs and add it to the package manifest file, so it gets pulled in
# to omni.jar which gets created during make install
%global MOZ_PREF_DIR browser/defaults/preferences
%{__cat} %{SOURCE12} | \
  sed -e 's,FIREFOX_RPM_VR,%{version}-%{release},g' > objdir/dist/bin/%{MOZ_PREF_DIR}/all-vine.js
# This sed call "replaces" firefox.js with all-vine.js, newline, and itself (&)
# having the net effect of prepending all-vine.js above firefox.js
%{__sed} -i -e\
    's|@BINPATH@/browser/@PREF_DIR@/firefox.js|@BINPATH@/browser/@PREF_DIR@/all-vine.js\n&|' \
    browser/installer/package-manifest.in
	
# set up our default bookmarks
%{__install} -p -D -m 664 %{SOURCE11} $RPM_BUILD_ROOT%{ffdir}/browser/defaults/profile/US/bookmarks.html
%{__install} -p -D -m 664 %{SOURCE11} $RPM_BUILD_ROOT%{ffdir}/browser/defaults/profile/bookmarks.html
%{__cp} -p %{SOURCE11} objdir/dist/bin/browser/defaults/profile/bookmarks.html

# Make sure locale works for langpacks
%{__cat} > objdir/dist/bin/%{MOZ_PREF_DIR}/firefox-l10n.js << EOF
pref("general.useragent.locale", "chrome://global/locale/intl.properties");
EOF

export MOZ_APP_DISPLAYNAME="Fx Browser"
%{__make} -C objdir install DESTDIR=$RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_datadir}/applications}

if [ "%{version}" != "%{ffmajor}" ]; then
  if [ -d "$RPM_BUILD_ROOT%{_libdir}/firefox-%{version}" ]; then
    %{__mv} $RPM_BUILD_ROOT%{_libdir}/firefox-%{version} $RPM_BUILD_ROOT%{ffdir}
  fi
fi

# install icons
%{__install} -p -D %{SOURCE22} $RPM_BUILD_ROOT%{_datadir}/pixmaps/firefox.png

for desktopfiles in %{SOURCE25} %{SOURCE26}
do
  desktop-file-install --vendor vine \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category Application \
    --add-category Network \
    $desktopfiles
done

# set up the firefox start script
%{__rm} -rf $RPM_BUILD_ROOT%{_bindir}/firefox
XULRUNNER_DIR=`pkg-config --variable=libdir libxul | %{__sed} -e "s,%{_libdir},,g"`
%{__cat} %{SOURCE21} | %{__sed} -e "s,XULRUNNER_DIRECTORY,$XULRUNNER_DIR,g" > \
  $RPM_BUILD_ROOT%{_bindir}/firefox
%{__chmod} 755 $RPM_BUILD_ROOT%{_bindir}/firefox

%{__cat} %{SOURCE50} | sed -e 's,FFDIR,%{ffdir},g' -e 's,LIBDIR,%{_libdir},g' > \
  $RPM_BUILD_ROOT%{ffdir}/firefox-xremote-client

# Remove binary stub from xulrunner
#%{__rm} -rf $RPM_BUILD_ROOT/%{ffdir}/firefox

#%{__chmod} 755 $RPM_BUILD_ROOT%{ffdir}/firefox-xremote-client
%{__install} -p -D -m 664 %{SOURCE30} $RPM_BUILD_ROOT%{_mandir}/man1/firefox.1

%{__rm} -f $RPM_BUILD_ROOT%{ffdir}/firefox-config

cd $RPM_BUILD_ROOT%{ffdir}/chrome
find . -maxdepth 1 -mindepth 1 -name "*" -type d -exec %{__rm} -rf {} \;
cd -


echo > ../%{name}.lang
# Extract langpacks, make any mods needed, repack the langpack, and install it.
%{__mkdir_p} $RPM_BUILD_ROOT%{langpackdir}
%{__tar} xf %{SOURCE1000}
for langpack in `ls firefox-langpacks/*.xpi`; do
  language=`basename $langpack .xpi`
  extensionID=langpack-$language@firefox.mozilla.org
  %{__mkdir_p} $extensionID
  unzip $langpack -d $extensionID
  find $extensionID -type f | xargs chmod 644

  sed -i -e "s|browser.startup.homepage.*$|browser.startup.homepage=%{homepage}|g;" \
     $extensionID/browser/chrome/$language/locale/branding/browserconfig.properties

  sed -i \
     -e "s|Mozilla Firefox|Fx ウェブブラウザ|g" \
     -e "s|Firefox|Fx ウェブブラウザ|g" \
     -e "s|Mozilla|Project Vine|g" \
     -e 's|\(.*trademarkInfo.part1.*"\).*">|\1Vine Linux および Vine Linux ロゴは Project Vine および有限会社ヴァインカーブの日本およびその他の国における商標です。">|g' \
     $extensionID/browser/chrome/$language/locale/branding/brand.*

  cd $extensionID
  zip -r9mX ../${extensionID}.xpi *
  cd -

  %{__install} -m 644 ${extensionID}.xpi $RPM_BUILD_ROOT%{langpackdir}
  language=`echo $language | sed -e 's/-/_/g'`
  echo "%%lang($language) %{langpackdir}/${extensionID}.xpi" >> ../%{name}.lang
done
%{__rm} -rf firefox-langpacks

# Keep compatibility with the old preference location 
%{__mkdir_p} $RPM_BUILD_ROOT/%{ffdir}/defaults/preferences
%{__mkdir_p} $RPM_BUILD_ROOT/%{ffdir}/browser/defaults
ln -s %{ffdir}/defaults/preferences $RPM_BUILD_ROOT/%{ffdir}/browser/defaults/pref


# System extensions
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/mozilla/extensions/%{firefox_app_id}
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/mozilla/extensions/%{firefox_app_id}

# Copy over the LICENSE
%{__install} -p -c -m 644 LICENSE $RPM_BUILD_ROOT/%{ffdir}

# another bug fixed by looking at the debian package
%{__mkdir_p} $RPM_BUILD_ROOT%{ffdir}/chrome/icons/default/
for i in default16.png default32.png default48.png
do
  %{__cp} -f browser/branding/unofficial/$i $RPM_BUILD_ROOT%{ffdir}/browser/chrome/icons/default/
done
for i in default16.png default32.png default48.png background.png \
         mozicon128.png document.ico firefox.ico
do
  %{__cp} -f browser/branding/unofficial/$i $RPM_BUILD_ROOT%{ffdir}/browser/icons/
done

		
# own mozilla plugin dir (#135050)
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins


# cleanup unpackaged files
%{__rm} -rf $RPM_BUILD_ROOT%{_includedir}/*
%{__rm} -rf $RPM_BUILD_ROOT%{_libdir}/%{name}-devel-*
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/idl


#---------------------------------------------------------------------

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%post
update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
update-desktop-database %{_datadir}/applications>& /dev/null ||:
umask 022

%preun
# is it a final removal?
if [ $1 -eq 0 ]; then
  %{__rm} -rf %{ffdir}/components
  %{__rm} -rf %{ffdir}/extensions
  %{__rm} -rf %{ffdir}/plugins
  %{__rm} -rf %{langpackdir}
fi

%files
%defattr(-,root,root,-)
%{_bindir}/firefox
%{_mandir}/man1/*
%{_datadir}/applications/vine-%{name}.desktop
%{_datadir}/applications/vine-%{name}-safe-mode.desktop
%{_datadir}/pixmaps/firefox.png
%{ffdir}
%{_libdir}/mozilla

#---------------------------------------------------------------------

%changelog
* Tue Oct 14 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 33.0-1
- update to 33.0

* Wed Oct 01 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 32.0.3-2
- update firefox-vine-default-prefs.js
  - remove intl.accept_languages

* Thu Sep 25 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 32.0.3-1
- update to 32.0.3

* Sun Sep 07 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 32.0-2
- update mozconfig
  - sync vine6/7 config
  - build with internal jpeg on vine6
  - disable optimize on i686

* Thu Sep 04 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 32.0-1
- update to 32.0

* Wed Jul 23 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 31.0-1
- update to 31.0

* Wed Jun 11 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 30.0-1
- update to 30.0

* Thu May 15 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 29.0.1-1
- update to 29.0.1

* Wed Apr 30 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 29.0-1
- update to 29.0

* Thu Mar 20 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 28.0-1
- update to 28.0

* Sun Feb 16 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 27.0.1-1
- update to 27.0.1

* Mon Feb 10 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 27.0-1
- update to 27.0
- enable gstreamer/pulseaudio on Vine Linux 6

* Fri Dec 13 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 26.0-2
- add patch100,101 from upstream

* Wed Dec 11 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 26.0-1
- update to 26.0

* Sun Nov 17 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 25.0.1-1
- update to 25.0.1

* Tue Oct 29 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 25.0-1
- update to 25.0

* Wed Oct 23 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 24.0-3
- set media.gstreamer.enabled true  by default.

* Fri Oct 18 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 24.0-2
- enable gstreamer and pulseaudio on Vine7

* Tue Sep 17 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 24.0-1
- update to 24.0
- update searchplugins
- add BR: gstreamer-devel, gstreamer-plugins-devel

* Wed Aug 07 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 23.0-2
- fix vine customize patch
- update unofficial logos

* Tue Aug 06 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 23.0-1
- update to 23.0

* Thu Jun 27 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 22.0-1
- update to 22.0

* Mon May 20 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 21.0-2
- disable helth reporting by default.
- fix to install Vine's default settings

* Sun May 19 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 21.0-1
- update to 21.0
- enable pdfjs
- build with python27 on Vine6

* Thu Apr 18 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 20.0.1-2
- remove patch22

* Mon Apr 15 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 20.0.1-1
- update to 20.0.1
- build with internal nss/nspr

* Fri Mar 29 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 19.0.2-3
- add BR: curl-devel

* Sun Mar 24 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 19.0.2-2
- add Patch16 to fix mozbz#239254 (fixed in upstream)

* Fri Mar 08 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 19.0.2-1
- update to 19.0.2
- disable shared-js on Vine Linux 6

* Wed Feb 20 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 19.0-1
- update to 19.0
- add Patch1000 to disable pdf.js feature for now.
  - pdf.js is not ready to use for CJK.

* Sat Jan 19 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 18.0.1-1
- update to 18.0.1

* Wed Jan 09 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 18.0-1
- update to 18.0

* Wed Nov 21 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 17.0-1
- update to 17.0

* Sun Oct 28 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 16.0.2-1
- update to 16.0.2

* Fri Oct 12 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 16.0.1-1
- update to 16.0.1

* Tue Oct 09 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 16.0-1
- update to 16.0

* Tue Oct 09 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 15.0.1-3
- dont use separated plugins on Vine6
- use --enable-optimize instead of --enable-optimize="\$RPM_OPT_FLAGS"

* Mon Oct 08 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 15.0.1-2
- add workaround to build with internal nss library

* Sat Oct 06 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 15.0.1-1
- update to 15.0.1
- add BR: python-devel
- build with external nss/nspr on Vine7

* Tue Jul 17 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 14.0.1-2
- update search plugins

* Tue Jul 17 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 14.0.1-1
- update to 14.0.1
- build with internal nss/nspr

* Sat Jun 16 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 13.0.1-1
- update to 13.0.1

* Wed Jun 06 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 13.0-1
- update to 13.0

* Sun May 20 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 12.0-3
- add patch2 to fix build failure with gcc-4.1 (vine5)

* Mon May 07 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 12.0-2
- use internal nspr on Vine Linux 6
- add patch2 to fix build failure with gcc-4.4

* Wed Apr 25 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 12.0-1
- update to 12.0
- add patch1 to fix build failure with system cairo

* Fri Feb 17 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 10.0.2-1
- update to 10.0.2

* Mon Feb 13 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 10.0.1-1
- update to 10.0.1

* Wed Feb 01 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 10.0-1
- update to 10.0
- use internal libvpx

* Thu Jan 26 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 9.0.1-4
- add AutoProv: no

* Thu Dec 29 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 9.0.1-3
- update mozconfig-firefox-vine5,6,7
- fix spec to build in parallel

* Thu Dec 22 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 9.0.1-2
- update mozconfig
  - build with internal nss on Vine6

* Thu Dec 22 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 9.0.1-1
- update to 9.0.1

* Wed Dec 21 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 9.0-1
- update to 9.0
- build with nss-3.13.1

* Tue Nov 22 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.0.1-1
- update to 8.0.1

* Fri Nov 18 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 8.0-1
- update to 8.0
- remove version number from MOZ_DIST_BIN
  - /usr/lib*/firefox-8.0 -> /usr/lib*/firefox

* Fri Sep 30 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 7.0.1-1
- update to 7.0.1

* Wed Sep 28 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 7.0-1
- update to 7.0

* Tue Sep 06 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 6.0.2-1
- update to 6.0.2

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.0-2
- rebuild with libnotify-0.7

* Sun Aug 14 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 6.0-1
- update to 6.0

* Tue Jul 12 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 5.0.1-1
- update to 5.0.1

* Thu Jul 07 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 5.0-1
- update to 5.0
- do not build with external xulrunner
  - remove BR: gecko-devel, R: gecko-libs
- add BR: alsa-lib-devel, lcms-devel, libvpx-devel, libpng-devel,
  sqlite3-devel, zip

* Mon May 23 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.1-1
- update to 4.0.1
- remove MimeType from firefox-safe-mode.desktop
- add BR: yasm, unzip

* Thu Mar 31 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0-2
- add "--disable-ipc" on non-x86 architecture
- update parallel build option
  - mozilla can build up to 4 jobs in parallel on x86
- disable C++ exceptions since mozilla code is not exception-safe

* Wed Mar 30 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0-1
- update to 4.0
- BR: libjpeg-turbo-devel >= 1.1.0
- BR: nspr-devel >= 4.8.7
- BR: nss-devel >= 3.12.9
- BR: cairo-devel >= 1.10.2-2
- use langpacks.xpi instead of l10n source
- update firefox startup script

* Thu Mar 10 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.15-1
- update to 3.6.15

* Wed Mar 02 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.14-1
- update to 3.6.14

* Sat Jan 08 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.13-1
- update to 3.6.13

* Thu Oct 21 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.11-1
- update to 3.6.11

* Tue Sep 14 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.9-1
- update to 3.6.9

* Mon Jul 26 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.8-1
- update to 3.6.8

* Wed Jul 21 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.7-1
- update to 3.6.7

* Wed Jun 23 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.4-1
- update to 3.6.4

* Sat Apr 03 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.3-1
- update to 3.6.3

* Fri Apr 02 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6.2-1
- update to 3.6.2

* Thu Jan 21 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6-2
- remove version number from browsername.
- rebuild with xulrunner-1.9.2-3

* Thu Jan 21 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.6-1
- update to 3.6

* Sat Jan 09 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.7-2
- update desktop files

* Fri Jan 08 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.7-1
- new upstream release
- move to unofficial build from community build.
  - change about dialog.

* Sat Nov 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.5-1
- new upstream release

* Sat Aug 08 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.2-3
- rebuild again with xulrunner-1.9.1.2-2

* Fri Aug 07 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.2-2
- rebuild with xulrunner-1.9.1.2-2

* Wed Aug 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.2-1
- new upstream release

* Fri Jul 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.1-2
- remove MimeType entry from firefox-safe-mode.desktop (<BTS:0735>)
- add default{32,48}.png to %%{ffdir}/chrome/icons/default (<BTS:0733>)

* Sun Jul 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5.1-1
- new upstream release
- add BR: libXt-devel, startup-notification-devel

* Wed Jul 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5-3
- enable-system-cairo

* Tue Jun 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5-2
- add Patch3010 to fix releasenotes urls

* Tue Jun 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5-1
- update to firefox 3.5 release

* Tue Jun 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.5-0.1.rc3
- update to firefox-3.5rc3

* Fri Jun 12 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.11-1
- new upstream release

* Wed May 06 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.10-4
- rebuild to fix broken package..

* Tue May 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.10-3
- add Obsoletes: firefox3

* Tue Apr 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.10-2
- new upstream release

* Sun Apr 26 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.9-2
- build with gecko-libs (xulrunner)
- update firefox startup script (/usr/bin/firefox)

* Wed Apr 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.9-1
- new upstream release
- build with nspr-4.7.4, nss-3.12.3
- set FLASH_FORCE_PULSEAUDIO if PA server is running.

* Sat Mar 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.8-1
- new upstream release
- update default bookmarks

* Thu Mar 05 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.7-1
- new upstream release

* Mon Feb 16 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.6-2
- modify mozconfig
  - remove --enable-xft
  - remove --enable-system-cairo, add --disable-system-cairo

* Wed Feb 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.6-1
- new upstream release

* Sat Dec 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.5-1
- new upstream release

* Sat Nov 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.4-1
- new upstream release

* Thu Oct 02 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.3-2
- add Patch30 to remove EULA

* Sat Sep 27 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.3-1
- new upstream release

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.2-2
- disable dbus.

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.2-1
- new upstream release

* Thu Jul 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.1-1
- new upstream release

* Wed Jul 02 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-2
- rebuild with nss-3.12, nspr-4.7.1
- use unofficial branding
- change brand*Name to "Firefox Community Edition - Gran Paradiso"

* Sun Jun 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0-1
- new upstream release

* Sat Apr 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.0.14-1
- new upstream release

* Wed Mar 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.13-1
- new upstream release

* Tue Feb 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.12-0vl3
- new upstream release

* Sat Dec 01 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.11-0vl3
- new upstream release

* Tue Nov 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.10-0vl3
- new upstream release

* Fri Oct 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.9-0vl3
- new upstream release

* Fri Oct 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.8-0vl3
- new upstream release
- build with nspr-4.6.7
- update default bookmarks

* Tue Jul 31 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.6-0vl3
- new upstream release

* Thu Jul 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.5-0vl3
- new upstream release

* Tue Jun 12 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.4-0vl9
- fix pkgconfig file for x86_64 [VineSeed-x86_64:00333]
- require ns{pr,s}-devel instead of ns{pr,s} for firefox-devel

* Sat Jun 02 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.4-0vl6
- fix exclude condition of firefox-{nss,nspr}.pc (<BTS:532>)

* Thu May 31 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.4-0vl3
- update to firefox-2.0.0.4
- remove Patch1020 which is merged in upstream

* Sun May 20 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.0.3-0vl5
- added Patch1020 for workaround gcc visibility hidden bugs

* Sat May 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.3-0vl4
- add build options to build with external nss/nspr libraries
    ac_add_options --with-system-nspr
    ac_add_options --with-system-nss
- remove firefox-{nspr,nss}.pc from %%files devel

* Fri May 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.3-0vl3
- rebuild with new environment/toolchain
- update ja locale

* Wed Mar 21 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.3-0vl2
- new upstream release

* Sat Feb 24 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.2-0vl2
- new upstream release

* Sat Jan 27 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.1-0vl6
- remove typeaheadfind and venkman extention.

* Fri Jan 26 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.1-0vl4
- add build options for FireBug (<BTS:wishes:9>)
  --enable-jsd, --enable-extention=default,typeaheadfind,venkman

* Thu Dec 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0.1-0vl2
- update to firefox-2.0.0.1

* Mon Nov 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl6
- add Patch10 to fix Bug358798
- fix idl install path (<BTS:401>)

* Sat Oct 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl4
- update vine default settings
  - use Firefox for UA string instead of BonEcho
  - add vendor/vendorSub to UA string
  - disable spell check by default
  - enable smooth scroll by default

* Tue Oct 24 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl2
- update to firefox-2.0 final

* Mon Oct 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0-0vl0.rc3
- update to firefox-2.0rc3
- drop unneeded patches.

* Mon Oct 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.7-0vl4
- change Summary, desktopfiles
  - use Firefox Community Edition, instead of Firefox.

* Fri Sep 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.7-0vl2
- new upstream release

* Thu Aug 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.6-0vl2
- new upstream release
- -safe-mode option (VinePlus:03026)
  - add Patch1010
    - add -safe-mode option in Usage(--help).
  - add firefox-safe-mode.desktop

* Wed Jul 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.5-0vl2
- new upstream release
- update default bookmarks

* Tue Jun 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.4-0vl4
- copy nss headers

* Fri Jun 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.4-0vl2
- new upstream release

* Wed May 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.3-0vl2
- new upstream release

* Fri Apr 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.2-0vl4
- use firefox-1.5 for MOZILLA_FIVE_HOME instead of firefox-1.5.0.2
  - applications using gtkmozembed of firefox become unaffected to
    firefox's minor version changes.

* Fri Apr 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.2-0vl2
- new upstream release

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.1-0vl6
- clean up spec file ( remove unneeded %%ghost file ... )

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.1-0vl4
- fix missing default theme in theme changer

* Thu Mar 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.1-0vl3
- add upstream patches (100,101,102)
- update default bookmarks
- build en-US locale
- disable pango rendering by default
  (workaround fix slow rendering in some page)

* Thu Feb 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.0.1-0vl2
- new upstream release

* Thu Jan 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl4
- fix libnssckbi broken symlink problem (BUG:8)

* Thu Dec 29 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl3
- add devel subpackage for gtkembedmoz

* Thu Dec 29 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl2
- re-enable ja locale
- fix crash bug with COMPOSITE enabled X server
  - add patch to /usr/bin/firefox

* Wed Nov 30 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5-0vl1
- new upstream release

* Sat Sep 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.7-0vl2
- update to firefox-1.0.7

* Tue Sep 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-0vl10
- modified mozconfig to use RPM_OPT_FLAGS

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-0vl8
- add Patch110 to fix crash with gtk-2.7 (fixed in upstream)

* Thu Aug 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-0vl6
- rebuild with pango-1.9.1
- add pango-cairo patch

* Sat Jul 23 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-0vl4
- update Patch25 to enable extension update feature
  (disabled in preferences by default)

* Wed Jul 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.6-0vl2
- new upstream release

* Thu Jul 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.5-0vl2
- new upstream release

* Sat May 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-0vl6
- add more pango rendering patch from FC-devel.
- add IM candidate window position patch.

* Fri May 13 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-0vl4
- fix wrong condition branching in spec file.

* Fri May 13 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.4-0vl2
- new upstream release
- drop obsolete patch{103,104}

* Sat Apr 16 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.3-0vl1
- new upstream release

* Mon Mar 28 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.2-0vl1
- new upstream release

* Tue Mar 15 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl6
- clean up spec file
  - drop own pixmap file (use included one)
  - fix up file permissions

* Tue Mar 15 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl4
- remove "new-window" option from openurl in /usr/bin/firefox

* Tue Mar 15 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl2
- readd patch31,32 for pango rendering fix.

* Mon Mar 14 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl0
- rebuild for Vine Linux 3.1 (VinePlus)

* Mon Mar 07 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-0vl1
- new upstream release
- merge some patches from fedora
- include ja-JP langpack only.
- add Japanese translation for mozilla-firefox.desktop
- disable gnomeui, gnomestripe patch
- disable mozilla official branding.

* Mon Jan 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl1
- initial build for Vine Linux
- based on fedora package, add Vine patch from Mozilla package.

* Tue Dec 28 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-8
- Add upstream langpacks

* Sat Dec 25 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-7
- Make sure we get a URL passed in to firefox (#138861)
- Mark some generated files as ghost (#136015)

* Wed Dec 15 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-6
- Don't have downloads "disappear" when downloading to desktop (#139015)
- Add RPM version to the useragent
- BuildRequires pango-devel

* Sat Dec 11 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-5
- Fix spacing in textareas when using pango for rendering
- Enable pango rendering by default.
- Enable smooth scrolling by default

* Fri Dec  3 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-4
- Add StartupWMClass patch from Damian Christey (#135830)
- Use system colors by default (#137810)
- Re-add s390(x)

* Sat Nov 20 2004 Christopher Blizzard <blizzard@redhat.com> 0:1.0-3
- Add patch that uses pango for selection.

* Fri Nov 12 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-2
- Fix livemarks icon issue. (#138989)

* Mon Nov  8 2004 Christopher Aillon <caillon@redhat.com> 0:1.0-1
- Firefox 1.0

* Thu Nov  4 2004 Christopher Aillon <caillon@redhat.com> 0:0.99-1.0RC1.3
- Add support for GNOME stock icons. (bmo #233461)

* Sat Oct 30 2004 Warren Togami <wtogami@redhat.com> 0:0.99-1.0RC1.2
- #136330 BR freetype-devel with conditions
- #135050 firefox should own mozilla plugin dir

* Sat Oct 30 2004 Christopher Aillon <caillon@redhat.com> 0:0.99-1.0RC1.1
- Update to firefox-rc1
- Add patch for s390(x)

* Tue Oct 26 2004 Christopher Aillon <caillon@redhat.com>
- Fix LD_LIBRARY_PATH at startup (Steve Knodle)

* Fri Oct 22 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.21
- Prevent inlining of stack direction detection (#135255)

* Tue Oct 19 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.20
- More file chooser fixes:
    Pop up a confirmation dialog before overwriting files (#134648)
    Allow saving as complete once again
- Fix for upstream 263263.

* Tue Oct 19 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.18
- Fix for upstream 262689.

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com 0:0.10.1-1.0PR1.16
- Update pango patch to one that defaults to off

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com> 0:0.10.1-1.0PR1.15
- Fix problem where default apps aren't showing up in the download
  dialog (#136261)
- Fix default height being larger than the available area, cherry picked
  from upstream

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com> 0:0.10.1-1.0PR1.13
- Actually turn on pango in the mozconfig

* Sat Oct 16 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.12
- Disable the default application checks. (#133713)
- Disable the software update feature. (#136017)

* Wed Oct 13 2004 Christopher Blizzard <blizzard@redhat.com>
- Use pango for rendering

* Tue Oct 12 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.10
- Fix for 64 bit crash at startup (b.m.o #256603)

* Fri Oct  8 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.9
- Fix compile issues (#134914)
- Add patch to fix button focus issues (#133507)
- Add patches to fix tab focus stealing issue (b.m.o #124750)

* Fri Oct  1 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.1-1.0PR1.8
- Update to 0.10.1
- Fix tab switching keybindings (#133504)

* Fri Oct  1 2004 Bill Nottingham <notting@redhat.com> 0:0.10.0-1.0PR1.7
- filter out library Provides: and internal Requires:

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.6
- Prereq desktop-file-utils >= 0.9

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.5
- Add clipboard access prevention patch.

* Wed Sep 29 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.4
- Add the xul mime type to the .desktop file

* Tue Sep 28 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.3
- Backport the GTK+ file chooser.
- Update desktop database after uninstall.

* Mon Sep 27 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.2
- Change the vendor to mozilla not fedora
- Build with --disable-strip so debuginfo packages work (#133738)
- Add pkgconfig patch (bmo #261090)

* Fri Sep 24 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.1
- Add a BR for desktop-file-utils
- Update default configuration options to use the firefox mozconfig (#132916)
- Use Red Hat bookmarks (#133262)
- Update default homepage (#132721)
- Fix JS math on AMD64 (#133226)
- Build with MOZILLA_OFICIAL (#132917)

* Tue Sep 14 2004 Christopher Aillon <caillon@redhat.com> 0:0.10.0-1.0PR1.0
- Update to 1.0PR1
- Update man page references to say Firefox instead of Firebird
- Remove gcc34 and extensions patch; they are now upstream
- Update desktop database
- Minor tweaks to the .desktop file

* Fri Sep 03 2004 Christopher Aillon <caillon@redhat.com> 0:0.9.3-8
- Fixup .desktop entry Name, GenericName, and Comment (#131602)
- Add MimeType desktop entry (patch from jrb@redhat.com)
- Build with --disable-xprint

* Tue Aug 31 2004 Warren Togami <wtogami@redhat.com> 0:0.9.3-7
- rawhide import
- fedora.us #1765 NetBSD's freetype 2.1.8 compat patch

* Sun Aug 29 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.6
- and mng support is disabled again as it seams that there is
  no real mng support in the code

* Sat Aug 28 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.5
- remove ldconfig from scriptlets (bug #1846 comment #40)
- reenabled mng support (bug #1971)
- removed --enable-strip to let rpm to the stripping (bug #1971)
- honor system settings in firefox.sh (bug #1971)
- setting umask 022 in scriptlets (bug #1962)

* Sat Aug 07 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.4
- copy the icon to the right place(TM)

* Fri Aug 06 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.3
- readded the xpm removed in 0:0.9.2-0.fdr.5

* Thu Aug 05 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.2
- added mozilla-1.7-psfonts.patch from rawhide mozilla

* Thu Aug 05 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.1
- updated to 0.9.3
- removed following from .mozconfig:
    ac_add_options --with-system-mng
    ac_add_options --enable-xprint
    ac_add_options --disable-dtd-debug
    ac_add_options --disable-freetype2
    ac_add_options --enable-strip-libs
    ac_add_options --enable-reorder
    ac_add_options --enable-mathml
    ac_add_options --without-system-nspr

* Tue Aug 03 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.5
- applied parts of the patch from Matthias Saou (bug #1846)
- delete empty directories in %%{ffdir}/chrome
- more cosmetic changes to the spec file

* Wed Jul 14 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.4
- mozilla-default-plugin-less-annoying.patch readded

* Tue Jul 13 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.3
- added krb5-devel as build requirement

* Tue Jul 13 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.2
- added patch from bugzilla.mozilla.org (bug #247846)
- removed Xvfb hack

* Fri Jul 09 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.1
- updated to 0.9.2

* Mon Jul 05 2004 Warren Togami <wtogami@redhat.com> 0:0.9.1-0.fdr.3
- mharris suggestion for backwards compatibilty with Xvfb hack

* Tue Jun 29 2004 Adrian Reber <adrian@lisas.de> 0:0.9.1-0.fdr.2
- added massive hack from the debian package to create the
  extension directory

* Tue Jun 29 2004 Adrian Reber <adrian@lisas.de> 0:0.9.1-0.fdr.1
- updated to 0.9.1

* Thu Jun 17 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.4
- remove extensions patch
- add post hack to create extensions
- enable negotiateauth extension
- copy icon to browser/app/default.xpm
- --enable-official-branding

* Thu Jun 17 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.3
- extensions patch

* Wed Jun 16 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.2
- added gnome-vfs2-devel as BuildRequires
- added gcc-3.4 patch 

* Wed Jun 16 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.1
- updated to 0.9
- dropped x86_64 patches
- dropped xremote patches

* Wed May 26 2004 Adrian Reber <adrian@lisas.de> 0:0.8-0.fdr.13
- remove unused files: mozilla-config

* Sun May 23 2004 David Hill <djh[at]ii.net> 0:0.8-0.fdr.12
- update mozconfig (fixes bug #1443)
- installation directory includes version number

* Mon May 10 2004 Justin M. Forbes <64bit_fedora@comcast.net> 0:0.8-0.fdr.11
- merge x86_64 release 10 with fedora.us release 10 bump release to 11

* Mon Apr 19 2004 Justin M. Forbes <64bit_fedora@comcast.net> 0:0.8-0.fdr.10
- rebuild for FC2
- change Source71 to properly replace Source7 for maintainability

* Sun Apr 18 2004 Warren Togami <wtogami@redhat.com> 0:0.8-0.fdr.10
- 3rd xremote patch
- test -Os rather than -O2

* Sun Apr 18 2004 Gene Czarcinski <gene@czarc.net>
- more x86_64 fixes
- fix firefix-xremote-client for x86_64 (similar to what is done for
  firefox.sh.in)

* Sat Apr 03 2004 Warren Togami <wtogami@redhat.com> 0:0.8-0.fdr.9
- xremote patch for thunderbird integration #1113
- back out ugly hack from /usr/bin/firefox
- correct default bookmarks

* Wed Feb 25 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.7
- readded the new firefox icons

* Sat Feb 21 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.6
- removed new firefox icons

* Wed Feb 18 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.5
- nothing

* Thu Feb 12 2004 Gene Czarcinski <czar@acm.org>
- update for x86_64 ... usr mozilla-1.6 patches
- change "firefox-i*" to "firefox-*" in above stuff

* Tue Feb 10 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.4
- another icon changed

* Tue Feb 10 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.3
- startup script modified

* Mon Feb 09 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.2
- new firefox icon
- more s/firebird/firefox/

* Mon Feb 09 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.1
- new version: 0.8
- new name: firefox

* Sun Oct 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.7-0.fdr.2
- s/0.6.1/0.7/
- changed user-app-dir back to .phoenix as .mozilla-firebird
  is not working as expected
- manpage now also available as MozillaFirebird.1

* Thu Oct 16 2003 Adrian Reber <adrian@lisas.de> - 0:0.7-0.fdr.1
- updated to 0.7
- provides webclient
- run regxpcom and regchrome after installation and removal
- added a man page from the debian package
- changed user-app-dir from .phoenix to .mozilla-firebird

* Tue Jul 29 2003 Adrian Reber <adrian@lisas.de> - 0:0.6.1-0.fdr.2
- now with mozilla-default-plugin-less-annoying.patch; see bug #586

* Tue Jul 29 2003 Adrian Reber <adrian@lisas.de> - 0:0.6.1-0.fdr.1
- updated to 0.6.1
- changed buildrequires for XFree86-devel from 0:4.3.0 to 0:4.2.1 
  it should now also build on RH80

* Sun Jul 13 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.5.rh90
- enabled the type ahead extension: bug #484

* Sun Jul 13 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.4.rh90
- renamed it again back to MozillaFirbird
- added libmng-devel to BuildRequires
- startup homepage is now www.fedora.us
- improved the startup script to use the unix remote protocol 
  to open a new window

* Mon May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.3.rh90
- new icon from http://iconpacks.mozdev.org/phoenix/iconshots/flame48true.png
- now using gtk2 as toolkit
- renamed again back to mozilla-firebird (I like it better)
- Provides: MozillaFirebird for compatibility with previous releases
- changed default bookmarks.html to contain links to www.fedora.us

* Mon May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.2.rh90
- renamed package to MozillaFirebird and all files with the old name
- enabled mng, mathml, xinerama support
- now honouring RPM_OPT_FLAGS

* Mon May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.1.rh90
- updated to 0.6

* Thu May 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.1.cvs20030501.rh90
- Updated to CVS.
- Renamed to mozilla-firebird.

* Sat Apr 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.3.cvs20030409.rh90
- Updated to CVS.
- Removed hard-coded library path.

* Sat Apr 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.3.cvs20030402.rh90
- Changed Prereq to Requires.
- Changed BuildRequires to gtk+-devel (instead of file).
- Recompressed source with bzip2.
- Removed post.

* Wed Apr 02 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.2.cvs20030402.rh90
- Added desktop-file-utils to BuildRequires.
- Changed category to X-Fedora-Extra.
- Updated to CVS.

* Sun Mar 30 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.2.cvs20030328.rh90
- Added Epoch:0.
- Added libgtk-1.2.so.0 to the BuildRequires

* Fri Mar 28 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030328.rh90
- Updated to latest CVS.
- Moved phoenix startup script into its own file

* Wed Mar 26 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030326.rh90
- Updated to latest CVS.
- Changed release to 9 vs 8.1.
- Added cvs script.
- added encoding to desktop file.

* Sun Mar 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030323.rh81
- Updated to latest CVS.
- added release specification XFree86-devel Build Requirement.
- changed chmod to %attr

* Fri Mar 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030317.rh81
- Fixed naming scheme.
- Fixed .desktop file.

* Mon Mar 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030317.1
- Updated to CVS.

* Fri Mar 14 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030313.2
- General Tweaking.

* Thu Mar 13 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030313.1
- Updated CVS.
- Modified mozconfig.

* Sun Mar 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030309.1
- Initial RPM release.
