Name:		flac
Summary:	FLAC - Free Lossless Audio Codec
Summary(ja):	FLAC - フリーの可逆音声圧縮コーデック
Version:	1.3.0
Release:	1%{?_dist_release}

Group:		Applications/Multimedia
License:        BSD and GPLv2+
URL:		http://flac.sourceforge.net/

Source:	http://prdownloads.sourceforge.net/flac/%{name}-%{version}%{?extraver:-%extraver}.tar.xz

Patch1: flac-metaflac_strcat.patch
Patch2: flac-no_rice_asm.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libogg-devel
BuildRequires: automake autoconf libtool gettext-devel
%ifarch %ix86
# 2.0 supports symbol visibility
BuildRequires:	nasm >= 2.0
%endif

Vendor:		Project Vine
Distribution:	Vine Linux

%description
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
similar to MP3, but lossless.

The FLAC project consists of:

  * the stream format
  * libFLAC  - reference encoders and decoders in library form
  * flac     - a command-line program to encode and decode FLAC files
  * metaflac - a command-line metadata editor for FLAC files

%description -l ja
FLAC (Free Lossless Audio Codec) はフリーの可逆音声圧縮コーデックです。
MP3 に似ていますが、音質が劣化しません。

FLAC プロジェクトは以下により構成されています。

  * ストリーム形式
  * libFLAC  - リファレンスエンコーダ/デコーダを実装するライブラリ
  * flac     - FLAC ファイルのエンコード/デコードに使用するコマンドライン版
               プログラム。
  * metaflac - FLAC ファイルのコマンドライン版メタデータエディタ

%package devel
Summary:	Development libraries and header files from FLAC
Summary(ja):	FLAC アプリケーション開発用ライブラリ及びヘッダファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	pkgconfig

%description devel
This package contains all the files needed to develop applications that
will use the Free Lossless Audio Codec (FLAC).

%description -l ja devel
このパッケージには FLAC (Free Lossless Audio Codec) を扱うアプリケーションを
開発するために必要なライブラリ及びヘッダファイルが含まれています。


%prep
%define srcver %{version}%{?extraver:-%extraver}

%setup -q -n %{name}-%{srcver}
%patch1 -p1 -b .metaflac-strcat
%patch2 -p1 -b .no_rice_asm

%build
./autogen.sh -V

%configure \
    --disable-static \
    --disable-xmms-plugin \
%ifarch ppc
    --disable-asm-optimizations \
%endif
    --disable-thorough-tests

make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# remove unneeded files
%{_bindir}/find %{buildroot} -name "*.la" -exec %__rm -f "{}" \;
%{_bindir}/find doc/ -name "Makefile*" -exec %__rm -f "{}" \;

%check
make -C test check &> /dev/null

%clean
%__rm -rf %{buildroot}

%post -p %{_syssbindir}/ldconfig

%postun -p %{_syssbindir}/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.* README
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/*/*

%files devel
%defattr(-,root,root)
%doc doc/html COPYING.*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4


%changelog
* Sat Jul 05 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.0-1
- new upstream release
- remove Patch1-6
- add Patch1,2 from Fedora

* Sun Sep 26 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.1-2
- rebuilt with rpm-4.8.1 for pkg-config
- added Patch1-6 from Fedora

* Mon Jul 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.1-1
- applied new versioning policy
- spec in UTF-8

* Sat Sep 22 2007 KAZUKI SHIMURA <ksh753@y5.dion.ne.jp> 1.2.1-0vl1
- new upstream release
- drop bmp-plugin.patch (patch1)
- disable xmms plugin

* Sat Aug 18 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.0-0vl1
- new upsteram release
- dropped Patch2 (merged into upstream)
- do not build beepmp plugin

* Sat May 12 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.1.2-0vl7
- rebuilt with new toolchain

* Sun Oct 29 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl6
- add '--disable-static' option to %%configure
- remove *.la

* Wed Jul 26 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl5
- rebuild

* Mon Mar 27 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.1.2-0vl4
- --disable-asm-optimizations on ppc

* Thu Feb 02 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl3
- rebuild

* Wed Feb 09 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl2
- initialize flac_cfg.stream with NULL to avoid crashing (patch2)

* Sun Feb 06 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl1
- upstream release
- update bmp-plugin.patch

* Thu Feb 03 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.2-0vl0.0beta
- upstream release
- update bmp-plugin.patch

* Fri Jan 14 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl5
- fix typo

* Sat Dec 18 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl4
- move html docs to devel package

* Wed Dec 01 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl3
- add input plugin for beepmp based on for xmms (patch1)
  - BuildRequires: beepmp-devel >= 0.9.7
- define build_*_plugin macros to build input plugin sub-packages
- update description

* Thu Nov 04 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl2
- drop BuildRequires: zlib-devel (was required to build with id3lib)

* Fri Oct 01 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl1
- upstream release
- drop (Build)Requires: id3lib(-devel)

* Sun Aug 01 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl0.1
- 1.1.1-beta1
- add BuildRequires: gtk+-devel, zlib-devel

* Mon May 03 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl3
- xmms-flac
  - enable to convert charset from/to EUC-JP-MS (Patch0)
  - Requires: glibc >= 2.3.3

* Tue Apr 20 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl2
- fix docs

* Thu Apr 08 2004 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl1
- first build for Vine Linux

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.
- Exclude .la files.
- Updated description.

* Tue Mar 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fix nasm dep to be only for ix86.

* Mon Jan 27 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.1.0.

* Sun Jan  5 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against the latest id3lib for the xmms plugin.

* Thu Oct 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed location of include files, doh!

* Sat Sep 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.

* Wed Sep 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.4.
- Removed obsolete build patch, the xmms plugin builds cleanly at last!

* Thu Jul  4 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.3.

* Tue Apr 23 2002 Daniel Resare <noa@resare.com>
- Fixed plugin build when flac is not already installed

* Mon Apr  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Replaced the hard-coded xmms input path with an expansion.
- Fixed spec (License tag and redundant Group for devel package).
- Fixed defattr for the xmms plugin.

* Sat Apr  6 2002 Daniel Resare <noa@resare.com>
- Update to 1.0.2.
- Splitted out xmms plugin to a separate subpackage.

* Tue Nov 20 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.1.

* Sun Oct 21 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.2 and added xmms dependency.

* Thu Aug 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.
- You cannot rebuild this SRPM easily if you want the xmms plugin.

