Summary:	BASIC compiler, IDE and GUI builder
Summary(ja): 	GUI ビルダーを備えた BASIC ベースの統合開発環境(IDE)
Name:		gambas3
Version:	3.5.4
Release: 	3%{?_dist_release}
Source0:	%{name}-%{version}.tar.bz2
Source1:	gambas3.desktop
#Source2:	gambas2-2.6.0-ja.po
#Source3:	gambas2-2.6.0-ja.mo

Patch100:	gambas-3.5.4-postgresql-path.patch

License:	GPL
Group:		Applications/Development
URL:		http://gambas.sourceforge.net/

BuildRequires:	qt4-devel >= 4.3.4
BuildRequires:	curl-devel >= 7.13
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
BuildRequires:	libpq-devel
BuildRequires:	libmysqlclient-devel
BuildRequires:	unixODBC-devel
BuildRequires:	sqlite-devel
BuildRequires:	sqlite3-devel
BuildRequires:	pcre-devel
BuildRequires:	librsvg2-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_gfx-devel
BuildRequires:	glibc-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	kernel-source
BuildRequires:	gamin-devel
BuildRequires:	poppler-devel >= 0.5
BuildRequires:	libffi-devel
BuildRequires:	gtk2-devel >= 2.10
BuildRequires:	gtkglext-devel
BuildRequires:	xorg-x11-proto-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	mesa-libGLU-devel
BuildRequires:	xdg-utils
BuildRequires:	libXtst-devel
BuildRequires:	libXmu-devel
BuildRequires:	glew-devel
BuildRequires:	cairo-devel >= 1.6.0
BuildRequires:	libgnome-keyring-devel
BuildRequires:	dbus-devel
BuildRequires:	imlib2-devel >= 1.4.0
BuildRequires:	libv4l-devel


BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager:	kazutaka

%description
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm) (but it is NOT a clone!). 
With Gambas, you can quickly design your program GUI, access MySQL or
PostgreSQL databases, control KDE applications with DCOP, translate
your program into many languages, create network applications easily,
build RPMs of your apps automatically, and so on... You have to install
the necessary components


%description -l ja
Gambas はオブジェクト指向に拡張された BASIC インタプリタベースの、Visual
Basic(TM) に良く似た(でもクローンではありません！)フリーな開発環境です。
Gambas を使えば、GUI のすばやいデザイン、MySQL や PostgreSQL データベース
へのアクセス、DCOP 経由での KDE アプリケーションの制御、プログラムの多言
語への翻訳、ネットワークアプリケーションの手軽な開発、RPMパッケージの自動
作成、等々が可能になります。必要に応じてコンポーネントをインストールして
ください。

#-----------------------------------------------------------------------------

%package runtime
Summary:	The Gambas runtime
Summary(ja):	Gambas ランタイム
Group:		Applications/Development
Requires:	%{name}-gb-debug = %{version}-%{release}
Requires:	%{name}-gb-eval = %{version}-%{release}
Requires:	%{name}-gb-geom = %{version}-%{release}
Requires:	%{name}-gb-draw = %{version}-%{release}
Requires:	%{name}-gb-gui = %{version}-%{release}

Requires(post):	xdg-utils

Obsoletes:	%{name}-gb-info < 3.0.0
Provides:	%{name}-gb-info = %{version}-%{release}

%description runtime
This package includes the Gambas interpreter needed to run Gambas applications.

%description runtime -l ja
このパッケージには Gambas アプリケーションの実行に必要なインタプリタ
が含まれています。

#-----------------------------------------------------------------------------

%package devel
Summary:	The development package for Gambas
Summary(ja):	Gambas の開発用パッケージ
Group:		Applications/Development

%description devel
This package includes all tools needed to compile Gambas projects without
having to install the complete development environment. 

%description devel -l ja
このパッケージには、IDE をインストールせずに Gambas アプリケーションを
コンパイルするのに必要なツールが含まれています。

#-----------------------------------------------------------------------------

%package scripter
Summary:	The Gambas scripter package
Summary(ja):	Gambas スクリプト実行用パッケージ
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}

%description scripter
This package includes the scripter program that allows to write script
files in Gambas. 

%description scripter -l ja
このパッケージには、Gambas で記述したスクリプトを実行する scripter
プログラムが含まれています。

#-----------------------------------------------------------------------------

%package ide
Summary:	BASIC compiler, IDE and GUI builder
Summary(ja): 	GUI ビルダーを備えた BASIC ベースの統合開発環境(IDE)
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gb-db = %{version}-%{release}
Requires:	%{name}-gb-db-form = %{version}-%{release}
Requires:	%{name}-gb-debug = %{version}-%{release}
Requires:	%{name}-gb-desktop = %{version}-%{release}
Requires:	%{name}-gb-eval = %{version}-%{release}
Requires:	%{name}-gb-eval-highlight = %{version}-%{release}
Requires:	%{name}-gb-form = %{version}-%{release}
Requires:	%{name}-gb-form-dialog = %{version}-%{release}
Requires:	%{name}-gb-form-mdi = %{version}-%{release}
Requires:	%{name}-gb-image = %{version}-%{release}
Requires:	%{name}-gb-image-effect = %{version}-%{release}
Requires:	%{name}-gb-qt4 = %{version}-%{release}
Requires:	%{name}-gb-qt4-ext = %{version}-%{release}
Requires:	%{name}-gb-qt4-webkit = %{version}-%{release}
Requires:	%{name}-gb-settings = %{version}-%{release}

%description ide
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm) (but it is NOT a clone!). 
With Gambas, you can quickly design your program GUI, access MySQL or
PostgreSQL databases, control KDE applications with DCOP, translate
your program into many languages, create network applications easily,
build RPMs of your apps automatically, and so on... You have to install
the necessary components

This package includes the complete Gambas Development Environment, with the
database manager, the help files, and all components.

%description ide -l ja
Gambas はオブジェクト指向に拡張された BASIC インタプリタベースの、Visual
Basic(TM) に良く似た(でもクローンではありません！)フリーな開発環境です。
Gambas を使えば、GUI のすばやいデザイン、MySQL や PostgreSQL データベース
へのアクセス、DCOP 経由での KDE アプリケーションの制御、プログラムの多言
語への翻訳、ネットワークアプリケーションの手軽な開発、RPMパッケージの自動
作成、等々が可能になります。必要に応じてコンポーネントをインストールして
ください。

このパッケージには IDE (統合開発環境)、データベースマネージャ、ヘルプ
ファイル、およびその他のコンポーネントが含まれています。

#-----------------------------------------------------------------------------

%package gb-args
Summary:	The Gambas program arguments parser
Summary(ja):	Gambas 用プログラム引数解析コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-args
This component allows you to extract options from the program arguments.

%description gb-args -l ja
このコンポーネントによりプログラムの引数からオプションを抽出できる
ようになります。

#-----------------------------------------------------------------------------

%package gb-cairo
Summary:	A cairo component
Summary(ja):	Cairo コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-cairo
This component allows you to handle vectorial drawing based on Cairo
2D graphics library.

%description gb-cairo -l ja
このコンポーネントにより Cairo 2D グラフィックライブラリを利用した
ベクトル形式の描画機能を利用できるようになります。

#-----------------------------------------------------------------------------

%package gb-chart
Summary:	The Gambas chart component
Summary(ja):	Gambas 用 グラフコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-chart
This component provides functions to draw chats.

%description gb-chart -l ja
このコンポーネントはグラフを作図する機能を提供します。

#-----------------------------------------------------------------------------

%package gb-clipper
Summary:	A polygon management based on Clipper library for Gambas
Summary(ja):	Gambas 用 Clipper ライブラリベースのポリゴン管理コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-clipper
This component implements polygon clipping methods based on the
Clipper library. 

%description gb-clipper -l ja
このコンポーネントは Clipper ライブラリベースのポリゴンの切り出し機能を
実装しています。

#-----------------------------------------------------------------------------

%package gb-complex
Summary:	A complex number component
Summary(ja):	複素数コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-complex
This component brings complex numbers support to the interpreter.

%description gb-complex -l ja
このコンポーネントによりインタープリターに複素数のサポートします。

#-----------------------------------------------------------------------------

%package gb-compress
Summary:	A compression component
Summary(ja):	圧縮コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-compress
This component allows you to compress/uncompress data or files with
the bzip2 and zip algorithms.

%description gb-compress -l ja
このコンポーネントによりデータやファイルを bzip2 および zip 形式で圧縮
できるようになります。

#-----------------------------------------------------------------------------

%package gb-crypt
Summary:	The Gambas crypt component
Summary(ja):	Gambas 用暗号化コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-crypt
This component provides crypt function to Gambas, that allows
to use the crypt() Gnu C library function.

%description gb-crypt -l ja
このコンポーネントにより GNU C ライブラリの crypt() を利用した
暗号化機能が利用できるようになります。

#-----------------------------------------------------------------------------

%package gb-data
Summary:	More container datatypes component
Summary(ja):	様々なコンテナデータ型コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-data
%{summary}

#-----------------------------------------------------------------------------

%package gb-db
Summary:	The database component
Summary(ja):	データベースコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-db
This component allows you to access many databases management systems,
provided that you install the needed driver packages.

%description gb-db -l ja
このコンポーネントにより様々な種類のデータベース管理システムにアクセス
できるようになります。(ただし各データベース用のドライバをあらかじめ
インストールしておく必要があります。)

#-----------------------------------------------------------------------------

%package gb-db-form
Summary:	The database form component
Summary(ja):	データベース用フォームコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-gb-db = %{version}-%{release}

%description gb-db-form
This component provides some data bound controls, i.e. controls that can 
display and edit database records automatically.

%description gb-db-form -l ja
このコンポーネントはいくつかのデータバウンドコントロールを提供します。
(例えばデータベースのレコードを自動的に表示/編集できるコントロールなど)

#-----------------------------------------------------------------------------

%package gb-db-mysql
Summary:	The MySQL driver for the Gambas database component
Summary(ja):	Gambas データベースコンポーネント用の MySQL ドライバ
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-gb-db = %{version}-%{release}

%description gb-db-mysql
This component allows you to access MySQL databases.

%description gb-db-mysql -l ja
このコンポーネントにより MySQL データベースにアクセスできるように
なります。

#-----------------------------------------------------------------------------

%package gb-db-odbc
Summary:	The ODBC driver for the Gambas database component
Summary(ja):	Gambas データベースコンポーネント用の ODBC ドライバ
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-gb-db = %{version}-%{release}

%description gb-db-odbc
This component allows you to access databases via unixODBC.

%description gb-db-odbc -l ja
このコンポーネントにより unixODBC経由でデータベースにアクセスできるよう
になります。

#-----------------------------------------------------------------------------

%package gb-db-postgresql
Summary:	The postgresql driver for the Gambas database component
Summary(ja):	Gambas データベースコンポーネント用の postgresql ドライバ
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-gb-db = %{version}-%{release}

%description gb-db-postgresql
This component allows you to access postgresql databases.

%description gb-db-postgresql -l ja
このコンポーネントにより postgresql データベースにアクセスできるように
なります。

#-----------------------------------------------------------------------------

%package gb-db-sqlite2
Summary:	The SQLite2 driver for the Gambas database component
Summary(ja):	Gambas データベースコンポーネント用の SQLite2 ドライバ
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-gb-db = %{version}-%{release}
Requires:	sqlite

%description gb-db-sqlite2
This component allows you to access SQLite2 databases.

%description gb-db-sqlite2 -l ja
このコンポーネントにより SQLite2 データベースにアクセスできるように
なります。

#-----------------------------------------------------------------------------

%package gb-db-sqlite3
Summary:	The SQLite3 driver for the Gambas database component
Summary(ja):	Gambas データベースコンポーネント用の SQLite3 ドライバ
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-gb-db = %{version}-%{release}
Requires:	sqlite3

%description gb-db-sqlite3
This component allows you to access SQLite3 databases.

%description gb-db-sqlite3 -l ja
このコンポーネントにより SQLite3 データベースにアクセスできるように
なります。

#-----------------------------------------------------------------------------

%package gb-debug
Summary:	A debugger helper for the IDE
Summary(ja):	IDE 用のデバッガヘルパー
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-debug
This component helps the IDE to debug Gambas programs.

%description gb-debug -l ja
このコンポーネントは IDE 上でのデバッグを支援します。

#-----------------------------------------------------------------------------

%package gb-desktop
Summary:	The Gambas desktop component.
Summary(ja):	Gambas 用 デスクトップコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-gb-form = %{version}-%{release}
Requires:	%{name}-gb-image = %{version}-%{release}

%description gb-desktop
This component provides some functions based on the xdg-tools of Portland
 Project. It can be commonly used in diffrent desktop environment.

%description gb-desktop -l ja
このコンポーネントは Portland Project の xdg-utils をベースにした、
異なるデスクトップ環境で共用できる機能を提供します。

#-----------------------------------------------------------------------------

%package gb-draw
Summary:	The Gambas draw component.
Summary(ja):	Gambas 用 描画コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-draw
This component provides drawing class to gambas.
This component was originally implemented as an intenal
class, But now it is separated as a component. 

%description gb-draw -l ja
このコンポーネントは描画用のクラスを提供します。
このコンポーネントは、元々内部クラスとして実装されていましたが、
別コンポーネントとして分離されました。

#-----------------------------------------------------------------------------

%package gb-dbus
Summary:	The Gambas dbus component.
Summary(ja):	Gambas 用 dbus コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-dbus
This component allows to take part in the D-Bus system.

%description gb-dbus -l ja
このコンポーネントにより、D-Bus システムを経由したメッセージの
送受信が利用できるようになります。

#-----------------------------------------------------------------------------

%package gb-eval
Summary:	An expression evaluator component
Summary(ja):	式評価用のコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-eval
This component allows you to evaluate expressions at runtime. 
It is used by the Gambas Eval() function.

%description gb-eval -l ja
このコンポーネントにより実行時に式を評価できるようになります。
これは Gambas Eval() ファンクションで使用されます。

#-----------------------------------------------------------------------------

%package gb-eval-highlight
Summary:	An expression evaluator highlight component
Summary(ja):	式評価のハイライト用コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-gb-eval = %{version}-%{release}

%description gb-eval-highlight
This component provides some useful features for analyzing and highlighting
a line of Gambas code. 

%description gb-eval-highlight -l ja
このコンポーネントは、Gambas のコードを分析する時に便利なハイライト表示
機能を提供します。

#-----------------------------------------------------------------------------

%package gb-form
Summary:	The Gambas form component
SUmmary(ja):	Gambas 用フォームコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-form
Implements a toolkit-independent form class for Gambas.

%description gb-form -l ja
Gambas 用のツールキットに依存しないフォームクラスの実装です。

#-----------------------------------------------------------------------------

%package gb-form-dialog
Summary:	The Gambas enhanced dialog form component
SUmmary(ja):	Gambas 用拡張ダイアログフォームコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-form-dialog
Implements a enhanced dialog form class for Gambas.

%description gb-form-dialog -l ja
Gambas 用の拡張されたダイアログフォームクラスの実装です。

#-----------------------------------------------------------------------------

%package gb-form-mdi
Summary:	The Gambas mdi form component
SUmmary(ja):	Gambas 用 MDI フォームコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-form-mdi
Implements a new version of the Workspace control for Gambas.

%description gb-form-mdi -l ja
Gambas 用の新しいバージョンのワークスペースコントロールの実装です。

#-----------------------------------------------------------------------------

%package gb-geom
Summary:	The Gambas Geometry component
Summary(ja):	Gambas 用幾何学コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-geom
This package includes the Gambas Geometry component.

%description gb-geom -l ja
このパッケージには Gambas 用の 幾何学コンポーネントが含まれています。

#-----------------------------------------------------------------------------

%package gb-gtk
Summary:	The Gambas Gtk GUI component
Summary(ja):	GTK GUI コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	gtk2 >= 2.10

%description gb-gtk
This package includes the Gambas GTK GUI component.

%description gb-gtk -l ja
このパッケージには Gambas 用の GTK GUI コンポーネントが含まれています。

#-----------------------------------------------------------------------------

%package gb-httpd
Summary:	The Gambas httpd component
Summary(ja):	GTK OpenGL コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	apache2

%description gb-httpd
This package includes the Gambas httpd component.

%description gb-httpd -l ja
このパッケージには Gambas 用の httpd コンポーネントが含まれています。

#-----------------------------------------------------------------------------

%package gb-gtk-opengl
Summary:	The Gambas Gtk OpenGL component
Summary(ja):	GTK OpenGL コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-gtk-opengl
This package includes the Gambas GTK OpenGL component.

%description gb-gtk-opengl -l ja
このパッケージには Gambas 用の GTK OpenGL コンポーネントが含まれています。

#-----------------------------------------------------------------------------

%package gb-gui
Summary:	The Gambas GUI component.
Summary(ja):	Gambas 用 GUI コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-gui
This component allows you to load gb.qt4 component when KDE is
running or gtk component when GNOME is running.

%description gb-gui -l ja
このコンポーネントにより、KDE 環境では gb.qt4 コンポーネントを、
GNOME 環境では gb.gtk コンポーネントを読み込むことができるように
なります。

#-----------------------------------------------------------------------------

%package gb-image
Summary:	The Gambas image component.
Summary(ja):	Gambas 用のイメージ編集コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-image
This component implements image and color management routines. The filter and
effects routines are now located in the gb.image.effect component. 

%description gb-image -l ja
このコンポーネントはイメージ及び色管理用のルーチンを実装しています。
実際のフィルタやエフェクトは gb.image.effect コンポーネントに含まれています。

#-----------------------------------------------------------------------------

%package gb-image-effect
Summary:	The Gambas image effect component.
Summary(ja):	Gambas 用のイメージエフェクトコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-gb-image = %{version}-%{release}

%description gb-image-effect
This component implements image filtering routines.

%description gb-image-effect -l ja
このコンポーネントはイメージへのフィルタやエフェクト用ルーチンを実装して
います。

#-----------------------------------------------------------------------------

%package gb-image-imlib
Summary:	The Gambas imlib component.
Summary(ja):	Gambas 用の Imlib コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-gb-image = %{version}-%{release}
Requires:	imlib2 >= 1.4.0

%description gb-image-imlib
This component implements image routines based on the Imlib2 library.

%description gb-image-imlib -l ja
このコンポーネントは Imlib2 ライブラリを利用したイメージ用ルーチンを実装
しています。

#-----------------------------------------------------------------------------

%package gb-image-io
Summary:	The Gambas image io component.
Summary(ja):	Gambas 用のイメージ入出力コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-gb-image = %{version}-%{release}

%description gb-image-io
This component implements image loading and saving routines.

%description gb-image-io -l ja
このコンポーネントはイメージの入出力用ルーチンを実装しています。

#-----------------------------------------------------------------------------

%package gb-libxml
Summary:	The Gambas libxml component.
Summary(ja):	Gambas 用の libxml コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-libxml
This component implements image routines based on the libxml library.

%description gb-libxml -l ja
このコンポーネントは libxml ライブラリを利用したイメージ用ルーチンを実装
しています。

#-----------------------------------------------------------------------------

%package gb-logging
Summary:	The Gambas loggin component.
Summary(ja):	Gambas 用の loggin コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-logging
This package includes the Gambas loggin component.

%description gb-logging -l j
このパッケージには Gambas 用のロギングコンポーネントが含まれています。

#-----------------------------------------------------------------------------

%package gb-map
Summary:	The Gambas map component.
Summary(ja):	Gambas 用の map コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-map
This component allows to display map tiles from different sources on
multiples layers. 

%description gb-map -l ja
このパッケージにより、様々なレイヤー上に様々なソースから入手した地図を
表示することができます。

#-----------------------------------------------------------------------------

%package gb-memcached
Summary:	The Gambas Memcached component.
Summary(ja):	Gambas 用の Memcached コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-memcached
This component aims at providing a fully usable interface of Memcached.

%description gb-memcached -l ja
このコンポーネントにより Memcached の機能を全て網羅したインターフェースを
利用することができます。

#-----------------------------------------------------------------------------

%package gb-mysql
Summary:	The MySQL specific routine for the Gambas database component
Summary(ja):	Gambas データベースコンポーネントの MySQL 専用ドライバ
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-gb-db = %{version}-%{release}

%description gb-mysql
This component allows you to access MySQL databases with MySQL specific
routines.

%description gb-mysql -l ja
このコンポーネントにより MySQL データベースに固有のデータ形式でアクセスでき
るようになります。

#-----------------------------------------------------------------------------

%package gb-ncurses
Summary:	The Gambas ncurses component.
Summary(ja):	Gambas 用の ncurses コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-ncurses
This component implements image routines based on the ncurses library.

%description gb-ncurses -l ja
このコンポーネントは ncurses ライブラリを利用したイメージ用ルーチンを実装
しています。

#-----------------------------------------------------------------------------

%package gb-net
Summary:	The networking component
Summary(ja):	ネットワーク制御用のコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-net
This component allows you to use TCP/IP and UDP sockets, and to access
any serial ports.

%description gb-net -l ja
このコンポーネントにより TCP/IP と UDP ソケットの使用、およびシリアル
ポートへのアクセスができるようになります。

#-----------------------------------------------------------------------------

%package gb-net-curl
Summary:	The advanced networking component
Summary(ja):	高度なネットワーク制御用のコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-gb-net = %{version}-%{release}
Requires:	curl >= 7.13

%description gb-net-curl
This component allows your programs to easily become FTP or HTTP clients.

%description gb-net-curl -l ja
このコンポーネントにより FTP または HTTP クライアントの開発が容易に
できるようになります。

#-----------------------------------------------------------------------------

%package gb-net-smtp
Summary:	The Gambas SMTP component
Summary(ja):	Gambas 用 SMTP コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-gb-net = %{version}-%{release}

%description gb-net-smtp
This component allows you to use SMTP (Simple Mail Transfer Protocol).

%description gb-net-smtp -l ja
このコンポーネントにより SMTP プロトコルを利用できるようになります。

#-----------------------------------------------------------------------------

%package gb-opengl
Summary:	The Gambas OpenGL component.
Summary(ja):	Gambas 用 OpenGL コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	XOrg-gl

%description gb-opengl
This component provides OpenGL library function to Gambas for
hardware assisted computer graphics.

%description gb-opengl -l ja
このコンポーネントにより OpenGL ライブラリを使用したハードウェア描画
機能が利用できるようになります。

#-----------------------------------------------------------------------------

%package gb-opengl-glsl
Summary:	The Gambas OpenGL shading language component.
Summary(ja):	Gambas 用 OpenGL シェーディング言語コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	XOrg-gl

%description gb-opengl-glsl
This component provides OpenGL shading language library function to Gambas
for hardware assisted computer graphics.

%description gb-opengl-glsl -l ja
このコンポーネントにより OpenGL シェーディング言語ライブラリを使用した
ハードウェア描画機能が利用できるようになります。

#-----------------------------------------------------------------------------

%package gb-opengl-glu
Summary:        The Gambas OpenGL utility component.
Summary(ja):    Gambas 用 OpenGL ユーティリティコンポーネント
Group:          Applications/Development
Requires:       %{name}-runtime = %{version}-%{release}
Requires:       XOrg-gl

%description gb-opengl-glu
This component provides OpenGL utility library function.

%description gb-opengl-glu -l ja
このコンポーネントにより OpenGL ユーティリティライブラリ機能が利用
できるようになります。

#-----------------------------------------------------------------------------

%package gb-opengl-sge
Summary:        A simple OpenGL game engine for Gambas
Summary(ja):    Gambas 用のシンプルな OpenGL ゲームエンジン
Group:          Applications/Development
Requires:       %{name}-runtime = %{version}-%{release}
Requires:       XOrg-gl

%description gb-opengl-sge
This component is a simple OpenGL game engine based on the MD2 model format.

%description gb-opengl-sge -l ja
このコンポーネントにより MD2 モデルフォーマットをベースとしたシンプルな
OpenGL ゲームエンジンを利用することができます。

#-----------------------------------------------------------------------------

%package gb-openssl
Summary:        The Gambas OpenSSL library routines.
Summary(ja):    Gambas 用 OpenSSL ライブラリルーチン
Group:          Applications/Development
Requires:       %{name}-runtime = %{version}-%{release}
Requires:       openssl

%description gb-openssl
This package includes the Gambas OpenSLL component.

%description gb-openssl -l ja
このパッケージには Gambas 用の OpenSSL コンポーネントが含まれています。

#-----------------------------------------------------------------------------

%package gb-option
Summary:	The Gambas command line option component.
Summary(ja):	Gambas 用コマンドラインオプションコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-option
This component is an interface to the getopt() C library function for
interpreting the program command-line.

%description gb-option -l ja
このコンポーネントはプログラムのコマンドラインを解釈する、C ライプラリの
getopt() 関数へのインターフェースです。

#-----------------------------------------------------------------------------

%package gb-pcre
Summary:	The Gambas perl-compatible regular expression compon	ent.
Summary(ja):	Perl互換の正規表現ライブラリの Gambas 用コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	pcre

%description gb-pcre
This component provides perl-compatible regular expressions to Gambas for
powerful text processing and pattern matching.

%description gb-pcre -l ja
このコンポーネントにより Perl 互換の正規表現ライブラリの持つ強力なテキスト
処理機能及びパターンマッチング機能が利用できるようになります。

#-----------------------------------------------------------------------------

%package gb-pdf
Summary:	The Gambas PDF component.
Summary(ja):	Gambas 用 PDF コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	poppler >= 0.5

%description gb-pdf
This component privides functions for decoding PDF documents using
poppler library.

%description gb-pdf -l ja
このコンポーネントにより、PDF 文書を描画できるようになります。

#-----------------------------------------------------------------------------

%package gb-qt4
Summary:	The Qt4 GUI component
Summary(ja):	Qt4 GUI コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	qt4 >= 4.3.4

%description gb-qt4
This package includes the Gambas QT4 GUI component.

%description gb-qt4 -l ja
このパッケージには Gambas 用の QT4 GUI コンポーネントが含まれています。

#-----------------------------------------------------------------------------

%package gb-qt4-ext
Summary:	The extended Qt GUI component
Summary(ja):	拡張 Qt GUI コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-gb-qt4 = %{version}-%{release}

%description gb-qt4-ext
This component includes somme uncommon QT controls.

%description gb-qt4-ext -l es
このコンポーネントには追加の Qt コントロールが含まれています。 

#-----------------------------------------------------------------------------

%package gb-qt4-webkit
Summary:	The browser component based on WebKit
Summary(ja):	WebKit ベースのブラウザコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	%{name}-gb-qt4 = %{version}-%{release}

%description gb-qt4-webkit
This component allows to embed the WebKit browser in your application.

%description gb-qt4-webkit -l ja
このコンポーネントにより WebKit ブラウザをアプリケーションに組み込む
ことができるようになります。

#-----------------------------------------------------------------------------

%package gb-qt4-opengl
Summary:	The QT4 OpenGL component.
Summary(ja):	QT4 用 OpenGL コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	XOrg-gl

%description gb-qt4-opengl
This component provides QT4 widget for OpenGL library.

%description gb-qt4-opengl -l ja
このコンポーネントにより OpenGL ライブラリ用の QT4 ウィジェットが
利用できるようになります。

#-----------------------------------------------------------------------------

%package gb-report
Summary:	The Gambas report component.
Summary(ja):	Gambas 用 レポートコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-report
This component will become the Gambas report designer.

%description gb-report -l ja
このコンポーネントはいずれ Gambas 用のレポートデザイナになる予定です。

#-----------------------------------------------------------------------------

%package gb-sdl
Summary:	The Gambas SDL component
Summary(ja):	Gambas 用 SDL コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	SDL

%description gb-sdl
This component provides access to the basic functions and the image
part of the SDL library.
It provides a drawing surface that is faster than normal X11 toolkits.

%description gb-sdl -l ja
このコンポーネントは SDL ライブラリの基本機能およびイメージ機能への
アクセスを提供しています。
これは X ツールキットよりも高速な描画サーフェースを提供します。

#-----------------------------------------------------------------------------

%package gb-sdl-sound
Summary:	The Gambas SDL sound component
Summary(ja):	SDL サウンドコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	SDL_mixer

%description gb-sdl-sound
This component uses only the sound part of the SDL library. It allows you to
simultaneously play many sounds and a music stored in a file.

%description gb-sdl-sound -l ja
このコンポーネントは SDL ライブラリのサウンド部分のみを使用しています。
これにより多くの種類の音声や音楽を同時に再生する事ができるようになります。

#-----------------------------------------------------------------------------

%package gb-settings
Summary:	The Gambas settings component
Summary(ja):	Gambas 設定用コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-settings
Implements a persistent settings interface for Gambas.

%description gb-settings -l ja
Gambas 用の設定インターフェースの実装です。

#-----------------------------------------------------------------------------

%package gb-signal
Summary:	The Gambas POSIX signal component
Summary(ja):	Gambas 用 POSIX シグナルコンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-signal
This component allows to ignore POSIX signals, or intercept them inside an
event handler.

%description gb-signal -l ja
このコンポーネントにより、イベントハンドラ中で POSIX シグナルを無理したり
横取りすることが可能になります。

#-----------------------------------------------------------------------------
%package gb-v4l
Summary:	The Gambas V4L(Video for Linux) component.
Summary(ja):	Gambas 用 V4L(Video for Linux) コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}
Requires:	libpng
Requires:	libjpeg

%description gb-v4l
This component provides access to all v4l devices with capture support.
Capturing images from webcams, TV cards and other sources supported by
the v4l (video for Linux) interface is available.
.
%description gb-v4l -l ja
このコンポーネントにより すべての V4L デバイスにアクセスできるようになります。
Webカメラ、TVカード及びその他の V4L がサポートするデバイスから、イメージの
取り込みが可能になります。

#-----------------------------------------------------------------------------

%package gb-vb
Summary:	The Visual Basic(tm) compatibility component
Summary(ja):	Visual Basic(TM) 互換性用コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-vb
This component aims at including some functions that imitate the behaviour
of Visual Basic(tm) functions. Use it only if you try to port some VB
projects.

%description gb-vb -l ja
このコンポーネントは Visual Basic(TM) の機能を模倣した関数を含むことを
目的としています。VB プロジェクトを移植する必要がある場合にのみインス
トールしてください。

#-----------------------------------------------------------------------------

%package gb-xml
Summary:	The Gambas XML components based on the libxml2 library
Summary(ja):	libXml2 ライブラリベースの Gambas 用 XML コンポーネント
Group:		Applications/Development
Requires: 	%{name}-runtime = %{version}-%{release}

%description gb-xml
This component allows you to read and write XML files. It is based on libxml2.

%description gb-xml -l ja
このコンポーネントにより libxml2 ライブラリを利用した XML ファイルの
読み書きが可能になります。

#-----------------------------------------------------------------------------

%package gb-xml-html
Summary:	XML-HTML protocol implementation for Gambas
Summary(ja):	Gambas 用 XML-HTML プロトコルの実装
Group:		Applications/Development
Requires: 	%{name}-runtime = %{version}-%{release}
Requires: 	%{name}-gb-xml = %{version}-%{release}

%description gb-xml-html
These components provides XML-HTML protocol implementation for Gambas.

%description gb-xml-html -l ja
このコンポーネントは Gambas 用の XML-HTML プロトコルの実装を提供します。

#-----------------------------------------------------------------------------

%package gb-xml-rpc
Summary:	XML-RPC protocol implementation for Gambas
Summary(ja):	Gambas 用 XML-RPC プロトコルの実装
Group:		Applications/Development
Requires: 	%{name}-runtime = %{version}-%{release}
Requires: 	%{name}-gb-xml = %{version}-%{release}

%description gb-xml-rpc
These components provides XML-RPC protocol implementation for Gambas.

%description gb-xml-rpc -l ja
このコンポーネントは Gambas 用の XML-RPC プロトコルの実装を提供します。

#-----------------------------------------------------------------------------

%package gb-xml-xslt
Summary:	The Gambas XSLT components based on the libxslt library
Summary(ja):	libXslt ライブラリベースの Gambas 用 XSLT コンポーネント
Group:		Applications/Development
Requires: 	%{name}-runtime = %{version}-%{release}
Requires: 	%{name}-gb-xml = %{version}-%{release}

%description gb-xml-xslt
This component allows you to parse XML files to HTML files.
It is based on libxslt.

%description gb-xml-xslt -l ja
このコンポーネントにより libxslt ライブラリを利用した XML ファイルの
HTML への変換が可能になります。

#-----------------------------------------------------------------------------

%package gb-web
Summary:	The Gambas web application development component.
Summary(ja):	Gambas 用 ウェブアプリケーション開発コンポーネント
Group:		Applications/Development
Requires:	%{name}-runtime = %{version}-%{release}

%description gb-web
This component allows to make a web application based on a CGI script.

%description gb-web -l ja
このコンポーネントにより CGI スクリプトによるウェブアプリケーションを
開発できるようになります。

#-----------------------------------------------------------------------------


%prep
%setup -q 
# copy updated message catalogue
#%{__cp} -f %{SOURCE2} app/src/gambas2/.lang/ja.po
#%{__cp} -f %{SOURCE3} app/src/gambas2/.lang/ja.mo

%ifarch ppc
find . -type f -name configure -exec sed -i 's/-Os/-O2/' {} \;
%endif

%patch100 -p1 -b .postgresql-path


%build
#export LDFLAGS="-L/usr/X11R6/%{_lib}"
autoreconf -f -i
%configure --disable-firebird
#	--with-mysql-libraries=%{_libdir}/mysql \
#	--with-qt-includes=%{_libdir}/qt3/include \
#	--with-qt-libraries=%{_libdir}/qt3/lib \
#	--disable-clanlib \
#	--enable-kde
%{__make}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

# remove unnecessary files
find $RPM_BUILD_ROOT/%{_libdir} -name "*.la" -exec %{__rm} -f "{}" \;
find $RPM_BUILD_ROOT/%{_libdir} -name "*.a" -exec %{__rm} -f "{}" \;

# copy pixmap and menu entry.
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/pixmaps
%{__install} -m644 ${RPM_BUILD_DIR}/%{name}-%{version}/app/src/gambas3/img/logo/logo.png ${RPM_BUILD_ROOT}/%{_datadir}/pixmaps/gambas3.png
%{__install} -d ${RPM_BUILD_ROOT}%{_datadir}/applications
%{__install} -p -m644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications/

# copy mimetype xml to %{_datadir}
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/%{name}
%{__install} -m644 main/mime/application-x-gambas3.xml ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/


%post runtime
# register gambas executable mimetype
xdg-icon-resource install --context mimetypes --size 64 %{_datadir}/%{name}/icons/application-x-gambas.png application-x-gambas
xdg-mime install %{_datadir}/%{name}/application-x-gambas3.xml


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files runtime
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README*
%{_bindir}/gbr3
%{_bindir}/gbx3
%{_libdir}/gambas3/gb.component
%{_libdir}/gambas3/gb.so*
%{_datadir}/gambas3/info/gb.info
%{_datadir}/gambas3/info/gb.list
%{_datadir}/gambas3/icons
%{_datadir}/gambas3/application-x-gambas3.xml

%files devel
%defattr(-,root,root)
%{_bindir}/gba3
%{_bindir}/gbc3
%{_bindir}/gbi3

%files scripter
%defattr(-,root,root)
%{_bindir}/gbs3
%{_bindir}/gbs3.gambas
%{_bindir}/gbw3

%files ide
%defattr(-,root,root)
%{_bindir}/gambas3
%{_bindir}/gbs3.gambas
%{_datadir}/gambas3/control
%{_datadir}/gambas3/examples
%{_datadir}/applications/gambas3.desktop
%{_datadir}/pixmaps/gambas3.png

%files gb-args
%defattr(-,root,root)
%{_libdir}/gambas3/gb.args.component
%{_libdir}/gambas3/gb.args.gambas
%{_datadir}/gambas3/info/gb.args.*

%files gb-cairo
%defattr(-,root,root)
%{_libdir}/gambas3/gb.cairo.*
%{_datadir}/gambas3/info/gb.cairo.*

%files gb-chart
%defattr(-,root,root)
%{_libdir}/gambas3/gb.chart.*
%{_datadir}/gambas3/info/gb.chart.*

%files gb-clipper
%defattr(-,root,root)
%{_libdir}/gambas3/gb.clipper.component
%{_libdir}/gambas3/gb.clipper.so*
%{_datadir}/gambas3/info/gb.clipper.*

%files gb-complex
%defattr(-,root,root)
%{_libdir}/gambas3/gb.complex.*
%{_datadir}/gambas3/info/gb.complex.*

%files gb-compress
%defattr(-,root,root)
%{_libdir}/gambas3/gb.compress.*
%{_datadir}/gambas3/info/gb.compress.*

%files gb-crypt
%defattr(-,root,root)
%{_libdir}/gambas3/gb.crypt.*
%{_datadir}/gambas3/info/gb.crypt.*

%files gb-data
%defattr(-,root,root)
%{_libdir}/gambas3/gb.data.*
%{_datadir}/gambas3/info/gb.data.*

%files gb-db
%defattr(-,root,root)
%{_libdir}/gambas3/gb.db.gambas
%{_libdir}/gambas3/gb.db.so*
%{_libdir}/gambas3/gb.db.component
%{_datadir}/gambas3/info/gb.db.info
%{_datadir}/gambas3/info/gb.db.list

%files gb-db-form
%defattr(-,root,root)
%{_libdir}/gambas3/gb.db.form.*
%{_datadir}/gambas3/info/gb.db.form.*

%files gb-db-mysql
%defattr(-,root,root)
%{_libdir}/gambas3/gb.db.mysql.*
%{_datadir}/gambas3/info/gb.db.mysql.*

%files gb-db-odbc
%defattr(-,root,root)
%{_libdir}/gambas3/gb.db.odbc.*
%{_datadir}/gambas3/info/gb.db.odbc.*

%files gb-db-postgresql
%defattr(-,root,root)
%{_libdir}/gambas3/gb.db.postgresql.*
%{_datadir}/gambas3/info/gb.db.postgresql.*

%files gb-db-sqlite2
%defattr(-,root,root)
%{_libdir}/gambas3/gb.db.sqlite2.*
%{_datadir}/gambas3/info/gb.db.sqlite2.*

%files gb-db-sqlite3
%defattr(-,root,root)
%{_libdir}/gambas3/gb.db.sqlite3.*
%{_datadir}/gambas3/info/gb.db.sqlite3.*

%files gb-debug
%defattr(-,root,root)
%{_libdir}/gambas3/gb.debug.*
%{_datadir}/gambas3/info/gb.debug.*

%files gb-desktop
%defattr(-,root,root)
%{_libdir}/gambas3/gb.desktop.*
%{_datadir}/gambas3/info/gb.desktop.*

%files gb-draw
%defattr(-,root,root)
%{_libdir}/gambas3/gb.draw.*

%files gb-dbus
%defattr(-,root,root)
%{_libdir}/gambas3/gb.dbus.*
%{_datadir}/gambas3/info/gb.dbus.*

%files gb-eval
%defattr(-,root,root)
%{_libdir}/gambas3/gb.eval.component
%{_libdir}/gambas3/gb.eval.so*
%{_datadir}/gambas3/info/gb.eval.info
%{_datadir}/gambas3/info/gb.eval.list

%files gb-eval-highlight
%defattr(-,root,root)
%{_libdir}/gambas3/gb.eval.highlight.*
%{_datadir}/gambas3/info/gb.eval.highlight.*

%files gb-form
%defattr(-,root,root)
%{_libdir}/gambas3/gb.form.gambas
%{_libdir}/gambas3/gb.form.component
%{_libdir}/gambas3/gb.form.stock.gambas
%{_libdir}/gambas3/gb.form.stock.component
%{_datadir}/gambas3/info/gb.form.info
%{_datadir}/gambas3/info/gb.form.list
%{_datadir}/gambas3/info/gb.form.stock.info
%{_datadir}/gambas3/info/gb.form.stock.list

%files gb-form-dialog
%defattr(-,root,root)
%{_libdir}/gambas3/gb.form.dialog.gambas
%{_libdir}/gambas3/gb.form.dialog.component
%{_datadir}/gambas3/info/gb.form.dialog.info
%{_datadir}/gambas3/info/gb.form.dialog.list

%files gb-form-mdi
%defattr(-,root,root)
%{_libdir}/gambas3/gb.form.mdi.gambas
%{_libdir}/gambas3/gb.form.mdi.component
%{_datadir}/gambas3/info/gb.form.mdi.info
%{_datadir}/gambas3/info/gb.form.mdi.list

%files gb-geom
%defattr(-,root,root)
%{_libdir}/gambas3/gb.geom.so*

%files gb-gtk
%defattr(-,root,root)
%{_libdir}/gambas3/gb.gtk.so*
%{_libdir}/gambas3/gb.gtk.component
%{_datadir}/gambas3/info/gb.gtk.info
%{_datadir}/gambas3/info/gb.gtk.list

%files gb-gtk-opengl
%defattr(-,root,root)
%{_libdir}/gambas3/gb.gtk.opengl.*
%{_datadir}/gambas3/info/gb.gtk.opengl.*

%files gb-gui
%defattr(-,root,root)
%{_libdir}/gambas3/gb.gui.*
%{_datadir}/gambas3/info/gb.gui.*

%files gb-httpd
%defattr(-,root,root)
%{_libdir}/gambas3/gb.httpd.component
%{_libdir}/gambas3/gb.httpd.so*
%{_datadir}/gambas3/info/gb.httpd.*

%files gb-image
%defattr(-,root,root)
%{_libdir}/gambas3/gb.image.so*
%{_libdir}/gambas3/gb.image.component
%{_datadir}/gambas3/info/gb.image.info
%{_datadir}/gambas3/info/gb.image.list
	
%files gb-image-effect
%defattr(-,root,root)
%{_libdir}/gambas3/gb.image.effect.so*
%{_libdir}/gambas3/gb.image.effect.component
%{_datadir}/gambas3/info/gb.image.effect.info
%{_datadir}/gambas3/info/gb.image.effect.list
	
%files gb-image-imlib
%defattr(-,root,root)
%{_libdir}/gambas3/gb.image.imlib.so*
%{_libdir}/gambas3/gb.image.imlib.component
%{_datadir}/gambas3/info/gb.image.imlib.info
%{_datadir}/gambas3/info/gb.image.imlib.list
	
%files gb-image-io
%defattr(-,root,root)
%{_libdir}/gambas3/gb.image.io.so*
%{_libdir}/gambas3/gb.image.io.component
%{_datadir}/gambas3/info/gb.image.io.info
%{_datadir}/gambas3/info/gb.image.io.list

%files gb-libxml
%defattr(-,root,root)
%{_libdir}/gambas3/gb.libxml.*
%{_datadir}/gambas3/info/gb.libxml.*

%files gb-logging
%defattr(-,root,root)
%{_libdir}/gambas3/gb.logging.component
%{_libdir}/gambas3/gb.logging.gambas
%{_datadir}/gambas3/info/gb.logging.*

%files gb-map
%defattr(-,root,root)
%{_libdir}/gambas3/gb.map.component
%{_libdir}/gambas3/gb.map.gambas
%{_datadir}/gambas3/info/gb.map.*

%files gb-memcached
%defattr(-,root,root)
%{_libdir}/gambas3/gb.memcached.component
%{_libdir}/gambas3/gb.memcached.gambas
%{_datadir}/gambas3/info/gb.memcached.*

%files gb-mysql
%defattr(-,root,root)
%{_libdir}/gambas3/gb.mysql.*
%{_datadir}/gambas3/info/gb.mysql.*

%files gb-ncurses
%defattr(-,root,root)
%{_libdir}/gambas3/gb.ncurses.*
%{_datadir}/gambas3/info/gb.ncurses.*

%files gb-net
%defattr(-,root,root)
%{_libdir}/gambas3/gb.net.so*
%{_libdir}/gambas3/gb.net.component
%{_datadir}/gambas3/info/gb.net.info
%{_datadir}/gambas3/info/gb.net.list

%files gb-net-curl
%defattr(-,root,root)
%{_libdir}/gambas3/gb.net.curl.so*
%{_libdir}/gambas3/gb.net.curl.component
%{_datadir}/gambas3/info/gb.net.curl.info
%{_datadir}/gambas3/info/gb.net.curl.list

%files gb-net-smtp
%defattr(-,root,root)
%{_libdir}/gambas3/gb.net.smtp.*
%{_datadir}/gambas3/info/gb.net.smtp.*

%files gb-opengl
%defattr(-,root,root)
%{_libdir}/gambas3/gb.opengl.so*
%{_libdir}/gambas3/gb.opengl.component
%{_datadir}/gambas3/info/gb.opengl.info
%{_datadir}/gambas3/info/gb.opengl.list

%files gb-opengl-glsl
%defattr(-,root,root)
%{_libdir}/gambas3/gb.opengl.glsl.so*
%{_libdir}/gambas3/gb.opengl.glsl.component
%{_datadir}/gambas3/info/gb.opengl.glsl.info
%{_datadir}/gambas3/info/gb.opengl.glsl.list

%files gb-opengl-glu
%defattr(-,root,root)
%{_libdir}/gambas3/gb.opengl.glu.so*
%{_libdir}/gambas3/gb.opengl.glu.component
%{_datadir}/gambas3/info/gb.opengl.glu.info
%{_datadir}/gambas3/info/gb.opengl.glu.list

%files gb-opengl-sge
%defattr(-,root,root)
%{_libdir}/gambas3/gb.opengl.sge.component
%{_libdir}/gambas3/gb.opengl.sge.so*
%{_datadir}/gambas3/info/gb.opengl.sge.*

%files gb-openssl
%defattr(-,root,root)
%{_libdir}/gambas3/gb.openssl.component
%{_libdir}/gambas3/gb.openssl.so*
%{_datadir}/gambas3/info/gb.openssl.*

%files gb-option
%defattr(-,root,root)
%{_libdir}/gambas3/gb.option.*
%{_datadir}/gambas3/info/gb.option.*

%files gb-pcre
%defattr(-,root,root)
%{_libdir}/gambas3/gb.pcre.so*
%{_libdir}/gambas3/gb.pcre.component
%{_datadir}/gambas3/info/gb.pcre.info
%{_datadir}/gambas3/info/gb.pcre.list

%files gb-pdf
%defattr(-,root,root)
%{_libdir}/gambas3/gb.pdf.*
%{_datadir}/gambas3/info/gb.pdf.*

%files gb-qt4
%defattr(-,root,root)
%{_libdir}/gambas3/gb.qt4.so*
%{_libdir}/gambas3/gb.qt4.component
%{_datadir}/gambas3/info/gb.qt4.info
%{_datadir}/gambas3/info/gb.qt4.list

%files gb-qt4-ext
%defattr(-,root,root)
%{_libdir}/gambas3/gb.qt4.ext.so*
%{_libdir}/gambas3/gb.qt4.ext.component
%{_datadir}/gambas3/info/gb.qt4.ext.info
%{_datadir}/gambas3/info/gb.qt4.ext.list

%files gb-qt4-webkit
%defattr(-,root,root)
%{_libdir}/gambas3/gb.qt4.webkit.so*
%{_libdir}/gambas3/gb.qt4.webkit.component
%{_datadir}/gambas3/info/gb.qt4.webkit.info
%{_datadir}/gambas3/info/gb.qt4.webkit.list

%files gb-qt4-opengl
%defattr(-,root,root)
%{_libdir}/gambas3/gb.qt4.opengl.*
%{_datadir}/gambas3/info/gb.qt4.opengl.*

%files gb-report
%defattr(-,root,root)
%{_libdir}/gambas3/gb.report.*
%{_datadir}/gambas3/info/gb.report.*

%files gb-sdl
%defattr(-,root,root)
%doc %{_datadir}/gambas3/gb.sdl/README
%{_libdir}/gambas3/gb.sdl.so
%{_libdir}/gambas3/gb.sdl.so.*
%{_libdir}/gambas3/gb.sdl.component
%{_datadir}/gambas3/gb.sdl/LICENSE
%{_datadir}/gambas3/info/gb.sdl.info
%{_datadir}/gambas3/info/gb.sdl.list
%{_datadir}/gambas3/gb.sdl/_default.bdf

%files gb-sdl-sound
%defattr(-,root,root)
%{_libdir}/gambas3/gb.sdl.sound.so*
%{_libdir}/gambas3/gb.sdl.sound.component
%{_datadir}/gambas3/info/gb.sdl.sound.info
%{_datadir}/gambas3/info/gb.sdl.sound.list

%files gb-settings
%defattr(-,root,root)
%{_libdir}/gambas3/gb.settings.*
%{_datadir}/gambas3/info/gb.settings.*

%files gb-signal
%defattr(-,root,root)
%{_libdir}/gambas3/gb.signal.*
%{_datadir}/gambas3/info/gb.signal.*

%files gb-v4l
%defattr(-,root,root)
%{_libdir}/gambas3/gb.v4l.*
%{_datadir}/gambas3/info/gb.v4l.*

%files gb-vb
%defattr(-,root,root)
%{_libdir}/gambas3/gb.vb.so*
%{_libdir}/gambas3/gb.vb.component
%{_datadir}/gambas3/info/gb.vb.info
%{_datadir}/gambas3/info/gb.vb.list

%files gb-xml
%defattr(-,root,root)
%{_libdir}/gambas3/gb.xml.gambas
%{_libdir}/gambas3/gb.xml.so*
%{_libdir}/gambas3/gb.xml.component*
%{_datadir}/gambas3/info/gb.xml.info
%{_datadir}/gambas3/info/gb.xml.list

%files gb-xml-html
%defattr(-,root,root)
%{_libdir}/gambas3/gb.xml.html.so*
%{_libdir}/gambas3/gb.xml.html.component*
%{_datadir}/gambas3/info/gb.xml.html.info
%{_datadir}/gambas3/info/gb.xml.html.list

%files gb-xml-rpc
%defattr(-,root,root)
%{_libdir}/gambas3/gb.xml.rpc.gambas
%{_libdir}/gambas3/gb.xml.rpc.component*
%{_datadir}/gambas3/info/gb.xml.rpc.info
%{_datadir}/gambas3/info/gb.xml.rpc.list

%files gb-xml-xslt
%defattr(-,root,root)
%{_libdir}/gambas3/gb.xml.xslt.so*
%{_libdir}/gambas3/gb.xml.xslt.component*
%{_datadir}/gambas3/info/gb.xml.xslt.info
%{_datadir}/gambas3/info/gb.xml.xslt.list

%files gb-web
%defattr(-,root,root)
%{_libdir}/gambas3/gb.web.*
%{_datadir}/gambas3/info/gb.web.*


%changelog
* Sat Jul 12 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.5.4-3
- fixed dependency.

* Thu Jul 10 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.5.4-2
- made to use libpq-devel(PostgreSQL-9).

* Tue Jul 08 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.5.4-1
- new upstream release
- remove BuildRequires: kdebase3, kdelibs3-devel
- change BuildRequires: postgresql8-devel instead of postgresql-devel
- change BuildRequires: libmysqlclient-devel instead of MySQL-devel

* Sat Dec 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.5.1-1
- new upstream release
- create follow subpackages
  - gb-args
  - gb-clipper
  - gb-geom
  - gb-httpd
  - gb-logging
  - gb-map
  - gb-memcached
  - gb-opengl-sge
  - gb-openssl

* Wed Jan 09 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.3.4-1
- new upstream release

* Thu Oct 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.3.3-2
- rebuild with pcre-8.31

* Sun Oct 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.3.3-1
- new upstream release
- create db-complex, gb-data, gb-gtk-opengl, gb-libxml, gb-ncurses, gb-xml-html sub packages

* Sun Apr 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.1-1
- new upstream release

* Tue Jan 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-1
- new upstream release
- remove gb-gtk-opengl, gb-info sub package
- add gb-opengl-glu sub package

* Wed Jun  8 2011 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.99.0-6.svn3396
- add BR: libXmu-devel, glew-devel, libv4l-devel

* Tue Apr 12 2011 Shu KONNO <owa@bg.wakwak.com> 2.99.0-5.svn3396
- rebuilt with postgresql-9.0.3

* Sat Apr  9 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.99.0-4.svn3396
- rebuilt with unixODBC-2.2.14

* Sat Mar 12 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.99.0-3.svn3396
- rebuilt with poppler-0.16.3

* Fri Dec 24 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 2.99.0-2.svn3396
- source updated to latest revision

* Mon Dec 06 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 2.99.0-1.svn3344
- initial build for Vine Linux

