Name:           geocode-glib
Version:        3.14.0
Release:        1%{?_dist_release}
Summary:        Geocode Helper library

Group:          Development/Libraries
License:        GPLv2
URL:            https://git.gnome.org/browse/geocode-glib
Source:         http://download.gnome.org/sources/%{name}/3.14/%{name}-%{version}.tar.xz

BuildRequires:  glib2-devel >= 2.34
BuildRequires:  json-glib-devel >= 0.16.2
BuildRequires:  libsoup-devel
BuildRequires:  gobject-introspection-devel

Vendor:			Project Vine
Distribution:	Vine Linux
Packager:		Takemikaduchi

%description
geocode-glib is a convenience library for the geocoding (finding longitude,
and latitude from an address) and reverse geocoding (finding an address from
coordinates). It uses Nominatim service to achieve that. It also caches
(reverse-)geocoding requests for faster results and to avoid unnecessary server
load.


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the %{name}.


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    docs
This package contains documentation for %{name}.


%prep
%setup -q


%build
%configure \
	--with-libproxy 

make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING.LIB ChangeLog NEWS README
%{_libdir}/libgeocode-glib.so.*
%{_libdir}/girepository-1.0/GeocodeGlib-1.0.typelib
%{_datadir}/icons/gnome/scalable/places/*.svg

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1.0
%{_libdir}/libgeocode-glib.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_datadir}/gir-1.0/GeocodeGlib-1.0.gir

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}-1.0


%changelog
* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- new upstream release

* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2-1
- new upstream release

* Sun Mar 30 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-2
- rebuild with VineSeed environment

* Sun Oct 27 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-1
- initial build

