%{!?python3_sitelib: %define python3_sitelib %(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Summary:	Music applications for GNOME
Summary(ja):	GNOME 用音楽アプリケーション
Name:		gnome-music
Version:	3.14.1
Release:	1%{?_dist_release}
License:	GPLv2+
Group:		User Interface/Deskops
URL:		https://wiki.gnome.org/Apps/Music

Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.14/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk3-devel
BuildRequires:	python3-devel
BuildRequires:	grilo-devel
BuildRequires:	libmediaart-devel
BuildRequires:	yelp-tools


Requires(postun,posttrans):	desktop-file-utils
Requires: python3-pygobject
Requires: dbus-python3

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
Music application designed for GNOME 3 

%description -l ja
gnome-music は GNOME3 向けに作られた音楽アプリケーションです。


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
%{summary}


%prep
%setup -q

%build
%configure --disable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  update-desktop-database -q &> /dev/null ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README NEWS
%{_bindir}/%{name}
%{python3_sitelib}/gnomemusic
%{_libdir}/%{name}/girepository-1.0/Gd-1.0.typelib
%{_libdir}/%{name}/libgd.so
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Music.gschema.xml
%{_datadir}/%{name}/gnome-music.gresource
%{_datadir}/icons/*/*/*/*
%{_mandir}/man1/gnome-music.1.gz

%files devel
%defattr(-,root,root,-)
%{_datadir}/%{name}/gir-1.0/Gd-1.0.gir


%changelog
* Wed Oct 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.1-1
- new upstream release
- add BuildRequires: libmediaart-devel

* Sat May 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2.1-1
- new upstream release

* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.1-1
- new upstream release

* Sun Apr 13 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release
- add BuildRequires: yelp-tools
- add Requires: python3-pygobject, dbus-python3

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- initial build

