Summary: A GNU utility for secure communication and data storage.
Summary(ja): GNU 版の RFC2440 (OpenPGP) 公開鍵暗号プログラム
Name: gnupg
Version: 1.4.18
Release: 1%{?_dist_release}
License: GPL
Group: Applications/System
Source0: ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2.sig
Source2: gnupg-1.4.11-1_ja.po

URL: http://www.gnupg.org/

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke, iwaim, shaolin

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Provides: gpg, openpgp
Requires(post): install-info
Requires(preun): install-info

BuildRequires: autoconf
BuildRequires: zlib-devel, bzip2-devel
BuildRequires: openldap-devel
BuildRequires: libusb-devel
BuildRequires: readline-devel

%description
GnuPG (GNU Privacy Guard) is a GNU utility for encrypting data and
creating digital signatures. GnuPG has advanced key management
capabilities and is compliant with the proposed OpenPGP Internet
standard described in RFC2440. Since GnuPG does not use any patented
algorithm, it is not compatible with any version of PGP2 (PGP2.x uses
only IDEA for symmetric-key encryption, which is patented worldwide).

%description -l ja
GnuPG (GNU プライバシーガード) は、データを暗号化したりデジタル署名を
作成したりする GNU ユーティリティです。GnuPG は優れた鍵管理機能を有し、
RFC2440 に規定された OpenPGP 規格に準拠しています。GnuPG は特許化された
アルゴリズムを一切用いていないので、何の制限もなく使用することが出来ま
すが、全てのバージョンの PGP2 とは互換性がありません。(PGP2.x は世界
中で特許化されている IDEA を対称暗合鍵のために用います。)

%prep
%setup -q

#mv po/ja.po po/ja.po.orig
#cp -f %{SOURCE2} po/ja.po
autoreconf -i -f

%build
%configure --enable-ldap --disable-mailto \
	--without-libcurl \
	--program-transform-name='' --program-prefix='' --program-suffix='' \
	--libexecdir=%{_libdir}
make
(cd po; make ja.gmo)
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libexecdir=%{buildroot}%{_libdir}
# install -m644 doc/gpg.info doc/gpgv.info $RPM_BUILD_ROOT/%{_infodir}
install -m644 doc/gnupg1.info $RPM_BUILD_ROOT/%{_infodir}
sed 's^\.\./g[0-9\.]*/^^g' tools/lspgpot > lspgpot
install -m755 lspgpot $RPM_BUILD_ROOT%{_bindir}/lspgpot
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%post
if test -s %{_infodir}/gnupg1.info.gz ; then
    /sbin/install-info %{_infodir}/gnupg1.info.gz %{_infodir}/dir 2> /dev/null
fi
if ! test -s %{_infodir}/gpg.info.gz ; then
    /sbin/install-info --delete %{_infodir}/gpg.info.gz %{_infodir}/dir 2> /dev/null
fi
if ! test -s %{_infodir}/gpgv.info.gz ; then
    /sbin/install-info --delete %{_infodir}/gpgv.info.gz %{_infodir}/dir 2> /dev/null
fi
exit 0

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gpgv.info.gz %{_infodir}/dir
    /sbin/install-info --delete %{_infodir}/gpg.info.gz %{_infodir}/dir
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS PROJECTS README THANKS TODO
%doc doc/DETAILS doc/HACKING doc/OpenPGP doc/samplekeys.asc
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/FAQ
%{_datadir}/%{name}/options.skel
%{_libdir}/%{name}
%{_infodir}/*
%{_mandir}/man1/*
%{_mandir}/man7/*


%changelog
* Fri Jul 11 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.4.18-1
- new upstream release.

* Sat Aug 10 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.4.14-1
- new upstream release
- deleted unrecognized %%configure option: --enable-shared
- did not generate Vine custom .po

* Mon Apr  4 2011 IWAI, Masaharu <iwai@alib.jp> 1.4.11-1
- new upstream release
- update ja.po (Source2)
- drop dir patch (Patch3): upstream merged
- drop faq.html in %%files: upstream deleted

* Sat Jul 17 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.10-1
- new upstream release
- add --enable-ldap
- add BR: bzip2-devel, openldap-devel, libusb-devel, readline-devel
- use Requires(post,preun) instead of PreReq

* Tue Jul 14 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.4.9-1
- new upstream release

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.4.6-1vl5
- applied new versioning policy, spec in utf-8

* Sun May 20 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.4.6-0vl4
- add --without-libcurl option for configure,
  instead of "rebuilding without curl" as shown below

* Mon May 14 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 1.4.6-0vl3
- rebuild without curl

* Mon Dec 25 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.6-0vl2
- rebuilt for VineSeed

* Sat Dec 09 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.4.6-0vl1
- new upstream release incorporating fixes for CVE-2006-6169, 6235
- drop Patch100 (included in new upstream)
- add patch3 from redhat

* Sat Dec 02 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.4.5-0vl1.1
- add patch100 for fix CVE-2006-6169

* Mon Sep  4 2006 IWAI, Masaharu <iwai@alib.jp> 1.4.5-0vl1
- new upstream release
- update ja.po ( but, it has many fuzzy )

* Sun May  7 2006 IWAI, Masaharu <iwai@alib.jp> 1.4.3-0vl1
- drop CVE-2006-0455 ( Patch10 ) and CVE-2006-0049 ( Patch11 ) patches
    - upstream fixed
- update ja.po ( but, it has many fuzzy )
- drop unnecessary libexec patch ( Patch0 )

* Sun Apr  9 2006 IWAI, Masaharu <iwai@alib.jp> 1.2.6-0vl5
- build for VineSeed

* Sun Mar 19 2006 IKEDA Katsumi <ikeda@webmasters.gr.jp> 1.2.6-0vl4
- added a security patch for CVE-2006-0049.

* Mon Feb 20 2006 IKEDA Katsumi <ikeda@webmasters.gr.jp> 1.2.6-0vl3
- added a security patch for CVE-2006-0455.

* Sat Oct 30 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.6-0vl2
- update ja.po

* Thu Oct 28 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.6-0vl1
- new upstream release

* Mon Dec 29 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.4-0vl2
- rebuilt

* Mon Dec 29 2003 IWAI, Masaharu <iwai@alib.jp> 1.2.4-0vl1
- new upstream release

* Sat Aug 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.3-0vl1
- new upstream release

* Tue May  6 2003 IWAI Masaharu <iwai@alib.jp> 1.2.2-0vl1
- upstream releace
- update libexec.patch (Patch0)
- drop trustfix.patch (Patch10)

* Tue May  6 2003 IWAI Masaharu <iwai@alib.jp> 1.2.1-3vl3
- SECURITY FIX - Key validity bug
    - http://lists.gnupg.org/pipermail/gnupg-announce/2003q2/000268.html
    - add trustfix.patch (Patch10) from Vine-2.6 updates 1.0.7-6vl2.1

* Fri Mar  7 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.1-3vl2
- update ja.po

* Fri Mar  7 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.1-3vl1
- new upstream release
- merged with rawhide version 1.2.1-3
  * Fri Feb  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.2.1-3
  - modify g10defs to look for helpers in libexecdir, because that's where they
    get installed, per gnupg-users
  - actually drop updates for 1.0.7 which are no longer needed for 1.2.1
  * Mon Oct 28 2002 Nalin Dahyabhai <nalin@redhat.com> 1.2.1-1
  - update to 1.2.1
  * Tue Sep 24 2002 Nalin Dahyabhai <nalin@redhat.com> 1.2.0-1
  - update to 1.2.0
  - stop stripping files manually, let the buildroot policies handle it
  - add translations updates ca and fr

* Tue Oct  1 2002 IWAI Masaharu <iwai@alib.jp> 1.0.7-6vl2
- added --disable-{ldap,mailto} options for configure script
- added zlib in Requires tag
- added zlib-devel in BuildRequires tag

* Mon Sep 23 2002 IWAI Masaharu <iwai@alib.jp> 1.0.7-6vl1
- sync with Rawhide gnupg-1.0.7-6
    - added --program-{transform-name,prefix,suffix} options for configure script
    - added Source1(signature for the GnuPG 1.0.7 tarball)
    - added BUGS and doc/samplekeys.asc in %%doc
    - eliminated g*/OPTIONS and g*/pubring.asc in %%doc
    - stopped patching Patch0(codeset.patch)
    - 
- droped Source3(ja.po)
- added Patch1 (gnupg-1.0.7-ja.po.patch)

* Fri Jan 25 2002 Toru Sagami <sagami@vinelinux.org> 1.0.6-3vl1
- sync with 1.0.6-3
  * set message output encoding to match the message encoding, based on a
    patch by goeran@uddeborg.pp.se (#49182)
- fixed ja.po

* Thu Jun 07 2001 <sagami@vinelinux.org>
- update to 1.0.6: follow up with RHSA's 1.0.5 package
- changed Group/Description
- stop replacing/overriding man page (new one is out there) 

* Thu May 24 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.5-0vl2
- fixed typo in spec file.

* Thu May 24 2001 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.5-0vl1
- update to 1.0.5
- update ja.po.

* Mon Oct 23 2000 KAJIKI Yoshihiro <kajiki@ylug.org>
- update to 1.0.4 for a security reason
- add Japanese summary and description

* Thu Aug 17 2000 KAJIKI Yoshihiro <kajiki@ylug.org>
- rebuild for Vine-2.0/VineSeed

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.2

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jul 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- include lspgpot (#13772)

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new build environment

* Fri Feb 18 2000 Bill Nottingham <notting@redhat.com>
- build of 1.0.1

* Fri Sep 10 1999 Cristian Gafton <gafton@redhat.com>
- version 1.0.0 build for 6.1us
