Name:           gpicview
Version:        0.2.3
Release:        2%{?_dist_release}
Summary:        A Simple and Fast Image Viewer for X
Summary(ja):    X のシンプルで高速な画像ビューア

Group:          Applications/Graphics
License:        GPLv2+
URL:            http://lxde.sourceforge.net/gpicview/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  libjpeg-turbo-devel, gtk2-devel, desktop-file-utils, gettext
BuildRequires:  perl, perl-XML-Parser, intltool

%description
Gpicview is an image viewer:
* extremely lightweight and fast with low memory usage;
* very suitable for default image viewer of desktop system;
* with a simple and intuitive interface.

%description -l ja
Gpicview は画像ビューアです。
* 使用メモリが少なく、非常に軽量・高速。
* デスクトップシステムのデフォルト画像ビューアとして最適。
* シンプルで直感的なインターフェイス。


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor vine \
	--delete-original \
	 --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_bindir}/gpicview
%{_datadir}/applications/*
%{_datadir}/gpicview/
%{_datadir}/pixmaps/gpicview.png


%changelog
* Tue Jul 01 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.3-2
- rebuilt with current environment

* Sun Jul 08 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.3-1
- New upstream release

* Sun Jul 24 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.2-1
- New upstream release

* Sun Jun 19 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.1-2
- rebuilt with current environment
- changed BuildRequires: libjpeg-devel to libjpeg-turbo-devel

* Tue Jun 30 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.1-1vl5
- New upstream release

* Thu Jun 4 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.0-1vl5
- New upstream release
- added BuildRequires: perl, perl-XML-Parser, intltool

* Mon May 18 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.99-1vl5
- New upstream release

* Wed May 6 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.11-3vl5
- changed Group to Applications/Graphics

* Sun Apr 5 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.11-2vl5
- spec in utf8

* Mon Mar 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.11-1vl5
- initial build for VineSeed (import Fedora package)

* Sat Dec 20 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.1.11-1
- New upstream release

* Tue Dec 2 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.1.10-2
- Rebuild of gpicview after updates from Patrice. Thanks and credit
 go to Patrice.

* Sun Sep 14 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.1.10-1
- New upstream release

* Sat Feb 23 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.1.9-1
- New upstream release

* Sat Feb 2 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.1.8-1
- New upstream release

* Fri Jan 11 2008 parag <paragn@fedoraproject.org> - 0.1.7-3
- Spec cleanup

* Thu Jan 10 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.1.7-2
- Removed zero size files
- added lang in spec file

* Thu Jan 10 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.1.7-1
- Initial release
