%define major 0.10

%define _gst_ver	0.10.36
%define _gstpb_ver	0.10.36
%define _glib2_ver	2.28.8
%define _gtk3_ver	3.0.0
%define _gtk_doc_ver	1.3
%define _check_ver	0.9.2
%define _python_ver	2.6
%define _cairo_ver	1.0.0
%define _flac_ver	1.2.0
%define _libdv_ver	0.100
%define _libpng_ver	1.2.0
%define _speex_ver	1.1.5
%define _taglib_ver	1.5
%define _dbus_ver	1.0
%define _soup_ver	2.26.0
%define _libshout_ver   2.2.2
%define _pulse_ver	0.9.20

%define po_package	gst-plugins-good-%{major}

Name:		gstreamer-plugins-good
Summary:	GStreamer Streaming-media framework good plugins
Summary(ja):	GStreamer ストリーミングメディアフレームワーク用優良プラグイン
Version:	0.10.31
Release:	4%{?_dist_release}

License:	LGPL
Group:		System Environment/Libraries
URL:		http://gstreamer.freedesktop.org/
Source:		http://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-%{version}.tar.xz

Patch0:		gst-plugins-good-0.10.31-v4l2.patch
Patch1:		gst-plugins-good-0.10.31-para-tag.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gstreamer-devel >= %{_gst_ver}
BuildRequires:	gstreamer-plugins-base-devel >= %{_gstpb_ver}
BuildRequires:	gtk-doc >= %{_gtk_doc_ver}
BuildRequires:	python >= %{_python_ver}, python-pyxml
BuildRequires:	glib2-devel >= %{_glib2_ver}
BuildRequires:	check-devel >= %{_check_ver}
BuildRequires:	gtk3-devel >= %{_gtk3_ver}
BuildRequires:	aalib-devel
BuildRequires:	cairo-devel >= %{_cairo_ver}
BuildRequires:	flac-devel >= %{_flac_ver}
BuildRequires:	GConf2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libdv-devel >= %{_libdv_ver}
BuildRequires:	libpng >= %{_libpng_ver}
BuildRequires:	libavc1394-devel libraw1394-devel libiec61883-devel
BuildRequires:	speex-devel >= %{_speex_ver}
BuildRequires:	zlib-devel
BuildRequires:	taglib-devel >= %{_taglib_ver}
BuildRequires:	dbus-devel >= %{_dbus_ver}
BuildRequires:	libsoup-devel >= %{_soup_ver}
BuildRequires:	libshout-devel >= %{_libshout_ver}
BuildRequires:  pulseaudio-libs-devel >= %{_pulse_ver}
BuildRequires:  orc-devel
BuildRequires:  libgudev1-devel
BuildRequires:  libv4l-devel
BuildRequires:  libSM-devel
BuildRequires:  libXext-devel
BuildRequires:  libXv-devel
BuildRequires:  bzip2-devel
BuildRequires:  jack-audio-connection-kit-devel

Requires:	gstreamer >= %{_gst_ver}
Requires:	gstreamer-plugins-base >= %{_gstpb_ver}
Requires:	cairo >= %{_cairo_ver}
Requires:	libjpeg
Requires:	libpng >= %{_libpng_ver}
Requires:	taglib >= %{_taglib_ver}
Requires:	dbus >= %{_dbus_ver}
Requires(post): GConf2
Requires(preun): GConf2

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:       inagaki, daisuke, Takemikaduchi

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains a set of well-supported plugins of good quality and
under the LGPL license.

%package flac
Summary:	GStreamer plugin for de/encoding FLAC files
Summary(ja):	GStreamer FLAC ファイルデコード/エンコードプラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	flac >= %{_flac_ver}

%description flac
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains GStreamer plugin for de/encoding FLAC files.

%package speex
Summary:	GStreamer plugin for de/encoding Speex files
Summary(ja):	GStreamer Speex ファイルデコード/エンコードプラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	speex >= %{_speex_ver}

%description speex
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains GStreamer plugin for de/encoding Speex files.

%package dv
Summary:	GStreamer DV plugin
Summary(ja):	GStreamer DV プラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdv >= %{_libdv_ver}

%description dv
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains GStreamer plugin for digital video support using
libdv.

%package raw1394
Summary:	GStreamer raw1394 FireWire plugin
Summary(ja):	GStreamer raw1394 FireWire プラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libavc1394, libraw1394, libiec61883

%description raw1394
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains GStreamer plugin for digital video support using
raw1394.

%package aa
Summary:	GStreamer plugin for Ascii-art output
Summary(ja):	GStreamer アスキーアート出力プラグイン
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	aalib

%description aa
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains GStreamer plugin for viewing movies in Ascii-art
using aalib.

%package devel
Summary:	Documentation files for GStreamer good plugins.
Summary(ja):	GStreamer 優良プラグインのドキュメント
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains documentation for GStreamer good plugins.
files.

%prep
%setup -q -n gst-plugins-good-%{version}
%patch0 -p1
%patch1 -p1

%build
%ifarch alpha
%define optflags -O2 -mieee -fPIC
%endif

NOCONFIGURE=1 ./autogen.sh
%configure \
	-with-package-name='Vine Linux gstreamer-plugins-good package' \
	--with-gtk=3.0 \
	--disable-ladspa --disable-libcaca \
	--disable-esd --disable-hal \
	--disable-shout2 --disable-shout2test \
	--enable-gtk-doc --disable-debug \
        --disable-schemas-install
make %{?_smp_mflags}

%install
[ -n $RPM_BUILD_ROOT -a $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{major}/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}

%find_lang %{po_package}

%clean
[ -n $RPM_BUILD_ROOT -a $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
%{_bindir}/gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/gstreamer-%{major}.schemas \
	> /dev/null ||:

%preun
[ "$1" = "1" ] && exit
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
%{_bindir}/gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gstreamer-%{major}.schemas \
	> /dev/null ||:

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README RELEASE REQUIREMENTS
%{_sysconfdir}/gconf/schemas/gstreamer-%{major}.schemas
%dir %{_datadir}/gstreamer-%{major}/presets
%{_datadir}/gstreamer-%{major}/presets/*

# base plugins without external dependencies
%{_libdir}/gstreamer-%{major}/libgstalaw.so
%{_libdir}/gstreamer-%{major}/libgstalpha.so
%{_libdir}/gstreamer-%{major}/libgstalphacolor.so
%{_libdir}/gstreamer-%{major}/libgstannodex.so
%{_libdir}/gstreamer-%{major}/libgstapetag.so
%{_libdir}/gstreamer-%{major}/libgstaudiofx.so
%{_libdir}/gstreamer-%{major}/libgstaudioparsers.so
%{_libdir}/gstreamer-%{major}/libgstauparse.so
%{_libdir}/gstreamer-%{major}/libgstautodetect.so
%{_libdir}/gstreamer-%{major}/libgstavi.so
%{_libdir}/gstreamer-%{major}/libgstcutter.so
%{_libdir}/gstreamer-%{major}/libgstdebug.so
%{_libdir}/gstreamer-%{major}/libgstdeinterlace.so
%{_libdir}/gstreamer-%{major}/libgstefence.so
%{_libdir}/gstreamer-%{major}/libgsteffectv.so
%{_libdir}/gstreamer-%{major}/libgstequalizer.so
%{_libdir}/gstreamer-%{major}/libgstflv.so
%{_libdir}/gstreamer-%{major}/libgstflxdec.so
%{_libdir}/gstreamer-%{major}/libgstgoom.so
%{_libdir}/gstreamer-%{major}/libgstgoom2k1.so
%{_libdir}/gstreamer-%{major}/libgsticydemux.so
%{_libdir}/gstreamer-%{major}/libgstid3demux.so
%{_libdir}/gstreamer-%{major}/libgstimagefreeze.so
%{_libdir}/gstreamer-%{major}/libgstinterleave.so
%{_libdir}/gstreamer-%{major}/libgstisomp4.so
%{_libdir}/gstreamer-%{major}/libgstjack.so
%{_libdir}/gstreamer-%{major}/libgstlevel.so
%{_libdir}/gstreamer-%{major}/libgstmatroska.so
%{_libdir}/gstreamer-%{major}/libgstmulaw.so
%{_libdir}/gstreamer-%{major}/libgstmultifile.so
%{_libdir}/gstreamer-%{major}/libgstmultipart.so
%{_libdir}/gstreamer-%{major}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{major}/libgstoss4audio.so
%{_libdir}/gstreamer-%{major}/libgstossaudio.so
%{_libdir}/gstreamer-%{major}/libgstreplaygain.so
%{_libdir}/gstreamer-%{major}/libgstrtp.so
%{_libdir}/gstreamer-%{major}/libgstrtpmanager.so
%{_libdir}/gstreamer-%{major}/libgstrtsp.so
%{_libdir}/gstreamer-%{major}/libgstshapewipe.so
%{_libdir}/gstreamer-%{major}/libgstsmpte.so
%{_libdir}/gstreamer-%{major}/libgstspectrum.so
%{_libdir}/gstreamer-%{major}/libgstudp.so
%{_libdir}/gstreamer-%{major}/libgstvideo4linux2.so
%{_libdir}/gstreamer-%{major}/libgstvideobox.so
%{_libdir}/gstreamer-%{major}/libgstvideocrop.so
%{_libdir}/gstreamer-%{major}/libgstvideofilter.so
%{_libdir}/gstreamer-%{major}/libgstvideomixer.so
%{_libdir}/gstreamer-%{major}/libgstwavenc.so
%{_libdir}/gstreamer-%{major}/libgstwavparse.so
%{_libdir}/gstreamer-%{major}/libgstximagesrc.so
%{_libdir}/gstreamer-%{major}/libgsty4menc.so

# base plugins with external dependencies, but in the main package
%{_libdir}/gstreamer-%{major}/libgstcairo.so
%{_libdir}/gstreamer-%{major}/libgstgconfelements.so
%{_libdir}/gstreamer-%{major}/libgstgdkpixbuf.so
%{_libdir}/gstreamer-%{major}/libgstjpeg.so
%{_libdir}/gstreamer-%{major}/libgstpng.so
%{_libdir}/gstreamer-%{major}/libgstsouphttpsrc.so
%{_libdir}/gstreamer-%{major}/libgsttaglib.so
%{_libdir}/gstreamer-%{major}/libgstpulse.so

%files flac
%defattr(-,root,root)
%{_libdir}/gstreamer-%{major}/libgstflac.so

%files speex
%defattr(-,root,root)
%{_libdir}/gstreamer-%{major}/libgstspeex.so

%files dv
%defattr(-,root,root)
%{_libdir}/gstreamer-%{major}/libgstdv.so

%files raw1394
%defattr(-,root,root)
%{_libdir}/gstreamer-%{major}/libgst1394.so

%files aa
%defattr(-,root,root)
%{_libdir}/gstreamer-%{major}/libgstaasink.so

%files devel
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/gst-plugins-good-plugins-%{major}

%changelog
* Thu Jul 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.31-4
- rebuild with libpng-1.6.12
- add Patch1 (gst-plugins-good-0.10.31-para-tag.patch)

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.31-3
- rebuild with VineSeed environment
- update Patch0 (gst-plugins-good-0.10.31-v4l2.patch)

* Sat Oct 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.31-2
- add Patch0 (gst-plugins-good-0.10.31-v4l2.patch)

* Tue Feb 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.31-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel

* Sat Jan 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.30-2
- remove BuildRequires: hal-devel
- remove Requires: hal
- add configure option (--disable-hal)

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.30-1
- new upstream release
- delete BuildRequires: esound-devel
- add BuildRequires:  jack-audio-connection-kit-devel

* Tue May 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.28-1
- new upstream release
- add BuildRequires:  libgudev1-devel, libv4l-devel, libSM-devel, libXext-devel, libXv-devel, bzip2-devel

* Sun Jan 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.27-1
- new upstream release

* Thu Dec 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.26-1
- new upstream release

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.25-1
- new upstream release

* Sun Jul 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.24-1
- new upstream release
- added BR: orc-devel, libgudev1-devel
- removed liboil dependency

* Sat May 01 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.22-1
- new upstream release

* Sat Mar 13 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.21-1
- new upstream release

* Sun Feb 28 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.18-1
- new upstream release
- built with new toolchain

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.15-1
- new upstream release

* Wed May 27 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.14-2
- build without gpm (new aalib does not require gpm)

* Sat Mar 28 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.14-1
- new upstream release

* Thu Oct 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.10-1
- new upstream release
- add BR: libshout-devel, pulseaudio-libs-devel
- add pulse,replaygain,interleave,video4linux2 plugins

* Thu Jul 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.8-2
- drop explicit dependency to esound

* Mon Jun 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.8-1
- new upstream release

* Sun Apr  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.7-1vl5
- new upstream release

* Sat Aug 18 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.6-0vl2
- rebuilt with flac-1.2.0

* Sun Jun 24 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.6-0vl1
- new upstream release

* Sat Jun  9 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.10.5-0vl4
- rebuilt with new toolchain
- added BuildRequires: libiec61883-devel

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.5-0vl3
- rebuild with dbus-1.0
- add BuildRequires: dbus-devel >= 1.0

* Sat Mar 10 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.5-0vl2
- add Vendor/Distribution tag
- add '-with-package-name' option to %%configure
- use more macros

* Fri Dec 22 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.5-0vl1
- new upstream release
- update %%_gst_ver, %%_gstpb_ver
- add new plugin: libgstaudiofx.so

* Wed Aug 16 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.4-0vl1
- new upstream release
- update %%_gst_ver

* Sat May 06 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.3-0vl1
- new upstream release
- update %%_gst_ver, %%_gstpb_ver
- add BuildRequires: taglib-devel, hal-devel
- add Requires: taglib, hal
- add new plugins:
  - libgstapetag.so, libgsttaglib.so
  - libgsthalelements.so
  - libgstgdkpixbuf.so
  - libgstvideobalance.so
  - libgstximagesrc.so
  - libgsticydemux.so
  - libgstannodex.so

* Fri Feb 10 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.2-0vl1
- new upstream release
- update %%_gst_ver, %%_gstpb_ver

* Sat Jan 21 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.10.1-0vl1
- initial package based on gstreamer-plugins
- new upstream release
  - change major to 0.10
- update dependencies
- update %%configure options
- add sub-package: -flac, -speex, -dv, raw1394, aa

* Mon Dec 12 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8.11-0vl3
- remove duplicated libgst{idct,qtdemux,xwindowlistener}.so

* Thu Oct 13 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8.11-0vl2
- added missing alsa plugin

* Thu Sep 22 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.11-0vl1
- new upstream release
- added alsa and cairo plugins

* Sun Jul 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.10-0vl1
- new upstream release

* Mon Jun  6 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.9-0vl1
- new upstream release

* Wed May 11 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.8-0vl5
- added Conflicts: gstreamer-plugins-extra-audio < 0.8.8-0vl2

* Sun May  8 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.8-0vl4
- added libgstcdparania.so for gnome-cd (gnome-media)
- BuildRequires: cdparanoia-devel

* Wed Mar 30 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8.8-0vl3
- drop BuildRequires: xmms-devel, Requires: xmms

* Tue Mar 29 2005 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.8.8-0vl2
- libgstvideo4linux2.so temoporally omitted for ppc
  (will be back later, I hope)

* Sun Mar 13 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.8.8-0vl1
- new upstream release
- s/Copyright/License/
- includes plugins depend on main package libraries only

* Wed Nov 10 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.8.5-0vl1
- new upstream release

* Tue Dec 09 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.4-0vl1
- new upstream release

* Tue Jun 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.2-0vl1
- new upstream release

* Sat Feb 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.0-0vl1
- new upstream release

* Sat Feb 01 2003 Tomoya TAKA <taka@vinelinux.org> 0.5.2-0vl3
- build with -fPIC on alpha

* Fri Jan 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.2-0vl2
- modified scripts

* Fri Jan 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.2-0vl1
- new upstream release

* Sun Jan 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.1-0vl2
- disable some plugins.

* Sun Jan 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5.1-0vl1
- new upstream release
- initial build for Vine Linux

* Thu Dec 19 2002 Elliot Lee <sopwith@redhat.com> 0.5.0-15
- Include ia64
- Add BuildRequires: autoconf automake

* Wed Dec 18 2002 Jonathan Blandford <jrb@redhat.com>
- rebuild

* Tue Dec 17 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-12
- rebuild

* Mon Dec 16 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-10
- rebuild
- disable tests

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 0.5.0-9
- rebuild

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-7
- fix libdir for ia64.

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-3
- ExcludeArch: ia64.   Random assembler errors that I have no hope of fixing
- Add devel package

* Wed Dec 11 2002 Jonathan Blandford <jrb@redhat.com> 0.5.0-1
- 0.5.0
- apparently, festival-devel isn't needed.

* Tue Dec 10 2002 Tim Powers <timp@redhat.com> 0.4.2-3
- rebuild to fix broken dep on libgstreamer-0.4.2.so.0

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- excludearch the arches that can't build gstreamer cothreads
- well it isn't really SMP-safe
- add patch for including pthread.h when required
- prereq gconftool
- fix typo that broke schema installation in post

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- initial "official" import
- munge tarball for legal cleanliness

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.2

* Mon Sep 23 2002 Jeremy Katz <katzj@redhat.com>
- 0.4.1
- install the gconf schema
- use %%configure

* Sun Sep 22 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.4.0
- give explicit vorbis include path, don't run vorbis test

* Sun Aug 11 2002 Jeremy Katz <katzj@redhat.com>
- collapse into one package to preserve some sanity

* Wed Mar 13 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added more BuildRequires and Requires
- rearranged some plugins
- added changelog ;)
