Name:		iso-codes
Summary:	ISO code lists and translations
Summary(ja):	ISO コード一覧および翻訳
Version:	3.56
Release:        1%{?_dist_release}
License:	LGPLv2+
Group:		System Environment/Base
URL:		http://alioth.debian.org/projects/pkg-isocodes/
Source:		ftp://pkg-isocodes.alioth.debian.org/downloads/iso-codes-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
BuildRequires:	python
BuildRequires:  python-pyxml
BuildRequires:  gettext

%description
This package provides the ISO-639 Language code list, the ISO-3166
Territory code list, and ISO-3166-2 sub-territory lists, and all their
translations in gettext .po form.

%description -l ja
このパッケージには、ISO-639 言語コード一覧、ISO-3166 国名・地域コード
一覧、ISO-4217 通貨コード一覧、および、それらを翻訳したものが gettext
の .po 形式で含まれています。

%prep
%setup -q

%build
%configure
make

%install
%__rm -rf %{buildroot}
%makeinstall

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README TODO
#{_datadir}/iso-codes
%{_datadir}/xml/iso-codes
%{_datadir}/locale/*/LC_MESSAGES/*
%{_datadir}/pkgconfig/iso-codes.pc

%changelog
* Sat Sep 06 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 3.56-1
- new upstream release

* Fri Jul 04 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 3.55-1
- new upstream release

* Sat Feb 08 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 3.51-1
- new upstream release

* Sun Jan 19 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 3.50-1
- new upstream release

* Sat Nov 09 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 3.48-1
- new upstream release

* Fri Sep 06 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 3.46-1
- new upstream release

* Mon Jul 15 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 3.44-1
- new upstream release

* Sat Mar 02 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 3.41-1
- new upstream release
- fixed Source
- changed source archive bz2 to xz

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 3.16-2
- build with rpm-4.8.1-1 for pkg-config file

* Mon May 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.16-1
- new upstream release

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.7-1
- new upstream release
- spec in utf-8

* Tue Apr 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0-1
- new upstream release
- applied new versioning policy

* Sat Dec 09 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0-0vl1
- upstream release

* Thu Apr 06 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.50-0vl1
- upstream release

* Sun Sep 25 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.47-1vl2
- fix typo

* Wed Sep 21 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.47-1vl1
- initial build for Vine Linux

* Fri Aug 26 2005 Christopher Aillon <caillon@redhat.com> 0.47-1
- Update to 0.47

* Fri Jun 10 2005 Christopher Aillon <caillon@redhat.com> 0.46-2
- The .pc file should be installed in %%{_datadir} instead of %%{_libdir}
  since this is a noarch package.  64bit platforms will otherwise look in
  the 64bit version of the %%{_libdir} and not find the .pc file and 
  cause them to not find iso-codes

* Fri Jun 10 2005 Christopher Aillon <caillon@redhat.com> 0.46-1
- Initial RPM
