%define _qt4_ver 4.8.5
%define _qt4_version %(pkg-config --modversion --silence-errors Qt 2>/dev/null || echo %{qt4_ver})
%define _qt4_prefix %(pkg-config --variable prefix --silence-errors Qt 2>/dev/null || echo %{_libdir}/qt-%{qt4_version})
%define _qt4_libdir %(pkg-config --variable libdir --silence-errors Qt 2>/dev/null || echo %{_qt4_prefix}/lib)
%define _qt4_headerdir %(pkg-config --variable headerdir --silence-errors Qt 2>/dev/null || echo %{_qt4_prefix}/plugins)

%define attica_ver 0.4.2
%define dbusmenu_qt_ver 0.9.2
%define phonon_ver 4.6.0
%define soprano_ver 2.9.3
%define strigi_ver 0.7.8

Summary: KDE Libraries
Summary(ja): KDE ライブラリ
Name: kdelibs
Version: 4.12.5
Release: 3%{?_dist_release}

License: LGPLv2+
Group: System Environment/Libraries
URL: http://www.kde.org/

Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz


# make kdelibs-devel parallel-installable with kdelibs3-devel
Patch0: kdelibs-4.9.95-parallel_devel.patch

# fix http://bugs.kde.org/149705
Patch2: kdelibs-4.10.0-kde149705.patch

# install all .css files and Doxyfile.global in kdelibs-common to build
# kdepimlibs-apidocs against
Patch8: kdelibs-4.3.90-install_all_css.patch

# adds the Administration menu from redhat-menus which equals System + Settings
# This prevents the stuff getting listed twice, under both System and Settings.
Patch12: kdelibs-4.10.0-xdg-menu.patch

# patch KStandardDirs to use %{_libexecdir}/kde4 instead of %{_libdir}/kde4/libexec
Patch14: kdelibs-4.11.4-libexecdir.patch

# kstandarddirs changes: search /etc/kde, find %{_kde4_libexecdir}
Patch18: kdelibs-4.12.2-kstandarddirs.patch

# set build type
Patch20: kdelibs-4.10.0-cmake.patch

# die rpath die, since we're using standard paths, we can avoid
# this extra hassle (even though cmake is *supposed* to not add standard
# paths (like /usr/lib64) already! With this, we can drop
# -DCMAKE_SKIP_RPATH:BOOL=ON (finally)
Patch27: kdelibs-4.10.0-no_rpath.patch

## libplasma PackageKit integration

# Trigger installation of missing components when installing a package.
# https://git.reviewboard.kde.org/r/102291/
Patch41: 0002-Trigger-installation-of-missing-components-when-inst.patch

# Implement automatic scanning of source code for required data engines.
# https://git.reviewboard.kde.org/r/102350/
Patch42: 0003-Implement-automatic-scanning-of-source-code-for-requ.patch

# limit solid qDebug spam
# http://bugzilla.redhat.com/882731
# TODO: could make uptreamable and conditional only on Release-type builds
Patch49: kdelibs-solid_qt_no_debug_output.patch

## upstreamable
# knewstuff2 variant of:
# https://git.reviewboard.kde.org/r/102439/
Patch50: kdelibs-4.7.0-knewstuff2_gpg2.patch

# Toggle solid upnp support at runtime via env var SOLID_UPNP=1 (disabled by default)
Patch52: kdelibs-4.10.0-SOLID_UPNP.patch

# return valid locale (RFC 1766)
Patch54: kdelibs-4.8.4-kjs-locale.patch

# patch FindSamba.cmake to find samba4 libs (using pkg-config hints)
# https://git.reviewboard.kde.org/r/106861/
Patch55: FindSamba.cmake-help-find-samba4-more-reliably.patch

# make filter working, TODO: upstream?  -- rex
Patch59: kdelibs-4.9.3-kcm_ssl.patch

# disable dot to reduce apidoc size
Patch61: kdelibs-4.9.3-dot.patch

## upstream

# revert these commits for
#https://bugs.kde.org/315578
# for now, causes regression,
#https://bugs.kde.org/317138
Patch090: return-not-break.-copy-paste-error.patch
Patch091: coding-style-fixes.patch
Patch092: return-application-icons-properly.patch

## security fix

# rhel patches

# set abrt default
Patch301: kdelibs-4.x-abrt.patch

# vine patch
Patch1001: kdelibs-4.10.4-disable-hal.patch


BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: alsa-lib-devel
BuildRequires: aspell-devel
BuildRequires: attica-devel >= %{attica_ver} 
BuildRequires: automoc4 >= 0.9.88
BuildRequires: avahi-devel
BuildRequires: bison flex
BuildRequires: bzip2-devel
BuildRequires: cmake >= 2.6.2-3
BuildRequires: cups-devel cups
BuildRequires: dbusmenu-qt-devel
BuildRequires: docbook-dtds docbook-style-xsl
BuildRequires: enchant-devel
BuildRequires: gamin-devel
BuildRequires: gettext-devel
BuildRequires: giflib-devel
BuildRequires: grantlee-devel
BuildRequires: herqq-devel
BuildRequires: jasper-devel
BuildRequires: krb5-devel
BuildRequires: libacl-devel libattr-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libxslt-devel libxml2-devel
BuildRequires: eudev-libudev-devel
BuildRequires: libutempter-devel
BuildRequires: OpenEXR-devel
BuildRequires: openssl-devel
BuildRequires: pcre-devel
BuildRequires: phonon-devel >= %{phonon_ver}
BuildRequires: polkit-qt-devel >= 0.98.1
BuildRequires: qca2-devel
BuildRequires: qt4-devel >= 4.6.0
BuildRequires: shared-desktop-ontologies-devel >= 0.7
BuildRequires: shared-mime-info
BuildRequires: soprano-devel >= %{soprano_ver}
BuildRequires: strigi-devel >= %{strigi_ver}
BuildRequires: xz-devel
BuildRequires: zlib-devel
BuildRequires: udisks2-devel

BuildRequires: libSM-devel libXcomposite-devel libXdamage-devel
BuildRequires: libxkbfile-devel libXpm-devel libXScrnSaver-devel
BuildRequires: libXtst-devel libXv-devel libXxf86misc-devel

BuildRequires: openssh-clients
BuildRequires: subversion

# for apidoc
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: qt4-doc

Requires: xdg-utils
Requires: hicolor-icon-theme
Requires: kdelibs-common 
Requires: qt4 >= 4.6.0
Requires: phonon >= %{phonon_ver} 
Requires: shared-desktop-ontologies
Requires: soprano >= %{soprano_ver} 
Requires: strigi-libs >= %{strigi_ver} 
Requires: docbook-dtds docbook-style-xsl
Requires: kde-l10n-ja
Requires: upower udisks2

Requires(post): shared-mime-info, desktop-file-utils, coreutils, gtk2
Requires(postun): shared-mime-info, desktop-file-utils, coreutils, gtk2

Obsoletes: kdesupport
Obsoletes: kdelibs4 < %{version}-%{release}
Provides:  kdelibs4 = %{version}-%{release}

Provides: kross(javascript) = %{version}-%{release}
Provides: kross(qtscript) = %{version}-%{release}

Obsoletes: kdelibs-experimental < 4.3.75 
Provides: kdelibs-experimental = %{version}-%{release} 

# force upgrade of apps using the discontinued KatePart Smart* interfaces to
# versions using the new Moving* interfaces instead
Conflicts: kdevplatform < 1.1.80
Conflicts: kdevelop < 4.1.80
# 2.1-0.9.b4.fc15 is the first build with the fix from beta 5 backported
Conflicts: kile < 2.1-0.9
Conflicts: rkward < 0.5.4

# because kjscmd
Conflicts: kdebindings3

# remove kde-settings
Obsoletes: kde-settings < 4.9.12
Obsoletes: kde-settings-pulseaudio < 4.9.12

Vendor: Project Vine
Distribution: Vine Linux

%description
Libraries for the KDE 4.

%description -l ja
KDE 4 用ライブラリです．


%package common
Summary: Common files for KDE 3 and KDE 4 libraries
Summary(ja): KDE 3, KDE 4 ライブラリの共用ファイル
Group: System Environment/Libraries

%description common
This package includes the common files for the KDE 3 and KDE 4 libraries.

%description common -l ja
KDE 3 ライブラリと KDE 4 ライブラリとの間で共用するファイルが含まれています．

%package devel
Summary: Header files for compiling KDE applications.
Summary(ja): KDE アプリケーションをコンパイルするためのヘッダファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: attica-devel >= %{attica_ver} 
Requires: automoc4 >= 0.9.88
Requires: cmake >= 2.6.2-3
Requires: openssl-devel
Requires: phonon-devel
# considered part of nepomuk-devel
Requires: shared-desktop-ontologies-devel >= 0.7
Requires: qt4-devel
# do we really still need all these below? -- Rex
Requires: strigi-devel
Requires: bzip2-devel gamin-devel libacl-devel

Obsoletes: kdelibs4-devel < %{version}-%{release}
Provides:  kdelibs4-devel = %{version}-%{release}
Obsoletes: kdelibs-experimental-devel < 4.3.75 
Provides:  kdelibs-experimental-devel = %{version}-%{release}
Provides:  plasma-devel = %{version}-%{release}
Obsoletes: kdesupport-devel

%description devel
This package includes the header files you will need to compile
applications for KDE 4.

%description devel -l ja
このパッケージは KDE 4 アプリケーションのコンパイルに必要な
ヘッダファイルを含んでいます．

%package apidocs
Summary: KDE 4 API documentation
Summary(ja): KDE 4 API ドキュメント
Group: Documentation
Provides: kdelibs4-apidocs = %{version}-%{release}
BuildArch: noarch

%description apidocs
This package includes the KDE 4 API documentation in HTML
format for easy browsing.

%description -l ja apidocs
このパッケージは、読みやすい HTML フォーマットによる，KDE 4 の 
API ドキュメントを含んでいます．


%prep
%setup -q
%patch0 -p1 -b .parallel_devel
%patch2 -p1 -b .kde149705
%patch8 -p1 -b .install_all_css
%patch12 -p1 -b .Administration-menu
%patch14 -p1 -b .libexecdir
%patch18 -p1 -b .kstandarddirs
%patch20 -p1 -b .xxcmake
%patch27 -p1 -b .no_rpath

# libplasma PackageKit integration
## hrm, seems only 0001 is upstreamed so far, need to poke Kevin why that is.  -- rex
%patch41 -p1 -b .libplasma-pk-0002
%patch42 -p1 -b .libplasma-pk-0003

%patch49 -p1 -b .solid_qt_no_debug_output

# upstreamable patches
%patch50 -p1 -b .knewstuff2_gpg2
%patch52 -p1 -b .SOLID_UPNP
%patch54 -p1 -b .kjs-locale
%patch55 -p1 -b .FindSamba-samba4
%patch59 -p1 -b .filter
%patch61 -p1 -b .dot

# upstream patches
%patch90 -p1 -R -b .return-not-break.-copy-paste-error
%patch91 -p1 -R -b .coding-style-fixes.patch
%patch92 -p1 -R -b .return-application-icons-properly

# security fixes

# rhel patches
%patch301 -p1 -b .abrt

# vine patch
%patch1001 -p1 -b .hal


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
PATH=$PATH:%{_prefix}/kerberos/bin \
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    -DHUPNP_INCLUDE_DIR:PATH=%{_qt4_headerdir} \
    -DHUPNP_LIBS=%{_qt4_libdir}/libHUpnp.so \
    -DKDE_DISTRIBUTION_TEXT="%{version}-%{release} Vine" \
    -DWITH_SOLID_UDISKS2:BOOL=ON \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

# make KDE API documentation
export QTDOCDIR=`pkg-config --variable=docdir Qt`
doc/api/doxygen.sh .

%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

# see also use-of/patching of XDG_MENU_PREFIX in kdebase/kde-settings
mv $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/applications.menu \
   $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/kde4-applications.menu

# create/own, see http://bugzilla.redhat.com/483318
mkdir -p $RPM_BUILD_ROOT%{_libdir}/kconf_update_bin
mkdir -p $RPM_BUILD_ROOT%{_libdir}/kde4/plugins/{gui_platform,styles}

## use ca-certificates' ca-bundle.crt, symlink as what most other
## distros do these days (http://bugzilla.redhat.com/521902)
if [  -f $RPM_BUILD_ROOT%{_datadir}/kde4/apps/kssl/ca-bundle.crt -a \
      -f /usr/share/ssl/certs/ca-bundle.crt ]; then
  ln -sf /usr/share/ssl/certs/ca-bundle.crt \
         $RPM_BUILD_ROOT%{_datadir}/kde4/apps/kssl/ca-bundle.crt 
fi

# move devel symlinks
mkdir -p $RPM_BUILD_ROOT%{_libdir}/kde4/devel
pushd $RPM_BUILD_ROOT%{_libdir}
for i in lib*.so
do
  case "$i" in
    libkdeinit4_*.so)
      ;;
    ## FIXME/TODO: imo, should leave everything except for known-conflicts -- Rex
    *)
      linktarget=`readlink "$i"`
      rm -f "$i"
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
  esac
done
popd


# fix Sonnet documentation multilib conflict
bunzip2 $RPM_BUILD_ROOT%{_docdir}/HTML/en/sonnet/index.cache.bz2
sed -i -e 's!<a name="id[0-9]*"></a>!!g' $RPM_BUILD_ROOT%{_docdir}/HTML/en/sonnet/index.cache
bzip2 -9 $RPM_BUILD_ROOT%{_docdir}/HTML/en/sonnet/index.cache

# install apidocs and generator script
install -p -D doc/api/doxygen.sh $RPM_BUILD_ROOT%{_bindir}/kde4-doxygen.sh

mkdir -p $RPM_BUILD_ROOT%{_docdir}/HTML/en
cp -a kdelibs-%{version}-apidocs $RPM_BUILD_ROOT%{_docdir}/HTML/en/kdelibs4-apidocs

find   $RPM_BUILD_ROOT%{_docdir}/HTML/en/ -name 'installdox' -exec rm -fv {} ';'
rm -vf $RPM_BUILD_ROOT%{_docdir}/HTML/en/kdelibs4-apidocs/*.tmp \
       $RPM_BUILD_ROOT%{_docdir}/HTML/en/kdelibs4-apidocs/index.qhp \
       $RPM_BUILD_ROOT%{_docdir}/HTML/en/kdelibs4-apidocs/*/html/index.qhp

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null
    update-mime-database %{_datadir}/mime &> /dev/null
    touch --no-create %{_iconsdir}/icons/hicolor &> /dev/null
    gtk-update-icon-cache %{_iconsdir}/icons/hicolor &> /dev/null || :
fi

%posttrans
update-desktop-database -q &> /dev/null
update-mime-database %{_datadir}/mime >& /dev/null
gtk-update-icon-cache %{_iconsdir}/icons/hicolor &> /dev/null || :


%files
%defattr(-,root,root)
%doc AUTHORS README TODO COPYING.LIB
%{_sysconfdir}/dbus-1/system.d/*
%{_sysconfdir}/xdg/menus/*.menu
%{_bindir}/*
%dir %{_datadir}/kde4/apps
%{_datadir}/kde4/apps/*
%{_datadir}/config/*
%{_datadir}/dbus-1/interfaces/*
%{_datadir}/applications/kde4/kmailservice.desktop
%{_datadir}/applications/kde4/ktelnetservice.desktop
%{_datadir}/mime/packages/kde.xml
%{_datadir}/kde4/services/*
%{_datadir}/kde4/servicetypes/*
%{_datadir}/icons/hicolor/*/*/*
%{_docdir}/HTML/en/sonnet
%{_docdir}/HTML/en/kioslave
%{_libdir}/lib*.so.*
%{_libdir}/libkdeinit4_*.so
%{_libdir}/kconf_update_bin/
%dir %{_libdir}/kde4/
%{_libdir}/kde4/*.so
%{_libexecdir}/kde4/filesharelist
%{_libexecdir}/kde4/fileshareset
%{_libexecdir}/kde4/kauth-policy-gen
%{_libexecdir}/kde4/kconf_update
%{_libexecdir}/kde4/kdesu_stub
%{_libexecdir}/kde4/kio_http_cache_cleaner
%{_libexecdir}/kde4/kioslave
%{_libexecdir}/kde4/klauncher
# see kio/misc/kpac/README.wpad 
%attr(4755,root,root) %{_libexecdir}/kde4/kpac_dhcp_helper
%{_libexecdir}/kde4/ksendbugmail
%{_libexecdir}/kde4/lnusertemp
%{_libexecdir}/kde4/start_kdeinit
%{_libexecdir}/kde4/start_kdeinit_wrapper
%{_libdir}/kde4/plugins/
%{_mandir}/man*/*
# common
%exclude %{_datadir}/config/kdebug.areas
%exclude %{_datadir}/config/kdebugrc
%exclude %{_datadir}/config/ui/ui_standards.rc
%exclude %{_datadir}/kde4/apps/kdeui
%exclude %{_datadir}/config/colors/
%exclude %{_datadir}/config/ksslcalist
%exclude %{_bindir}/preparetips
# devel
%exclude %{_bindir}/kconfig_compiler4
%exclude %{_bindir}/makekdewidgets4
%exclude %{_bindir}/kde4-doxygen.sh
%exclude %{_datadir}/kde4/apps/kdewidgets/
%exclude %{_datadir}/kde4/apps/cmake/
%exclude %{_mandir}/man1/kdecmake.1*
%exclude %{_mandir}/man1/makekdewidgets.1*

%files common
%defattr(-,root,root,-)
%{_bindir}/preparetips
%{_datadir}/config/colors/
%{_datadir}/config/ksslcalist
%{_datadir}/config/kdebug.areas
%{_datadir}/config/kdebugrc
%{_datadir}/config/ui/
%{_datadir}/kde4/apps/kdeui/
%doc %{_docdir}/HTML/en/common
%{_datadir}/locale/all_languages
%{_datadir}/locale/en_US/entry.desktop

%files devel
%defattr(-,root,root)
%doc KDE4PORTING.html
%{_bindir}/kconfig_compiler4
%{_bindir}/makekdewidgets4
%{_bindir}/kde4-doxygen.sh
%{_includedir}/*
%{_libdir}/cmake/KDeclarative/*.cmake
%dir %{_libdir}/kde4/devel
%{_libdir}/kde4/devel/lib*.so
%{_datadir}/kde4/apps/cmake/
%{_datadir}/kde4/apps/kdewidgets/
%{_mandir}/man1/makekdewidgets.1*

%files apidocs
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/kdelibs4-apidocs

%changelog
* Wed Jul 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-3
- rebuild with libpng-1.6.12

* Tue Jun 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-2
- change BuildRequires: eudev-libudev-devel instead of libudev-devel

* Mon May 05 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sat Feb 08 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release
- update Patch18 (kdelibs-4.12.2-kstandarddirs.patch)

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-2
- rebuild with ilmbase-2.1.0 & OpenEXR-2.1.0

* Wed Dec 11 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release
- update Patch14 (kdelibs-4.11.4-libexecdir.patch)
- update Patch55 (FindSamba.cmake-help-find-samba4-more-reliably.patch)

* Sat Sep 07 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- new upstream release

* Sun Jul 14 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.10.5-1
- new upstream release
- remove Requires: kde-settings
- update patches from fedora
  - Patch0 (kdelibs-4.9.95-parallel_devel.patch)
  - Patch2 (kdelibs-4.10.0-kde149705.patch)
  - Patch12 (kdelibs-4.10.0-xdg-menu.patch)
  - Patch14 (kdelibs-4.9.97-libexecdir.patch)
  - Patch18 (kdelibs-4.10.0-kstandarddirs.patch)
  - Patch20 (kdelibs-4.10.0-cmake.patch)
  - Patch27 (kdelibs-4.10.0-no_rpath.patch)
  - Patch52 (kdelibs-4.10.0-SOLID_UPNP.patch)
- add patches from fedora
  - Patch41 (0002-Trigger-installation-of-missing-components-when-inst.patch)
  - Patch42 (0003-Implement-automatic-scanning-of-source-code-for-requ.patch)
  - Patch55 (FindSamba.cmake-help-find-samba4-more-reliably.patch)
  - Patch61 (kdelibs-4.9.3-dot.patch)
  - Patch90 (return-not-break.-copy-paste-error.patch)
  - Patch91 (coding-style-fixes.patch)
  - Patch92 (return-application-icons-properly.patch)
  - Patch301 (kdelibs-4.x-abrt.patch)
- remove patches
  - Patch9 (kdelibs-4.6.80-branding.patch)
  - Patch10 (kdelibs-4.1.72-no-cache-kdeglobals-paths.patch)
  - Patch24 (kdelibs-4.3.1-drkonq.patch)
  - Patch47 (kdelibs-udisks2-backend.patch)
  - Patch51 (kdelibs-4.6.2-uri_mimetypes.patch)
  - Patch100 (kdelibs-FindKdcraw.patch)
  - Patch200 (kdelibs-4.3.1-CVE-2009-2702.patch)
- add Patch1001 (kdelibs-4.10.4-disable-hal.patch)

* Wed Jan 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.5-1
- new upstream release
- add Patches from fedora
  - Patch47 (kdelibs-udisks2-backend.patch)
  - Patch49 (kdelibs-solid_qt_no_debug_output.patch)
  - Patch52 (kdelibs-4.7.4-SOLID_UPNP.patch)
  - Patch54 (kdelibs-4.8.4-kjs-locale.patch)
  - Patch59 (kdelibs-4.9.3-kcm_ssl.patch)
  - Patch100 (kdelibs-4.7.4-SOLID_UPNP.patch)
- update Patch14 (kdelibs-4.8.0-libexecdir.patch)
- remove Patch52 (kdelibs-4.6.95-khtml-kde#277457.patch)
- remove Patch300 (kdelibs-4.6.80-halectomy.patch)

* Wed Nov 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.3-1
- new upstream release

* Thu Oct 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.2-2
- rebuild with pcre-8.31

* Sat Oct 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.2-1
- new upstream release

* Wed Sep 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Mon Sep 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-2
- rebuild with attica-0.4.1

* Sun Aug 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- new upstream release

* Mon Dec 12 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.4-2
- dropt Patch400

* Sun Dec 11 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.4-1
- new upstream release

* Sun Oct 23 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.2-2
- added Patch400 for using pulseaudio-1.0

* Fri Oct  7 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.2-1
- new upstream release

* Sat Aug 20 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.0-2
- rebuilt with soprano-2.7.0-2 and akonadi-1.6.0-2

* Sun Jul 31 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.0-1
- new upstream release
- added BR: herqq-devel

* Sat Jun 11 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.4-1
- new upstream release
- added R: kde-l10n-ja

* Wed May 11 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.6.1-3
- rebuild with docbook-dtds-1.0-55
- add Requires: docbook-dtds docbook-style-xsl

* Sat Mar 26 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-2
- rebuilt with krb5-libs-1.8.2 and cups-1.4.6

* Wed Mar  9 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- new upstream release
- changed apidocs subpackage to noarch 

* Sat Feb 26 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.0-2
- fixed Conflicts tag

* Fri Feb  4 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.0-1
- new upstream release

* Sun Sep  5 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.5.1-1
- new upstream release
- updated summary
- changed apidocs Group to Documentation

* Sun Aug 15 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.5.0-1
- new upstream release
- added BR: dbusmenu-qt-devel

* Tue May  4 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.3-1
- new upstream release
- updated spec files for Vine Linux 5/VineSeed

* Sun Apr 11 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.2-1
- new upstream release
- built with xz-devel

* Sat Mar  6 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.1-1
- dropt kde4.(sh|csh) (kde-settings provides them) 
- new upstream release

* Thu Feb 11 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.0-1
- new upstream release
- built with new toolchain

* Mon Nov 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.3-1
- new upstream release
- added Patch25, 26
  * Fri Nov 06 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.3-2
  - BR flex and bison for the Solid predicate parser
  - fix build of fakes.c due to missing #include <string.h>

* Mon Oct 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.2-1
- new upstream release
- added Patch21, 22, 24, 100, 101 and 200 from Fedora
  * Thu Oct 08 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.2-3
  - khtml kpart crasher (kde #207173/209876)
  * Fri Sep 04 2009 Than Ngo <than@redhat.com> - 4.3.1-3
  - security fix for -CVE-2009-2702
  * Wed Sep 02 2009 Ben Boeckel <MathStuf@gmail.com> - 4.3.1-2
  - Patch for kde#160679
  * Fri Aug 28 2009 Than Ngo <than@redhat.com> - 4.3.1-1
  - openssl-1.0 build fixes

* Thu Sep  3 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.1-1
- new upstream release
- dropped Patch100-103 (merged into upstream)

* Sun Aug 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.0-2
- fixed Provides
- added more pacthes from Fedora
  - fix KDE bug #19538, copy file after rename uses old file name
  - fix unmounting devices
  - fix copying URLs to clipboard (kdebug:170608)
  - microblog crashes plasma on show friends toggle (kdebug#202550)
  - khtml crasher (kdebug#199557)

* Mon Aug 17 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.3.0-1
- new upstream release
- added Pacthes from Fedora

* Fri May  8 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-2
- added SOURCE1-3
- added Patch54 from Fedora 
  * Fri Aug 22 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.5.9-18
  - fix build against Rawhide kernel headers (fix flock and flock64 redefinition)
- fixed %%files section based on Fedora

* Sun Sep 14 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-1
- applied new versioning policy
- defined %%{vine3}, %%{vine5} macro instead of %%{vine4} macro
- redefined %%__libtoolize
- omitted extraneous .la file references

* Mon Nov 26 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl4
- rebuild for VineSeed

* Mon Nov 26 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl3
- add Patch20 (BTS:561)

* Tue Oct 16 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl2
- rebuild for VineSeed

* Tue Oct 16 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl1
- new upstream release
- drop Patch3
- add Patch4 (bug #150809, #150904)
- add Patch5 (post 3.5.8 zoom fix)

* Thu Aug 16 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl3
- add Patch3 (CVE-2007-4225)

* Wed Jun 20 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl2
- rebuild for VineSeed

* Mon Jun 18 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1
- new upstream release
- drop Patch1
- add Patch100 to support kdnssd-avahi
- add Requires: nss-mdns

* Tue Jan 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.5-0vl8
- rebuild with jasper 1.900.0

* Tue Oct 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl7
- rebuild for VineSeed

* Tue Oct 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl6
- add Patch2 (CVE-2006-4811)

* Sat Oct 14 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.5-0vl5
- added --with-qt-libraries and --enable-libsuffix option
- removed --libdir=%%{_libdir} option

* Thu Oct 12 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl4
- rebuild for VineSeed

* Thu Oct 12 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl3
- add Patch1 (https://bugs.kde.org/show_bug.cgi?id=135409)

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl2
- rebuild for VineSeed

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl1
- new upstream release

* Tue Sep 05 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.4-0vl4
- added --libdir=%%{_libdir} configure option

* Sun Aug 27 2006 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.4-0vl3
- rebuilt with openldap-2.3.27-0vl1

* Tue Jul 25 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl2
- rebuild for VineSeed

* Tue Jul 25 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl1
- new upstream release

* Wed Jun 14 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.5.3-0vl3
- rebuilt with gamin-devel in place of fam-devel

* Wed May 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl2
- rebuild for VineSeed

* Wed May 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl1
- new upstream release

* Wed Mar 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl2
- rebuild for VineSeed

* Wed Mar 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl1
- new upstream release
- drop Patch20
- change xdg-menu and Requires: vine-menus for VineSeed

* Fri Mar 17 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl3
- add Patch20 to fix warning of 'meinproc -v'

* Tue Jan 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl2
- rebuild for VineSeed

* Tue Jan 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl1
- new upstream release
- drop Patch1

* Wed Jan 11 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl4
- rebuild for VineSeed

* Wed Jan 11 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl3
- add Patch1 (http://www.kde.org/info/security/advisory-20060119-1.txt)

* Thu Dec  8 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl2
- rebuild for VineSeed

* Mon Nov 28 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl1
- new upstream release

* Fri Nov 11 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl0.rc1
- new upstream release

* Thu Oct 13 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.92-0vl1
- new upstream release

* Mon Sep 12 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.91-0vl1
- new upstream release

* Fri Jul 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl2
- build for VineSeed (with_gnome_menus 1, alsa 1)

* Fri Jul 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl1
- new upstream release
- build for Vine3.1 (with_gnome_menus 0, alsa 0)

* Thu Jun 30 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl2
- build for VineSeed (with_gnome_menus 1)
- add --disable-rpath --with-alsa to configure option
- add alsa support

* Wed Jun  1 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl1
- new upstream release
- build for Vine3.1 (with_gnome_menus 0)
- remove patch1
- use %%{?_smp_mflags} for make option

* Fri May  6 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl7
- build for VineSeed
- revised source1

* Wed May  4 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl6
- update patch1 (http://www.kde.org/info/security/advisory-20050504-1.txt)

* Tue Apr 19 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl5
- rebuild for VineSeed

* Tue Apr 19 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl4
- add patch1: CAN-2005-1046

* Tue Apr 12 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl3
- add patch10: arrange *.menu to use applications.menu from gnome-menus
- add BuildPrereq: fam-devel and remove --disable-fam from configure
- re-number patches
- add translated descriptions (thanks to spec file translation project)

* Wed Mar 16 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl2
- rebuild for VineSeed

* Thu Mar 10 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl1
- new upstream release

* Tue Mar  1 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl0.rc1
- new upstream release (3.4.0-rc1)
- update %%files

* Mon Feb  7 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.92-0vl1
- new upstream release
- remove Patch0

* Tue Jan 25 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.91-0vl1
- new upstream release
- remove Patch1

* Thu Jan  6 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl4
- rebuild for VineSeed

* Thu Jan  6 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl3
- add patch2 (http://www.kde.org/info/security/advisory-20050101-1.txt)

* Sat Dec 18 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl2
- rebuild for VineSeed

* Sat Dec 18 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl1
- source upgrade
- build for Vine Linux 3.1
- add patch0 (http://www.kde.org/info/security/advisory-20041209-1.txt)
- add patch1 (http://www.kde.org/info/security/advisory-20041213-1.txt)
- add BuildPrereq: libidn-devel and Requires: libidn

* Tue Dec 14 2004 Satoshi MACHINO <machino@vinelinux.org> 3.3.1-0vl2
- build on jasper-devel-1.701.0-0vl1

* Sat Oct  9 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl1
- source upgrade
- set cups default (remove option for cups)
- refine %%files

* Sun Sep  5 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.0-0vl1
- source upgrade
- remove patch0
- add BuildPrerep: aspell-devel

* Tue Aug 10 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl2
- rebuild with qt32
- add Patch0 from kde.org
- add BuildPrereq: gettext openssh-devel
- remove /usr/share/icons/hicolor/index.theme

* Fri Jun  4 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl1
- remove all patches
- add BuildPrereq: bzip2-devel
- remove lines about vine26

* Mon May 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.2-0vl2
- add patch1 and patch2 from kde-packager ML

* Fri Apr 30 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.2-0vl1
- source upgrade
- add patch0 from kde-packager ML

* Fri Mar 26 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl2
- rebuild with openssl-0.9.7d

* Mon Mar  8 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl1
- source upgrade

* Sun Feb  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.0-0vl1
- source upgrade
- add BuildPrereq: jasper-devel
- add Requires: pcre cyrus-sasl libogg libvorbis jasper openssl
- add --sysconfdir=%%{_sysconfdir} to configure option
- enable cups support

* Sat Jan 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl2
- rebuild for VineSeedPlus

* Sat Jan 10 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl1
- source upgrade
- build for VinePlus/2.6
- (VinePlus/2.6) BuildPrereq: autoconf258

* Mon Dec 29 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl4
- install KDE API documentation

* Sun Dec 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl3
- build for VineSeed with new toolchain and qt-3.2.3

* Sun Oct 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0.26vl2
- rebuild with qt-3.2.1-0.26vl3

* Sun Oct 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl2
- rebuild with qt-3.2.1-0vl3

* Wed Sep 17 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl1
- source upgrade
- remove Patch0
- build with gcc-3.2.3

* Sat Aug  9 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.3-0vl2
- add patch0 from kde-packager ML

* Wed Jul 23 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.3-0vl1
- source upgrade
- add BuildPrereq: openldap-devel and Requires: openldap

* Sat Jul  5 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl3
- change spec to build with gcc295
- change make option for SMP and add script

* Thu Jun 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl2
- add CFLAGS and CXXFLAGS
- change spec to build with g++-2.95.3 

* Sat May 10 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl1
- source upgrade
- Requires: arts >= 1:1.1.2 and BuildPrereq: arts-devel >= 1:1.1.2

* Mon Apr 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1a-0vl3
- revised description
- clean up files section

* Mon Apr 21 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1a-0vl2
- add BuildPrereq: libjpeg-devel libmng-devel libtiff-devel
- rebuilt with libpng >= 1.2.5 when %%{vine26} is set to 0 (ie VineSeedPlus)

* Thu Apr 10 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1a-0vl1
- security release
- remove patch0 and patch1 (included in this source)

* Sun Mar 23 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1-0vl1
- source upgrade
- renumber patch0 to patch800
- add patch0 from kde.org (Bug #55571)
- add patch1 (http://lists.kde.org/?l=kde-core-devel&m=104221693026288&w=2)

* Tue Feb 25 2003 Tomoya TAKA <taka@vinelinux.org> 3.1-0vl5
- fix handling of %%patch0

* Mon Feb 24 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0vl4
- rebuild with qt-3.1.1-0vl3

* Tue Feb 18 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0vl3
- add Patch for fix KHTML

* Tue Feb 11 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0vl2
- change spec to build both VineSeed and Vine2.5/2.6

* Thu Jan 30 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0vl1
- source upgrade to 3.1-stable

* Thu Jan 23 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0.rc7vl3
- source upgrade to 3.1rc7 of Jan 23 tarball

* Wed Jan 22 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0.rc7vl2
- source upgrade to 3.1rc7 of Jan 21 tarball

* Sun Jan 19 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0.rc7vl1
- source upgrade to 3.1rc7

* Sun Jan 12 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0.rc6vl1
- source upgrade to 3.1rc6
- stop using objprelink2, it does not work with gcc3
- delete all patches
- add BuildPrereq: libart_lgpl-devel >= 2.3.8
- update %%files section
- change configure option

* Sun Nov 17 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl3
- add Patch0 (security patch)
- add export PATH=`pwd`:$PATH to %%build and %%install section

* Wed Oct 16 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl2
- objprelink2 support only i386 (add %%ifarch i386 ... again)

* Thu Oct 10 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl1
- source upgrade
- delete patch0
- BuildPrereq: arts-devel >= 1:1.0.4 and Requires: arts >= 1:1.0.4

* Tue Oct  8 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.3-0vl3
- rebuild with qt-3.0.5-0vl1
- BuildPrereq: autoconf253 automake15 objprelink2

* Wed Sep 11 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.3-0vl2
- add patch0 to fix for cross side scripting domain check

* Tue Aug 20 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.3-0vl1
- source upgrade

* Tue Jul  9 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.2-0vl1
- source upgrade
- delete patch1

* Fri Jun  7 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.1-0vl1
- source upgrade to 3.0.1
- add patch1 from kde.org (security patch)

* Mon Apr 15 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-1vl2
- source upgrade to 3.0
- add patch800 from kde.gr.jp
- add patch900 from http://pc.2ch.net/test/read.cgi/linux/1007375984/332

* Sat Mar 30 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-1vl1
- source update to cvs-20020329
- delete all patches
- merged with rawhide 3.0.0-0.cvs20020319.1
- add BuildPrereq: doxygen autoconf252 automake15
- There is Vine's previous changes, hacked for Vine 
 -- Sat Mar 16 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.2-0vl1
  - update to 2.2.2
  - build with qt-2.3.1-6vl5
  - cleanup spec
  - update patch100 and 101
 -- Mon Dec 31 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.1-1vl4
  - rebuild with qt-2.3.1-6vl3
 -- Tue Nov 27 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.1-1vl3
  - Change optimize flag to "-O2"
  - Add objprelink option (i386 only)
 -- Tue Oct 16 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.1-1vl1
  - Build for VineSeed
  - Delete Epoch
  - Add Requires and BuildPrereq

* Tue Mar 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020319.1
- switch to doxygen for building docs

* Thu Mar 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020314.1
- s/qDebug/kdDebug/

* Mon Mar 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020311.1
- Reduce debug spewage

* Fri Mar  1 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020301.1
- Update

* Fri Feb 15 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020215.1
- Update
- arts is no longer part of kdelibs

* Mon Feb 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020211.1
- Update
- Build with Xinerama support

* Mon Jan 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020128.3
- Rebuild from a fresh CVS checkout

* Mon Jan 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020128.1
- KABC::AddressBook::reload() added

* Sat Jan 26 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020126.1
- Update to get API changes
- Build with CUPS support

* Thu Jan 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020117.1
- Update

* Wed Jan  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020109.1
- Stop excluding alpha, gcc has been fixed
- Fix generation of API docs
- Fix up SSL support

* Mon Jan  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020107.1
- arts-devel provides kdelibs-sound-devel for backwards compatibility
- Update, rebuild with gcc 3.1-0.15

* Fri Jan  4 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20020104.1
- Update
- Make sure we aren't built with gcc 3.1 prior to -0.14
- Remove -O0 hack, no longer needed with gcc 3.1-0.14
- Adapt spec file to base changes (good-bye, libkfile, libkssl and libksycoca!)

* Sat Dec 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20011229.1
- Update
- stop excluding alpha

* Fri Dec 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20011214.1
- Update
- Update Japanese patches
- Temporarily exclude alpha (compiler bugs)
- Add workaround for gcc bug #57502

* Sun Nov 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20011111.1
- Get rid of kdelibs-sound, kdelibs-sound-devel; add arts-devel. Makes more
  sense.

* Thu Oct 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20011018.1
- Various 3.0 related fixes

* Thu Aug  2 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010802.1
- Remove the japanese khtml patches, they break too many non-japanese web
  pages

* Mon Jul 30 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010730.1
- Update, fixes <option size> handling in khtml (#50303)
- Add japanese patches

* Thu Jul 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010726.1
- Add yet another build dependency (#49909)

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Remove internal libxslt, we have the real thing
- Remove ia64 workarounds, no longer needed

* Sat Jul 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010721.1
- Move artsmessage from arts to kdelibs-sound
- Update

* Fri Jul 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010720.2
- Move libartskde from arts to kdelibs-sound

* Fri Jul 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010720.1
- Update
- Work around ia64 breakages

* Wed Jun 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.beta1.1
- beta 1

* Tue Jun 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010626.1
- Update
- Obsolete kdesupport, kdesupport-devel

* Wed May 16 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010516.1
- Update

* Mon May 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010514.1
- Fix up pcre detection in CVS
- Update, fixes "easy enter form" in Bugzilla

* Thu May 10 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010510.1
- Update to CVS, fix second half of bug #40087

* Fri May 04 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010503.1
- Update to CVS after fixing bugs #38894, #30575
  directly in the CVS tree

* Sun Apr 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha1.2
- create subpackages for MySQL and Postgres KDB plugins to avoid
  unnecessary dependencies

* Wed Apr 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha1.1
- 2.2alpha1
- require pcre, pcre-devel

* Tue Apr  3 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-5
- Merge fixes from current KDE_2_1_BRANCH - fixes 2 memory leaks and
  makes kio_http more tolerant to broken Auth requests sent by some
  servers
- Add missing mcop{class,type} files in arts package
- Handle PATH changes in kdesu, some KControl modules need /sbin in the
  PATH... (#34209)
- Add KDE2PORTING.html file in /usr/share/docs/kdelibs-devel-%{version},
  it's quite useful...

* Thu Mar 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-3
- Fix up kded to watch directories we can't write to
- Use mkstemp() rather than tmpfile() for xauth file generation
  in kdesu

* Wed Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-2
- Fix up cookie escaping (this should finally fix bugzilla for good)
- Security: cookies shouldn't be world readable, some websites store
  login information

* Wed Mar 21 2001 Than Ngo <than@redhat.com>
- disable debug as default

* Tue Mar 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-1
- 2.1.1
- Escape cookies when necessary

* Mon Mar 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-10
- Don't crash in KProcess if getpwuid() returns NULL, happens with
  LDAP authentication
- Require qt >= 2.3.0 (#31770)
- Fix crash in KURLCompletion

* Tue Mar 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-9
- Add some more fixes and <layer> support from KDE_2_1_BRANCH
- Patch KService to not add K menu entries if the desktop files
  aren't readable by the user we're running at (removes bogus
  timetool, control-panel etc. entries; I'd still prefer running
  those through consolehelper over hiding them from users...)

* Fri Mar  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Revert to putting config files in /usr/share/config
- Fix up cookie handling when combined with JavaScript (#30577)
- Add some html rendering fixes from KDE_2_1_BRANCH

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- /usr/share/config -> /etc/kde
- Use --disable-debug, it works with Qt 2.3.0

* Tue Feb 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add khtml+DOM fixes from KDE_2_1_BRANCH
- BuildPrereq docbook stuff so we don't get broken kdb2html stuff

* Thu Feb 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- YAR (Yet Another Respin)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Mon Feb 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Feb 18 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Disable some more debugging (but leave -DNDEBUG out, it's broken)

* Thu Feb 15 2001 Than Ngo <than@redhat.com>
- create the kdoc-preferences for kdevelop
- put the html documents /usr/share/doc/kdelibs-devel-2

* Wed Feb 14 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add workaround for merging GNOME's non-UTF8 .desktop files
  in the KDE menu

* Tue Feb 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- disable debug, but patch out the CXXFLAGS change

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Back out --disable-debug change

* Fri Feb  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Build with --disable-debug

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of libkdefakes.so.0 (obsolete)
- Fix the escape sequence patch (#25307)

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add Japanese patch from Sato Satoru <ssato@redhat.com>

* Thu Feb  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix klauncher escape sequence handling (#25307, Patch from Tim Waugh)
- Fix krun escape sequence handling (#25134, Patch from Tim Waugh)
- Make /usr/share/doc/HTML/en/kspell/common symlink relative (#24793)

* Thu Jan 25 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Apply patch from CVS to fix up Cookie handling in Konqueror.
  Finally Bugzilla works perfectly in Konqueror.

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- kdelibs-sound-devel requires audiofile-devel, kdelibs-sound doesn't.
- Update, fixes various HTML rendering bugs

* Sat Jan 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Require kdesupport >= 2.0.99 rather than >= %%{version}
  kdesupport doesn't change frequently.

* Fri Jan 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Jan 17 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- remove the Java hacks; KDE now requires a Java 2 compliant
  environment, so there's no chance to get any of it to run
  with current kaffe.

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- restore real arts %%description
- require Qt >= 2.2.3 rather than 2.2.0

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Move libkmedia2_idl to arts; it's needed there
- Fix up the Java stuff. The new stuff is ugly, but seems to work
- Get rid of the compiler bug workaround: the ICE was triggered by
  unclean code
- Change the description of the arts package for translation purposes

* Mon Jan 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Work around compiler bugs (sigh)
- Fix specfile (added files)
- Split arts into a separate package; it's required by SDL,
  and depending on kdelibs-sound (which requires kdelibs)
  is overkill

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Modify the check for an acceptable JVM to accept Kaffe

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add a hack to get a static libartsc

* Sun Jan  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsolete kdelibs2* (from 7.0preview)

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Run ldconfig in %%post/%%postun for kdelibs-sound
- Turn off optimizations on ia64

* Mon Dec 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1beta1

* Thu Nov  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current HEAD

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Another one - fix segfaults in the spellchecker
- fix docs

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS yet again - styles crash fix

* Thu Nov  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS - security fix in Java/Javascript code.
  There seems to be some conspiracy going on - "commit important
  fixes right after Red Hat built new RPMs" or the likes. :>

* Thu Nov  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up handling of desktop files that use TryExec (Bug #20020)
  Patch also committed to KDE CVS

* Wed Nov  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with fixed kdoc

* Fri Oct 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current KDE_2_0_BRANCH, now that most of the ".0 release"
  bugs are fixed
- fix typo in specfile: it's mitshm, not libshm
- Add ksendbugmail, required for the "Report Bug" feature to work

* Sun Oct 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final
- don't --enable-final on alpha (compiler problems)

* Sun Oct  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild

* Sat Sep 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS snapshot
- fix up specfile
- exclude alpha for now (compiler bugs)

* Sat Sep 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- major specfile cleanups
- update CVS

* Fri Sep 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move back to /usr
- New CVS snapshot
- Clean up specfile
- Use %%defines so we can build CVS snapshots and releases from the same
  specfile

* Fri Aug 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with optimizations re-enabled (Qt works around the problem now)

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new Qt

* Tue Aug 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sat Aug 05 2000 Than Ngo <than@redhat.de>
- don't use -DNDEBUG and -O2 on alpha,sparc to build, it breaks with Internal
  error (c++ bug)

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current (I fixed the libGL detection issue there)

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to /usr/lib/kde2
- new snapshot

* Wed Jul 26 2000 Than Ngo <than@redhat.de>
- new snapshot

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Thu Jul 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, new Qt
- various fixes to spec file
- get rid of -O0, no longer required with gcc 2.96-41 (except on alpha)

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt with gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot
- use -O0 for now (ICE)

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use egcs++
- Epoch 3
- Update to current

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current - segfaulting at initialization time is not a nice
  feature.

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- disable build on ia64 for now (compiler bugs)
- FHSify

* Thu Mar 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- split: move sound support to a separate package, suggestion from
  David Faure <david@linux-mandrake.com>

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Wed Jan 05 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move programming docs to %%{_docdir}/kdelibs-devel-%%{version}-%%{release}
  and to kdelibs-devel package
- new snapshot

* Tue Dec 14 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Add qt version number in Requires, add kdoc HTML help
  (patch from David Faure <david@mandrakesoft.com>)
- Actually use the %%clean section

* Mon Nov  1 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- almost completely rewrite spec file - move to DESTDIR system
- current snapshot

* Fri Oct 15 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshots
- Change prefix to respect %{prefix} so we can coexist with KDE 1.x
- kdelibs-devel requires kdelibs

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- move kde_htmldir to /usr/doc/kde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- fix up perl include path for kdoc

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- remove linking to qimgio from kdecore, moved to kpanel/kfm directly
- renamed "lowcolor" directory to "locolor"

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added lowcolor icons directory and /usr/share/pixmaps to icon search path
- hacking to recognize .desktop files as application/x-kdelnk

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- added kdoc index files.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- updated to KDE 1.1.2.
- use /usr/lib/qt-1.44 as qt root.
- separate devel subpackages; include documentation and kdoc.
- added KDE icon.
- relocated includes to /usr/include/kde

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Jan 15 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed redhat-release dependency

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-integrated changes from Duncan Haldane
