Name: kdewebdev
Summary: KDE Web development applications
Summary(ja): KDE Web 開発アプリケーション集
Version: 3.5.10
Release: 4%{?_dist_release}

License: GPLv2
URL: http://kdewebdev.org/
Group: Applications/Editors

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Source1: http://download.sourceforge.net/quanta/css.tar.bz2
Source2: http://download.sourceforge.net/quanta/html.tar.bz2
Source3: http://download.sourceforge.net/quanta/php_manual_en_20030401.tar.bz2
Source4: http://download.sourceforge.net/quanta/javascript.tar.bz2
Source5: hi48-app-kxsldbg.png

Patch0: javascript.patch
Patch1: kdewebdev-3.5.4-kxsldbg-icons.patch
##Patch2: arts-acinclude.patch
# fixes crash in kimagemapeditor when using freehand tool
Patch3: kdewebdev-3.5.10-fix-freehand-crash.patch
# fixes using a temporary as a lvalue in KafkaPart (FTBFS with g++ 4.6, probably
# silently did the wrong thing before)
Patch4: kdewebdev-3.5.10-gcc46.patch
# docbParseFile is dropped in libxml2-2.9 amd later
Patch6: kdewebdev-3.5.10-docbParseFile.patch

# fixes to common KDE 3 autotools machinery
# tweak autoconfigury so that it builds with autoconf 2.64 or 2.65
Patch300: kde3-acinclude.patch
# remove flawed and obsolete automake version check in admin/cvs.sh
Patch301: kde3-automake-version.patch
# fix build failure with automake 1.13: add the --add-missing --copy flags
# also add --force-missing to get aarch64 support (#925029/#925627)
Patch302: kde3-automake-add-missing.patch


BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: automake libtool
BuildRequires: desktop-file-utils
BuildRequires: kdelibs3-devel >= %{version}
BuildRequires: libxslt-devel >= 1.0.18
BuildRequires: libxml2-devel >= 2.6.0
BuildRequires: perl
Requires: tidy

Provides: kdewebdev3 = %{version}-%{release}

Obsoletes: quanta < %{version}-%{release}
Provides:  quanta = %{version}-%{release}

%define kommander_ver 1.2.2
#Obsoletes: kommander < %{kommander_ver}-%{release}
Provides:  kommander = %{kommander_ver}-%{release}

%description
The kdewebdev package contains Quanta Plus and other applications, 
which are useful for web development. They are runtime dependencies 
of Quanta Plus, and it is highly recommended that you install them.

The extra applications are:
* kfilereplace: batch search and replace tool
* kimagemapeditor: HTML image map editor
* klinkstatus: link checker
* kommander: visual dialog building tool
* kxsldbg: xslt Debugger
* quanta+: web development


%package devel
Summary: Development files for kdewebdev
Summary(ja): kdewebdev の開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs3-devel
Provides: kdewebdev3-devel = %{version}-%{release}

%description devel
Development files for kdewebdev.


%prep
%setup -q -a 1 -a 2 -a 3 -a 4
%patch0 -p0 -b .javascript
%patch1 -p1 -b .kxsldbg-icons
##patch2 -p1 -b .autoconf
%patch3 -p1 -b .fix-freehand-crash
%patch4 -p1 -b .gcc46
%patch6 -p1 -b .docbParseFile

install -m644 -p %{SOURCE5} kxsldbg/

%patch300 -p1 -b .acinclude
%patch301 -p1 -b .automake-version
%patch302 -p1 -b .automake-add-missing
make -f admin/Makefile.common cvs


%build
unset QTDIR && . /etc/profile.d/qt.sh

%configure \
    --with-qt-libraries=$QTDIR/lib \
    --includedir=%{_includedir}/kde \
    --disable-rpath \
    --enable-new-ldflags \
    --disable-debug --disable-warnings \
    --disable-dependency-tracking --enable-final 

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

## package separately?  Why doesn't upstream include this? -- Rex
# install docs
for i in css html javascript ; do
   pushd $i
   ./install.sh <<EOF
$RPM_BUILD_ROOT%{_datadir}/apps/quanta/doc
EOF
   popd
   rm -rf $i
done
cp -a php php.docrc $RPM_BUILD_ROOT%{_datadir}/apps/quanta/doc/

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en
for i in *; do
    if [ -d $i -a -L $i/common ]; then
	rm -f $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/$i/common
	ln -sf ../common $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/$i
    fi
done
popd

# rpmdocs
for dir in k* quanta; do
  for file in AUTHORS ChangeLog README TODO ; do
    test -s  "$dir/$file" && install -p -m644 -D "$dir/$file" "rpmdocs/$dir/$file"
  done
done


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
done

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
fi

%posttrans
for f in crystalsvg hicolor locolor ; do
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files
%defattr(-,root,root)
%doc %{_datadir}/doc/HTML/en/*
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_libdir}/lib*.la
%{_libdir}/kde3/*
%{_datadir}/applications/*
%{_datadir}/applnk
%{_datadir}/apps/*
%{_datadir}/config.kcfg/*
%{_datadir}/icons/*
%{_datadir}/mimelnk/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*
%{_libdir}/*.so

%changelog
* Sat Oct 25 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 3.5.10-4
- added Patch3, 4 and 6 from fc
- added Patch300-302 from fc instead of Patch2

* Thu Dec 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-3
- fixed summary

* Sat Jul 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-2
- added BR: arts-devel

* Sun Mar 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.10-1
- updated to 3.5.10 based on FC
- updated %%post and %%postun section, added %%posttrans section
- built with new toolchain

* Wed May 13 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-1
- applied new versioning policy, spec in UTF-8
- added Japanese summary
- changed Group to Applictions/Development

* Sun Nov 25 2007 NAKAMURA Kenta <kenta@vinelinux.org> 3.5.8-0vl3
- added --with-qt-libraries option

* Mon Oct 29 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl2
- rebuild for VineSeed

* Mon Oct 29 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl1
- new upstream release

* Wed Jun 27 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl2
- rebuild for VineSeed

* Tue Jun 26 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1
- new upstream release
- added --enable-libsuffix option

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl2
- rebuild for VineSeed

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl1
- new upstream release

* Wed Aug  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl2
- rebuild for VineSeed

* Wed Aug  2 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl1
- new upstream release

* Wed May 31 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl2
- rebuild for VineSeed

* Wed May 31 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl1
- new upstream release

* Wed Mar 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl2
- rebuild for VineSeed

* Wed Mar 22 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl1
- new upstream release

* Mon Feb  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl2
- rebuild for VineSeed

* Mon Feb  6 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl1
- new upstream release

* Thu Dec  8 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl2
- rebuild for VineSeed

* Mon Nov 28 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl1
- new upstream release

* Tue Nov 15 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl0.rc1
- new upstream release

* Tue Oct 18 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.92-0vl1
- new upstream release
- delete Patch0

* Thu Sep 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.91-0vl1
- new upstream release
- add Patch0

* Mon Jul 25 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl2
- rebuild for VineSeed

* Mon Jul 25 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl1
- new upstream release

* Mon Jul  4 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl2
- build for VineSeed
- add --disable-rpath to configure option

* Tue Jun  7 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl1
- new upstream release
- remove patch0

* Mon Apr 25 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl1
- initial release for VineSeed
