%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: X.Org X11 libXi runtime library
Summary(ja): X.Org X11 libXi ランタイムライブラリ
Name: libXi
Version: 1.7.3
Release: 1%{?_dist_release}
License: MIT/X11
Group: System Environment/Libraries
URL: http://www.x.org

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig
BuildRequires: xorg-x11-util-macros
BuildRequires: xorg-x11-proto-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXau-devel
Obsoletes: XFree86-libs, XOrg-libs

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
X.Org X11 libXi runtime library

%package devel
Summary: X.Org X11 libXi development package
Summary(ja): X.Org X11 libXi 開発パッケージ
Group: Development/Libraries
Requires(pre): xorg-x11-filesystem
Requires: %{name} = %{version}-%{release}
Requires: xorg-x11-proto-devel
Obsoletes: XFree86-devel, XOrg-devel

%description devel
X.Org X11 libXi development package

# compat32
%package -n compat32-%{name}
Summary: X.Org X11 libXi runtime library
Summary(ja): X.Org X11 libXi ランタイムライブラリ
Group: System Environment/Libraries

%description -n compat32-%{name}
X.Org X11 libXi runtime library

%package -n compat32-%{name}-devel
Summary: X.Org X11 libXi development package
Summary(ja): X.Org X11 libXi 開発パッケージ
Group: Development/Libraries
Requires(pre): xorg-x11-filesystem
Requires: compat32-%{name} = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}

%description -n compat32-%{name}-devel
X.Org X11 libXi development package

%prep
%setup -q

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# remove xml and txt file
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
rm -rf $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig
%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README ChangeLog
%{_libdir}/libXi.so.6
%{_libdir}/libXi.so.6.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/X11/extensions/*.h
%if %{with_static}
%{_libdir}/libXi.a
%endif
%{_libdir}/libXi.so
%{_libdir}/pkgconfig/xi.pc

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%{_libdir}/libXi.so.6
%{_libdir}/libXi.so.6.*

%files -n compat32-%{name}-devel
%defattr(-,root,root,-)
%if %{with_static}
%{_libdir}/libXi.a
%endif
%{_libdir}/libXi.so
%endif

%changelog
* Fri Jul 11 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.3-1
- new upstream release

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.2-2
- rebuild with VineSeed environment

* Mon Aug 12 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.2-1
- new upstream release
- remove Patch0 (libXi-1.7.1-git20130524.patch)

* Sun Jun 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.1-2
- add Patch0 (libXi-1.7.1-git20130524.patch)
  (including security fix for CVE-2013-1984,1995,1998)

* Sun Apr 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.1-1
- new upstream release

* Fri May 11 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release

* Sat Mar 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release

* Sun Jan 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.5.0-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.5-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.3-1
- new upstream release

* Sat Mar 19 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.2-1
- new upstream release

* Sat Jan 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-1
- new upstream release

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release
- fix %%install

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3-2
- rebuild with rpm-4.8.1 for pkg-config file
- fix %files (remove AUTHOR, man3)

* Wed Nov 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3-1
- new upstream release

* Sun May 03 2009 NAKAMURA Kenta <kenta@vinelinux.org> 1.2.1-2
- added compat32 package for x86_64 arch support

* Sat Apr 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.1-1
- new upstream release

* Sun Dec 21 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.0-1
- new upstream release

* Sun Nov 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.4-1
- new upstream release

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.3-1
- new versioning policy

* Mon Jan 14 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.3-0vl1
- initial build for Vine Linux

* Mon Sep 24 2007 Adam Jackson <ajax@redhat.com> 1.1.3-1
- libXi 1.1.3

* Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> - 1.1.1-2
- Rebuild for build id

* Wed Jul 11 2007 Adam Jackson <ajax@redhat.com> 1.1.1-1
- libXi 1.1.1

* Sat Apr 21 2007 Matthias Clasen <mclasen@redhat.com> 1.0.4-2
- Don't install INSTALL

* Wed Apr 11 2007 Adam Jackson <ajax@redhat.com> 1.0.4-1
- libXi 1.0.4

* Mon Nov 20 2006 Adam Jackson <ajax@redhat.com> 1.0.2-1
- Update to 1.0.2

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 1.0.1-3.1
- rebuild

* Mon Jun 05 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-3
- Added "Requires: xorg-x11-proto-devel" to devel package for xi.pc
- Remove package ownership of mandir/libdir/etc.

* Mon Jun 05 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-2
- Replace "makeinstall" with "make install DESTDIR=..." for (#192721)
- Remove package ownership of mandir/libdir/etc.

* Thu Apr 27 2006 Adam Jackson <ajackson@redhat.com> 1.0.1-1
- Update to 1.0.1

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.0-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.0-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 23 2006 Mike A. Harris <mharris@redhat.com> 1.0.0-2
- Bumped and rebuilt

* Fri Dec 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Updated libXi to version 1.0.0 from X11R7 RC4

* Tue Dec 13 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Updated libXi to version 0.99.2 from X11R7 RC3
- Added "Requires(pre): xorg-x11-filesystem >= 0.99.2-3", to ensure
  that /usr/lib/X11 and /usr/include/X11 pre-exist.
- Removed 'x' suffix from manpage directories to match RC3 upstream.

* Tue Nov 15 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-3
- Added "BuildRequires: libXau-devel", as build fails without it, but does
  not check for it with ./configure.  Bug (fdo#5065)

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-2
- Changed 'Conflicts: XFree86-devel, xorg-x11-devel' to 'Obsoletes'
- Changed 'Conflicts: XFree86-libs, xorg-x11-libs' to 'Obsoletes'

* Mon Oct 24 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-1
- Updated libXi to version 0.99.1 from X11R7 RC1
- Updated file manifest to find manpages in "man3x"

* Thu Sep 29 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-3
- Renamed package to remove xorg-x11 from the name due to unanimous decision
  between developers.
- Use Fedora Extras style BuildRoot tag.
- Disable static library creation by default.
- Add missing defattr to devel subpackage
- Add missing documentation files to doc macro

* Tue Aug 23 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-2
- Renamed package to prepend "xorg-x11" to the name for consistency with
  the rest of the X11R7 packages.
- Added "Requires: %%{name} = %%{version}-%%{release}" dependency to devel
  subpackage to ensure the devel package matches the installed shared libs.
- Added virtual "Provides: lib<name>" and "Provides: lib<name>-devel" to
  allow applications to use implementation agnostic dependencies.
- Added post/postun scripts which call ldconfig.
- Added Conflicts with XFree86-libs and xorg-x11-libs to runtime package,
  and Conflicts with XFree86-devel and xorg-x11-devel to devel package.

* Mon Aug 22 2005 Mike A. Harris <mharris@redhat.com> 0.99.0-1
- Initial build.
