Summary:        Library for neighbor discovery protocol
Name:           libndp
Version:        1.4
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
License:        LGPLv2.1
URL:            http://libndp.org/
Source0:        http://libndp.org/files/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root


Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
This package contains a library which provides a wrapper for IPv6
Neighbor Discovery Protocol. It also provides a tool named ndptool
for sending and receiving NDP messages


%package		devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
%{name}.


%prep
%setup -q

%build
%configure \
	--disable-static


make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/ndptool
%{_libdir}/libndp.so.*
%{_mandir}/man8/ndptool.8.gz

%files devel
%defattr(-, root, root)
%{_includedir}/ndp.h
%{_libdir}/libndp.so
%{_libdir}/pkgconfig/libndp.pc


%changelog
* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4-1
- initial build
