Name: libnl3
Summary: Convenience library for kernel netlink sockets
Summary(ja): Netlink ソケットの利用に便利なライブラリ
Version: 3.2.14
Release: 2%{?_dist_release}

Group: System Environment/Libraries
License: LGPLv2
URL: http://www.infradead.org/~tgr/libnl/

Source: http://www.infradead.org/~tgr/libnl/files/libnl-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}--root
BuildRequires:	flex
BuildRequires:	bison

%description
This package contains a convenience library to simplify
using the Linux kernel's netlink sockets interface for
network manipulation

%package devel
Summary: Libraries and headers for using libnl3
Summary(ja): Libnl3 の開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: %{name}-cli = %{version}-%{release}
Requires: kernel-headers

%description devel
This package contains various headers for using libnl3

%package cli
Summary: Command line interface utils for libnl3
Summary(ja): Libnl3 のコマンドラインインターフェース
Group: Development/Tools
Requires: %{name} = %{version}-%{release}

%description cli
This package contains various libnl3 utils and additional
libraries on which they depend

%prep
%setup -q -n libnl-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name \*.la -delete

%post -p /sbin/ldconfig
%post cli -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%postun cli -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%exclude %{_libdir}/libnl-cli*.so.*
%{_libdir}/libnl-*.so.*
%config(noreplace) %{_sysconfdir}/*

%files devel
%defattr(-,root,root,-)
%doc COPYING
%{_includedir}/libnl3/netlink/
%dir %{_includedir}/libnl3/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files cli
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libnl-cli*.so.*
%{_libdir}/libnl/
%{_sbindir}/*
%{_mandir}/man8/* 

%changelog
* Sat Oct  4 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 3.2.14-2
- moved libnl3 to System Environment/Libraries Group
- updated Japanese summary

* Sun Oct 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.14-1
- new upstream release

* Tue Jun 19 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.7-1
- initial build for Vine Linux

* Fri Feb 10 2012 Dan Williams <dcbw@redhat.com> - 3.2.7-1
- Update to 3.2.7

* Tue Jan 17 2012 Jiri Pirko <jpirko@redhat.com> - 3.2.6-1
- Initial build
