Name: libraw1394
Summary: Library providing low-level IEEE-1394 access
Summary(ja): 低レベル IEEE-1394 アクセスライブラリ
Version: 2.1.0
Release: 2%{?_dist_release}

Group: System Environment/Libraries
License: LGPL
Source: http://www.kernel.org/pub/linux/libs/ieee1394/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The libraw1394 library provides direct access to the
IEEE-1394 bus through the Linux 1394 subsystem's raw1394 user space
interface.

%package devel
Summary: Development libs for libraw1394
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development libraries needed to build applications against libraw1394.

%prep
%setup -q

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING.LIB NEWS README
%{_bindir}/*
%{_libdir}/libraw1394.so.*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files devel
%defattr(-,root,root)
%{_includedir}/libraw1394
%exclude %{_libdir}/libraw1394.la
%{_libdir}/libraw1394.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jul 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.1.0-2
- rebuild with VineSeed environment

* Sat Oct 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.1.0-1
- new upstream release

* Sat Sep 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.1-2
- rebuilt wirh new toolchain and rpm-4.8.1
- dropt static libraries

* Tue Aug 19 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.1-1vl5
- applied new versioning policy, spec in utf-8
- dropt lib*.la

* Sat Jun  9 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.1-0vl1
- new upstream release

* Sat Sep 24 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.0-0vl1
- new upstream release

* Fri Jun 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.0-0vl1
- new upstream release
- changed Group:

* Wed Mar  3 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.0-0vl1
- new upstream release

* Tue Sep 23 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.0-0vl1
- build for Vine Linux

* Mon Aug 25 2003 Bill Nottingham <notting@redhat.com> 0.9.0-12
- have -devel require main pacakge

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 0.9.0-10
- fix build with gcc 3.3

* Mon Feb 17 2003 Elliot Lee <sopwith@redhat.com>
- ppc64 fix

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude mainframe
- allow lib64

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Michael Fulbright <msf@redhat.com>
- fixed up %files list for devel subpackage and included api docs

* Sun Jun 09 2002 Michael Fulbright <msf@redhat.com>
- First RPM build

