Name: libtaginfo
Summary: A library for reading media metadata (tags)
Summary(ja): メディアメタデータ（タグ）を読むためのライブラリー

Version: 0.2.1
Release: 1%{?_dist_release}
License: LGPLv2+
Group: System Environment/Libraries

URL: https://bitbucket.org/shuerhaaken/libtaginfo
Source0: https://bitbucket.org/shuerhaaken/libtaginfo/downloads/libtaginfo-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor:	 Project Vine
Distribution: Vine Linux

BuildRequires: chrpath
BuildRequires: taglib-devel >= 1.8

Requires(post):   ldconfig
Requires(postun): ldconfig

%description
TagInfo is a convenience wrapper for taglib with C and vala bindings.

Features are reading/writing fields like: Artist, Album, Title, Genre,
AlbumArtist, Comments, Disk number, Compilation flag, User labels,
Embedded Images, Lyrics, Audio properties (length, bitrate,
samplerate, channels ...), ...

%package devel
Summary: development files for %{name}
Summary(ja): %{name} の開発ファイル
Group: Development/Libraries

Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
development files for %{name}.

%prep
%setup -q

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -name '*.la' -exec rm -rf {} \;

# Remove RPATHs
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libtaginfo_c.so.0.0.0

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libtaginfo.so.*
%{_libdir}/libtaginfo_c.so.*

%files devel
%doc examples
%defattr(-,root,root,-)
%{_libdir}/libtaginfo.so
%{_libdir}/libtaginfo_c.so
%{_libdir}/libtaginfo/include/
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}
%{_datadir}/vala/vapi/

%changelog
* Fri Jul 04 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.1-1
- new upstream release

* Sun Apr 28 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.6-1
- initial build for Vine Linux
