Summary: A library which allows userspace access to USB devices.
Summary(ja): ユーザスペースから USB デバイスにアクセスするためのライブラリ
Name: libusb
Version: 0.1.12
Release: 4%{?_dist_release}

Group: System Environment/Libraries
License: LGPL
URL: http://sourceforge.net/projects/libusb/

Source0: http://prdownloads.sourceforge.net/libusb/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: docbook-utils
BuildRequires: docbook-dtds >= 1.0
%{?nosrc:NoSource:     0}

Vendor: Project Vine
Distribution: Vine Linux

%description
This package provides a way for applications to access USB devices.

%package devel
Summary: Development files for libusb.
Summary(ja): libusb の開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains the header files and documentation needed to
develop applications that use libusb.

%prep
%setup -q

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS README INSTALL.libusb NEWS ChangeLog doc/html
%{_bindir}/libusb-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Jul 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.12-4
- rebuild with VineSeed environment

* Tue Sep 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.12-3
- rebuilt with rpm-4.8.1 for pkg-config file
- removed static library from devel package

* Sat Jan 10 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.1.12-2
- spec in utf-8

* Sun May 11 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.12-1
- applied new versioning policy
- removed lib*.la from devel package

* Sun May 13 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.1.12-0vl2
- rebuilt with new toolchain

* Thu Aug 17 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.12-0vl1
- new upstream release

* Sun Jul 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.10a-0vl1
- new upstream release

* Sat Jan 03 2004 Satoshi MACHINO <machino@vinelinux.org> 0.1.8-0vl1
- new upstream version
	-- libusb-0.1.8
	-- run aclocal/autoconf to make shared libraries

* Sun Nov 16 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.1.7-0vl2
- rebuild

* Sun Jan 19 2003 Masaki Shinomiya <shino@pos.to> 0.1.7-0vl1
- for Vine Linux 2.6

* Sun Dec 15 2002 Masaki Shinomiya <shino@pos.to> 0.1.7-0
- new upstream release

* Fri Jun 21 2002 Masaki Shinomiya <shino@pos.to> 0.1.5-0
- omit buildrequire docbook-dtds, omit manual.ps

* Thu Apr 11 2002 Tim Waugh <twaugh@redhat.com> 0.1.5-3
- Rebuild (fixes bug #63196).

* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 0.1.5-2
- Rebuild in new environment.

* Thu Feb  7 2002 Tim Waugh <twaugh@redhat.com> 0.1.5-1
- 0.1.5.

* Fri Jan 25 2002 Tim Waugh <twaugh@redhat.com> 0.1.4-2
- Rebuild in new environment.
- Work around tarball brokenness (doc directory was not automade).

* Mon Oct 29 2001 Tim Waugh <twaugh@redhat.com> 0.1.4-1
- Adapted for Red Hat Linux.
- 0.1.4.

* Thu Mar  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.3b-1mdk
- Initial Mandrake release
