Summary:        YAML 1.1 parser and emitter written in C

Name:           libyaml
Version:        0.1.6
Release:        2%{?_dist_release}

Group:          System Environment/Libraries
License:        MIT
URL:            http://pyyaml.org/
Source0:        http://pyyaml.org/download/libyaml/yaml-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root


%description
YAML is a data serialization format designed for human readability and
interaction with scripting languages.  LibYAML is a YAML parser and
emitter written in C.


%package devel
Summary:        Development libraries and headers for developing LibYAML applications
Group:          Development/Libraries
Requires:       libyaml = %{version}-%{release}


%description devel
Development libraries and headers for developing LibYAML applications.


%prep
%setup -q -n yaml-%{version}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} INSTALL="install -p" install
rm -f %{buildroot}%{_libdir}/*.{la,a}

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README LICENSE
%{_libdir}/%{name}*.so.*


%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/yaml-0.1.pc
%{_includedir}/yaml.h


%changelog
* Sun Oct 12 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.1.6-2
- moved libyaml to System Environment/Libraries Group

* Fri Apr 18 2014 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.6-1
- update to 0.1.6

* Mon Mar 12 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.4-1
- new upstream release

* Wed Jun 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.2-1
- initial build for Vine Linux

* Tue Mar 3 2009 John Eckersberg <jeckersb@redhat.com> - 0.1.2-3
- Remove static libraries

* Thu Feb 26 2009 John Eckersberg <jeckersb@redhat.com> - 0.1.2-2
- Remove README and LICENSE from docs on -devel package
- Remove -static package and merge contents into the -devel package

* Wed Feb 25 2009 John Eckersberg <jeckersb@redhat.com> - 0.1.2-1
- Initial packaging for Fedora
