Summary:	A Power Manager for MATE
Name:		mate-power-manager
Version:	1.8.0
Release:	2%{?_dist_release}
License:	GPLv2
Group:		Applications/System
URL:		http://mate-desktop.org/

Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz

# from fedora
# upstream patch
# https://github.com/mate-desktop/mate-power-manager/pull/60
# Add DBUS interface to kbdbacklight control
Patch0:        mate-power-manager_dbus_interface_keyboard_backlight_controls.patch
# https://github.com/mate-desktop/mate-power-manager/commit/2b3cf01
Patch1:        mate-power-manager_avoid-levels-is-0-warning.patch

# upstream fixes for upower-1.0, the order of the series is important
# https://github.com/mate-desktop/mate-power-manager/commit/220a4e0
Patch2:        mate-power-manager_remove-battery-recall-logic.patch
# https://github.com/mate-desktop/mate-power-manager/commit/d59f4b8
Patch3:        mate-power-manager_port-to-upower-0.99-API.patch
# https://github.com/mate-desktop/mate-power-manager/commit/1fb2870
Patch4:        mate-power-manager_improve-UPower1-support.patch
# https://github.com/mate-desktop/mate-power-manager/commit/8f734c6
Patch5:        mate-power-manager_other-round-of-fixes-for-UPower-0.99-API-changes.patch


BuildRequires:	mate-common
BuildRequires:	mate-doc-utils
BuildRequires:	libmatekeyring-devel
BuildRequires:	libnotify-devel
BuildRequires:	mate-panel-devel
BuildRequires:	gtk2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libcanberra-devel
BuildRequires:	libwnck-devel
BuildRequires:	unique-devel
BuildRequires:	upower-devel
BuildRequires:	popt-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	yelp-tools
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires(posttrans,postun):	glib2
Requires(post,postun):	desktop-file-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
MATE Power Manager is a MATE session daemon that acts as a policy agent on top of
UPower, which requires fairly new versions of the kernel and udev.
MATE Power Manager listens for system events and responds with user-configurable actions.

MATE Power Manager comes in three main parts:

	- mate-power-manager:	    the manager daemon itself
	- mate-power-preferences:  the control panel program, for configuration
	- mate-power-statistics:   the statistics graphing program


%prep
%setup -q
%patch0 -p1 -b .dbus
%patch1 -p1 -b .avoid-levels-is-0-warning
%patch2 -p1 -b .remove-battery-recall-logic
%patch3 -p1 -b .port-to-upower-0.99-API
%patch4 -p1 -b .improve-UPower1-support
%patch5 -p1 -b .other-round-of-fixes-for-UPower-0.99

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
	--libexecdir=%{_libexecdir}/mate \
	--disable-static

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}

%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications >& /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  update-desktop-database %{_datadir}/applications >& /dev/null ||:
  touch --no-create %{_datadir}/icons/hicolor
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_sysconfdir}/xdg/autostart/mate-power-manager.desktop
%exclude %{_bindir}/mate-power-bugreport.sh
%{_bindir}/mate-power-manager
%{_bindir}/mate-power-preferences
%{_bindir}/mate-power-statistics
%{_libexecdir}/mate/mate-brightness-applet
%{_libexecdir}/mate/mate-inhibit-applet
%{_sbindir}/mate-power-backlight-helper
%{_datadir}/MateConf/gsettings/mate-power-manager.convert
%{_datadir}/applications/mate-power-preferences.desktop
%{_datadir}/applications/mate-power-statistics.desktop
%{_datadir}/dbus-1/services/mate-power-manager.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.BrightnessAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.InhibitAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.power-manager.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/help/*
%{_datadir}/mate-2.0/ui/*.xml
%{_datadir}/mate-panel/applets/org.mate.BrightnessApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.InhibitApplet.mate-panel-applet
%{_datadir}/%{name}
%{_datadir}/polkit-1/actions/org.mate.power.policy
%{_mandir}/man1/*.1.gz


%changelog
* Sun Sep 21 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-2
- change BuildRequires: upower-devel instead of libupower09-devel
- add BuildRequires: yelp-tools
- add Patch0-5 from fedora

* Wed Apr 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release
- add BuildRequires: libgnome-keyring-devel, libupower09-devel, itstool
- remove BuildRequires: upower-devel

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.3-1
- new upstream release

* Sun Sep 22 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- new upstream release
- remove BuildRequires: mate-conf-devel, libmatenotify-devel
- add BuildRequires: libnotify-devel

* Thu Aug 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

