%define gettext_package metacity

Summary: Metacity window manager
Summary(ja): Metacity ウインドウマネージャ
Name: metacity
Version: 2.34.13
Release: 4%{?_dist_release}
URL: http://ftp.gnome.org/pub/gnome/sources/metacity/
License: GPL
Group: User Interface/Desktops

Source0: http://ftp.gnome.org/pub/GNOME/sources/metacity/2.34/%{name}-%{version}.tar.xz

# update ja.po from git
# http://git.gnome.org/browse/metacity/commit/?id=8c407025fb3c83262c17bbb28fe175a416fb29ab
Source20: metacity-2.34.0-ja.po

# change default number of workspace
# Patch2: metacity-2.26.0-num_workspace.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=558723
Patch4: stop-spamming-xsession-errors.patch

# revert patch to work with compiz
# http://git.gnome.org/browse/metacity/commit/?id=6a52883c2b670ad645257373515d1e704408b93d
Patch20: metacity-2.34.0-revert-6a5288.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel >= 2.20
BuildRequires: pango-devel >= 1.28.0
BuildRequires: pangox-compat-devel
BuildRequires: desktop-file-utils >= 0.3
BuildRequires: intltool >= 0.22
BuildRequires: startup-notification-devel >= 0.7
BuildRequires: libtool, automake, autoconf
BuildRequires: xorg-x11-proto-devel
BuildRequires: libSM-devel, libICE-devel, libX11-devel
BuildRequires: libXext-devel, libXinerama-devel, libXrandr-devel
BuildRequires: libXcursor-devel, libXrender-devel
BuildRequires: libXcomposite-devel, libXdamage-devel
BuildRequires: zenity
BuildRequires: libcanberra-devel
BuildRequires: libgtop2-devel
BuildRequires: gsettings-desktop-schemas-devel >= 3.3.0
BuildRequires: yelp-tools

Requires: vine-themes

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
Metacity is a simple window manager that integrates nicely with 
the GNOME desktop.

%package devel
Summary: Development files for metacity
Group: Development/Libraries
Requires: gtk2-devel, libX11-devel
Requires: pkgconfig
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the files needed for compiling programs using
the metacity-private library. Note that you are not supposed to write
programs using the metacity-private library, since it is a private
API. This package exists purely for technical reasons.

%prep
%setup -q

%patch4 -p1 -b .stop-spamming-xsession-errors

%patch20 -p1 -b .revert-6a5288

cp -a %{SOURCE20} po/ja.po

%build
autoreconf -if
%configure
%__make %{?_smp_mflags} INTLTOOL_MERGE=/usr/bin/intltool-merge

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%find_lang %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT


%postun
if [ $1 -eq 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{gettext_package}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS HACKING doc/theme-format.txt doc/metacity-theme.dtd
%{_bindir}/metacity
%{_bindir}/metacity-message
#{_libexecdir}/*
%{_datadir}/metacity
%{_datadir}/themes
%{_libdir}/lib*.so.*
%{_mandir}/man1/metacity.1.gz
%{_mandir}/man1/metacity-message.1.gz
%{_datadir}/GConf/gsettings/metacity-schemas.convert
%{_datadir}/glib-2.0/schemas/org.gnome.metacity.gschema.xml
%{_datadir}/gnome-control-center/keybindings/*
%{_datadir}/applications/metacity.desktop
%{_datadir}/gnome/wm-properties/metacity-wm.desktop
%{_datadir}/help/*/*/*

%files devel
%defattr(-,root,root)
%{_bindir}/metacity-theme-viewer
%{_bindir}/metacity-window-demo
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/metacity-theme-viewer.1.gz
%{_mandir}/man1/metacity-window-demo.1.gz

%changelog
* Wed Jul 16 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 2.34.13-4
- remove vine themes
  - add Requires: vine-themes

* Fri May 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.34.13-3
- rebuild with libgtop2-2.30.0

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.34.13-2
- rebuild with VineSeed environement

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.34.13-1
- new upstream release

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.34.8-1
- new upstream release
- change BuildRequires: yelp-tools instead of gnome-doc-utils
- add BuildRequires: pangox-compat-devel

* Sat Aug 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.34.5-1
- new upstream release

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.34.3-2
- update Source10 (metacity-theme-vine-7.tar.xz)

* Sat Apr 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.34.3-1
- new upstream release
- drop Patch0,1,10,11
- remove BuildRequires: GConf2-devel
- remove Requires: GConf2
- BuildRequires: gsettings-desktop-schemas-devel

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.34.1-1
- new upstream release

* Tue Aug 02 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.34.0-5
- fix Vine theme to use fixed size window buttons.
  - some fonts breaks window title design..

* Wed Jun 22 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.34.0-4
- update metacity theme

* Sun Jun 12 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.34.0-3
- add patch20 (revert patch)
  - this commit breaks compiz window decoration.

* Sun Jun 12 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.34.0-2
- update ja.po from git

* Sat Jun 11 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.34.0-1
- update to 2.34.0
- add patch11 to revert default settings
  - default title font to Sans Bold 10
  - add icon menu on titlebar
- disable patch2 to change workspace num to 4 (factory default).

* Sat Jun 11 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.30.3-3
- update metacity theme

* Wed Jun 01 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.30.3-2
- update metacity theme
- drop old old theme
- add patch10 to enable compositing_manager by default

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.3-1
- new upstream release

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-2
- rebuild with rpm-4.8.1 for pkg-config file
- add BuildRequires: gnome-doc-utils

* Fri Apr 30 2010 Shu KONNO <owa@bg.wakwak.com> 2.30.1-1
- updated metacity to 2.30.1
  - fixed crash when right-clicking on window frame

* Sun Apr 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Mon Nov 02 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.28.0-2
- add BR: libgtop2-devel

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0-1
- new upstream release
- dropped Patch5, 6 and 7 (merged into upstream)
- removed BR: libglade2-devel

* Thu Apr 30 2009 NAKAMURA Kenta <kenta@vinelinux.org> 2.26.0-4
- added BuildRequires: zenity, libcanberra-devel

* Thu Apr 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-3
- Patch4: don't spam .xsession-errors so hard
- Patch5: use libcanberra to play the alert sound
- Patch6: don't force bell
- Patch7: fix interaction with autohide panels

* Wed Mar 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-2
- update Patch0,1,2
  - apply patches to ".in.in" insread of ".in"

* Sat Mar 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release
- split development file to -devel subpackage
  - remove static libs

* Tue Sep 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Fri May 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.22.0-2
- rebuild to fix strange color problem.

* Tue Mar 25 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Wed Dec 12 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.1-0vl1
- new upstream release
- added Requires(post): GConf2

* Thu Apr 26 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.2-0vl1
- new upstream release

* Thu Jul 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.15.13-0vl1
- new upstream release

* Mon Jun 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.5-0vl1
- new upstream release

* Sun Apr 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.3-0vl1
- new upstream release
- remove Patch20 which is merged in upstream
- include ClearVine theme as default theme.

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release

* Fri Apr 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl2
- add Patch20 to make configurable new window focus (bug 326159)

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.144-0vl1
- new upstream release

* Wed Nov 30 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.2-0vl1
- new upstream release

* Wed Oct 05 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Sun Aug 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.2-0vl1
- new upstream release

* Fri Aug 05 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.1-0vl1
- new upstream release

* Sun Jul 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.3-0vl1
- new upstream release

* Sun Mar 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version
- include Vine metacity theme as default theme.
- update Patch0 to change deafult theme.

* Wed Nov 10 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.9.0-0vl2
- update NeoVine metacity theme.

* Mon Nov 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.9.0-0vl1
- new upstream release

* Wed Nov 03 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.5-0vl1
- new upstream release

* Sun Jun 20 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl1
- new upstream release
- add BuildRequires: libtoo,automake14, autoconf

* Wed Dec 24 2003 Tomoya TAKA <taka@vinelinux.org> 2.6.3-0vl1
- new upstream release
- build with new toolchain

* Sat Oct 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.2-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.1-0vl1
- new upstream release

* Wed Sep 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.0-0vl2
- fixed missing locale files

* Wed Sep 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.0-0vl1
- new upstream release

* Mon Sep 08 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5.5-0vl2
- add patch10 to increase workspaces (4->6).

* Fri Sep 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5.5-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5.3-0vl1
- new upstream release

* Mon Jun 09 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5.2-0vl2
- update ja.po
- update NeoVine theme

* Sat May 31 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.5.2-0vl1
- new upstream release

* Sat Feb 15 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.34-0vl1
- fixed typo
- NeoVine Metatheme moved to gnome-themes package.

* Sat Feb 15 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.34-0vl1
- new upstream release
- add patch2 from rawhide.
- drop patch1, merged in upstream.

* Fri Jan 31 2003 Tomoya TAKA <taka@vinelinux.org> 2.4.21-0vl2
- add Patch1 to fix hang on all 64-bit platforms

* Fri Jan 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.21-0vl1
- new upstream release

* Wed Jan 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.13-0vl3
- update NeoVine metatheme (use gnome default icons)

* Sun Jan 12 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.13-0vl2
- update neovine theme

* Sat Jan 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.13-0vl1
- new upstream release

* Sat Dec 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.8-0vl6
- drop patch0 to use system fonts.

* Sat Dec 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.8-0vl6
- update ja.po

* Fri Dec 27 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.8-0vl5
- fixed NeoVine theme

* Wed Dec 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.8-0vl4
- add NeoVine theme ported from sawfish.
- use neoVine as default theme. (Patch0)

* Mon Dec 16 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.8-0vl3
- change URL
- add BuildRequires

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.8-0vl2
- add include files

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.8-0vl1
- build for Vine Linux
- new upstream release from gnome-2.1.4

* Tue Oct 29 2002 Havoc Pennington <hp@redhat.com>
- 2.4.3
- remove patches that have gone upstream

* Tue Aug 27 2002 Havoc Pennington <hp@redhat.com>
- fix shaded window decorations in Bluecurve theme

* Sat Aug 24 2002 Havoc Pennington <hp@redhat.com>
- fix the mplayer-disappears-on-de-fullscreen bug

* Sat Aug 24 2002 Havoc Pennington <hp@redhat.com>
- add some fixes from CVS for #71163 #72379 #72478 #72513

* Thu Aug 22 2002 Havoc Pennington <hp@redhat.com>
- patch .schemas.in instead of .schemas so we get right default theme/fonts

* Tue Aug 20 2002 Havoc Pennington <hp@redhat.com>
- grow size of top resize, and display proper cursor on enter notify
- require latest intltool to try and fix metacity.schemas by
  regenerating it in non-UTF-8 locale

* Thu Aug 15 2002 Havoc Pennington <hp@redhat.com>
- default to Sans Bold font, fixes #70920 and matches graphic design spec

* Thu Aug 15 2002 Havoc Pennington <hp@redhat.com>
- 2.4.0.91 with raise/lower keybindings for msf, fixes to fullscreen
- more apps that probably intend to be, fix for changing number of
  workspaces, fix for moving windows in multihead

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- update build requires

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- upgrade to cvs snap 2.4.0.90 with pile of bugfixes from 
  this weekend
- change default theme to bluecurve and require new redhat-artwork

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 2.4.0
- themes are moved, require appropriate redhat-artwork

* Thu Aug  1 2002 Havoc Pennington <hp@redhat.com>
- munge the desktop file to be in toplevel menus and 
  not show in KDE

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- don't use system font by default as metacity's 
  font is now in the system font dialog

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 2.3.987.92 cvs snap

* Fri Jul 12 2002 Havoc Pennington <hp@redhat.com>
- 2.3.987.91 cvs snap

* Mon Jun 24 2002 Havoc Pennington <hp@redhat.com>
- 2.3.987.90 cvs snap

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new libraries

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- 2.3.987
- default to redhat theme

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 2.3.610.90 cvs snap

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- 2.3.377

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 2.3.233

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- add gconf schemas boilerplate

* Mon Apr 15 2002 Havoc Pennington <hp@pobox.com>
- 2.3.89

* Tue Oct 30 2001 Havoc Pennington <hp@redhat.com>
- 2.3.34

* Sat Oct 13 2001 Havoc Pennington <hp@redhat.com>
- 2.3.21 

* Mon Sep 17 2001 Havoc Pennington <hp@redhat.com>
- 2.3.8
- 2.3.13

* Wed Sep  5 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


