# Arches on which we need to prevent arch conflicts on net-snmp-config.h
%define multilib_arches %{ix86} ia64 ppc ppc64 x86_64

Summary: A collection of SNMP protocol tools and libraries.
Summary(ja): SNMP プロトコルツールとライブラリのコレクション
Name: net-snmp
Version: 5.7.2.1
Release: 1%{?_dist_release}
License: BSDish
Group: System Environment/Daemons
URL: http://net-snmp.sourceforge.net/

Source0: http://dl.sourceforge.net/net-snmp/net-snmp-%{version}.tar.gz
Source1: net-snmp.redhat.conf
Source2: net-snmpd.init
Source3: net-snmptrapd.init
Source4: net-snmp-config.h
Source5: net-snmp-config
Source6: net-snmp-trapd.redhat.conf
Source7: net-snmpd.sysconfig
Source8: net-snmptrapd.sysconfig
Source9: net-snmp-tmpfs.conf
Source10:  net-snmpd.logrotate
Patch1: net-snmp-5.7.2-pie.patch
Patch2: net-snmp-5.5-dir-fix.patch
Patch3: net-snmp-5.6-multilib.patch
Patch5: net-snmp-5.5-apsl-copying.patch
Patch6: net-snmp-5.7.1-perl-linking.patch
Patch7: net-snmp-5.6-test-debug.patch

Requires(pre): /sbin/chkconfig
Obsoletes: cmu-snmp ucd-snmp
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: tcp_wrappers, openssl-devel, bzip2-devel, elfutils-libelf-devel
BuildRequires: perl, grep, sed, findutils
BuildRequires: rpm-devel >= 4.0.4

%{expand: %%define _includedir	%{_includedir}/%{name}}


%description
SNMP (Simple Network Management Protocol) is a protocol used for
network management. The NET-SNMP project includes various SNMP tools:
an extensible agent, an SNMP library, tools for requesting or setting
information from SNMP agents, tools for generating and handling SNMP
traps, a version of the netstat command which uses SNMP, and a Tk/Perl
mib browser. This package contains the snmpd and snmptrapd daemons,
documentation, etc.

You will probably also want to install the ucd-snmp-utils package,
which contains NET-SNMP utilities.

%description -l ja
SNMP (Simple Network Management Protocol) はネットワーク管理に用いる
プロトコルです. NET-SNMP プロジェクトは以下のような様々な SNMP ツールを
含んでいます : 拡張性のあるエージェント, SNMP ライブラリ, SNMP 
エージェントからの情報の要求や設定を行うツール, SNMP 割り込みの生成や
ハンドリングを行うツール, SNMP を用いる netstat コマンド, および TK/Perl 
mib ブラウザ. このパッケージは snmpd, snmptrapd デーモンやドキュメント
なども含んでいます.

おそらく, NET-SNMP ユーティリティを含んだ net-snmp-utils パッケージも
インストールした方が良いでしょう。

%package utils
Group: Applications/System
Summary: Network management utilities using SNMP, from the NET-SNMP project.
Summary(ja): SNMP を用いたネットワーク管理ユーティリティ
Requires: net-snmp = %{version}
Obsoletes: cmu-snmp-utils ucd-snmp-utils

%description utils
The net-snmp-utils package contains various utilities for use with the
NET-SNMP network management project.

Install this package if you need utilities for managing your network
using the SNMP protocol. You will also need to install the net-snmp
package.

%description utils -l ja
net-snmp-utils パッケージは NET-SNMP ネットワーク管理プロジェクトにて
用いられる様々なユーティリティを含んでいます. net-snmp パッケージも
インストールする必要があります.

%package devel
Group: Development/Libraries
Summary: The development environment for the NET-SNMP project.
Summary(ja): NET-SNMP 用の開発環境
Requires: net-snmp = %{version}, elfutils-libelf-devel
Obsoletes: cmu-snmp-devel ucd-snmp-devel

%description devel
The net-snmp-devel package contains the development libraries and
header files for use with the NET-SNMP project's network management
tools.

Install the net-snmp-devel package if you would like to develop
applications for use with the NET-SNMP project's network management
tools. You'll also need to have the net-snmp and net-snmp-utils
packages installed.

#'
%description devel -l ja
net-snmp-devel パッケージには NET-SNMP プロジェクトのネットワーク管理
ツールの開発に用いる開発ライブラリおよびヘッダが含まれています.

NET-SNMP プロジェクトのネットワーク管理ツールを用いるアプリケーションを
開発したいならば, net-snmp-devel パッケージをインストールしてください.
おそらく net-snmp, net-snmp-utils パッケージもインストールする必要が
あるでしょう.


%package perl
Group: Development/Libraries
Summary: The perl NET-SNMP module and the mib2c tool.
Summary(ja): perl NET-SNMP モジュールおよび mib2c ツール
Requires: net-snmp = %{version}, perl-XML-Simple
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires: perl >= 5

%description perl
The net-snmp-perl package contains the perl files to use SNMP from within
Perl.

Install the net-snmp-perl package, if you want to use mib2c or SNMP with perl.

%description perl -l ja
net-snmp-perl パッケージには Perl から SNMP を使用するための perl 
ファイルが含まれています. 

perl から mib2c や SNMP を使用したいならば, net-snmp-perl パッケージを
インストールしてください.


%prep
%setup -q

%ifnarch ia64
%patch1 -p1 -b .pie
%endif

%patch2 -p1 -b .dir-fix
%patch3 -p1 -b .multilib
%patch5 -p1 -b .apsl
%patch6 -p1 -b .perl-linking
%patch7 -p1

perl -pi -e "s|'\\\$install_libdir'|'%{_libdir}'|" ltmain.sh

%build
#perl -pi -e 's/changequote/dnl changequote/' ./configure.in
#autoreconf -i
#touch configure

# First build the static library
# XXX remove privacy support?

MIBS="host agentx smux \
     ucd-snmp/diskio tcp-mib udp-mib mibII/mta_sendmail \
     ip-mib/ipv4InterfaceTable ip-mib/ipv6InterfaceTable \
     ip-mib/ipAddressPrefixTable/ipAddressPrefixTable \
     ip-mib/ipDefaultRouterTable/ipDefaultRouterTable \
     ip-mib/ipv6ScopeZoneIndexTable ip-mib/ipIfStatsTable \
     sctp-mib rmon-mib etherlike-mib"

%configure \
	--enable-static --enable-shared			\
	--with-cflags="$RPM_OPT_FLAGS -D_RPM_4_4_COMPAT" \
	--with-sys-location="Unknown"			\
	--with-logfile="/var/log/snmpd.log"		\
	--with-persistent-directory="/var/net-snmp"	\
	--with-mib-modules="$MIBS"			\
	--with-libwrap=%{_libdir}        		\
	--sysconfdir=%{_sysconfdir}			\
	--enable-ipv6					\
	--enable-ucd-snmp-compatibility			\
        --with-pic                                      \
	--enable-embedded-perl                          \
	--with-openssl					\
	--with-mnttab="/etc/mtab"			\
	--with-sys-contact="root@localhost"  <<EOF


EOF

make

pushd perl
# Use just built libs for perl module building, not the system libs.
#perl Makefile.PL -NET-SNMP-IN-SOURCE=true PREFIX=${RPM_BUILD_ROOT}/%{_prefix} INSTALLDIRS=vendor
export NETSNMP_DONT_CHECK_VERSION=1
perl Makefile.PL PREFIX=${RPM_BUILD_ROOT}/%{_prefix} INSTALLDIRS=vendor -NET-SNMP-CONFIG="sh ../../net-snmp-config" -NET-SNMP-IN-SOURCE=true
make
popd


%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall  ucdincludedir=${RPM_BUILD_ROOT}%{_includedir}/ucd-snmp

# Determine which arch opensslconf.h is going to try to #include.
basearch=%{_arch}
%ifarch %{ix86}
basearch=i386
%endif

mv ${RPM_BUILD_ROOT}/%{_bindir}/net-snmp-config ${RPM_BUILD_ROOT}/%{_bindir}/net-snmp-config-${basearch}
install -m 755 %SOURCE5 ${RPM_BUILD_ROOT}/%{_bindir}/net-snmp-config

%ifarch %{multilib_arches}
# Do an net-snmp-config.h switcheroo to avoid file conflicts on systems where you
# can have both a 32- and 64-bit version of the library, and they each need
# their own correct-but-different versions of net-snmp-config.h to be usable.
mv ${RPM_BUILD_ROOT}/%{_includedir}/net-snmp-config.h ${RPM_BUILD_ROOT}/%{_includedir}/net-snmp-config-${basearch}.h
install -m644 %SOURCE4 ${RPM_BUILD_ROOT}/%{_includedir}/net-snmp-config.h
%endif

# remove .la files
rm  ${RPM_BUILD_ROOT}%{_libdir}/*.la

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/snmp
install -m 644 %SOURCE1 ${RPM_BUILD_ROOT}%{_sysconfdir}/snmp/snmpd.conf
install -m 644 %SOURCE6 ${RPM_BUILD_ROOT}%{_sysconfdir}/snmp/snmptrapd.conf

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d
install -m 755 %SOURCE2 ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/snmpd
install -m 755 %SOURCE3 ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/snmptrapd

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
install -m 644 %SOURCE7 ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/snmpd
install -m 644 %SOURCE8 ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/snmptrapd

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE10} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/snmpd

# prepare /var/lib/net-snmp
install -d ${RPM_BUILD_ROOT}%{_localstatedir}/lib/net-snmp
install -d ${RPM_BUILD_ROOT}%{_localstatedir}/run/net-snmp

rm -f ${RPM_BUILD_ROOT}%{_bindir}/snmpinform
rm -f ${RPM_BUILD_ROOT}%{_bindir}/tkmib
rm -f ${RPM_BUILD_ROOT}%{_bindir}/snmpcheck
rm -f ${RPM_BUILD_ROOT}%{_mandir}/man1/snmpconf.1*
rm -f ${RPM_BUILD_ROOT}%{_mandir}/man1/tkmib.1*
ln -s snmptrap ${RPM_BUILD_ROOT}/usr/bin/snmpinform

# copy missing mib2c.conf files
cp local/mib2c.*.conf ${RPM_BUILD_ROOT}%{_datadir}/snmp

pushd perl
make PREFIX=${RPM_BUILD_ROOT}/%{_prefix} install_vendor
eval $(perl '-V:installvendorarch')

find $RPM_BUILD_ROOT%{_libdir} -name Makefile.subs.pl | xargs rm -f
find $RPM_BUILD_ROOT%{_libdir} -name perllocal.pod | xargs rm -f
find $RPM_BUILD_ROOT%{_libdir} -name .packlist | xargs rm -f

find $RPM_BUILD_ROOT/$installvendorarch -type f -print \
        -o -type d -a \
        -name NetSNMP -printf '%%%%dir %%p\n' \
        -o -name SNMP -printf '%%%%dir %%p\n' | \
        sed "s@$RPM_BUILD_ROOT@@g" > ../perl.lst
popd
find $RPM_BUILD_ROOT -name '*.so' | xargs chmod 0755

# remove executable bit from documentation samples
chmod 644 local/passtest local/ipf-mod.pl

# dirty hack for #603243, until it's fixed properly upstream
install -m 755 -d $RPM_BUILD_ROOT/usr/include/net-snmp/agent/util_funcs
install -m 644  agent/mibgroup/util_funcs/*.h $RPM_BUILD_ROOT/usr/include/net-snmp/agent/util_funcs

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/tmpfiles.d/
install -m 644 %SOURCE9 $RPM_BUILD_ROOT/%{_sysconfdir}/tmpfiles.d/net-snmp.conf


%post
/sbin/ldconfig
/sbin/chkconfig --add snmpd 
/sbin/chkconfig --add snmptrapd


%preun
if [ $1 = 0 ]; then
   service snmpd stop >/dev/null 2>&1
   /sbin/chkconfig --del snmpd
   service snmptrapd stop >/dev/null 2>&1
   /sbin/chkconfig --del snmptrapd
   # remove stale autogenerated file
   rm -f %{_datadir}/snmp/mibs/.index
fi


%postun
/sbin/ldconfig
if [ "$1" -ge "1" ]; then
    service snmpd condrestart >/dev/null 2>&1 || :
    service snmptrapd condrestart >/dev/null 2>&1 || :
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc AGENT.txt COPYING ChangeLog EXAMPLE.conf FAQ NEWS PORTING README* TODO
%doc local/passtest local/README.mib2c local/ipf-mod.pl
%dir %{_sysconfdir}/snmp
%config(noreplace,missingok) %{_sysconfdir}/sysconfig/snmpd
%config(noreplace,missingok) %{_sysconfdir}/sysconfig/snmptrapd
%config(noreplace,missingok) %{_sysconfdir}/snmp/snmpd.conf
%config(noreplace,missingok) %{_sysconfdir}/snmp/snmptrapd.conf
%config(noreplace) %{_sysconfdir}/rc.d/init.d/snmpd
%config(noreplace) %{_sysconfdir}/rc.d/init.d/snmptrapd
%config(noreplace) %{_sysconfdir}/logrotate.d/snmpd
%config(noreplace) %{_sysconfdir}/tmpfiles.d/net-snmp.conf
%{_datadir}/snmp
%{_libdir}/lib*.so.*
%{_sbindir}/*
%attr(0644,root,root)	%{_mandir}/man[58]/*


%files utils
%defattr(-,root,root,-)
%{_bindir}/agentxtrap
%{_bindir}/fixproc
%{_bindir}/ipf-mod.pl
%{_bindir}/encode_keychange
%{_bindir}/net-snmp-create-v3-user
%{_bindir}/snmp*
%{_bindir}/traptoemail
%attr(0644,root,root)	%{_mandir}/man1/snmp*.1*
%attr(0644,root,root)   %{_mandir}/man1/traptoemail*.1*
%attr(0644,root,root)   %{_mandir}/man1/encode_keychange*.1*
%attr(0644,root,root)   %{_mandir}/man1/fixproc*.1*
%attr(0644,root,root)	%{_mandir}/man1/agentxtrap*.1*
%attr(0644,root,root)	%{_mandir}/man1/net-snmp-create-v3-user*.1*

%files devel
%defattr(0644,root,root,0755)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_includedir}/*
#/usr/include/ucd-snmp
%attr(0644,root,root)	%{_mandir}/man3/*.3.*
%attr(0755,root,root)	%{_bindir}/net-snmp-config*
%attr(0644,root,root)   %{_mandir}/man1/net-snmp-config*.1.*

%files perl -f perl.lst
%defattr(-,root,root)
%{_bindir}/mib2c
%{_bindir}/mib2c-update
%{_bindir}/net-snmp-cert
%attr(0644,root,root)   %{_mandir}/man1/mib2c-update*.1*
%attr(0644,root,root)	%{_mandir}/man1/mib2c.1*
%attr(0644,root,root)   %{_mandir}/man3/*.3pm.*


%changelog
* Thu Jul  3 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.7.2.1-1
- new upstream release.

* Sun Nov 04 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.7.2-1
- new upstream release
- update Patch1 (net-snmp-5.7.2-pie.patch)
- remove Patch4 (net-snmp-5.5-include-struct.patch)

* Wed Sep 19 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 5.7.1-3
- use installvendorarch instead of installvendorlib
  to pick perl modules

* Mon Sep 17 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 5.7.1-2
- rebuild with rpm-4.10.0

* Sun Mar 04 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.7.1-1
- new upstream release
- update Patch6 (net-snmp-5.7.1-perl-linking.patch)

* Thu Dec 22 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 5.6.1.1-2
- rebuild with rpm-4.9.1.2

* Sat Jun 11 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.6.1.1-1
- new upstream release

* Sat May 07 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.6.1-5
- change configure option (--with-mnttab=/etc/mtab)

* Tue Apr 12 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.6.1-4
- rebuilt with perl-5.12.3.

* Sun Mar 13 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.6.1-3
- change configure option (--with-mib-modules)

* Tue Jan 18 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.6.1-2
- merge spec, patch, source from FC package

* Mon Jan 10 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.6.1-1
- new upstream release
- add configure option: --with-mnttab="/etc/mnttab"
- update Patch1,4,9,11 for net-snmp-5.6.1
- drop Patch6,8,13,16,17
- fix %%files

* Sun Aug 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.4.3-1
- new upstream release
- update Patch1 for net-snmp-5.4.3
- update Patch13 for net-snmp-5.4.3
- fix %install 

* Tue Feb 02 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 5.4.2.1-4
- rebuild with rpm-4.8.0

* Fri Mar 20 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 5.4.2.1-3
- modify Source7 (use 'uname -m' instead of 'arch') ([bts:0675]

* Sat Nov 29 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 5.4.2.1-2
- rebuilt

* Wed Nov 12 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 5.4.2.1-1
- new upstream release with security fix
- drop old patches
- update patch13 (from FC10)

* Tue Jun 24 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.4.1.2-1
- new upstream release
- applied new versioning policy
- built with perl-5.10.0-3

* Wed Jan 2 2008 Satoshi MACHINO <machino@vinelinux.org> 5.4.1-0vl1
- new upstream release
- fixed spec file
    -- imported patches from FC9

* Sat May 19 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.2.1.2-0vl5
- rebuilt with openssl 0.9.8e

* Thu May 10 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 5.2.1.2-0vl4
- rebuild with new environment/toolchain

* Thu Dec 22 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.2.1.2-0vl3
- rebuilt with new rpm
- added mib2c-update to perl package

* Mon Oct 24 2005 Satoshi MACHINO <machino@vinelinux.org> 5.2.1.2-0vl2
- rebuilt for VineSeed

* Mon Oct 24 2005 Satoshi MACHINO <machino@vinelinux.org> 5.2.1.2-0vl1
- new upstream version (net-snmp-5.2.1.2)
- dropped enable-reentrant in configure (VinePlus:02769)

* Sat Jan 29 2005 Satoshi MACHINO <machino@vinelinux.org> 5.2.1-0vl1
- new upstream version (net-snmp-5.2.1)
- dropped patch12

* Mon Jan 03 2005 Satoshi MACHINO <machino@vinelinux.org> 5.2-0vl1
- new upstream version (net-snmp-5.2)
- changed to net-snmp-vl.spec
- cleaned up patches

* Thu Apr 29 2004 Satoshi MACHINO <machino@vinelinux.org> 5.1.1-0vl1
- New upstream version (net-snmp-5.1.1)
- dropped patch10
- added some patches from fedoracore (patch16-18)
- fixed patches (patch13,14)
- enabled openssl in configure

* Mon Feb 16 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.1-9vl1
- based on Fedora development 5.1-9
  * Tue Feb 03 2004 Phil Knirsch <pknirsch@redhat.com> 5.1-9
  - Reverted removal of _includir redefiniton due to php-snmp dependancy.
  - Remove SO_BSDCOMPAT setsockopt() call, deprecated.
  * Thu Jan 22 2004 Thomas Woerner <twoerner@redhat.com> 5.1-7
  - enabled pie (snmpd, snmptrapd) - postponed for ia64
  - added --with-pic to configure call
  * Thu Jan 15 2004 Phil Knirsch <pknirsch@redhat.com> 5.1-6
  - Fixed 64bit build problems when 32bit popt lib is installed.
- added Requires: libelf-devel to net-snmp-devel package

* Fri Dec 26 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.1-3vl1
- based on Fedora development 5.1-3 and don't apply patch9
  * Wed Dec 10 2003 Phil Knirsch <pknirsch@redhat.com> 5.1-3
  - Removed snmpcheck again, needs perl(Tk) which we don't ship (#111194).
  - Fixed getopt definition in include file (#111209).
  - Included Kaj J. Niemi's patch for broken perl module (#111319).
  - Included Kaj J. Niemi's patch for broken async getnext perl call (#111479).
  - Included Kaj J. Niemi's patch for broken hr_storage (#111502).
  * Wed Nov 26 2003 Phil Knirsch <pknirsch@redhat.com> 5.1-2
  - Included BuildPrereq on lm_sensors-devel on x86 archs (#110616).
  - Fixed deprecated initscript options (#110618).
  * Wed Nov 19 2003 Phil Knirsch <pknirsch@redhat.com> 5.1-1
  - Updated to latest net-snmp-5.1 upstream version.
  - Tons of specfile and patch cleanup.
  - Cleaned up perl stuff (mib2c etc, see #107707).
  - Added lm_sensors support patch for x86 archs from Kaj J. Niemi (#107618).
  - Added support for custom mib paths and mibs to snmptrapd initscript (#102762)
- rebuild with new toolchains

* Tue Nov 18 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.0.9-2vl1
- based on Fedora development 5.0.9-2
- merged ucd-snmp-vine.spec
  * Wed Nov 20 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.2.5-7vl2
  - added Patch100 (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=67610)
    (Thanks M. Matsubara-san for pointing this out)
  * Wed Nov 20 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 4.2.5-7vl1
  - based on 4.2.4-7.73.0 from RHL7.3/updates and built for Vine Linux
    (previous Vine version was 4.2.3-1vl1, which was based on 4.2.1-7
     and applied security fix CA-2002-03)
  - added BuildPreReq: rpm-devel >= 4.0.4

* Mon Oct 13 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.9-2
- Due to rpm-devel we need elfutils-devel, too (#103982).

* Mon Sep 29 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.9-1
- Updated to latest upstream version net-snmp-5.0.9
- Added patch to fix net-snmp-perl problems (#105842).

* Tue Sep 23 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- allow compiling without tcp_wrappers

* Wed Sep 17 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-11.1
- rebuilt

* Wed Sep 17 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-11
- Fixed permission for net-snmp-config in net-snmp-devel

* Mon Sep 08 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-10.1
- rebuilt

* Mon Sep 08 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-10
- Moved net-snmp-config into devel package (#103927)

* Fri Aug 22 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-9.1
- rebuilt

* Thu Aug 21 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-9
- Added sample config to make net-snmp RFC 1213 compliant.

* Fri Aug 15 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-8
- Fixed problem with perl option (#102420).
- Added patch for libwrap fix (#77926).

* Tue Aug 12 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-7.1
- rebuilt

* Tue Aug 12 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-7
- Fixed build problems on ppc64
- Fixed double packaged manpages (#102075).

* Thu Aug 07 2003 Phil Knirsch <pknirsch@redhat.com>
- Fixed problem with new proc output (#98619, #89960).

* Wed Aug 06 2003 Phil Knirsch <pknirsch@redhat.com>
- Fixed ro/rw problem with v2 and v3 request (#89612)

* Tue Aug 05 2003 Phil Knirsch <pknirsch@redhat.com>
- Fixed permission problem for debuginfo (#101456)

* Thu Jul 31 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-6.1
- Fixed file list for latest build.

* Thu Jul 31 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-6
- Fixed build problems for net-snmp-perl.

* Sun Jul 27 2003 Florian La Roche <Florian.LaRoche@redhat.de> 5.0.8-5
- actually apply ipv6 patch

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 29 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-3
- bumped release and rebuilt.

* Tue Apr 29 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-2
- Hack to make it build on 64bit platforms with /usr/lib64 correctly.
- Fixed bug #85071 (leak of open descriptors for ipv6).

* Fri Mar 28 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.8-1
- Updated to latest upstream version 5.0.8 (bug #88580)

* Thu Feb 13 2003 Phil Knirsch <pknirsch@redhat.com>
- Included generation of perl stuff. Thanks to Harald Hoyer.

* Wed Feb 12 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.7-1
- Updated to net-snmp-5.0.7. Fixed especially the performance problem with
  limited trees.

* Tue Feb 11 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-17
- Fixed ucd-snmp.redhat.conf (#78391).
- Fixed snmpwalk examples in config file.

* Mon Feb 10 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-15
- Fixed invalid SMUX packet (#83487).

* Thu Feb 06 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-14
- Fixed the libdir problem.

* Wed Feb 05 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-13
- Updated the old libtool rpath patch.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 5.0.6-12
- rebuilt

* Tue Jan 14 2003 Phil Knirsch <pknirsch@redhat.com> 5.0.6-11
- Updated nolibelf patch and activated it again.

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 5.0.6-10
- Rebuild

* Tue Dec 17 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-9
- Added bzip2-devel to BuildPreReq (#76086, #70199).

* Thu Nov 28 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-8
- Added patch to increase SMUXMAXSTRLEN. 

* Thu Nov  7 2002 Tim Powers <timp@redhat.com> 5.0.6-6
- rebuilt to fix broken deps
- remove files from the buildroot that we don't want to ship

* Thu Nov  7 2002 Joe Orton <jorton@redhat.com> 5.0.6-5
- add fix for -DUCD_COMPATIBLE (#77405)

* Thu Nov 07 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-4
- Another bump required. Some more specfile changes.

* Wed Nov 06 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-3
- Bumped release and rebuilt.
- Removed all dbFOO cruft again.

* Wed Oct 09 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.6-2
- Updated to latest released version.

* Sat Aug 31 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- do not link against -lelf

* Thu Jun 27 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.1-5
- Added --enable-ucd-snmp-compatibility for compatibility with older version
  and fixed installation thereof.
- Got rid of the perl(Tk) dependancy by removing snmpcheck.
- Include /usr/include/ucd-snmp in the filelist.
- Fixed a problem with the ucd-snmp/version.h file.

* Wed Jun 26 2002 Phil Knirsch <pknirsch@redhat.com> 5.0.1-1
- Updated to 5.0.1
- Dropped --enable-reentrant as it's currently broken

* Tue Apr 23 2002 Phil Knirsch <pknirsch@redhat.com> 5.0-1
- Switch to latest stable version, 5.0
- Renamed the packate to net-snmp and obsoleted ucd-snmp.

* Wed Apr 17 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4-3
- Fixed problem with reload in initscript (#63526).

* Mon Apr 15 2002 Tim Powers <timp@redhat.com> 4.2.4-2
- rebuilt in new environment

* Mon Apr 15 2002 Tim Powers <timp@redhat.com> 4.2.4-1
- update to 4.2.4 final

* Sat Apr 13 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-5
- Added some missing files to the %files section.

* Tue Apr 09 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-4
- Hardcoded the ETC_MNTTAB to point to "/etc/mtab".

* Mon Apr 08 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-3
- Removed the check for dbFOO as we don't want to add another requirement.

* Fri Apr 05 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-2
- Added missing BuildPrereq to openssl-devel (#61525)

* Thu Apr 04 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre3-1
- Added ucd5820stat to the files section.
- Updated to latest version (4.2.4.pre3)

* Mon Mar 18 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.4.pre2-1
- Updated to latest version (4.2.4.pre2)

* Tue Jan 29 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.3-4
- Added the snmptrapd init script as per request (#49205)
- Fixed the again broken rpm query stuff (#57444)
- Removed all old and none-used db related stuff (libs and header checks/files)

* Mon Jan 07 2002 Phil Knirsch <pknirsch@redhat.com> 4.2.3-2
- Included the Axioma Security Research fix for snmpnetstat from bugtraq.

* Mon Dec 03 2001 Phil Knirsch <phil@redhat.de> 4.2.3-1
- Update to 4.2.3 final.
- Fixed libtool/rpath buildroot pollution problem.
- Fixed library naming problem.

* Fri Oct  5 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed a server segfault for snmpset operation (#53640). Thanks to Josh Giles
  and Wes Hardaker for the patch.

* Mon Sep 10 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed problem with RUNTESTS script.

* Tue Sep  4 2001 Preston Brown <pbrown@redhat.com>
- fixed patch related to bug #35016 (Dell)

* Fri Aug 24 2001 Philipp Knirsch <pknirsch@redhat.de> 4.2.1-6
- Fixed snmpd description (#52366)

* Wed Aug 22 2001 Philipp Knirsch <pknirsch@redhat.de>
- Final bcm5820 fix. Last one was broken.
- Fixed bugzilla bug (#51960) where the binaries contained rpath references.

* Wed Aug 15 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed a couple of security issues:
  o /tmp race and setgroups() privilege problem
  o Various buffer overflow and format string issues.
  o One signedness problem in ASN handling.
- Fixed an important RFE to support bcm5820 cards. (#51125)

* Fri Jul 20 2001 Philipp Knirsch <pknirsch@redhat.de>
- Removed tkmib from the package once again as we don't ship the Tk.pm CPAN
  perl module required to run it (#49363)
- Added missing Provides for the .so.0 libraries as rpm doesn't seem to find
  those during the build anymore (it used to) (#46388)

* Thu Jul 19 2001 Philipp Knirsch <pknirsch@redhat.de>
- Enabled IPv6 support (RFE #47764)
- Hopefully final fix of snmpwalk problem (#42153). Thanks to Douglas Warzecha
  for the patch and Matt Domsch for reporting the problem.

* Tue Jun 26 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed smux compilation problems (#41452)
- Fixed wrong paths displayed in manpages (#43053)

* Mon Jun 25 2001 Philipp Knirsch <pknirsch@redhat.de>
- Updated to 4.2.1. Removed 2 obsolete patches (fromcvs and #18153)
- Include /usr/share/snmp/snmpconf in %files

* Wed Jun 13 2001 Than Ngo <than@redhat.com>
- fix to use libwrap in distro
- add buildprereq: tcp_wrappers

* Fri Jun  1 2001 Bill Nottingham <notting@redhat.com>
- add a *new* patch for IP address return sizes

* Fri Apr 20 2001 Bill Nottingham <notting@redhat.com>
- add patch so that only four bytes are returned for IP addresses on ia64 (#32244)

* Wed Apr 11 2001 Bill Nottingham <notting@redhat.com>
- rebuild (missing alpha packages)

* Fri Apr  6 2001 Matt Wilson <msw@redhat.com>
- added ucd-snmp-4.2-null.patch to correcly handle a NULL value (#35016)

* Tue Apr  3 2001 Preston Brown <pbrown@redhat.com>
- clean up deinstallation (#34168)

* Tue Mar 27 2001 Matt Wilson <msw@redhat.com>
- return a usable RETVAL when running "service snmpd status" (#33571)

* Tue Mar 13 2001 Matt Wilson <msw@redhat.com>
- configure with --enable-reentrant and added "smux" and "agentx" to
  --with-mib-modules= argument (#29626)

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Mon Feb 26 2001 Tim Powers <timp@redhat.com>
- fixed initscript, for reload and restart it was start then stop,
  fixed. (#28477)

* Fri Feb  2 2001 Trond Eivind Glomsrod <teg@redhat.com>
- i18nize initscript

* Sat Jan  6 2001 Jeff Johnson <jbj@redhat.com>
- don't depend on /etc/init.d so that package will work with 6.2.
- perl path fiddles no longer needed.
- rely on brp-compress frpm rpm to compress man pages.
- patch from ucd-snmp CVS (Wes Hardaker).
- configure.in needs to check for rpm libraries correctly (#23033).
- add simple logrotate script (#21399).
- add options to create pidfile and log with syslog with addresses (#23476).

* Sat Dec 30 2000 Jeff Johnson <jbj@redhat.com>
- package for Red Hat 7.1.

* Thu Dec 07 2000 Wes Hardaker <hardaker@users.sourceforge.net>
- update for 4.2

* Thu Oct 12 2000 Jeff Johnson <jbj@redhat.com>
- add explicit format for syslog call (#18153).

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Thu Jul 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild per Trond's request.

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix syntax error that crept in with condrestart

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Preston Brown <pbrown@redhat.com>
- move initscript and add condrestart magic

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- fix %%attr on man pages

* Mon Jun 12 2000 Jeff Johnson <jbj@redhat.com>
- tkmib doco had #!/usr/bin/perl55
- include snmpcheck and tkmib again (still needs some CPAN module, however).

* Tue Jun  6 2000 Jeff Johnson <jbj@redhat.com>
- update to 4.1.2.
- FHS packaging.
- patch for rpm 4.0.

* Thu May 18 2000 Trond Eivind Glomsrod <teg@redhat.com>
- add version to buildroot
- rebuilt with new libraries

* Sun Feb 27 2000 Jeff Johnson <jbj@redhat.com>
- default config was broken (from Wes Hardaker) (#9752)

* Sun Feb 13 2000 Jeff Johnson <jbj@redhat.com>
- compressed man pages.

* Fri Feb 11 2000 Wes Hardaker <wjhardaker@ucdavis.edu>
- update to 4.1.1

* Sat Feb  5 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- change %postun to %preun

* Thu Feb 3 2000 Elliot Lee <sopwith@redhat.com>
- Don't ship tkmib, since we don't ship the perl modules needed to run it.
(Bug #4881)

* Tue Aug 31 1999 Jeff Johnson <jbj@redhat.com>
- default config permits RO access to system group only (Wed Hardaker).

* Sun Aug 29 1999 Jeff Johnson <jbj@redhat.com>
- implement suggestions from Wes Hardaker.

* Fri Aug 27 1999 Jeff Johnson <jbj@redhat.com>
- stateless access to rpm database.

* Wed Aug 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 4.0.1.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.6.2 (#3219,#3259).
- add missing man pages (#3057).

* Thu Apr  8 1999 Wes Hardaker <wjhardaker@ucdavis.edu>
- fix Source0 location.
- fix the snmpd.conf file to use real community names.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.6.1, fix configuration file stuff.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- restore host resources mib
- simplified config file
- rebuild for 6.0.

* Tue Dec 22 1998 Bill Nottingham <notting@redhat.com>
- remove backup file to fix perl dependencies

* Tue Dec  8 1998 Jeff Johnson <jbj@redhat.com>
- add all relevant rpm scalars to host resources mib.

* Sun Dec  6 1998 Jeff Johnson <jbj@redhat.com>
- enable libwrap (#253)
- enable host module (rpm queries over SNMP!).

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Fri Oct  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.3.
- don't include snmpcheck until perl-SNMP is packaged.

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- ucd-snmpd.init: start daemon w/o -f.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- don't start snmpd unless requested
- start snmpd after pcmcia.

* Sun Jun 21 1998 Jeff Johnson <jbj@redhat.com>
- all but config (especially SNMPv2p) ready for prime time

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.

* Tue Dec 30 1997 Otto Hammersmith <otto@redhat.com>
- created the package... possibly replace cmu-snmp with this.
