%define pkgname Skype
%define name	self-build-%{pkgname}
%define ver	4.3.0.37
%define rel	1

%define sourceurl0	http://download.skype.com/linux/skype-%{version}.tar.bz2

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{ver}
Release: 	%{rel}%{?_dist_release}
Source0:	%{pkgname}-vl.spec
Source1:	vine-skype.desktop

License:      	non-free
Group:		Restricted Software

##!! Requires(posttrans) not yet implemented. So we use (post) instead.
Requires(post):		self-build-setup >= 0.9.9

# Requirements for Skype dynamic
%ifarch x86_64
Requires(post): compat32-alsa-lib
Requires(post): compat32-dbus
Requires(post): compat32-e2fsprogs
Requires(post): compat32-fontconfig
Requires(post): compat32-freetype2
Requires(post): compat32-gamin
Requires(post): compat32-glib2
Requires(post): compat32-keyutils-libs
Requires(post): compat32-krb5-libs
Requires(post): compat32-lcms
Requires(post): compat32-libICE
Requires(post): compat32-libSM
Requires(post): compat32-libX11
Requires(post): compat32-libXScrnSaver
Requires(post): compat32-libXau
Requires(post): compat32-libXcursor
Requires(post): compat32-libXdamage
Requires(post): compat32-libXdmcp
Requires(post): compat32-libXext
Requires(post): compat32-libXfixes
Requires(post): compat32-libXi
Requires(post): compat32-libXinerama
Requires(post): compat32-libXrandr
Requires(post): compat32-libXrender
Requires(post): compat32-libXv
Requires(post): compat32-libXxf86vm
Requires(post): compat32-libdrm
Requires(post): compat32-libexpat
Requires(post): compat32-libjpeg-turbo
Requires(post): compat32-libmng
Requires(post): compat32-libpciaccess
Requires(post): compat32-libpng
Requires(post): compat32-libtiff
Requires(post): compat32-libxcb
Requires(post): compat32-mesa-libGL
Requires(post): compat32-mesa-libGLU
Requires(post): compat32-openssl
Requires(post): compat32-qt4
Requires(post): qt4, openssl
%else
Requires(post): alsa-lib
Requires(post): dbus
Requires(post): e2fsprogs
Requires(post): fontconfig
Requires(post): freetype2
Requires(post): gamin
Requires(post): glib2
Requires(post): keyutils-libs
Requires(post): krb5-libs
Requires(post): lcms
Requires(post): libICE
Requires(post): libSM
Requires(post): libX11
Requires(post): libXScrnSaver
Requires(post): libXau
Requires(post): libXcursor
Requires(post): libXdamage
Requires(post): libXdmcp
Requires(post): libXext
Requires(post): libXfixes
Requires(post): libXi
Requires(post): libXinerama
Requires(post): libXrandr
Requires(post): libXrender
Requires(post): libXv
Requires(post): libXxf86vm
Requires(post): libdrm
Requires(post): libexpat
Requires(post): libjpeg-turbo
Requires(post): libmng
Requires(post): libpciaccess
Requires(post): libpng
Requires(post): libtiff
Requires(post): libxcb
Requires(post): mesa-libGL
Requires(post): mesa-libGLU
Requires(post): openssl
Requires(post): qt4
%endif

BuildRoot:    %{_tmppath}/%{name}-%{version}-root

Distribution: Vine Linux
Vendor:       Project Vine
Packager:     iwaim, daisuke

%description
Skype Internet Telephony

If you install this package, it automaticaly downloads source
code, compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
Skype インターネット・テレフォニー

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。


%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} %{buildroot}%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec "%{sourceurl0}" 5000

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Mon Oct 27 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 4.3.0.37-1
- update to 4.3.0.37

* Fri Nov 16 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 4.1.0.20-1
- update to 4.1.0.20

* Fri May 18 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.99-1
- update to 2.2.0.99

* Wed Jan  4 2012 IWAI, Masaharu <iwai@alib.jp> 2.2.0.35-1
- first release for Vine Linux

