Name:		openbox
Version:	3.5.2
Release:	2%{?_dist_release}
Summary:	A highly configurable and standards-compliant X11 window manager
Summary(ja):	高度に設定可能な標準準拠の X11 ウィンドウマネージャ

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://openbox.org/
Source0:	http://openbox.org/releases/%{name}-%{version}.tar.gz
Source1:	http://icculus.org/openbox/tools/setlayout.c
Source2:	xdg-menu
Source3:	menu.xml
#Source4:	openbox.desktop
Source5:	terminals.menu

#Patch0:	 openbox-3.4.10-obxpropman.patch
#Patch1: openbox-3.4.11.2-gnomesession.patch
#Patch2: 07_fix_xml_load_file.patch
#Patch3: 666676_wrong_undecorated_window_placement.patch
#Patch4: 90_fix_link_obt.patch
#Patch5: 675991_fix_crash_from_gtk3_apps.patch


BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	%{name}-libs = %{version}-%{release}

BuildRequires:	gettext
BuildRequires:	glib2-devel >= 2.14.0
BuildRequires:	desktop-file-utils
BuildRequires:	pango-devel
BuildRequires:	startup-notification-devel
BuildRequires:	imlib2-devel
BuildRequires:	librsvg2-devel
BuildRequires:	libxml2-devel >= 2.6.0
BuildRequires:	libSM-devel
BuildRequires:	libXau-devel
BuildRequires:	libXcursor-devel
BuildRequires:	libXfixes-devel
BuildRequires:	libXt-devel
BuildRequires:	libXrandr-devel
BuildRequires:	libXinerama-devel

# The xdg-menu dynamic pipe menu requires the gmenu Python module
Requires:	gnome-menus
Requires:	pyxdg

%description
Openbox is a window manager designed explicity for standards-compliance and
speed. It is fast, lightweight, and heavily configurable (using XML for its
configuration data). It has many features that make it unique among window
managers: window resistance, chainable key bindings, customizable mouse
actions, multi-head/Xinerama support, and dynamically generated "pipe menus."

For a full list of the FreeDesktop.org standards with which it is compliant,
please see the COMPLIANCE file in the included documentation of this package. 
For a graphical configuration editor, you'll need to install the obconf
package. For a graphical menu editor, you'll need to install the obmenu
package.


%package	devel
Summary:	Development files for %{name}
Summary(ja):	%{name} の開発ファイル
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	pkgconfig
Requires:	pango-devel
Requires:	libxml2-devel
Requires:	glib2-devel

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package	libs
Summary:	Shared libraries for %{name}
Summary:	%{name} の共有ライブラリ
Group:		System Environment/Libraries

%description	libs
The %{name}-libs package contains shared libraries used by %{name}.


%prep
%setup -q
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
autoreconf

%build
%configure \
	--disable-static
## Fix RPATH hardcoding.
sed -ie 's|^hardcode_libdir_flag_spec=.*$|hardcode_libdir_flag_spec=""|g' libtool
sed -ie 's|^runpath_var=LD_RUN_PATH$|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

gcc %{optflags} -o setlayout %{SOURCE1} -lX11

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -m 644 %{buildroot}%{_datadir}/%{name}
install setlayout %{buildroot}%{_bindir}

install -p %{SOURCE2} %{buildroot}%{_libexecdir}/openbox-xdg-menu
sed 's|_LIBEXECDIR_|%{_libexecdir}|g' < %{SOURCE3} \
	> %{buildroot}%{_sysconfdir}/xdg/%{name}/menu.xml

#desktop-file-install --vendor="" \
#        --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
#        %{SOURCE4}
	
install -m644 -p %{SOURCE5} \
	%{buildroot}%{_sysconfdir}/xdg/%{name}/terminals.menu

# 'make install' misses these two, so we install them manually
install -m644 -D data/gnome-session/openbox-gnome.session \
	%{buildroot}%{_datadir}/gnome-session/sessions/openbox-gnome.session
install -m644 -D data/gnome-session/openbox-gnome-fallback.session \
	%{buildroot}%{_datadir}/gnome-session/sessions/openbox-gnome-fallback.session


%find_lang %{name}
rm -f %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_datadir}/doc/%{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG COMPLIANCE COPYING README
%doc data/*.xsd data/menu.xml doc/rc-mouse-focus.xml
%dir %{_sysconfdir}/xdg/%{name}/
%config(noreplace) %{_sysconfdir}/xdg/%{name}/*
%{_bindir}/gnome-panel-control
%{_bindir}/gdm-control
%{_bindir}/%{name}*
%{_bindir}/obxprop
%{_bindir}/setlayout
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/themes/*/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/gnome/wm-properties/
%{_datadir}/gnome-session/sessions/openbox-gnome.session
%{_datadir}/gnome-session/sessions/openbox-gnome-fallback.session
%{_datadir}/xsessions/%{name}*.desktop
%{_libexecdir}/openbox-*
%{_mandir}/man1/*

%files	libs
%{_libdir}/libobrender.so.*
%{_libdir}/libobt.so.*

%files	devel
%{_includedir}/%{name}/
%{_libdir}/libobrender.so
%{_libdir}/libobt.so
%{_libdir}/pkgconfig/*.pc


%post libs -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig


%changelog
* Fri Jul 11 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 3.5.2-2
- fix file list (libs,devel)
  - remove .so from -libs
  - remove .so.* from -devel

* Sat May 31 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.5.2-1
- new upstream release
- replaced Source2 to newer from Fedora rawhide
- added BuildRequires: imlib2-devel, librsvg2-devel

* Wed Jul 25 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.5.0-4
- added Patch3,4,5 from Debian sid

* Sun Apr 01 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.5.0-3
- replaced Source2 to newer from Fedora rawhide

* Sat Feb 11 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.5.0-2
- replaced Source2 to newer from Fedora rawhide
- added Patch2 from Debian sid to fix load xml files

* Fri Aug 26 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.5.0-1
- new upstream release
- dropt Patch0,7,10,11
  - renumbered patches
- added Source5 from Fedora development
- improved Source3
- run autoreconf in %%prep

* Fri Jun 10 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.4.11.2-3
- dropt Patch1,3
- added patch11 from Debian

* Tue Sep 28 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.4.11.2-2
- rebuilt with rpm-4.8.1 for pkg-config
- BuildRequires: libXau-devel

* Tue May 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.4.11.2-1
- new upstream release
- added Requires: pyxdg

* Fri May 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.4.11.1-1
- new upstream release
- changed URL and Source0
- dropt Patch6
- added BuildRequires: libXfixes-devel, libSM-devel
- changed BuildRequires: glib2-devel >= 2.14.0, libxml2-devel >= 2.6.0

* Thu Feb 11 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.4.11-1
- new upstream release
- added Patch10 from Fedora
- added summary(ja) in -devel and -libs

* Sun Jan 10 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.4.10-1
- new upstream release
- dropt Patch8
- Patch9 from Fedora

* Wed Dec 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.4.9-1
- new upstream release
  - dropt patch2
  - replaced and renamed Patch0 from Fedora

* Tue Dec 15 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.4.8-1
- new upstream release
  - dropt patch4,5
  - added Patch8 from Fedora
- added Requires: gnome-menus

* Tue Oct 20 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.4.7.2-4
- improved Source3
  - enabled administration menu (disabled preference menu because included)
- added Patch6 from Mandriva
- added Patch7 from Fedora
- replaced Source1 from Fedora 

* Sun Sep 27 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.4.7.2-3
- updated Source4
- added Patch4,5 from Debian

* Sat May 9 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.4.7.2-2vl5
- changed openbox-libs Group: System Environment/Libraries
- spec in UTF-8

* Fri Mar 6 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 3.4.7.2-1vl5
- initial build for VineSeed

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.7.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 09 2008 Miroslav Lichvar <mlichvar@redhat.com> - 3.4.7.2-7
- Restore gnome session script (#474143)
- Use DESKTOP_AUTOSTART_ID to avoid gnome-session registration timeout

* Thu Oct 02 2008 Miroslav Lichvar <mlichvar@redhat.com> - 3.4.7.2-6
- Drop gnome session script (gnome-session no longer supports $WINDOW_MANAGER)
- Add application desktop file to allow starting openbox in gnome-session
  when configured in gconf

* Thu Sep 04 2008 Miroslav Lichvar <mlichvar@redhat.com> - 3.4.7.2-5
- Don't use --choose-session option in gnome session script

* Fri Aug 01 2008 Miroslav Lichvar <mlichvar@redhat.com> - 3.4.7.2-4
- Remove field codes from commands in xdg-menu (#452403)
- Add support for launching applications in xterm to xdg-menu

* Tue Jun 10 2008 Miroslav Lichvar <mlichvar@redhat.com> - 3.4.7.2-3
- Clean up properties after gdm in session scripts (#444135)
- Add license to xdg-menu script

* Tue May 20 2008 Miroslav Lichvar <mlichvar@redhat.com> - 3.4.7.2-2
- Drop numdesks patch (#444135)

* Wed May 14 2008 Miroslav Lichvar <mlichvar@redhat.com> - 3.4.7.2-1
- Update to 3.4.7.2
- Use gnome menus by default (Luke Macken) (#443548)
- Force setting number of desktops (#444135)

* Thu Apr 17 2008 Miroslav Lichvar <mlichvar@redhat.com> - 3.4.7.1-1
- Update to 3.4.7.1
- Don't require /usr/share/themes

* Wed Feb 06 2008 Miroslav Lichvar <mlichvar@redhat.com> - 3.4.6.1-1
- Update to 3.4.6.1

* Sun Feb 03 2008 Miroslav Lichvar <mlichvar@redhat.com> - 3.4.6-1
- Update to 3.4.6

* Mon Jan 07 2008 Miroslav Lichvar <mlichvar@redhat.com> - 3.4.5-1
- Update to 3.4.5

* Wed Aug 22 2007 Miroslav Lichvar <mlichvar@redhat.com> - 3.4.4-2
- Rebuild

* Sun Aug 05 2007 Miroslav Lichvar <mlichvar@redhat.com> - 3.4.4-1
- Update to 3.4.4
- Update license tag

* Mon Jul 23 2007 Miroslav Lichvar <mlichvar@redhat.com> - 3.4.3-1
- Update to 3.4.3
- Package setlayout tool

* Wed Jun 13 2007 Miroslav Lichvar <mlichvar@redhat.com> - 3.4.2-1
- Update to 3.4.2

* Mon Jun 04 2007 Peter Gordon <peter@thecodergeek.com> - 3.3.1-7
- Own %%{_datadir}/gnome/wm-properties instead of depending on gnome-session
  in order to reduce dependency bloat. (Resolves bug 242339; thanks to Miroslav
  Lichvar for the bug report.) 

* Tue Mar 27 2007 Peter Gordon <peter@thecodergeek.com> - 3.3.1-6
- Split shared libraries into a -libs subpackage to properly handle multilib
  setups. (This precludes the further need to %%ghost the byte-compiled
  themeupdate scripts which was introduced in the previous release.)
- Fix handling of the startup_notification build conditional. It will actually
  work properly now. :)
- Remove the hardcoded RPATH using some sed invocations from the packaging
  guidelines. 

* Mon Feb 12 2007 Peter Gordon <peter@thecodergeek.com> - 3.3.1-5
- %%ghost the byte-compiled themeupdate scripts to fix multilib conflict
  (bug #228379).

* Thu Nov 23 2006 Peter Gordon <peter@thecodergeek.com> - 3.3.1-4
- Don't own %%{_datadir}/gnome/wm-properties anymore, as that's now owned
  by gnome-session in Rawhide and we should not have ownership conflicts with
  Core packages.

* Mon Oct 02 2006 Peter Gordon <peter@thecodergeek.com> - 3.3.1-3
- Rebuild to pick up unwind info generation fixes in new GCC

* Wed Sep 20 2006 Peter Gordon <peter@thecodergeek.com> - 3.3.1-2
- Allow building with startup-notification as an rpmbuild option (though it is
  disabled by default as recommended by upstream).

* Sat Sep 09 2006 Peter Gordon <peter@thecodergeek.com> - 3.3.1-1
- Update to new 3.3.1 from upstream

* Sun Aug 27 2006 Peter Gordon <peter@thecodergeek.com> - 3.3-3
- Mass FC6 rebuild

* Sat Aug 26 2006 Peter Gordon <peter@thecodergeek.com> - 3.3-2
- Bump release to fix sources tagging issue

* Sat Aug 26 2006 Peter Gordon <peter@thecodergeek.com> - 3.3-1
- Update to 3.3 final release from upstream
- Remove the slew of versioning macros, as it's overkill for this and just adds
  unneeded complexity to the spec.

* Wed Jun 28 2006 Peter Gordon <peter@thecodergeek.com> - 3.3-0.8.rc2.1
- Add missing BuildRequires: libXxf86vm-devel

* Wed Jun 28 2006 Peter Gordon <peter@thecodergeek.com> - 3.3-0.8.rc2
- Unconditionalize the BuildRequires for modular X.org, since it's branched
  for a specific Fedora release. 

* Mon Jun 26 2006 Peter Gordon <peter@thecodergeek.com> - 3.3-0.7.rc2
- Own the %%{_datadir}/gnome/wm-properties directory (#195292)

* Fri Jun 23 2006 Peter Gordon <peter@thecodergeek.com> - 3.3-0.6.rc2
- Add %%{_datadir}/themes to Requires (#195292)

* Tue Jun 20 2006 Peter Gordon <peter@thecodergeek.com> - 3.3-0.5.rc2
- Own all created theme directories (#195292)
- Fix previous review bug IDs in this %%changelog to point to the recreated
  review bug (due to recent bugzilla outage) 

* Sun Jun 18 2006 Peter Gordon <peter@thecodergeek.com> - 3.3-0.4.rc2
- Don't default to an executable xsession script (#195292)

* Mon Jun 12 2006 Peter Gordon <peter@thecodergeek.com> - 3.3-0.3.rc2 
- Fix versioning to conform to the Extras packaging guidelines

* Mon Jun 12 2006 Peter Gordon <peter@thecodergeek.com> - 3.3-0.rc2.2 
- Add %%{_datadir}/xsessions .desktop file for easy selection of Openbox at
  login screen (#195292)

* Fri Jun 09 2006 Peter Gordon <peter@thecodergeek.com> - 3.3-0.rc2.1 
- Unorphan, rewriting nearly all of the spec file
- Update to upstream 3.3 RC2

* Sun Jul 27 2003 Chris Ricker <kaboom@gatech.edu> 0:2.3.1-0.fdr.5
- Need to own /etc/X11/gdm/Sessions && /etc/X11/gdm (#440)
- Need to conflict with fluxbox (#422 / #440)

* Tue Jul 22 2003 Chris Ricker <kaboom@gatech.edu> 0:2.3.1-0.fdr.4
- Need to own /usr/share/apps/switchdesk (#422)

* Mon Jul 21 2003 Chris Ricker <kaboom@gatech.edu> 0:2.3.1-0.fdr.3
- More spec revisions (#422); change make and preserve timestamps

* Sun Jul 20 2003 Chris Ricker <kaboom@gatech.edu> 0:2.3.1-0.fdr.2
- Minor spec revisions (#422); add epoch and versions to changelogs

* Sun Jul 06 2003 Chris Ricker <kaboom@gatech.edu> 0:2.3.1-0.fdr.1
- Add switchdesk support
- Add display manager support
- Fix NLS build on Cambridge
- Fedora'ize the spec

* Sun Jun 29 2003 Chris Ricker <kaboom@gatech.edu>
- Rev to 2.3.1 release
- Make go with GCC 3.3

* Tue Mar 18 2003 Chris Ricker <kaboom@gatech.edu>
- Package of 2.3.0 release
