Summary: Perl library for accessing Zip archives
Name: perl-Archive-Zip
Version: 1.37
Release: 1%{_dist_release}
Group: Development/Libraries
URL: http://search.cpan.org/dist/Archive-Zip/
License: distributable
Source0: http://search.cpan.org/CPAN/authors/id/S/SM/SMPETERS/Archive-Zip-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl
BuildRequires: perl-File-Which
Requires: perl

Vendor: Project Vine
Distribution: Vine Linux


%description
The Archive::Zip module allows a Perl program to create, manipulate,
read, and write Zip archive files.
Zip archives can be created, or you can read from existing zip files.
Once created, they can be written to files, streams, or strings.
Members can be added, removed, extracted, replaced, rearranged, and
enumerated.  They can also be renamed or have their dates, comments,
or other attributes queried or modified.  Their data can be compressed
or uncompressed as needed.  Members can be created from members in
existing Zip files, or from existing directories, files, or strings.


%prep
%setup -q -n Archive-Zip-%{version}
%{__perl} -pi -e 's|^#!/bin/perl|#!%{__perl}|' examples/*.pl
%{__perl} -pi -e 's|^#!/usr/local/bin/perl|#!%{__perl}|' examples/selfex.pl


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
%{__chmod} -R u+w $RPM_BUILD_ROOT/*


%check || :
%{__make} test


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes LICENSE README examples/
%{_bindir}/crc32
%{perl_vendorlib}/Archive/
%{_mandir}/man3/Archive*.3*


%changelog
* Tue Jul 1 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.37-1
- new upstream release.

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.23-2
- rebuilt with perl-5.12.3

* Thu May  1 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 1.23-1
- rebuilt with perl-5.10.0.

* Mon Mar 10 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.23-0vl1
- new upstream release

* Sun Jul 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.20-0vl1
- new upstream release

* Tue Dec  5 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.18-0vl1
- new upstream release
- added BuildRequires: perl-File-Which
- changed Group to Development/Libraries

* Mon Sep 18 2006 IKEDA Katsumi <ikeda@webmasters.gr.jp> 1.16-0vl1
- rebuild for Vine 4.0 beta 2

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 
- sh: line 0: fg: no job control
- rebuild

* Fri Feb 03 2006 Jason Vas Dias<jvdias@redhat.com> - 1.16-1.2
- rebuilt for new perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Mon Jul 11 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.16-1
- Update to 1.16.

* Thu Apr 14 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.14-1
- Update to 1.14.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Aug 15 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.12-0.fdr.1
- Update to 1.12.

* Tue Jul  6 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.11-0.fdr.1
- Update to 1.11.
- Bring up to date with current fedora.us Perl spec template.

* Sun Apr 18 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.10-0.fdr.1
- Update to 1.10.
- Reduce directory ownership bloat.
- Require perl(:MODULE_COMPAT_*).

* Fri Nov 28 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.1
- Update to 1.09.

* Wed Oct 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.08-0.fdr.1
- Update to 1.08.

* Tue Oct 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.07-0.fdr.1
- Update to 1.07.

* Sun Sep 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.06-0.fdr.1
- Update to 1.06.
- Specfile cleanups.

* Sun Jun  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.05-0.fdr.1
- First build.
