Summary: Efficient bit vector, set of integers and "big int" math library 
Name: perl-Bit-Vector
Version: 7.3
Release: 1%{?_dist_release}
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/~stbey/Bit-Vector/
Source0: http://www.cpan.org/authors/id/STBEY/Bit-Vector-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 0:5.00503
BuildRequires: perl(Carp::Clan) >= 5.3
Requires: perl
Requires: perl(Carp::Clan) >= 5.3
Conflicts: perl-Date-Calc < 5.0

Vendor: Project Vine
Distribution: Vine Linux

%description
Bit::Vector is an efficient C library which allows you to handle
bit vectors, sets (of integers), "big integer arithmetic" and
boolean matrices, all of arbitrary sizes.

The library is efficient (in terms of algorithmical complexity)
and therefore fast (in terms of execution speed) for instance
through the widespread use of divide-and-conquer algorithms.

The package also includes an object-oriented Perl module for
accessing the C library from Perl, and optionally features
overloaded operators for maximum ease of use.

The C library can nevertheless be used stand-alone, without Perl.

%prep
%setup -q -n Bit-Vector-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT pure_install

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
        grep -v %{_mandir} | \
	grep -v "\.packlist" > Bit-Vector-%{version}-filelist
if [ "$(cat Bit-Vector-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi
install -m 0644 blib/man3/* %{buildroot}%{_mandir}/man3
find examples -type f | xargs perl -pi -e "s|^#!(\s)?/usr/local/bin/perl|#!%{__perl}|g"

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f Bit-Vector-%{version}-filelist
%defattr(-,root,root)
%doc CHANGES.txt CREDITS.txt README.txt examples Artistic.txt GNU_GPL.txt GNU_LGPL.txt
%dir %{perl_vendorarch}/auto/Bit
%dir %{perl_vendorarch}/auto/Bit/Vector
%dir %{perl_vendorarch}/Bit
%dir %{perl_vendorarch}/Bit/Vector
%{_mandir}/man3/*3pm*

%changelog
* Sun Jul  6 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 7.3-1
- build with Perl 5.16
- update Requires and BuildRequires

* Mon Mar 28 2011 IWAI, Masaharu <iwai@alib.jp> 7.1-1
- new upstream release
- add Vendor and Distribution tags

* Sat Nov  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 6.4-1
- new upstream release
- built with perl-5.10.0

* Sun Jan  2 2005 IWAI, Masaharu <iwai@alib.jp> 6.4-0vl1
- new upstream release
- update Summary and description
- add Requires: perl-Carp-Clan >= 5.3
- add some license documents

* Thu Apr 17 2003 IWAI Masaharu <iwai@alib.jp> 6.3-0vl1
- version up to 6.3
- add directories in %%files section
- add some documents
- add Conflicts: perl-Date-Calc < 5.0

* Thu Apr 11 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 6.1-12vl1
- build Rawhide-6.1-12 for Vine Linux

* Wed Jan 30 2002 cturner@redhat.com
- Specfile autogenerated

