%define	pkgname	File-Copy-Recursive

# Basic Information
Name:		perl-%{pkgname}
Version:	0.38
Release:	2%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/D/DM/DMUEY/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Perl extension for recursively copying files and directories
Summary(ja):	再帰的にファイルおよびディレクトリをコピーする Perl 拡張

# Dependency
Requires:	perl
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:	perl

%description
This module copies and moves directories recursively (or single files,
well... singley) to an optional depth and attempts to preserve each file or
directory's mode.

%description -l ja
このモジュールは、ディレクトリ(あるいは、単一のファイル)をオプションにより深
さを考慮し、各ファイルおよびディレクトリのモードを保ちながら、再帰的にコピー
または移動します。

%prep
%setup -q -n File-Copy-Recursive-0.38

%build
perl Makefile.PL INSTALLDIRS="vendor"
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

# remove unnecessary files.
%{__rm} ${RPM_BUILD_ROOT}%{perl_archlib}/perllocal.pod
%{__rm} ${RPM_BUILD_ROOT}%{perl_vendorarch}/auto/File/Copy/Recursive/.packlist

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*

%changelog
* Tue Jul  1 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.38-2
- rebuilt with perl-5.16.3.

* Sun Oct 09 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.38-1
- initial build for Vine Linux
