%define	pkgname	Log-Log4perl

# Basic Information
Name:		perl-%{pkgname}
Version:	1.44
Release:	1%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/M/MS/MSCHILLI/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Log::Log4perl - Log4j implementation for Perl
Summary(ja):	Log::Log4perl - Perl 向け Log4j 実装

# Dependency
Requires:       perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl

%description
Log::Log4perl lets you remote-control and fine-tune the logging
behaviour of your system from the outside. It implements the widely
popular (Java-based) Log4j logging package in pure Perl.

For a detailed tutorial on Log::Log4perl usage, please read

    http://www.perl.com/pub/a/2002/09/11/log4perl.html


%description -l ja
Log::Log4perl により、外部からシステムのログ取得を遠隔操作および微調整できま
す。広く普及された (Java ベースの) Log4j ロギングパッケージを純粋な Perl で
実装しています。 

Log::Log4perl の使い方に関するより詳細なチュートリアルは、

    http://www.perl.com/pub/a/2002/09/11/log4perl.html

を読んでください。

%prep
%setup -q -n %{pkgname}-%{version}

%build
perl Makefile.PL
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v ^%{_mandir} |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{name}.files

if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

# remove unnecessary files.
%{__rm} ${RPM_BUILD_ROOT}%{perl_archlib}/perllocal.pod
find ${RPM_BUILD_ROOT} -type f -name .packlist -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT}%{_mandir} -type f -exec %{__rm} -f {} ';'


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes LICENSE README

%changelog
* Mon Jun 30 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 1.44-1
- update to 1.44

* Wed Feb 22 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.35-1
- initial build for Vine Linux

