%define	pkgname	Mail-Sender

# Basic Information
Name:		perl-%{pkgname}
Version:	0.8.21
Release:	1%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/J/JE/JENDA/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Mail::Sender - module for sending mails with attachments through an SMTP server
Summary(ja):	Mail::Sender - SMTP サーバー経由で添付ファイル付メールを送信するためのモジュール

# Dependency
Requires:       perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl

%description
Mail::Sender provides an object oriented interface to sending mails. It
doesn't need any outer program. It connects to a mail server directly from
Perl, using Socket.

%description -l ja
Mail::Sender は、メール送信のためのオブジェクト指向インターフェースを提供し
ます。他の外部プログラムは必要ありません。ソケットを使って Perl から直接、
メールサーバーへ接続します。

%prep
%setup -q -n %{pkgname}-%{version}

%build
perl Makefile.PL
%{__make} << EOM
n
EOM


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

# Remove the Win32 module in order to avoid requiring perl(Win32API::Registry)
# This idea is from fedora.
find $RPM_BUILD_ROOT -type f -name Win32.pm -exec rm -f {} ';'

find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v ^%{_mandir} |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{name}.files

if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

# remove unnecessary files.
%{__rm} ${RPM_BUILD_ROOT}%{perl_archlib}/perllocal.pod
%{__rm} ${RPM_BUILD_ROOT}%{perl_sitearch}/auto/Mail/Sender/.packlist

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README

%changelog
* Mon Jun 30 2014 Daisuke SUZUKI <daisuke@vinelinux.org> 0.8.21-1
- update to 0.8.21

* Wed Jan 25 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.8.16-1
- initial build for Vine Linux
