%define	pkgname	Net-Server

# Basic Information
Name:		perl-%{pkgname}
Version:	2.008
Release:	1%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/R/RH/RHANDOM/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Net::Server - Extensible, general Perl server engine
Summary(ja):	Net::Server - 拡張可能で一般的な Perl サーバーエンジン

# Dependency
Requires:       perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl

%description
Net::Server is an extensible, generic Perl server engine. Net::Server
combines the good properties from Net::Daemon (0.34), NetServer::Generic
(1.03), and Net::FTPServer (1.0), and also from various concepts in the
Apache Webserver.

%description -l ja
Net::Server は、拡張可能で一般的な Perl サーバーエンジンです。Net::Server は、
Net::Daemon (0.34)、NetServer::Generic (1.03)、Net::FTPServer (1.0) の良い特
性を組み合わせています。Apache ウェブサーバーのさまざまなコンセプトも取り入
れています。

%prep
%setup -q -n Net-Server-%{version}

%build
perl Makefile.PL INSTALLDIRS="vendor"
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v ^%{_mandir} |
	grep -v perllocal.pod |
	grep -v "\.packlist" > %{name}.files

if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

# remove unnecessary files.
%{__rm} ${RPM_BUILD_ROOT}%{perl_archlib}/perllocal.pod
%{__rm} ${RPM_BUILD_ROOT}%{perl_vendorarch}/auto/Net/Server/.packlist


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Mon Jun 30 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.008-1
- new upstream release.

* Thu Mar 27 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.007-1
- new upstream release.

* Wed Jan 25 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.99-2
- Add BuildArch (noarch)

* Fri Jan 13 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.99-1
- initial build for Vine Linux
