Name:           perl-Test-Deep
Version:        0.112
Release:        1%{?_dist_release}
Summary:        Extremely flexible deep comparison
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Deep/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Test-Deep-%{version}.tar.gz
Patch0:         perl-Test-Deep-0.103-arrayeach.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::NoWarnings) >= 0.02
BuildRequires:  perl(Test::Tester) >= 0.04
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       shaolin

%description
Test::Deep gives you very flexible ways to check that the result you
got is the result you were expecting. At it's simplest it compares two
structures by going through each level, ensuring that the values
match, that arrays and hashes have the same elements and that
references are blessed into the correct class. It also handles
circular data structures without getting caught in an infinite loop.

%prep
%setup -q -n Test-Deep-%{version}
#%patch0 -p1 -b .arrayeach

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}

make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} \;
find ${RPM_BUILD_ROOT} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} ${RPM_BUILD_ROOT}/*

%check
make test

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc CHANGES README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 1 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.112-1
- new upstream release.

* Thu Mar 01 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.108-2
- rebuild

* Fri Feb 24 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.108-1
- initial build for Vine Linux

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.108-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.108-4
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.108-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.108-2
- 661697 rebuild for fixing problems with vendorach/lib

* Sat Dec 18 2010 Steven Pritchard <steve@kspei.com> 0.108-1
- Update to 0.108.
- Update Source0 URL.

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.106-3
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.106-2
- rebuild against perl 5.10.1

* Fri Oct 30 2009 Stepan Kasal <skasal@redhat.com> - 0.106-1
- new upstream version

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.103-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.103-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Oct 22 2008 Lubomir Rintel <lubo.rintel@gooddata.com> 0.103-2
- Fix crash on matching array_each() against non-array

* Wed Jun 04 2008 Steven Pritchard <steve@kspei.com> 0.103-1
- Update to 0.103.

* Sat May 31 2008 Steven Pritchard <steve@kspei.com> 0.102-1
- Update to 0.102.

* Fri May 16 2008 Steven Pritchard <steve@kspei.com> 0.101-1
- Update to 0.101.

* Sat Feb  2 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.100-2
- rebuild for new perl

* Mon Jan 28 2008 Steven Pritchard <steve@kspei.com> 0.100-1
- Update to 0.100.

* Sat Jan 12 2008 Steven Pritchard <steve@kspei.com> 0.099-1
- Update to 0.099.
- Update License tag.

* Tue Sep 18 2007 Steven Pritchard <steve@kspei.com> 0.098-1
- Update to 0.098.

* Fri Aug 10 2007 Steven Pritchard <steve@kspei.com> 0.097-1
- Update to 0.097.

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.096-2
- Use fixperms macro instead of our own chmod incantation.
- BR ExtUtils::MakeMaker.

* Tue Sep 26 2006 Steven Pritchard <steve@kspei.com> 0.096-1
- Update to 0.096.

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.095-2
- Fix find option order.

* Fri Apr 21 2006 Steven Pritchard <steve@kspei.com> 0.095-1
- Update to 0.095.

* Sat Apr 08 2006 Steven Pritchard <steve@kspei.com> 0.093-1
- Specfile autogenerated by cpanspec 1.64.
- Improve description.
- Fix License.
- Remove explicit dependency on Test::Tester and Test::NoWarnings.
