%define _use_internal_dependency_generator 0

Summary: A Perl module for time and date manipulation.
Name: perl-TimeDate
Version: 1.20
Release: 2%{_dist_release}
License: distributable
Group: Development/Libraries
Source0: TimeDate-%{version}.tar.gz
Url: http://search.cpan.org/search?query=timedate&mode=all
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 0:5.00503
Requires: perl >= 0:5.00503
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux

%description
This module includes a number of smaller modules suited for
manipulation of time and date strings with Perl.  In particular, the
Date::Format and Date::Parse modules can display and read times and
dates in various formats, providing a more reliable interface to
textual representations of points in time.

%if %{?_dist_release} == "vl5" || %{?_dist_release} == "vl4"
# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl
%endif

%prep
%setup -q -n TimeDate-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > TimeDate-%{version}-filelist
if [ "$(cat TimeDate-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f TimeDate-%{version}-filelist
%defattr(-,root,root)

%changelog
* Mon Jun 30 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.20-2
- rebuilt with perl-5.16.3.

* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 1.20-1
- new upstream release
- add Vendor and Distribution tags

* Thu May  1 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 1.16-3
- built with perl-5.10.0.

* Sun Sep 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.16-2vl3
- changed Group to Development/Libraries
- changed INSTALLDIRS to vendor from site

* Mon Jan 10 2005 Satoshi MACHINO <machino@vinelinux.org> 1.16-2vl2
- built with perl-5.8.6

* Sun Oct 03 2004 Satoshi MACHINO <machino@vinelinux.org> 1.16-2vl1
- rebuilt for VineLinux
	-- deleted epoch tag
	-- changed INSTALLDIR to site from vendor

* Wed Sep 22 2004 Chip Turner <cturner@redhat.com> 1:1.16-2
- rebuild

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> 1:1.16-1
- update to 1.16, bump epoch since previous version was 1.1301

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Aug  6 2002 Chip Turner <cturner@localhost.localdomain>
- update to 1.301

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Oct 24 2001 root <root@redhat.com>
- Spec file was autogenerated. 
