%define pkgname Tk-TableMatrix

Summary:       Perl module for creating and manipulating tables.
Name:	       perl-%{pkgname}
Version:       1.23
Release:       1%{?_dist_release}
Group:         Development/Libraries
License:       Artistic
Url:           http://search.cpan.org/author/CERNEY/%{pkgname}-%{version}/
Source:        http://search.cpan.org/CPAN/authors/id/C/CE/CERNEY/%{pkgname}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl(Tk), xorg-x11-devel
Requires:      perl(Tk)
Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The TableMatrix command creates a 2-dimensional grid of cells. The
table can use a Tcl array variable or Tcl command for data storage and
retrieval.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
perl Makefile.PL X11LIB=%{_libdir} INSTALLDIRS=vendor
find . -name Makefile | xargs perl -pi -e's/pod2man --center (.*) "--"/pod2man -- --center $1/'
make

%install
rm -rf %{buildroot}
%makeinstall DESTDIR=$RPM_BUILD_ROOT

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" | \
        grep -v perllocal.pod | \
        grep -v "\.packlist" > %{pkgname}-%{version}-filelist
if [ "$(cat %{pkgname}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf %{buildroot}

%files -f %{pkgname}-%{version}-filelist
%defattr(-,root,root,-)
%{perl_archlib}/perllocal.pod
%{perl_vendorarch}/auto/Tk/TableMatrix/.packlist

%changelog
* Thu Jul 3 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.23-1
- new upstream release.

* Sun May 22 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.22-3
- rebuild with perl-5.12.3

* Sat Oct 11 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.22-2vl5
- removed BuildRequires: pwlib-devel
- installed to vendor_perl dir

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 1.01-1vl5
- applied new versioning policy
- built with perl-5.10.0

* Mon Dec 31 2007 Shu KONNO <owa@bg.wakwak.com> 1.01-0vl3
- added X11LIB to build (for x86_64)

* Tue Aug 29 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.01-0vl2
- new upstream release
- rebuild with pwlib-1.10.1

* Wed Mar  3 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.01-0vl1
- initial build for Vine Linux

