%define origname YAML

Summary: YAML Ain't Markup Language (tm) for Perl
Name: perl-YAML
Version: 0.95
Release: 1%{?_dist_release}
License: perl's
Group: Development/Libraries
Source0: http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/%{origname}-%{version}.tar.gz
Source1: filter-requires-perl-YAML.sh
Url: http://search.cpan.org/dist/YAML/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.30
Requires: perl

Distribution: Vine Linux
Vendor: Project Vine
Packager: iwaim

%if %{?_dist_release} == "vl5" || %{?_dist_release} == "vl4"
%define __find_requires %{SOURCE1}
%else if %{?_dist_release} == "vl7"
%define __perllib_requires %{SOURCE1}
%else
%define __perl_requires %{SOURCE1}
%endif

%description
This module has been released to CPAN as YAML::Old, and soon YAML.pm
will be changed to just be a frontend interface module for all the
various Perl YAML implementation modules, including YAML::Old.

If you want robust and fast YAML processing using the normal Dump/Load
API, please consider switching to YAML::XS. It is by far the best Perl
module for YAML at this time. It requires that you have a C compiler,
since it is written in C.

%prep
%setup -q -n %{origname}-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%doc README Changes LICENSE
%dir %{perl_vendorlib}/YAML
%{_mandir}/man3/*

%changelog
* Tue Jul  1 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 0.95-1
- build with Perl 5.16
- update to 0.95
- add BuildRequires: perl(ExtUtils::MakeMaker) >= 6.30
- update filter (Source1)
- using __perllibl_requires macro for VineSeed (vl7)

* Sat Mar 26 2011 IWAI, Masaharu <iwai@alib.jp> 0.72-1
- new upstream release
- using __perl_requires macro for VineSeed (vl6)

* Mon Feb 22 2010 IWAI, Masaharu <iwai@alib.jp> 0.71-1
- first release for Vine Linux
