%{!?python3_sitelib: %global python3_sitelib %(python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%global debug_package %{nil}

Name:           python3-pyatspi
Version:        2.14.0
Release:        1%{?_dist_release}
Summary:        Python3 bindings for at-spi

Group:          Development/Languages
License:        LGPLv2 and GPLv2
URL:            http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
#VCS: git:git://git.gnome.org/pyatspi
Source0:        http://download.gnome.org/sources/pyatspi/2.14/pyatspi-%{version}.tar.xz

BuildRequires:  python3 >= 3.2
BuildRequires:	python3-pygobject
BuildRequires:	pygobject3-devel
BuildRequires:  libX11-devel
BuildRequires:  libSM-devel

Requires:       at-spi2-core
Requires:       python3-pygobject

BuildArch:      noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a python3 client library for at-spi.


%prep
%setup -q -n pyatspi-%{version}

%build
%configure \
	--with-python=python3 \
	--disable-relocate
make


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc COPYING COPYING.GPL AUTHORS README
%{python3_sitelib}/pyatspi


%changelog
* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.14.0-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.12.0-1
- new upstream release
- remove BuildRequires: python3-pygobject-devel
- add BuildRequires: python3-pygobject, pygobject3-devel

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.10.0-1
- initial build

