%define rlibdir  %(%{ruby} -r rbconfig -e 'print RbConfig::CONFIG["rubylibdir"]')
%define rarchdir %(%{ruby} -r rbconfig -e 'print RbConfig::CONFIG["archdir"]')

Summary:     Ruby binding for cairo
Summary(ja): cairo の Ruby バインディング
Name:        rcairo
Version:     1.12.9
Release:     1%{?_dist_release}
Source0:     http://cairographics.org/releases/%{name}-%{version}.tar.gz
License:     The same conditions as ruby
Group:       System Environment/Libraries
URL:         http://cairographics.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby-devel >= 1.8.0
BuildRequires: cairo-devel >= 1.2.0
BuildRequires: ruby-pkg-config

Vendor: Project Vine
Distribution: Vine Linux

%description
Cairo is a 2D graphics library with support for multiple output devices.
Currently supported output targets include the X Window System, win32, and
image buffers. Experimental backends include OpenGL (through glitz), Quartz,
XCB, PostScript and PDF file output.

rcairo provides Ruby binding for cairo.

%description -l ja
cairo は 2D グラフィックスライブラリで，さまざまな出力デバイスをサポートして
います．現在は，X Window System，Win32，イメージバッファをサポートしています．
実験的に OpenGL（glitz経由），Quartz，XCB，PostScript／PDF ファイルへの出力も
サポートしています．

rcairo は cairo の Ruby バインディングを供給します。

%package devel
Summary:     The header file for rcairo
Summary(ja): rcairo を用いた開発用のヘッダーファイル
Group:       Development/Libraries
Requires:    %{name} = %{version}

%description devel
The header file for rcairo

%description devel -l ja
rcairo を用いた開発用のヘッダーファイル

%prep
%setup -q

%build
%ruby extconf.rb
%{__make}

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall sitelibdir=${RPM_BUILD_ROOT}%{rlibdir} sitearchdir=${RPM_BUILD_ROOT}%{rarchdir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog GPL NEWS README samples
%{rlibdir}/*.rb
%{rlibdir}/cairo
%{rarchdir}/*.so

%files devel
%defattr(-,root,root)
%{rarchdir}/*.h

%changelog
* Wed Jul 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.9-1
- new upstream release

* Sat Dec 07 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.6-2
- rebuild with ruby-2.0.0.353

* Sat Sep 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.12.6-1
- new upstream release

* Sun Jan 13 2013 IWAI, Masaharu <iwai@alib.jp> 1.12.2-1
- new upstream release
- add BuildRequires: ruby-pkg-config
- build with ruby 1.9.3.362-6
 - Use RbConfig instead of obsolete and deprecated Config.

* Sat Mar 12 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8.0-2
- rebuilt with new toolchains

* Mon Oct 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8.0-1
- new upstream release

* Tue Sep 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.7.0-1
- new upstream release
- applied new versioning policy
- removed BuildRequires: ruby-gnome2 (included pkg-config.rb)
- spec in UTF-8

* Sat Jun 30 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 1.5.0-0vl1
- upstream release

* Sat Mar 31 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 1.4.0-0vl2
- upstream release
- add BuildRequires: rugy-gnome2 (extconf.rb requires "pkg-config")
  CAUTION: circulated build dependency exists between ruby-gnome2 and rcairo
- modify %%build and %%install scriptlet to cope with extconf.rb
- add "%%{rlibdir}/cairo" subdirectory in %%files section

* Sun Sep 17 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.0-0vl3
- changed devel Group to Development/Libraries

* Sat Feb 18 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 1.0.0-0vl2
- rebuild

* Sun Oct 30 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 1.0.0-0vl1
- initial build for VineSeed
