%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           rednotebook
Version:        1.8.1
Release:        1%{?_dist_release}
Summary:        A desktop journal
Summary(ja):    デスクトップダイアリー

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://rednotebook.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
#Patch0:         fix_install_data.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  desktop-file-utils

Requires:       PyYAML
Requires:       pygtk2
Requires:       gnome-python-extras
Requires:       hicolor-icon-theme
Requires:       pywebkitgtk
Requires:       python-chardet

%description
RedNotebook is a desktop journal that makes it very easy for you
to keep track of the stuff you do and the thoughts you have. This
journal software helps you to write whole passages or just facts,
and does so in style.

%description-l ja
RedNotebook はあなたの行動、及び考えているアイデアの推移の
追跡を非常に簡単にするデスクトップ・ジャーナルです。
このジャーナル・ソフトウェアは、あなたが全体の推移、
あるいは事実の記載をスタイリッシュに行えるよう手助けします。

%prep
%setup -q
#%patch0 -p1


%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install --skip-build --root %{buildroot}

%find_lang %{name}

%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG LICENSE README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}*.egg-info

%changelog
* Sat Sep 06 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.8.1-1
- new upstream release

* Mon Dec 23 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.8.0-1
- new upstream release

* Sun Jul 14 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.7.2-1
- new upstream release

* Sat Mar 02 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.7.1-1
- new upstream release

* Sat Jan 26 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.6.6-1
- new upstream release

* Sat Dec 29 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.6.5-1
- new upstream release

* Sat Dec 08 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.6.3-1
- new upstream release

* Fri Nov 23 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.6.2-1
- new upstream release

* Tue Nov 13 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.6.1-1
- new upstream release

* Thu Nov 01 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.6.0-1
- new upstream release

* Sat Jul 21 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.5.0-2
- replaced source
  - fixed install data (merged patch)

* Fri Jul 20 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.5.0-1
- new upstream release
- added Patch0 to fix install data

* Tue Jun 12 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.4.0-1
- new upstream release

* Sat Jan 28 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.3.0-1
- new upstream release

* Sat Oct 08 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.2.0-1
- new upstream release

* Sat Aug 20 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.1.8-1
- new upstream release
- changed URL

* Thu Jul 14 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.1.7-1
- new upstream release

* Fri May 13 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.1.6-1
- new upstream release

* Wed May 4 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.1.5-1
- new upstream release

* Fri Apr 29 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.1.4-1
- new upstream release

* Tue Dec 28 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.1.2-1
- new upstream release

* Mon Aug 23 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.1.1-1
- new upstream release

* Wed Aug 4 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.1.0-1
- new upstream release

* Wed Jun 23 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.0-1
- new upstream release

* Wed May 12 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.5-1
- new upstream release
- added Requires: pywebkitgtk, python-chardet

* Tue May 4 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.4-1
- new upstream release

* Wed Feb 24 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.3-1
- new upstream release

* Sun Feb 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.2-2
- rebuilt with python-2.6.4-3

* Fri Jan 22 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.2-1
- initial build for VineSeed

* Thu Sep 17 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.6.1-1
- Update to 0.8.6.1, fixes #523880

* Thu Sep 17 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.6-2
- Fix libglade error with GTK 2.16.6 (#523880)

* Fri Sep 04 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.6-1
- Updated to new upstream version 0.8.6

* Fri Aug 14 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.5-1
- Updated to new upstream version 0.8.5 (fixes #518778)

* Fri Aug 14 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.4-1
- Updated to new upstream version 0.8.4

* Fri Aug 07 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.3-1
- Updated to new upstream version 0.8.3

* Wed Jul 29 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.2-1
- Updated to new upstream version 0.8.2

* Sat Jul 25 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.1-1
- Updated to new upstream version 0.8.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Fabian Affolter <fabian@bernewireless.net> - 0.8.0-1
- Updated BR python
- Icon cache update added
- Updated to new upstream version 0.8.0

* Wed Jul 15 2009 Fabian Affolter <fabian@bernewireless.net> - 0.7.6-1
- Updated to new upstream version 0.7.6

* Mon Jul 06 2009 Fabian Affolter <fabian@bernewireless.net> - 0.7.5-1
- Removed the shebang stuff, upstream changed this
- Updated to new upstream version 0.7.5

* Mon Jun 29 2009 Fabian Affolter <fabian@bernewireless.net> - 0.7.4-1
- Moved the removing of the shebang to prep section
- Updated to new upstream version 0.7.4

* Tue May 26 2009 Fabian Affolter <fabian@bernewireless.net> - 0.7.2-1
- Updated to new upstream version 0.7.2

* Wed May 06 2009 Fabian Affolter <fabian@bernewireless.net> - 0.7.1-1
- Updated to new upstream version 0.7.1

* Wed May 06 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6.9-1
- Updated to new upstream version 0.6.9

* Sun May 03 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6.8-1
- Updated to new upstream version 0.6.8

* Tue Apr 21 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.7-1
- Updated to new upstream version 0.6.7

* Tue Apr 07 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.6-1
- Updated to new upstream version 0.6.6

* Fri Apr 03 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.5-1
- Updated to new upstream version 0.6.5

* Wed Mar 18 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6.2-1
- Added hicolor-icon-theme as a requirement
- Added icons directory
- Updated to new upstream version 0.6.2

* Sat Mar 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6.1-1
- Updated to new upstream version 0.6.1
- Renamed docs, added License file

* Thu Feb 12 2009 Fabian Affolter <fabian@bernewireless.net> - 0.5.5-1
- Updated to new upstream version 0.5.5

* Sat Jan 24 2009 Fabian Affolter <fabian@bernewireless.net> - 0.5.2-1
- Updated to new upstream version 0.5.2

* Sat Jan 24 2009 Fabian Affolter <fabian@bernewireless.net> - 0.5.1-1
- Initial package for Fedora

