Summary: an SCIM IMEngine module for anthy
Summary(ja): anthy のための SCIM IMEngine モジュール
Name: scim-anthy
Version: 1.2.7
Release: 6%{?_dist_release}
URL: http://sourceforge.jp/projects/scim-imengine/
Source0: %{name}-%{version}.tar.gz
#Patch0: scim-anthy-1.2.0-default-euc-jp.patch
License: GPLv2+
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: scim >= 1.4.6, gtk2, atk, pango, freetype2, glib2, anthy
BuildRequires: scim-devel >= 1.4.6
BuildRequires: gtk2-devel, atk-devel, pango-devel
BuildRequires: freetype2-devel, glib2-devel, anthy-devel

%description
scim-anthy is an SCIM IMEngine module for anthy.

%description -l ja
scim-anthy は、anthy のための SCIM IMEngine モジュールです。

%prep
%setup -q
#%patch0 -p 1 -b .euc-jp

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%{find_lang} %{name}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/Helper/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/IMEngine/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/SetupUI/*.{a,la}


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog  NEWS README
%{_libdir}/scim-1.0/*/Helper/*.so
%{_libdir}/scim-1.0/*/IMEngine/anthy.so
%{_libdir}/scim-1.0/*/SetupUI/anthy-imengine-setup.so
%dir %{_datadir}/scim/Anthy
%dir %{_datadir}/scim/Anthy/style
%{_datadir}/scim/Anthy/style/*.sty
%{_datadir}/scim/icons/*.png

%changelog
* Sun Jul 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.7-6
- rebuilt with libpng-1.6.12

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 1.2.7-5
- rebuilt with rpm-4.8.1-3

* Sun Feb 21 2010 Shu KONNO <owa@bg.wakwak.com> 1.2.7-4
- rebuilt with new toolchain

* Sun Apr 5 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.2.7-3
- disabled static libs

* Mon Feb 23 2009 IWAI, Masaharu <iwai@alib.jp> 1.2.7-2
- spec in UTF-8

* Sat Jan 31 2009 IWAI, Masaharu <iwai@alib.jp> 1.2.7-1
- new upstream release

* Sat Apr 05 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.2.6-1
- new upstream release
- apply new versioning policy

* Tue Sep 25 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.2.4-0vl1
- new upstream release

* Fri May 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.3-0vl2
- rebuild with new environment/toolchain

* Wed May 02 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.3-0vl1
- new upstream release

* Tue Dec 12 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.2.2-0vl3
- now BuildRequires scim-devel and Requires scim >= 1.4.5

* Tue Dec 12 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.2.2-0vl2
- add Patch10, fix files section (Helper/IMEngine/SetupUI paths)

* Sat Nov 25 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.2-0vl1
- new upstream release

* Mon Sep  4 2006 IWAI, Masaharu <iwai@alib.jp> 1.2.0-0vl4
- build for VineSeed

* Mon Sep  4 2006 IWAI, Masaharu <iwai@alib.jp> 1.2.0-0vl3
- [BTS:123] default encoding as EUC-JP
- build for Vine 3.2

* Thu Aug 24 2006 IWAI, Masaharu <iwai@alib.jp> 1.2.0-0vl2
- build for VineSeed

* Wed Aug 23 2006 IWAI, Masaharu <iwai@alib.jp> 1.2.0-0vl1
- new upstream release
- build for Vine 3.2

* Sun May 14 2006 IWAI, Masaharu <iwai@alib.jp> 1.0.0-0vl0
- build for Vine 3.2

* Tue Apr 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.0-0vl1
- new upstream release
- change Group: to System Environment/Libraries

* Mon Oct 17 2005 IWAI, Masaharu <iwai@alib.jp> 0.7.1-0vl1
- new upstream release
- drop fix crash bug patch ( Patch0 )

* Mon Oct 10 2005 IWAI, Masaharu <iwai@alib.jp> 0.7.0-0vl1
- new upstream release
- add fix crash bug patch ( Patch0 ): from [Scim-imengine-dev 705]

* Mon Oct  3 2005 IWAI, Masaharu <iwai@alib.jp> 0.6.1-0vl0
- build for Vine 3.2

* Sun Aug 14 2005 IWAI, Masaharu <iwai@alib.jp> 0.6.1-0vl1
- new upstream release

* Sun Jul 31 2005 IWAI, Masaharu <iwai@alib.jp> 0.6.0-0vl2
- build with scim-1.4.0

* Fri Jul 29 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.0-0vl1
- new upstream release
- remove {IMEngine,SetupUI}/*.{a,la}

* Mon Jul 11 2005 IWAI, Masaharu <iwai@alib.jp> 0.5.1-0vl1
- new upstream release

* Sun Jun  5 2005 IWAI, Masaharu <iwai@alib.jp> 0.4.3-0vl1
- new upstream release

* Thu May 26 2005 IWAI, Masaharu <iwai@alib.jp> 0.4.2-0vl1
- new upstream release

* Sat Jan 29 2005 IWAI, Masaharu <iwai@alib.jp> 0.3.1-0vl1
- new upstream release

* Mon Nov 29 2004 IWAI, Masaharu <iwai@alib.jp> 0.2.0-0vl1
- Initial build.


