Summary:	A GNOME3 frontend for GnuPG
Summary(ja):	GnuPG の GNOME3 フロントエンド
Name:		seahorse
Version:	3.14.0
Release:	1%{?_dist_release}
License:	GPL
Group:		User Interface/Desktops
URL:		http://seahorse.sourceforge.net/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/seahorse/3.14/%{name}-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libgnome-devel >= 2.32.0
BuildRequires:	gtk3-devel >= 3.0.0
BuildRequires:	gnupg >= 1.2.4
BuildRequires:  gpgme-devel >= 1.0.0
BuildRequires:	openldap-devel
BuildRequires:  libsoup-devel >= 2.32.0
BuildRequires:	nautilus >= 2.32.0
BuildRequires:	libsecret-devel
BuildRequires:  gcr-devel
BuildRequires:  avahi-glib-devel >= 0.6
BuildRequires:  dbus-glib-devel >= 0.88
BuildRequires:	libnotify-devel
BuildRequires:	openssh
BuildRequires:	openssh-clients
BuildRequires:	yelp-tools
BuildRequires:	libSM-devel
BuildRequires:	docbook-dtds
BuildRequires:	gobject-introspection-devel
BuildRequires:	desktop-file-utils
Requires(postun): glib2
Requires(posttrans): glib2

Obsoletes:	seahorse-devel < 3.1.4

Obsoletes:	gnome-keyring-manager < 2.21
Provides:	gnome-keyring-manager < 2.21

# for Source1
BuildRequires:	autoconf

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
Seahorse is a GNOME3 front end for th GNU Privacy Guard (GnuPG).
It is a tool for secure communications and data storage. Data encryption
and digital signature creation can easily be performed through a GUI, and
Key Management operations also can be performed.

%description -l ja
Seahorse は GNU Privacy Guard (GnuPG) の GNOME3 フロントエンドです。
安全なコミュニケーションとデータ保管のためのツールです。データの暗号化や復号、
デジタル署名の作成・検証を GUI で容易に行うことができます。また、鍵の管理も行
うことができます。


%prep
%setup -q

%build
%configure \
    --disable-valac
make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name} --all-name --with-gnome

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
## %{_sysconfdir}/xdg/autostart/*.desktop
%{_bindir}/seahorse
%{_libdir}/seahorse
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/appdata/seahorse.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.gnome.seahorse.Application.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/gnome-shell/search-providers/seahorse-search-provider.ini
%{_datadir}/icons/*
%{_datadir}/seahorse
%{_mandir}/man1/*


%changelog
* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- new upstream release

* Fri May 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.2-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.12.0-1
- new upstream release

* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.2-1
- new upstream release

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.1-1
- new upstream release

* Sat May 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.2-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- new upstream release

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.3-1
- new upstream release

* Tue Oct 23 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.2-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- add BuildRequires: libsecret-devel
- remove libgnome-keyring-devel
- change BuildRequires: yelp-tools instead of gnome-doc-utils

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release
- change BuildRequires: gcr-devel instead of gnome-keyring-devel

* Sun Nov 20 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.4-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel
- delete -devel sub package

* Mon Jun 20 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-2
- add BuildRequires: desktop-file-utils, gnome-keyring-devel
- change category of seahorse.desktop

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- add BuildRequires: gobejct-introspection-devel
- remove BuildRequires: libglade2-devel
- remove SOURCE1 and SOURCE2
- add Obsoletes: gnome-keyring-manager < 2.21
- add Provides: gnome-keyring-manager < 2.21
- add configure option (--enable-introspection=yes)

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-5
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Aug 15 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.30.1-5
- update Source2
- fix URI of Source0

* Tue Aug 03 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.30.1-4
- update Source2

* Wed Jun 16 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.30.1-3
- add Source1-2 for japanese help.
- add autoconf to BR for japanese help.

* Sat Jun 12 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-2
- add BuildRequires: openssh-clients

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Thu Apr 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Mon Mar 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.1-1
- new upstream release
- add BuildRequires: gnome-doc-utils >= 0.3.2, libSM-devel, docbook-dtds

* Thu Apr  9 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.26.0-1
- new upstream release
- built with openldap-2.4.11
- spec in UTF-8
- made devel subpackage

* Sun Apr 13 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Tue Oct 24 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8.2-0vl2
- rebuild with gnutls-1.4.1

* Sat Sep 30 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8.2-0vl1
- new upstream release
- enable LDAP support
- add --disable-update-mime-database option to %%configure
- update Makefile.patch (patch0)
- update dependencies

* Tue Feb 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.8-0vl1
- new upstream release
- drop obsolete gedit.patch (patch1)
- remove unneeded files

* Sun Sep 25 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.7.9-0vl1
- new upstream release
- dropped SOURCE1 (merged into source)
- added Patch1 for building with gedit 2.12
- rebuild with libsoup 2.2.6.1

* Fri May 13 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.7.8-0vl2
- add BuildRequires: libsoup >= 2.2 for HKP keyserver support

* Thu May 12 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.7.8-0vl1
- upstream release
- update ja.po, Makefile.patch
- update files list

* Sun Mar 06 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.7.6-0vl1
- initial build for Vine Linux
- update ja.po

* Tue Oct 26 2004 Nate Nielsen <nielsen@memberwebs.com>
- Remove *.a and *.la from RPM_BUILD_ROOT
- Remove updated mime database from RPM_BUILD_ROOT

* Wed Oct 13 2004 Nate Nielsen <nielsen@memberwebs.com>
- Added new mime info 

* Tue Oct 12 2004 Nate Nielsen <nielsen@memberwebs.com>
- Added the gedit plugin to the default manifest

* Fri May 02 2003 Yanko Kaneti <yaneti@declera.com>
- Add some new files to the manifest

* Tue Jan 15 2002 Jean Schurger <yshark@schurger.org>
- Scrollkeeper stuff
- locales install by %find_lang
- secure use of rm -rf

* Mon Jan 14 2002 Yanko Kaneti <yaneti@declera.com>
- First spec
