Name:		sound-juicer
Summary:	Clean and lean CD ripper
Summary(ja):	シンプルで簡単なCDリッピングツール
Version:	3.14.0
Release:	1%{?_dist_release}
License:	GPL
Group:		Applications/Multimedia
Source0:	http://ftp.gnome.org/pub/GNOME/sources/sound-juicer/3.14/%{name}-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	cdparanoia
BuildRequires:  libgnome-media-profiles-devel >= 3.0.0
BuildRequires:	glib2-devel >= 2.26.0
BuildRequires:	gstreamer1-devel
BuildRequires:	gstreamer1-plugins-base-devel
BuildRequires:	gstreamer1-plugins-good-flac
BuildRequires:  brasero-devel
BuildRequires:  gsettings-desktop-schemas-devel
BuildRequires:  libcanberra-gtk3-devel
BuildRequires:  libmusicbrainz5-devel
BuildRequires:  libdiscid-devel
BuildRequires:  iso-codes
BuildRequires:	yelp-tools
Requires(postun,posttrans):	glib2
# http://bugzilla.gnome.org/show_bug.cgi?id=157772
ExcludeArch: s390 s390x

Vendor: Project Vine
Distribution: Vine Linux


%description
GStreamer-based CD ripping tool. Saves audio CDs to Ogg/vorbis.

%description -l ja
Sound Juicer は GStreamer ベースの CD リッピングツールです。
CD を Ogg/vorbis に変換します。

%prep
%setup -q

%build
%configure \
	--with-gtk=3.0 \
	--disable-scrollkeeper \
	--disable-schemas-install \
	--disable-scrollkeeper

%__make AM_CFLAGS=-export-dynamic

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1;
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %{name} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
fi
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f sound-juicer.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/sound-juicer
%{_datadir}/GConf/gsettings/sound-juicer.convert
%{_datadir}/applications/sound-juicer.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.sound-juicer.gschema.xml
%{_datadir}/icons/hicolor/*
%{_datadir}/sound-juicer
%{_mandir}/man1/*

%changelog
* Tue Oct 28 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- new upstream release
- remove BuildRequires: hal-devel
- add BuildRequires: yelp-tools, gsettings-desktop-schemas-devel, iso-codes

* Sun Jan 05 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.5.0-2
- rebuild with VineSeed environment

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.5.0-1
- new upstream release
- change BuildRequires: gstreamer1-devel instead of gstreamer-devel
- change BuildRequires: gstreamer1-plugins-base-devel instead of gstreamer-plugins-base-devel
- change BuildRequires: libmusicbrainz5-devel instead of libmusicbrainz3-devel
- add BuildRequires: libdiscid-devel
- add Patch0 (sound-juicer-3.5.0-gstreamer1.patch)

* Thu Apr 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- new upstream release
- remove Patch0
- remove Source1

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-2
- add configure option: --with-gtk=3.0
- change BuildRequires: libgnome-media-profiles-devel instead of gnome-media-devel
- change BuildRequires: libcanberra-gtk3-devel instead of libcanberra-devel
- add Patch0 (sound-juicer-2.32.0-git20110523.patch)
- add Source1 (sound-juicer-256.png)
- add BuildRequires: gnome-common

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- add BuildRequires: libmusicbrainz3-devel
- remove BuildRequires: libgnomeui-devel
- fix BuildRequires: gnome-media-devel instead of gnome-media

* Sun Apr 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release

* Sat Jan 16 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.1-1
- new upstream release
- remove configure option: --enable-hal (unrecognized option)
- add BuildRequires: gstreamer-plugins-base-devel >= 0.10.5
- add BuildRequires: gstreamer-plugins-good-flac

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Tue Apr 07 2009 Shu KONNO <owa@bg.wakwak.com> 2.26.0-2
- add BR: libcanberra-devel

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release
- add BR: brasero-devel instead of nautilus-cd-burner
- add BR: gnome-doc-utils
- add Requires(pre,post,postun): GConf2
- remove unneeded Requires:

* Sat Oct 25 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.0-1vl5
- new upstream release

* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 2.16.4-1vl5
- applied new versioning policy, spec in utf-8

* Thu May 17 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.16.4-0vl2
- rebuild with new environment/toolchain

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.16.4-0vl1
- new upstream release

* Sun Jun 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.4-0vl1
- new upstream release

* Sat Apr 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release

* Tue Apr 05 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl1
- initial build for Vine Linux based on FC package
- new upstream release

* Wed Mar 23 2005 John (J5) Palmieri <johnp@redhat.com> 2.10.0-2
- Rebuild for libmusicbrainz-2.1.1

* Fri Mar 11 2005 John (J5) Palmieri <johnp@redhat.com> 2.10.0-1
- Update to upstream version 2.10.0 

* Tue Mar 08 2005 John (J5) Palmieri <johnp@redhat.com> 2.9.91-3
- Build in rawhide
- Disable build on s390 and s390x

* Fri Feb 25 2005 John (J5) Palmieri <johnp@redhat.com> 2.9.91-2
- Reenabled BuildRequires for hal-devel >= 0.5.0
- Added (Build)Requires for nautilus-cd-burner(-devel) >= 2.9.6

* Wed Feb 23 2005 John (J5) Palmieri <johnp@redhat.com> 2.9.91-1
- New upstream version (version jump resulted from sound-juicer using gnome
  versioning scheme)
  
* Fri Feb 04 2005 Colin Walters <walters@redhat.com> 0.6.0-1
- New upstream version
- Remove obsoleted sound-juicer-idle-safety.patch
- BR latest gnome-media

* Fri Nov 12 2004 Warren Togami <wtogami@redhat.com> 0.5.14-5
- minor spec cleanups
- req cdparanoia and gstreamer-plugins

* Tue Nov 09 2004 Colin Walters <walters@redhat.com> 0.5.14-4
- Add sound-juicer-idle-safety.patch (bug 137847)

* Wed Oct 27 2004 Colin Walters <walters@redhat.com> 0.5.14-2
- Actually enable HAL
- BR hal-devel

* Wed Oct 13 2004 Colin Walters <walters@redhat.com> 0.5.14-1
- New upstream
- This release fixes corruption on re-read, upstream 153085
- Remove upstreamed sound-juicer-0.5.13-prefs-crash.patch

* Mon Oct 04 2004 Colin Walters <walters@redhat.com> 0.5.13-2
- Apply patch to avoid prefs crash

* Tue Sep 28 2004 Colin Walters <walters@redhat.com> 0.5.13-1
- New upstream 0.5.13

* Mon Sep 27 2004 Colin Walters <walters@redhat.com> 0.5.12.cvs20040927-1
- New upstream CVS snapshot, 20040927

* Mon Sep 20 2004 Colin Walters <walters@redhat.com> 0.5.12-1
- New upstream version 0.5.12
- Delete upstreamed patch sound-juicer-0.5.9-pref-help.patch
- Delete upstreamed patch sound-juicer-0.5.10-gstreamer.patch
- Delete call to autoconf

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 16 2004 Jeremy Katz <katzj@redhat.com> 0.5.10.1-8
- rebuild for new gstreamer

* Thu Mar 11 2004 Brent Fox <bfox@redhat.com> 0.5.10.1-5
- rebuild

* Fri Feb 27 2004 Brent Fox <bfox@redhat.com> 0.5.10.1-3
- rebuild

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb  5 2004 Brent Fox <bfox@redhat.com> 0.5.10.1-1
- new version

* Wed Jan 28 2004 Alexander Larsson <alexl@redhat.com> 0.5.9-4
- rebuild to use new gstreamer

* Fri Jan 16 2004 Brent Fox <bfox@redhat.com> 0.5.9-3
- add %preun to clean up GConf entries on uninstall

* Wed Jan 14 2004 Brent Fox <bfox@redhat.com> 0.5.9-2
- create init patch to make help work

* Tue Jan 13 2004 Brent Fox <bfox@redhat.com> 0.5.9-1
- update to 0.5.9

* Mon Dec 15 2003 Christopher Blizzard <blizzard@redhat.com> 0.5.8-1
- Add upstream patch that fixes permissions of created directories.

* Wed Dec 03 2003 Christopher Blizzard <blizzard@redhat.com> 0.5.8-0
- Update to 0.5.8

* Tue Oct 21 2003 Brent Fox <bfox@redhat.com> 0.5.5-1
- update to 0.5.5-1

* Mon Sep  1 2003 Jonathan Blandford <jrb@redhat.com>
- warning dialog fix
- add a quality option

* Fri Aug 29 2003 Elliot Lee <sopwith@redhat.com> 0.5.2-5
- scrollkeeper stuff should be removed

* Wed Aug 27 2003 Brent Fox <bfox@redhat.com> 0.5.2-4
- remove ExcludeArches since libmusicbrainz is building on all arches now

* Wed Aug 27 2003 Brent Fox <bfox@redhat.com> 0.5.2-3
- bump relnum

* Wed Aug 27 2003 Brent Fox <bfox@redhat.com> 0.5.2-2
- spec file cleanups
- add exclude arch for ia64, x86_64, ppc64, and s390x
- add %file macros 
- remove Requires for gstreamer-cdparanoia and gstreamer-vorbis

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com>
- Use more macros

* Sun Apr 20 2003 Ronald Bultje <rbultje@ronald.bitfreak.net>
- Make spec file for sound-juicer (based on netRB spec file)
