Name:		totem-pl-parser
Version:	3.10.3
Release:	1%{?_dist_release}
Summary:	Totem Playlist Parser library
Summary(ja):	Totem プレイリスト解析ライブラリ

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://www.gnome.org/projects/totem/
Source0:	http://ftp.gnome.org/pub/gnome/sources/%{name}/3.10/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	totem-plparser

BuildRequires:  gettext
BuildRequires:  gtk3-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:  gmime-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  libarchive-devel
BuildRequires:  sqlite3-devel
BuildRequires:  perl-XML-Parser

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
A library to parse and save playlists, as used in music and movie players.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Obsoletes:      totem-devel < 3.0.0
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       gtk3-devel
Requires:       evolution-data-server-devel
Requires:       libxml2-devel
Requires:       gmime-devel
Requires:       libarchive-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure \
	--disable-static \
	--disable-quvi \
	--enable-introspection=yes
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIB NEWS README
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/totem-pl-parser
%{_datadir}/gir-1.0

%changelog
* Sun Nov 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.3-1
- new upstream release

* Sun Jul 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.2-2
- rebuild with libarchive-3.1.2

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.2-1
- new upstream release

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.10.0-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.5-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.4-1
- new upstream release
- remove BuildRequires: libquvi-devel

* Sun Jun 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-2
- rebuild with libarchive-3.0.4

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.6-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.5-1
- new upstream release
- add BuildRequires: libarchive-devel
- add Requires: libarchive-devel (-devel package)

* Fri Aug 12 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.4-2
- add BuildRequires: quvi-devel
- add Patch0 (totem-pl-parser-2.32.4-support-quvi.patch)
- add Requires: quvi-devel (-devel package)

* Thu May 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.4-1
- new upstream release

* Tue Feb 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.3-1
- new upstream release

* Sat Jan 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.2-1
- new upstream release

* Sat Nov 06 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release
- add BuildRequires: gobject-introspection-devel
- add configure option (--enable-introspection=yes)

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-2
- rebuild with rpm-4.8.1 for pkg-config file

* Mon Jun 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Sun Apr 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- add BuildRequires: gmime-devel >= 2.4

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Sun Jan 04 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.24.3-2
- added BuildRequires: sqlite3-devel

* Sun Dec 14 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.3-1
- new upstream release
- built with evolution-data-server-2.24.2

* Wed Oct 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-3
- build with evolution-data-server-2.24.1

* Tue Oct 14 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.1-2
- added Japanese summary
- added Requires: evolution-data-server-devel, libxml2-devel to devel package

* Sat Oct 11 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Mon May 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.22.3-1
- new upstream release

* Thu Apr 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.22.2-1vl5
- new upstream release

* Thu Apr  3 2008 - Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.22.1-1vl5
- Initial build for Vine Linux

* Mon Mar 10 2008 - Bastien Nocera <bnocera@redhat.com> - 2.22.1-1
- Update to 2.22.1

* Mon Mar 10 2008 - Bastien Nocera <bnocera@redhat.com> - 2.22.0-1
- Update to 2.22.0

* Sun Feb 24 2008 - Bastien Nocera <bnocera@redhat.com> - 2.21.92-1
- Update to 2.21.92

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.21.91-3
- Autorebuild for GCC 4.3

* Tue Jan 29 2008 - Matthew Barnes <mbarnes@redhat.com> - 2.21.21-2
- Rebuild against newer libcamel-1.2.

* Mon Jan 21 2008 - Bastien Nocera <bnocera@redhat.com> - 2.21.91-1
- Update to 2.21.91

* Mon Jan 07 2008 - Bastien Nocera <bnocera@redhat.com> - 2.21.90-1
- Update to 2.21.90

* Thu Dec 06 2007 - Bastien Nocera <bnocera@redhat.com> - 2.21.6-1
- First package

