%global minorversion 0.1

Name:           tumbler
Summary:        D-Bus service for applications to request thumbnails
Version:        0.1.30
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.ohloh.net/p/tumbler-xfce

Source0:        http://archive.xfce.org/src/xfce/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	curl-devel
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	dbus-glib-devel >= 0.72
BuildRequires:	freetype2-devel
BuildRequires:	gdk-pixbuf2-devel >= 2.14.0
BuildRequires:	glib2-devel >= 2.16.0
BuildRequires:	gstreamer1-plugins-base-devel
BuildRequires:	libgsf-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libopenraw-gnome-devel
BuildRequires:	libpng-devel >= 1.2.0
BuildRequires:	poppler-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
Tumbler is a D-Bus service for applications to request thumbnails for
various URI schemes and MIME types. It is an implementation of the 
thumbnail management D-Bus specification described on 

  http://live.gnome.org/ThumbnailerSpec

written in an object-oriented fashion using GLib and GObject. Its 
modular architecture makes it very flexible and useful in many
situations. It provides plugin interfaces for extending the URI schemes
and MIME types for which thumbnails can be generated as well as
for replacing the storage backend that is used to store the thumbnails
on disk. Tumbler's functionality can also be extended via specialized
thumbnailer services implemented in accordance to the thumbnail 
management D-Bus specification.


%package	devel
Summary:        Development tools for tumbler
Summary(ja):    tumbler の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
tumbler.


%package        doc
Summary:        Documentation for tumbler
Summary(ja):    tumbler 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch


%description    doc
This package contains documentation for tumbler.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README 
%dir %{_sysconfdir}/xdg/tumbler
%config %{_sysconfdir}/xdg/tumbler/tumbler.rc
%{_libdir}/libtumbler-1.so.*
%{_libdir}/tumbler-1
%{_datadir}/dbus-1/services/*.service


%files devel
%defattr(-,root,root,-)
%{_includedir}/tumbler-1
%{_libdir}/libtumbler-1.so
%{_libdir}/pkgconfig/tumbler-1.pc

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Sat Sep  6 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.1.30-1
- updated to 0.1.30
- updated BR

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.1.25-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.1.25-1
- initial build for Vine Linux

