# disable feature if you run rpmbuild with '--without feature'
%define with_emacsen	%{?_without_emacsen:0}%{!?_without_emacsen:1}
%define with_qt		%{?_without_qt:0}%{!?_without_qt:1}
%define with_qt4	%{?_without_qt4:0}%{!?_without_qt4:1}
#%define with_gnome	%{?_without_gnome:0}%{!?_without_gnome:1}
%define with_gnome	0
%define with_kde	%{?_without_kde:0}%{!?_without_kde:1}
%define with_mana	%{?_without_mana:0}%{!?_without_mana:1}

#define with_canna	%{?_without_canna:0}%{!?_without_canna:1}
%define with_canna	0

%define qt3_ver 3.3.8
%define qt4_ver 4.8.3
# Qt3 version auto-detection -- inagaki
%define _qt3_version %(pkg-config --modversion --silence-errors qt-mt 2>/dev/null || echo %{qt3_ver})
%define _qt3_prefix  %{_libdir}/qt-%{_qt3_version}
%define _qt3_plugindir %{_qt3_prefix}/plugins

# build qt4 immodule ("--without qt4" to disable qt4)
%bcond_without qt4
# Qt4 version auto-detection -- inagaki
%define _qt4_version %(pkg-config --modversion --silence-errors Qt 2>/dev/null || echo %{qt4_ver})
%define _qt4_prefix %(pkg-config --variable prefix --silence-errors Qt 2>/dev/null || echo %{_libdir}/qt4)
%define _qt4_plugindir %(pkg-config --variable plugindir --silence-errors Qt 2>/dev/null || echo %{_qt4_prefix}/plugins)

#%%define extraver beta

Name: uim
Summary: Uim an input method library
Summary(ja): 入力メソッドライブラリ
Version: 1.8.6
Release: 1%{?_dist_release}

License: LGPLv2/BSD
Group: System Environment/Libraries
URL: http://code.google.com/p/uim/

Source0: http://uim.googlecode.com/files/uim-%{version}%{?extraver:-%extraver}.tar.bz2
Source1: uim-el-install.sh
Source2: uim-el-remove.sh
Source3: uim-update-installed-modules.sh.in
Source4: vine-default-uim-el.el
Source5: uim-el-init.el

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libXft-devel libX11-devel libXext-devel 
BuildRequires: libXrender-devel libXau-devel libXdmcp-devel libXt-devel
BuildRequires: gtk2-devel 
BuildRequires: gtk3-devel
BuildRequires: ncurses-devel
BuildRequires: anthy-devel m17n-lib-devel eb-devel
BuildRequires: libedit-devel libffi-devel expat-devel curl-devel
BuildRequires: gettext-devel desktop-file-utils
%if %{with_qt}
BuildRequires: qt-devel
%endif
%if %{with_qt4}
BuildRequires: qt4-devel
%endif
%if %{with_gnome}
BuildRequires: gnome-panel-devel
BuildRequires: libgnomeui-devel
%endif
%if %{with_kde}
BuildRequires: kdelibs4-devel
BuildRequires: cmake
%endif
%if %{with_mana}
BuildRequires: mana
%endif
%if %{with_emacsen}
BuildRequires: emacs
%endif

BuildConflicts: uim-devel < 1.4.0
Requires(post): coreutils, grep, sed
Requires(postun): coreutils, grep, sed

%description
The uim is a collection of input method for a lot of languages.

%description -l ja
uim は様々な言語の入力メソッドのコレクションです。

%package xim
Summary: XIM frontend for Uim
Summary(ja): uim を利用した XIM サーバ
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

%description xim
uim-xim is a XIM bridge of libuim.

%description -l ja xim
uim-xim は libuim を利用した XIM サーバです。
XIM 経由で入力を行う場合に必要です。

%package gtk
Summary: GTK helper for uim
Summary(ja): uim の GTK ヘルパー
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: gtk2
Requires(post): gtk2 >= 2.10.0
Requires(post): %{name} = %{version}-%{release}
Requires(postun): gtk2 >= 2.10.0

%description gtk
This package contains some applications like toolbar, system tray,
input pad, candidate window, and preference tool using GTK.

%description -l ja gtk
このパッケージには、GTK を使ったツールバーやシステムトレイ、入力パッド、
候補ウィンドウ、設定ツールなどが含まれています。

%package gtk3
Summary: GTK3 helper for uim
Summary(ja): uim の GTK3 ヘルパー
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: gtk3
Requires(post): gtk3
Requires(post): %{name} = %{version}-%{release}
Requires(postun): gtk3

%description gtk3
This package contains some applications like toolbar, system tray,
input pad, candidate window, and preference tool using GTK3.

%description -l ja gtk3
このパッケージには、GTK3 を使ったツールバーやシステムトレイ、入力パッド、
候補ウィンドウ、設定ツールなどが含まれています。


%if %{with_qt}
%package qt
Summary: Qt3 support for Uim
Summary(ja): uim の Qt3 サポート
Group: User Interface/Desktops
Requires: %{name}-xim = %{version}-%{release}
Requires: qt = %{_qt3_version}

Obsoletes: %{name}-qt-immodule < 1.5.6-2
Obsoletes: %{name}-qt-common < %{version}-%{release}
Obsoletes: uim-qtkde-helper
Provides: %{name}-qt-immodule = %{version}-%{release}
Provides: uim-qtkde-helper

%description qt
This package contains some applications like toolbar, candidate window,
and preference tool using Qt.

%description -l ja qt
このパッケージには、Qt を使ったツールバーや候補ウィンドウ、設定ツールなど
が含まれています。
%endif

%if %{with_qt4}
%package qt4
Summary: Qt4 support for Uim
Summary(ja): Uim の Qt4 サポート
Group: User Interface/Desktops
Requires: %{name}-xim = %{version}-%{release}
Requires: qt4 = %{_qt4_version}
Obsoletes: %{name}-qt-common < %{version}-%{release}

%description qt4
This package contains some applications like toolbar, candidate window,
and preference tool using Qt4.

%description -l ja qt4
このパッケージには、Qt4 を使ったツールバーや候補ウィンドウ、設定ツールなど
が含まれています。
%endif

%if %{with_gnome}
%package applet
Summary: GNOME panel applet for Uim
Summary(ja): uim の GNOME 用パネルアプレット
Group: User Interface/Desktops
#BuildRequires: libgnomeui-devel
Requires: %{name}-xim = %{version}-%{release}
Requires: %{name}-gtk3 = %{version}-%{release}
#Requires: libgnomeui

%description applet
uim-applet is GNOME panel applet for uim.

%description -l ja applet
uim-applet は uim の入力状態を表示する GNOME 用パネルアプレットです。
%endif

%if %{with_kde}
%package kde-applet
Summary: KDE panel applet for Uim
Summary(ja): uim の KDE 用パネルアプレット
Group: User Interface/Desktops
%if %{?_dist_release} == "vl5" || %{?_dist_release} == "vl4"
Requires: kdelibs3
Requires: %{name}-qt = %{version}-%{release}
%else
Requires: kdelibs4
Requires: %{name}-qt4 = %{version}-%{release}
%endif
Requires: %{name}-xim = %{version}-%{release}

%description kde-applet
uim-kde-applet is KDE panel applet for uim.

%description -l ja kde-applet
uim-kde-applet は uim の入力状態を表示する KDE 用パネルアプレットです。

%if %{?_dist_release} == "vl5" || %{?_dist_release} == "vl4"
%package kde4-applet
Summary: KDE4 panel applet for Uim
Summary(ja): uim の KDE4 用パネルアプレット
Group: User Interface/Desktops
Requires: kdelibs4
Requires: %{name}-qt4 = %{version}-%{release}
Requires: %{name}-xim = %{version}-%{release}

%description kde4-applet
uim-kde-applet is KDE4 panel applet for uim.

%description -l ja kde4-applet
uim-kde-applet は uim の入力状態を表示する KDE4 用パネルアプレットです。
%endif
%endif

%package fep
Summary: an Input Method for console
Summary(ja): コンソール用インプットメソッド
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: ncurses
Obsoletes: uim-screen

%description fep
uim-fep is a FEP (Front End Processer) using uim as backend.

%description -l ja fep
uim-fep は uim を利用してコンソールで日本語を入力するための
FEP (フロントエンドプロセッサ) です。

%package anthy
Summary: Anthy support for Uim
Summary(ja): uim の Anthy モジュール
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: anthy
Requires(post): %{name} = %{version}-%{release}
Requires(postun): %{name}
Obsoletes: %{name} < 1.0.0

%description anthy
This package provides support for Anthy, a Japanese input method.

%description -l ja anthy
連文節かな漢字変換エンジン Anthy を使って日本語を入力・変換するための
モジュールです。

%if %{with_canna}
%package canna
Summary: Canna support for Uim
Summary(ja): uim の Canna モジュール
Group: System Environment/Libraries
BuildRequires: Canna-devel
Requires: %{name} = %{version}-%{release}
Requires: Canna
Requires(post): %{name} = %{version}-%{release}
Requires(postun): %{name}

%description canna
This package provides support for Canna, a Japanese input method.

%description -l ja canna
連文節かな漢字変換エンジン Canna を使って日本語を入力・変換するための
モジュールです。
%endif

%package skk
Summary: SKK support for Uim
Summary(ja): uim の SKK モジュール
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: skkdic
Requires(post): %{name} = %{version}-%{release}
Requires(postun): %{name}

%description skk
This package provides support for SKK, a Japanese input method.

%description -l ja skk
SKK 入力方式で日本語を入力・変換するためのモジュールです。

%if %{with_mana}
%package mana
Summary: Mana support for Uim
Summary(ja): uim の真字モジュール
Group: System Environment/Libraries
BuildRequires: mana
Requires: %{name} = %{version}-%{release}
Requires: mana, manadic
Requires(post): %{name} = %{version}-%{release}
Requires(postun): %{name}

%description mana
This package provides support for mana, a Japanese input method.

%description -l ja mana
連文節かな漢字変換エンジン 真字 (Mana) を使って日本語を入力・変換するための
モジュールです。
%endif

%if %{with_emacsen}
%package el
Summary: Emacsen uim bridge
Summary(ja): Emacsen-uim ブリッジ
Group: Applications/Editors/Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacsen
Requires(post): emacsen-common
Requires(preun): emacsen-common

%description el
uim.el is a bridge software between Emacsen and uim.

uim.el makes you able to use uim supported IMs from Emacs
directly.

%description -l ja el
uim.el は uim と Emacsen を結ぶブリッジです。

uim.el を導入すると、Emacsen 上で uim を利用した文字入力が可能と
なります。
%endif

%package m17n
Summary: m17n-lib support for Uim
Group: System Environment/Libraries
Requires: uim = %{version}-%{release}
Requires(post):	gtk2 /usr/bin/uim-module-manager
Requires(postun): gtk2 /usr/bin/uim-module-manager

%description m17n
This package provides support for m17n-lib, which allows input of
many languages using the input table map from m17n-db.

%package devel
Summary: Development tools for libuim applications.
Summary(ja): libuim を使ったアプリケーションを開発するためのファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
uim-devel package contains the header files and static libraries to
develop a libuim applications.

%description -l ja devel
uim-devel パッケージには libuim を利用したアプリケーションを開発
するためのヘッダファイルとライブラリが含まれています。

%prep
%setup -q -n %{name}-%{version}%{?extraver:-%extraver}


%build
%if %{with_qt}
unset QTDIR
export QTDIR=%{_qt3_prefix}
%endif

%configure --with-x --with-xft \
	--with-anthy --with-anthy-utf8 \
	--without-scim --without-prime \
	--with-gtk2 \
        --with-gtk3 \
	--with-m17nlib \
        --with-curl \
        --with-expat \
	--with-ffi \
	--with-eb --with-eb-conf=%{_sysconfdir}/eb.conf \
	--disable-static \
%if %{with_gnome}
	--enable-gnome3-applet \
%else
	--disable-gnome-applet \
%endif
%if %{with_qt}
	--with-qt \
	--with-qt-immodule \
%else
	--without-qt \
	--without-qt-immodule \
%endif
%if %{with_qt4}
	--with-qt4 \
	--with-qt4-immodule \
%else
	--without-qt4 \
	--without-qt4-immodule \
%endif
%if %{with_kde}
	--enable-kde-applet \
	--enable-kde4-applet \
%else
	--disable-kde-applet \
	--disable-kde4-applet \
%endif
%if %{with_canna}
	--with-canna \
%else
	--without-canna \
%endif
%if !%{with_emacsen}
	--disable-emacs \
%endif
%if %{with_mana}
	--with-mana 
%else
	--without-mana 
%endif

# generate Makefile properly for kde4-applets (ad-hoc)
#if %{with_kde}
#pushd qt4/toolbar/build
#QTDIR=%{_qt4_prefix} {cmake} \
#    -DCMAKE_BUILD_TYPE=release \
#    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
#    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
#    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
#    ..
#popd
#endif

sed -i -e 's/^\(hardcode_direct=\)$/\1no/' -e 's/^\(hardcode_minus_L=\)$/\1no/' -e 's/^\(libext=\)$/\1"a"/' libtool
LD_LIBRARY_PATH=$RPM_BUILD_DIR/%{name}-%{version}/uim/.libs:$LD_LIBRARY_PATH make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

# remove anthy,canna,skk,mana from {installed-modules,loader}.scm
#pushd scm
#srcdir=%{_builddir}/%{buildsubdir}
#LIBUIM_SCM_FILES=${srcdir}/scm LIBUIM_PLUGIN_LIB_DIR=${srcdir}/uim/.libs \
#	%{_builddir}/%{buildsubdir}/uim/uim-module-manager \
#	--path ${srcdir}/scm --unregister anthy skk mana
#popd

make install DESTDIR=%{buildroot}
%find_lang %{name}

# remove unneeded files
%__rm -f %{buildroot}%{_libdir}/lib*.la
%__rm -f %{buildroot}%{_datadir}/uim/scim.scm
#__rm -f %{buildroot}%{_datadir}/uim/m17nlib.scm
%__rm -f %{buildroot}%{_datadir}/uim/prime.scm
%__rm -f %{buildroot}%{_datadir}/uim/prime-*.scm
%__rm -f %{buildroot}%{_libdir}/gtk-2.0/*/immodules/*.{a,la}
%__rm -f %{buildroot}%{_libdir}/gtk-3.0/*/immodules/*.{a,la}
%__rm -f %{buildroot}%{_libdir}/uim/plugin/*.{a,la}
%__rm -f %{buildroot}%{_datadir}/uim/pixmaps/scim.*
%__rm -f %{buildroot}%{_datadir}/uim/pixmaps/prime*.*
%__rm -f %{buildroot}%{_qt3_plugindir}/inputmethods/*.{a,la}
%__rm -f %{buildroot}%{_qt4_plugindir}/inputmethods/*.{a,la}

%if ! %{with_canna}
%__rm -f %{buildroot}%{_libdir}/uim/plugin/libuim-canna.so
%__rm -f %{buildroot}%{_datadir}/uim/canna*.scm
%__rm -f %{buildroot}%{_datadir}/uim/pixmaps/canna.*
%endif

%if ! %{with_mana}
%__rm -f %{buildroot}%{_libdir}/uim/plugin/libuim-mana.so
%__rm -f %{buildroot}%{_datadir}/uim/mana.scm
%__rm -f %{buildroot}%{_datadir}/uim/mana-*.scm
%__rm -f %{buildroot}%{_datadir}/uim/pixmaps/mana.*
%endif

%if ! %{with_qt}
%__rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/uim-chardict-qt.mo
%endif

%if ! %{with_qt4}
%__rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/uim-chardict-qt4.mo
%endif

%if %{with_emacsen}
%__mkdir_p %{buildroot}%{emacsen_pkgdir}/install
%__mkdir_p %{buildroot}%{emacsen_pkgdir}/remove

%_installemacsenscript %{name}-el %{SOURCE1}

%_removeemacsenscript  %{name}-el %{SOURCE2}

%__cp -p %{SOURCE4} %{SOURCE5} %{buildroot}%{_datadir}/emacs/site-lisp/uim-el

%endif

# move documents for sigscheme
#%__rm -rf installed-doc
#%__mkdir installed-doc
#%__mv -f %{buildroot}%{_docdir}/sigscheme installed-doc/

# script to register prefered engine
%__cat %{SOURCE3} \
	| sed -e "s|@BINDIR@|%{_bindir}|g" \
	      -e "s|@SYSCONFDIR@|%{_sysconfdir}|g" \
	      -e "s|@DATADIR@|%{_datadir}|g" \
	> update-installed-modules.sh
%__install -m755 update-installed-modules.sh %{buildroot}%{_datadir}/%{name}

# prefered engines
%__mkdir_p %{buildroot}%{_sysconfdir}/sysconfig
%__cat << EOF > %{buildroot}%{_sysconfdir}/sysconfig/uim
PREFERED_ENGINE=anthy 
EOF

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post gtk
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/%{_arch}/gtk.immodules ||:

%postun gtk
if [ $1 = 0 ] ; then
	%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/%{_arch}/gtk.immodules ||:
fi

%post gtk3
%{_bindir}/gtk-query-immodules-3.0 --update-cache || : > /dev/null 2>&1

%postun gtk3
if [ $1 = 0 ] ; then
	%{_bindir}/gtk-query-immodules-3.0 --update-cache || : > /dev/null 2>&1
fi

%post anthy
%{_datadir}/uim/update-installed-modules.sh --register anthy > /dev/null 2>&1

%preun anthy
if [ $1 = 0 ] ; then
	%{_bindir}/uim-module-manager --unregister anthy > /dev/null 2>&1
fi

%if %{with_canna}
%post canna
%{_datadir}/uim/update-installed-modules.sh --register canna > /dev/null 2>&1

%preun canna
if [ $1 = 0 ] ; then
	%{_bindir}/uim-module-manager --unregister canna > /dev/null 2>&1
fi
%endif

%post skk
%{_datadir}/uim/update-installed-modules.sh --register skk > /dev/null 2>&1

%preun skk
if [ $1 = 0 ] ; then
	%{_bindir}/uim-module-manager --unregister skk > /dev/null 2>&1
fi

%if %{with_mana}
%post mana
%{_datadir}/uim/update-installed-modules.sh --register mana > /dev/null 2>&1

%preun mana
if [ $1 = 0 ] ; then
	%{_bindir}/uim-module-manager --unregister mana > /dev/null 2>&1
fi
%endif

%if %{with_emacsen}
%post el
if [ $1 = 2 ] ; then
	%_emacsenPackageRemove %{name}-el

fi
%_addemacsenlist %{name}-el

%_emacsenPackageInstall %{name}-el


%preun el
if [ $1 = 0 ] ; then
	%_emacsenPackageRemove %{name}-el

	%_removeemacsenlist %{name}-el

fi
%endif

%post m17n
%{_datadir}/uim/update-installed-modules.sh --register m17nlib > /dev/null 2>&1

%preun m17n
if [ $1 = 0 ] ; then
	%{_bindir}/uim-module-manager --unregister m17nlib > /dev/null 2>&1
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc README* ChangeLog* INSTALL* AUTHORS COPYING
%config(noreplace) %{_sysconfdir}/sysconfig/uim
%{_bindir}/uim-help
%{_bindir}/uim-sh
%{_bindir}/uim-module-manager
%{_libdir}/*.so.*
%{_datadir}/uim
%exclude %{_datadir}/uim/anthy*.scm
%exclude %{_datadir}/uim/skk*.scm
%exclude %{_datadir}/uim/pixmaps/anthy.*
%exclude %{_datadir}/uim/pixmaps/skk.*
%if %{with_canna}
%exclude %{_datadir}/uim/canna*.scm
%exclude %{_datadir}/uim/pixmaps/canna.*
%endif
%if %{with_mana}
%exclude %{_datadir}/uim/mana.scm
%exclude %{_datadir}/uim/mana-*.scm
%exclude %{_datadir}/uim/pixmaps/mana.*
%endif
%dir %{_libdir}/uim
%dir %{_libdir}/uim/plugin
%{_libdir}/uim/plugin/libuim-curl.so
%{_libdir}/uim/plugin/libuim-custom-enabler.so
%{_libdir}/uim/plugin/libuim-eb.so
%{_libdir}/uim/plugin/libuim-editline.so
%{_libdir}/uim/plugin/libuim-expat.so
%{_libdir}/uim/plugin/libuim-ffi.so
%{_libdir}/uim/plugin/libuim-fileio.so
%{_libdir}/uim/plugin/libuim-lolevel.so
%{_libdir}/uim/plugin/libuim-look.so
%{_libdir}/uim/plugin/libuim-process.so
%{_libdir}/uim/plugin/libuim-socket.so
%{_libexecdir}/uim-helper-server

%files xim
%defattr(-,root,root)
%doc xim/README
%{_bindir}/uim-xim
%{_mandir}/man1/uim-xim.1*

%files gtk
%defattr(-,root,root)
%{_bindir}/uim-im-switcher-gtk
%{_bindir}/uim-input-pad-ja
%{_bindir}/uim-pref-gtk
%{_bindir}/uim-toolbar-gtk
%{_bindir}/uim-toolbar-gtk-systray
%{_libexecdir}/uim-candwin-gtk
%{_libexecdir}/uim-candwin-horizontal-gtk
%{_libexecdir}/uim-candwin-tbl-gtk
%{_libdir}/gtk-2.0/*/immodules/*.so
%{_datadir}/applications/uim.desktop

%files gtk3
%defattr(-,root,root)
%{_bindir}/uim-im-switcher-gtk3
%{_bindir}/uim-input-pad-ja-gtk3
%{_bindir}/uim-pref-gtk3
%{_bindir}/uim-toolbar-gtk3
%{_bindir}/uim-toolbar-gtk3-systray
%{_libexecdir}/uim-candwin-gtk3
%{_libexecdir}/uim-candwin-horizontal-gtk3
%{_libexecdir}/uim-candwin-tbl-gtk3
%{_libdir}/gtk-3.0/*/immodules/*.so

%if %{with_qt}
%files qt
%defattr(-,root,root)
# BSD and LGPLv2+
%{_bindir}/uim-chardict-qt
# BSD
%{_bindir}/uim-im-switcher-qt
# BSD and LGPLv2+
%{_bindir}/uim-pref-qt
# BSD
%{_bindir}/uim-toolbar-qt
%{_libexecdir}/uim-candwin-qt
%{_qt3_plugindir}/inputmethods/*.so
%endif

%if %{with_qt4}
%files qt4
%defattr(-,root,root)
# BSD and LGPLv2+
%{_bindir}/uim-chardict-qt4
# BSD
%{_bindir}/uim-im-switcher-qt4
# BSD and LGPLv2+
%{_bindir}/uim-pref-qt4
# BSD
%{_bindir}/uim-toolbar-qt4
%{_libexecdir}/uim-candwin-qt4
%{_qt4_plugindir}/inputmethods/*.so
%endif

%if %{with_gnome}
%files applet
%defattr(-,root,root)
%{_libexecdir}/uim-toolbar-applet-gnome3
%{_datadir}/dbus-1/services/org.gnome.panel.applet.UimAppletFactory.service
%{_datadir}/gnome-panel/4.0/applets/UimApplet.panel-applet
%endif

%if %{with_kde}
%files kde-applet
%defattr(-,root,root)
%if %{?_dist_release} == "vl5" || %{?_dist_release} == "vl4"
%{_libdir}/kde3/uim_panelapplet.*
%{_datadir}/apps/kicker/applets/uimapplet.desktop

%files kde4-applet
%defattr(-,root,root)
%{_libdir}/kde4/plasma_applet_uim.*
%{_datadir}/kde4/services/plasma-applet-uim.desktop
%else
%{_libdir}/kde4/plasma_applet_uim.*
%{_datadir}/kde4/services/plasma-applet-uim.desktop

%endif
%endif

%files fep
%defattr(-,root,root)
%doc fep/README* fep/INSTALL fep/COPYING
%{_bindir}/uim-fep
%{_bindir}/uim-fep-tick

%files anthy
%defattr(-,root,root)
%{_libdir}/uim/plugin/libuim-anthy.so
%{_libdir}/uim/plugin/libuim-anthy-utf8.so
%{_datadir}/uim/anthy*.scm
%{_datadir}/uim/pixmaps/anthy.*

%if %{with_canna}
%files canna
%defattr(-,root,root)
%{_libdir}/uim/plugin/libuim-canna.so
%{_datadir}/uim/canna*.scm
%{_datadir}/uim/pixmaps/canna.*
%endif

%files skk
%defattr(-,root,root)
%{_libdir}/uim/plugin/libuim-skk.so
%{_datadir}/uim/skk*.scm
%{_datadir}/uim/pixmaps/skk.*

%if %{with_mana}
%files mana
%defattr(-,root,root)
%{_libdir}/uim/plugin/libuim-mana.so
%{_datadir}/uim/mana.scm
%{_datadir}/uim/mana-*.scm
%{_datadir}/uim/pixmaps/mana.*
%endif

%if %{with_emacsen}
%files el
%defattr(-,root,root)
%doc emacs/COPYING emacs/README*
%{_bindir}/uim-el-agent
%{_bindir}/uim-el-helper-agent
%{_datadir}/emacs/site-lisp/uim-el
%{emacsen_pkgdir}/*/%{name}-el
%endif

%files m17n
%defattr (-, root, root, -)
%doc AUTHORS COPYING ChangeLog* NEWS README
%{_bindir}/uim-m17nlib-relink-icons
%{_libdir}/uim/plugin/libuim-m17nlib.so
%{_datadir}/uim/m17nlib.scm
#{_datadir}/uim/pixmaps/m17n*png
%dir %{_datadir}/uim

%files devel
%defattr(-,root,root)
%doc doc/PLUGIN installed-doc/sigscheme
%{_libdir}/*.so
%{_includedir}/*.h
%{_includedir}/uim
%{_libdir}/pkgconfig/*

%changelog
* Sun Jul 06 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.6-1
- new upstream release
- drop %%{name}-applet subpackage

* Sat Sep 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.1-4
- rebuild with qt4-4.8.3

* Tue Sep 04 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.7.1-3
- rebuild with qt4-4.8.2

* Sat Jan  7 2012 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.7.1-2
- rebuilt with qt4-4.8.0

* Sun Aug 21 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.7.1-1
- new upstream release
- built with gtk3 and GNOME3

* Tue Mar  8 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.1-2
- rebuilt with qt4-4.7.2

* Sun Jan 30 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.1-1
- new upstream release
- built with qt4-4.7.1

* Sun Jan  2 2011 IWAI, Masaharu <iwai@alib.jp> 1.6.0-4
- build with eb 4.4.3

* Mon Sep 27 2010 Shu KONNO <owa@bg.wakwak.com> 1.6.0-3
- rebuilt with rpm-4.8.1 for pkg-config

* Mon Aug 30 2010 IWAI, Masaharu <iwai@alib.jp> 1.6.0-2
- apply vine-default for el subpackage
 - add vine-default-uim-el.el (Source4)
 - add uim-el-init.el (Source5)
 - update uim-el-{install,remove}.sh (Source1,2)
- update BuildRequires for with_emacsen: emacsen to emacs
- using emacsen_pkgdir rpm macro

* Sat Aug 14 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.6.0-1
- new upstream release
- dropt Patch0
- Obsoletes: uim-qt-common

* Sun Jul 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5.7-1
- new upstream release
- added Patch0
- added BR: cmake
- provides KDE4 applets
- updated Qt version auto detection macros

* Sun Jan 31 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5.6-6
- updated Qt version detection macros to build properly

* Fri Jan 22 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5.6-5
- rebuilt with qt-4.6.1

* Sun Oct 25 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5.6-4
- fixed kde-applet Requires:

* Sat Oct 24 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5.6-3
- fixed kde-applet BR

* Fri Oct 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5.6-2
- made uim-qt4, uim-qt-common sub-package

* Thu Jul 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.5.6-1
- applied new versioning policy, spec in UTF-8
- new upstream release
- disabled canna subpackage
- added m17n subpackage
- removed lib*.la, lib*.a from devel package

* Sun Apr  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.2-1vl5
- new upstream release

* Sun Aug 19 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.1-0vl5
- rebuild with qt-3.3.8-0vl2

* Tue May 15 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.1-0vl4
- rebuild with new environment/toolchain

* Sun Apr 29 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.1-0vl3
- rebuild with gtk+-2.10

* Mon Mar 26 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.1-0vl2
- add BuildConflicts: uim-devel < 1.4.0

* Sun Mar 25 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.1-0vl1
- upstream release

* Sat Feb 10 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.4.0-0vl1
- upstream release
- run uim-module-manager with absolute path in %%install section
- add '--disable-static' option to %%configure

* Mon Dec 25 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.1-0vl2
- add Requires: manadic to uim-mana package
- add Japanese summaries and descriptions
- add new sub-package: uim-kde-applet

* Fri Dec 22 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.1-0vl1
- upstream release

* Sun Dec 17 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.3.0-0vl1
- upstream release
- drop obsolete workaround-for-flashplayer.patch (patch11)

* Sun Oct 29 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.1-0vl6
- add workaround-for-flashplayer.patch (svn trunk r3938:r3941)

* Tue Sep 26 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.1-0vl5
- add support for immodule for Qt

  * Thu Sep 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.1-0vl4.0qtimm.1
  - add Requires: %%{name}-qt-immodule (qt) if qtimm is enabled

  * Thu Sep 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.1-0vl4.0qtimm
  - add support for immodule for Qt

* Tue Sep 12 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.1-0vl4
- add --without-eb option to %%configure

* Mon Sep 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2.1-0vl3
- changed uim-el Group to Appliations/Editors/Emacs <BTS:VineLinux:163>
- changed uim-applet Group to User Interface/Desktops

* Fri Sep 01 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.1-0vl2
- add %%with_canna, %%with_gnome
- use %%{_prefix}/lib instead of %%{_libdir} for elisp directory
- for biarch support
  - update required gtk2 version (>= 2.8.13)
  - use %%{_sysconfdir}/gtk-2.0/%%{_arch}/gtk.immodules

* Mon Aug 14 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.1-0vl1
- upstream release

* Fri Aug 11 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.2.0-0vl1
- upstream release
- add Makefile.patch (patch1)

* Sat Jul 08 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.1-0vl1
- upstream release
- drop Obsoletes: %%{name} < 1.0.0 from uim-mana
- move %%postun el script to %%preun el

* Sat Jun 10 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl1
- upstream release

* Sun Jun 04 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl0.0beta.1
- add Requires(post): %{name} = %{version} for uim-gtk

* Fri Jun 02 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl0.0beta
- update to uim-1.1.0-beta

* Sun May 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl0.0alpha.1
- update uim-update-installed-modules.sh (source3) for uim-1.1.0-alpha

* Sun May 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.1.0-0vl0.0alpha
- update to uim-1.1.0-alpha
- update desktop.patch (patch0), kanji-key.patch (patch10)
- update %%files

* Sun May 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.1-0vl5
- fix %%preun script to avoid incorrect re-registration
- add mana support

* Wed Apr 12 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.1-0vl4
- add uim-update-installed-modules.sh (source3)

* Tue Jan 10 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.1-0vl3
- fix typo
- remove prime*.scm

* Sat Dec 31 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.1-0vl2
- separate uim-{anthy,canna,skk} sub-packages
- update {installed-modules,loader}.scm at %%install

* Fri Dec 30 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.1-0vl1
- upstream release
- drop anthy-use-with-vi.patch
- update desktop.patch
- change groups
- add Requires: libgnomeui to uim-applet sub-package
- add uim-gtk sub-package
  - move uim-*-gtk, uim.desktop from main package
  - move uim-candwin-gtk from uim-xim sub-package
- add uim-qt sub-package
  - BuildRequires: qt-devel
  - Obsoletes/Provides: uim-qtkde-helper
- add uim-el sub-package
  - add uim-el-{install,remove}.sh (source1,2)
  - BuildRequires: emacsen

* Sat Oct 01 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.4.9.1-0vl1
- [SECURITY] upstream release
  - fix privilege escalation
- reverse-import desktop.patch (patch0) from momonga

  * Fri Sep 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
  - (0.4.9.1-2m)
  - revise Patch10: uim-0.4.9.1-desktop.patch

  * Thu Sep 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
  - (0.4.9.1-1m)
  - import and modify desktop.patch from VineSeedPlus

* Sat Sep 17 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.4.9-0vl1
- upstream release

* Tue Aug 23 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.4.8-0vl1
- upstream release
- update anthy-use-with-vi patch (patch11)
  - implemented in svn r1197
- update desktop.patch (patch0)

* Sat Aug 06 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.4.7.1-0vl2
- make uim-anthy friendly for vi users (patch11)
  - exit vi's insert mode and switch IM to Latin mode

* Wed Aug 03 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.4.7.1-0vl1
- upstream release

* Sat Jul 23 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.4.7-0vl3
- remove %%{_libdir}/uim/plugin/*.{a,la}
- add doc/PLUGIN instead of doc/LIB (uim-devel)

* Mon Jul 18 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.4.7-0vl2
- update uim.desktop (patch0)

* Sun Jul 17 2005 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.4.7-0vl1
- [SECURITY] new upstream release
- use ja.po in source archive
- add BuildRequires:
  - ncurses-devel, libbonoboui-devel, libgnomeui-devel, anthy-devel
- add new files:
  - uim package:
    - %%{_bindir}/uim-pref-gtk
    - %%{_bindir}/uim-im-swicher-gtk (instead of uim-im-switcher)
    - %%{_libdir}/uim
    - %%{_datadir}/applications/uim.desktop
- use %%find_lang macro
- update kanji-key.patch (patch10)

* Wed Oct 20 2004 IWAI, Masaharu <iwai@alib.jp> 0.4.5-0vl1
- new upstream release
- add new files:
  - uim package: uim-toolbar-gtk, uim-toolbar-gtk-systray
                 uim-im-switcher and uim-input-pad-ja in %%{_bindir}
  - uim-xim package: %%{_bindir}/uim-candwin-gtk
  - uim-applet package: %%{_libexecdir}/uim-toolbar-applet
- update ja.po ( Source10 ): based original po file
- update kanji-key patch ( Patch10 )
- drop unnecessary patches:
  - skk.scm patch ( Patch1 )
  - prime patch ( Patch2 )
  - xim_crash patch ( Patch3 )

* Sat Sep 11 2004 IWAI, Masaharu <iwai@alib.jp> 0.4.3-0vl1
- new upstream release
- add some files in devel package
- update ja.po ( Source10 )
- update kanji-key patch ( Patch10 )
- add skk.scm patch ( Patch1 ): from subversion repository ( [Anthy-dev 1029] )
- add prime patch ( Patch2 ): from [Anthy-dev 1031]
- add xim_crash patch ( Patch3 ): from [Anthy-dev 1033]

* Wed Jun 23 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.1-0vl1
- new upstream release
- obsoletes uim-screen
- add uim-fep

* Mon Jun 14 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.9-0vl1
- new upstream release

* Tue May 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.8-0vl1
- new upstream release

* Mon May 17 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.7-0vl1
- new upstream release

* Thu May  6 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.6-0vl1
- new upstream release

* Wed Apr  7 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.4.2-0vl1
- new upstream release

* Wed Apr  7 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.4.1-0vl1
- new upstream release

* Sun Mar 21 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.3-0vl1
- new upstream release

* Fri Mar 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.2-0vl2
- rebuild with gtk+-2.4.0
- add Patch0 to use \$(GTK_VERSION) in gtk/Makefile

* Sun Mar  7 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.2-0vl1
- new upstream release

* Mon Mar  1 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.1-0vl1
- new upstream release

* Sun Feb 29 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.0.1-0vl1
- new upstream release

* Mon Feb 23 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.0-0vl1
- new upstream release
- add uim-screen subpackage
- add documentations
- drop obsolete patches

* Thu Feb 05 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.8-0vl1
- new upstream release

* Tue Jan 27 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.7-0vl1
- new upstream release

* Sat Jan 24 2004 IWAI, Masaharu <iwai@alib.jp> 0.2.5.2-0vl1
- new upstream release

* Mon Jan 12 2004 IWAI, Masaharu <iwai@alib.jp> 0.2.4-0vl2
- add %%{_includedir}/uim directory in uim-devel package
- update URL and Source0 values: moved the project web site

* Sun Jan 11 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.4-0vl1
- new upstream release

* Tue Jan 06 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.3.1-0vl1
- new upstream release

* Wed Dec 31 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.2-0vl1
- new upstream release

* Tue Dec 23 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.1-0vl1
- new upstream release

* Mon Dec 08 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.0-0vl1
- new upstream release

* Tue Dec 02 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.7-0vl1
- new upstream release

* Thu Nov 27 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.6-0vl1
- new upstream release

* Mon Nov 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.5-0vl1
- new upstream release

* Sun Nov 02 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.4.1-0vl1
- new upstream release
- split xim/uim-applet stuff to sub packages

* Tue Oct 14 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.2-0vl1
- new upstream release

* Wed Oct 08 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.0-0vl2
- add patch10 to use "Kanji" keysyms instead of "Zenkaku-Hankaku"
- update ja.po

* Wed Oct 08 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.0-0vl1
- new upstream release
- add patch0 to make status window smaller.

* Sun Oct 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.9-0vl1
- new upstream release

* Mon Sep 29 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.8-0vl1
- new upstream release

* Sat Sep 27 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.7-0vl1
- new upstream release

* Sun Sep 14 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.6-0vl1
- new upstream release
- split development files to uim-devel subpackage.

* Sun Sep 07 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.4-0vl1
- new upstream release

* Sat Aug 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.2.1-0vl1
- new upstream release

* Fri Aug 29 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.1-0vl2
- run ldconfig in %%post and %%postun script
- remove uim entry from gtk.immodule when uim is removed

* Fri Aug 29 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.1-0vl1
- build for Vine Linux
- add Japanese summary and description

* Wed Aug 27 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 0.0.1-1
- Version updated.
- Added serial for version number.
- Added uim-comm-client and uim-comm-server.
* Fri Aug 15 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 2013-1
- Version updated.
- Added Japanese locale file.
* Tue Aug 12 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 2010-1
- Version updated.
* Sun Aug 10 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 2005-1
- Version updated.
- Removed --without-canna option at configure.
- Added Canna-devel to BuildRequires.
- Changed command for cleaning rpm_build_root because of the safety.
* Tue Aug 5 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 2002-1
- Version updated.
- Used _prefix variable.
- Added uim-xim.
- Added BuildRequires.
* Sat Jul 5 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 1928-1
- Version updated.
* Sat Jul 5 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 1903-1
- Version updated.
- Added description.
* Sat Dec 7 2002 TABATA Yusuke <yusuke@localhost.localdomain>
- Initial build.
