Summary: An terminal emulator.
Summary(ja): ターミナルエミュレータ
Name: vte3
Version: 0.38.1
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
Source: http://ftp.gnome.org/pub/GNOME/sources/vte/0.38/vte-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk3-devel
BuildRequires: gobject-introspection-devel
BuildRequires: ncurses-devel
BuildRequires: vala-devel
BuildRequires: vala-tools

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
VTE is an experimental terminal emulator widget for use with GTK+ 3.0.

%description -l ja
VTE は GTK+3.0 用のターミナルエミュレータウィジェットです。

%package devel
Summary: Files needed for developing applications which use vte.
Summary(ja): VTE を使用したアプリケーションの開発に必要なファイル群
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk3-devel

%description devel
VTE is an experimental terminal emulator widget for use with GTK+ 3.0.  This
package contains the files needed for building applications using VTE.


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:	noarch

%description    docs
This package contains documentation for %{name}.


%package        vala
Summary:        Vala bindings for %{name}
Summary(ja):    %{name} の Vala バインディング
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       vala

%description    vala
Vala bindings for %{name}.


%prep
%setup -q -n vte-%{version}

%build
%configure \
	--with-gtk=3.0 \
	--libexecdir=%{_libexecdir}/%{name} \
	--disable-static \
	--enable-introspection \
	--without-glX
make %{?_smp_mflags}

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang vte-2.91

rm -f $RPM_BUILD_ROOT/%{_bindir}/%{name}
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.{a,la}

%clean
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f vte-2.91.lang
%defattr(-,root,root)
%doc ChangeLog COPYING HACKING NEWS README
%doc doc/utmpwtmp.txt doc/boxes.txt src/iso2022.txt doc/openi18n/UTF-8.txt doc/openi18n/wrap.txt
%{_sysconfdir}/profile.d/vte.sh
%{_bindir}/vte-2.91
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/*.gir

%files docs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/vte-2.91

%files vala
%defattr(-,root,root)
%{_datadir}/vala/vapi/vte-2.91.vapi


%changelog
* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.38.1-1
- new upstream release
- add BuildRequires: vala-devel, vala-tools

* Sat Jun 28 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.36.3-1
- new upstream release

* Fri May 16 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.36.2-1
- new upstream release

* Sat Mar 29 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.36.0-1
- new upstream release

* Sat Jan 04 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.34.9-2
- rebuild with VineSeed environment

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.34.9-1
- new upstream release

* Mon Jul 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.34.7-1
- new upstream release

* Sat May 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.34.5-1
- new upstream release

* Sun Apr 21 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.34.3-1
- new upstream release
- create %%{name}-docs subpackage

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.34.2-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.34.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.34.0-1
- new upstream release

* Tue Jun 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.32.2-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.32.1-1
- new upstream release

* Fri Oct 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.30.1-1
- new upstream release

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.30.0-1
- new upstream release
- add BuildRequires: gobject-introspection-devel

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.28.2-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.28.1-1
- initial build for Vine Linux
