Name: 		xfce4-mailwatch-plugin
Summary:        A multi-protocol, multi-mailbox mail watcher for the Xfce panel
Summary(ja):    Xfce パネル用メールボックス監視プラグイン
Version:        1.2.0
Release: 	1%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0: 	http://archive.xfce.org/src/panel-plugins/%{name}/1.2/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  glib2-devel >= 2.18.0
BuildRequires:  gnutls-devel >= 1.2.0
BuildRequires:  gtk2-devel >= 2.18.0
BuildRequires:  libexo-devel >= 0.7.2
BuildRequires:  libICE-devel
BuildRequires:  libgcrypt-devel >= 1.2.0
BuildRequires:  libxfce4util-devel >= 4.8.0
BuildRequires:  libxfce4ui-devel >= 4.8.0
BuildRequires:  xfce4-panel-devel >= 4.8.0
Requires:       xfce4-panel 

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	inagaki


%description
he Xfce4 Mailwatch Plugin is a multi-protocol, multi-mailbox mail watcher.
Currently, the protocols supported are:

  * IMAP (SSL/TLS and cleartext, CRAM-MD5)
  * POP3 (SSL/TLS and cleartext, CRAM-MD5)
  * Mbox mail spool (local)
  * Maildir mail spool (local)
  * MH-Maildir mail spool (local)
  * Google Mail (GMail) mailbox (remote) (requires gnutls)

Random list of features:

  * Multiple folder checking support for IMAP.
  * Independent check intervals for each mailbox.
  * Threaded design; xfce4-panel UI should never freeze or block.
  * Informative button tooltip that tells you the number of new messages in
    each mailbox.
  * Optionally run a command when new mail arrives, or when the panel button
    is clicked.
  * Error log accessible from the plugin properties dialog, with a small
    overlay icon to inform the user of errors at a glance.
  * Custom button icons.


%prep
%setup -q

%build
%configure --enable-silent-rules --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/xfce4/panel/plugins/libmailwatch.so
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/xfce4/panel/plugins/mailwatch.desktop

%changelog
* Thu Sep 18 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.2.0-1
- initial build for Vine Linux

