Name: 		xfce4-mixer
Summary: 	Volume control application for the Xfce desktop environment
Summary(ja): 	Xfce デスクトップ環境向けボリューム調整アプリケーション
Version: 	4.10.0
Release: 	1%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2
URL: 		http://www.xfce.org/projects/xfce4-mixer

Source0: 	http://archive.xfce.org/src/apps/%{name}/4.10/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	dbus-glib-devel >= 0.84
BuildRequires:	glib2-devel >= 2.24.0
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.25
BuildRequires:	gtk2-devel >= 2.20.0
BuildRequires:	libxfce4ui-devel >= 4.10.0
BuildRequires:	libxfce4util-devel >= 4.10.0
BuildRequires:	unique-devel >= 1.1
BuildRequires:	xfconf-devel >= 4.10.0
BuildRequires:	xfce4-panel-devel >= 4.10.0
BuildRequires:	pkgconfig
Requires:	xfce4-panel >= 4.10.0

Vendor: Project Vine
Distribution: Vine Linux

%description
This package contains a volume control application based on GStreamer
0.10 written to conceptually fit into the Xfce desktop environment. It
includes a plugin for the Xfce panel.

%prep
%setup -q

%build
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

find $RPM_BUILD_ROOT -type f -name "*.la" -delete

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS
%{_bindir}/xfce4-mixer
%{_libdir}/xfce4/panel/plugins/libmixer.so
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/xfce4-mixer
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_mandir}/man1/*

%changelog
* Sat Sep  6 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 4.10.0-1
- updated to 4.10.0
- added BR unique-devel

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.8.0-3
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.8.0-2
- rebuild with xfce4-4.10.0

* Sat Apr  2 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.8.0-1
- new upstream release
- updated URL

* Sat May 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- new upstream release

* Mon Oct 27 2008 Shu KONNO <owa@bg.wakwak.com> 4.4.2-1vl5
- applied new versioning policy

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.2-0vl2
- new upstream release.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl1
- new upstream version

* Sat Dec 10 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.3-0vl1
- new upstream release

* Mon Jun 13 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.2-0vl2
- new upstream release

* Thu Mar 31 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.1-0vl2
- new upstream release

* Sun Jan 23 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.0-0vl2
- new upstream release

* Mon Jul 12 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.6-0vl1
- new upstream release

* Mon Apr 19 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.5-0vl1
- new upstream release

* Mon Mar 22 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.4-0vl1
- new upstream release

* Thu Jan 08 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.3-0vl1
- new upstream release

* Mon Jan 05 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.2-0vl1
- new upstream release

* Thu Nov 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.1-0vl1
- new upstream release

* Sat Sep 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.0-0vl1
- initial release

