Summary: modern terminal emulator for Xfce
Summary(ja): Xfce用のターミナルエミュレータ
Name: xfce4-terminal
Version: 0.6.3
Release: 1%{?_dist_release}

Group: User Interface/Desktops
License: GPL
URL: http://goodies.xfce.org/projects/applications/terminal

Source0: http://archive.xfce.org/src/apps/xfce4-terminal/0.4/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: dbus-glib-devel >= 0.22
BuildRequires: gettext
BuildRequires: glib2-devel >= 2.26.0
BuildRequires: gtk2-devel >= 2.24.0
BuildRequires: intltool >= 0.31
BuildRequires: libexo-devel >= 0.6.0
BuildRequires: libxfce4ui-devel >= 4.10.0
BuildRequires: pkgconfig
BuildRequires: vte-devel >= 0.28

Obsoletes: Terminal < 0.6.3
Provides: Terminal = %{version}-%{release}

Vendor: Project Vine
Distribution: Vine Linux

%description
Terminal is a modern terminal emulator for the Unix/Linux desktop - primarly for
the Xfce desktop environment. We developed it because we saw the need for a
lightweight and easy to use terminal emulator in the Xfce desktop environment,
that doesn't require the user to install the GNOME plattform, but still provides
a worthy alternative to the GNOME terminal emulator.

%description -l ja
TerminalはUnix/Linuxデスクトップ用、第一にXfce用のターミナルエミュレータです。
Xfceデスクトップ環境で動き、GNOMEプラットフォームを必要とせず、しかし十分に
GNOMEターミナルエミュレータの代替たりうる、軽量で使いやすいターミナルエミュ
レータというニーズに応えて開発されました。

%prep
%setup -q 

%build
%configure
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

#rm -rf _docs_to_install
#mv $RPM_BUILD_ROOT%{_docdir}/Terminal _docs_to_install

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*.cache

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_bindir}/*
%{_datadir}/xfce4/terminal
%{_datadir}/applications/xfce4-terminal.desktop
%{_datadir}/gnome-control-center/default-apps/*.xml
%{_mandir}/man1/xfce4-terminal.1*
%{_mandir}/*/man1/xfce4-terminal.1*

%changelog
* Fri Aug 29 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.6.3-1
- new upstream release
- changed package name
- updated URL

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.8-2
- new upstream release

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.8-1
- new upstream release

* Sat Apr  2 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.6-1
- new upstream release

* Sat May 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.12-1
- new upstream release

* Sun Oct 05 2008 Shu KONNO <owa@bg.wakwak.com> 0.2.8-1vl5
- applied new versioning policy, spec in utf-8

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 0.2.8-0vl2
- new upstream release.
- revise Patch0 (Terminal-docmake.patch) for ja docs.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 0.2.6-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 0.2.6-0vl1
- new upstream version
- revise Patch0 (Terminal-docmake.patch) for ja docs.
- drop Patch1 (Terminal-usage.patch)
- add %{_datadir}/icons/hicolor/*/stock/navigation/*.png in files section.
- update icon-cache in %post and %postun.

* Sun Mar 12 2006 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.2.4-0vl5
- rebuild with dbus-0.61-0vl1
- add /usr/bin/terminal to %%files

* Sat Jul 16 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.2.4-0vl4
- rebuild with D-BUS (dbus-devel)
- commented all Requires that is detected by *.so dependency

* Thu May 19 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.2.4-0vl3
- add Patch1 http://bugs.os-cillation.de/attachment.cgi?id=25

* Fri Apr 22 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.2.4-0vl2
- rebuild for VineSeed

* Sun Apr 17 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.2.4-0vl1
- initial build for Vine Linux
