Name:		xfce4-weather-plugin
Summary:	Weather plugin for the Xfce panel
Summary(ja):	Xfce パネル用天気情報プラグイン
Version:	0.8.3
Release:	2%{?_dist_release}

Group:		User Interface/Desktops
License:	GPLv2
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/0.8/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gettext
BuildRequires:	glib2-devel >= 2.20.0
BuildRequires:	gtk2-devel >= 2.14.0
BuildRequires:  intltool
BuildRequires:	libsoup-devel >= 2.26.0
BuildRequires:  libxfce4ui-devel >= 4.7.0
BuildRequires:  libxfce4util-devel >= 4.7.0
BuildRequires:  libxml2-devel >= 2.4.0
BuildRequires:	upower-devel >= 0.9.0
BuildRequires:	xfce4-panel-devel >= 4.7.0

Requires:	xfce4-panel >= 4.7.0

Vendor: Project Vine
Distribution: Vine Linux

%description
A weather plugin for the Xfce panel. It shows the current temperature and 
weather condition, using weather data provided by xoap.weather.com.


%prep
%setup -q

%build
%configure --enable-silent-rules --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.la
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/icons/hicolor/48x48/apps/xfce4-weather.png
%{_datadir}/xfce4/weather


%changelog
* Tue Sep 23 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.8.3-2
- rebuilt with upower-0.99.1

* Wed Sep 17 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 0.8.3-1
- updated to 0.8.3

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.7.4-5
- rebuild with VineSeed environment

* Sat Jun 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.7.4-4
- rebuild with Xfce-4.10.0

* Sun May 22 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.7.4-3
- initial build for Vine Linux

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 04 2011 Kevin Fenzi <kevin@tummy.com> - 0.7.4-1
- Update to 0.7.4

* Thu Jan 13 2011 Kevin Fenzi <kevin@tummy.com> - 0.7.3-2
- Rebuild for Xfce 4.8

* Sun Aug 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.3-1
- Update to 0.7.3, fixes cache directory creation

* Tue Jul 28 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.2-1
- Update to 0.7.2
- No longer contains weather.com logo, downloaded to cache at runtime (#513057)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 03 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Wed Jun 17 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.4-1
- Update to 0.6.4

* Sat Jun 13 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.3-1
- Update to 0.6.3

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.2-4
- Rebuild for Xfce 4.6 (Beta 3)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.2-3
- Autorebuild for GCC 4.3

* Fri Dec 07 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.2-2
- Rebuild for Xfce 4.4.2

* Mon Nov 19 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.2-1
- Update to 0.6.0 on Xfce 4.4.1

* Mon Jan 22 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.0-1
- Update to 0.6.0 on Xfce 4.4.
- Update gtk-icon-cache scriptlets.

* Thu Oct 05 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.99.1-3
- Bump release for devel checkin.

* Wed Sep 13 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.99.1-2
- Rebuild for XFCE 4.3.99.1.
- BR perl(XML::Parser).

* Wed Sep 13 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.99.1-1
- Update to 0.5.99.1.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.5.90.2-1
- Update to 0.5.90.2 on XFCE 4.3.90.2.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.9-7
- Mass rebuild for Fedora Core 6.

* Sat Jul 29 2006 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.9-6
- BuildRequire gettext (#193444)
- Require xfce4-panel.

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.4.9-5
- Rebuild for Fedora Extras 5.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.4.9-4
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.4.9-3
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.4.9-2.fc4.cw
- Add libxml2 BuildReqs.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.4.9-1.fc4.cw
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.4.9-1.fc3.cw
- Updated to version 0.4.9.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.9.1-1.fc3.cw
- Initial RPM release.
