%define tarball xf86-video-i128
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

Summary:   Xorg X11 i128 video driver
Summary(ja):   Xorg X11 i128 ビデオドライバ
Name:      xorg-x11-drv-i128
Version:   1.3.6
Release:   4%{?_dist_release}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:    i128.xinf

Patch0:	    i128-1.2.0-1600sw-range-hack.patch
Patch1:		xf86-video-i128-1.3.6-remove-mibstore.patch

ExcludeArch: s390 s390x

BuildRequires: xorg-x11-server-sdk >= 1.6

Requires:  hwdata
Requires:  xorg-x11-server-Xorg

Vendor: Project Vine
Distribution: Vine Linux

%description 
X.Org X11 i128 video driver.

%prep
%setup -q -n %{tarball}-%{version}

%patch0 -p1 -b .1600sw-hack
%patch1 -p1 -b .mibstore

%build
%configure --disable-static --enable-xaa=no
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/i128_drv.so
%{_datadir}/hwdata/videoaliases/i128.xinf
%{_mandir}/man4/i128.4*

%changelog
* Thu Jul 10 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.6-4
- rebuild with xserver-1.14.1

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.6-3
- rebuild with VineSeed environment

* Sun May 05 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.6-2
- rebuild with xserver-1.14.1
- add Patch0 (xf86-video-i128-1.3.6-remove-mibstore.patch)

* Fri Jul 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.6-1
- new upstream release

* Sun Mar 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.5-1
- new upstream release

* Wed Nov 02 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.4-4
- rebuild with xserver-1.11.1.902

* Mon Feb 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.4-3
- rebuild with xserver-1.10.0

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.4-2
- rebuild with xserver-1.9.2

* Tue Aug 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.4-1
- new upstream release

* Sun Mar 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.3-2
- rebuild with xserver-1.8rc

* Tue Dec 29 2009 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.3-1
- new upstream release

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.1-1
- new upstream release

* Fri Jul 04 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.0-2
- rebuild with xorg-server-1.4.99

* Sat May 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3.0-1
- initial build for Vine Linux

* Thu Mar 20 2008 Dave Airlie <airlied@redhat.com> 1.3.0-1
- Update to latest upstream release

* Mon Mar 03 2008 Adam Jackson <ajax@redhat.com> 1.2.1-3.20080303
- git snapshot for pciaccess support

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.1-2
- Autorebuild for GCC 4.3

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> 1.2.1-1
- xf86-video-i128 1.2.1

* Wed Aug 22 2007 Adam Jackson <ajax@redhat.com> - 1.2.0-7
- Rebuild for PPC toolchain bug

* Mon Jun 18 2007 Adam Jackson <ajax@redhat.com> 1.2.0-6
- Update Requires and BuildRequires.  Disown the module directories.  Add
  Requires: hwdata.

* Fri Feb 16 2007 Adam Jackson <ajax@redhat.com> 1.2.0-5
- ExclusiveArch -> ExcludeArch

* Mon Aug 28 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-4
- i128-1.2.0-1600sw-range-hack.patch: Also fill in maxPixClock and synthesize
  the appropriate modes when we don't get DDC.

* Wed Aug  2 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-3
- i128-1.2.0-1600sw-range-hack.patch: Attempt to force the sync ranges
  correctly when we detect a 1600SW panel but don't get EDID info from it.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 1.2.0-2.1
- rebuild

* Tue May 23 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-2
- Rebuild for 7.1 ABI fix.

* Sun Apr  9 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-1
- Update to 1.2.0 from 7.1RC1.

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.1.0.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.1.0.5-1
- Updated xorg-x11-drv-i128 to version 1.1.0.5 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.1.0.4-1
- Updated xorg-x11-drv-i128 to version 1.1.0.4 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.1.0.2-1
- Updated xorg-x11-drv-i128 to version 1.1.0.2 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 1.1.0.1-1
- Updated xorg-x11-drv-i128 to version 1.1.0.1 from X11R7 RC1
- Fix *.la file removal.

* Mon Oct 3 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to i386

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-0
- Initial spec file for i128 video driver generated automatically
  by my xorg-driverspecgen script.
